/*
 * script-language-table.inc:
 * copied from LGPL'd Pango
 */
typedef struct _ScriptTypeForLang {
  const char lang[7];
  ScriptType scripts[3];
} ScriptTypeForLang;

static const ScriptTypeForLang _script_for_lang[] = {
  { "aa",     { SCRIPT_LATIN/*62*/ } },
  { "ab",     { SCRIPT_CYRILLIC/*90*/ } },
  { "af",     { SCRIPT_LATIN/*69*/ } },
  { "ak",     { SCRIPT_LATIN/*70*/ } },
  { "am",     { SCRIPT_ETHIOPIC/*264*/ } },
  { "an",     { SCRIPT_LATIN/*66*/ } },
  { "ar",     { SCRIPT_ARABIC/*36*/ } },
  { "as",     { SCRIPT_BENGALI/*64*/ } },
  { "ast",    { SCRIPT_LATIN/*70*/ } },
  { "av",     { SCRIPT_CYRILLIC/*67*/ } },
  { "ay",     { SCRIPT_LATIN/*60*/ } },
  { "az-az",  { SCRIPT_LATIN/*66*/ } },
  { "az-ir",  { SCRIPT_ARABIC/*38*/ } },
  { "ba",     { SCRIPT_CYRILLIC/*82*/ } },
  { "be",     { SCRIPT_CYRILLIC/*68*/ } },
  { "ber-dz", { SCRIPT_LATIN/*70*/ } },
  { "ber-ma", { SCRIPT_TIFINAGH/*32*/ } },
  { "bg",     { SCRIPT_CYRILLIC/*60*/ } },
  { "bh",     { SCRIPT_DEVANAGARI/*68*/ } },
  { "bho",    { SCRIPT_DEVANAGARI/*68*/ } },
  { "bi",     { SCRIPT_LATIN/*58*/ } },
  { "bin",    { SCRIPT_LATIN/*76*/ } },
  { "bm",     { SCRIPT_LATIN/*60*/ } },
  { "bn",     { SCRIPT_BENGALI/*63*/ } },
  { "bo",     { SCRIPT_TIBETAN/*95*/ } },
  { "br",     { SCRIPT_LATIN/*64*/ } },
  { "brx",    { SCRIPT_DEVANAGARI/*78*/ } },
  { "bs",     { SCRIPT_LATIN/*62*/ } },
  { "bua",    { SCRIPT_CYRILLIC/*70*/ } },
  { "byn",    { SCRIPT_ETHIOPIC/*255*/ } },
  { "ca",     { SCRIPT_LATIN/*74*/ } },
  { "ce",     { SCRIPT_CYRILLIC/*67*/ } },
  { "ch",     { SCRIPT_LATIN/*58*/ } },
  { "chm",    { SCRIPT_CYRILLIC/*76*/ } },
  { "chr",    { SCRIPT_CHEROKEE/*85*/ } },
  { "co",     { SCRIPT_LATIN/*84*/ } },
  { "crh",    { SCRIPT_LATIN/*68*/ } },
  { "cs",     { SCRIPT_LATIN/*82*/ } },
  { "csb",    { SCRIPT_LATIN/*74*/ } },
  { "cu",     { SCRIPT_CYRILLIC/*103*/ } },
  { "cv",     { SCRIPT_CYRILLIC/*72*/, SCRIPT_LATIN/*2*/ } },
  { "cy",     { SCRIPT_LATIN/*78*/ } },
  { "da",     { SCRIPT_LATIN/*70*/ } },
  { "de",     { SCRIPT_LATIN/*59*/ } },
  { "doi",    { SCRIPT_DEVANAGARI/*81*/ } },
  { "dv",     { SCRIPT_THAANA/*49*/ } },
  { "dz",     { SCRIPT_TIBETAN/*95*/ } },
  { "ee",     { SCRIPT_LATIN/*96*/ } },
  { "el",     { SCRIPT_GREEK/*69*/ } },
  { "en",     { SCRIPT_LATIN/*72*/ } },
  { "eo",     { SCRIPT_LATIN/*64*/ } },
  { "es",     { SCRIPT_LATIN/*66*/ } },
  { "et",     { SCRIPT_LATIN/*64*/ } },
  { "eu",     { SCRIPT_LATIN/*56*/ } },
  { "fa",     { SCRIPT_ARABIC/*38*/ } },
  { "fat",    { SCRIPT_LATIN/*70*/ } },
  { "ff",     { SCRIPT_LATIN/*62*/ } },
  { "fi",     { SCRIPT_LATIN/*62*/ } },
  { "fil",    { SCRIPT_LATIN/*84*/ } },
  { "fj",     { SCRIPT_LATIN/*52*/ } },
  { "fo",     { SCRIPT_LATIN/*68*/ } },
  { "fr",     { SCRIPT_LATIN/*84*/ } },
  { "fur",    { SCRIPT_LATIN/*66*/ } },
  { "fy",     { SCRIPT_LATIN/*75*/ } },
  { "ga",     { SCRIPT_LATIN/*80*/ } },
  { "gd",     { SCRIPT_LATIN/*70*/ } },
  { "gez",    { SCRIPT_ETHIOPIC/*218*/ } },
  { "gl",     { SCRIPT_LATIN/*66*/ } },
  { "gn",     { SCRIPT_LATIN/*70*/ } },
  { "gu",     { SCRIPT_GUJARATI/*68*/ } },
  { "gv",     { SCRIPT_LATIN/*54*/ } },
  { "ha",     { SCRIPT_LATIN/*60*/ } },
  { "haw",    { SCRIPT_LATIN/*62*/ } },
  { "he",     { SCRIPT_HEBREW/*27*/ } },
  { "hi",     { SCRIPT_DEVANAGARI/*68*/ } },
  { "hne",    { SCRIPT_DEVANAGARI/*68*/ } },
  { "ho",     { SCRIPT_LATIN/*52*/ } },
  { "hr",     { SCRIPT_LATIN/*62*/ } },
  { "hsb",    { SCRIPT_LATIN/*72*/ } },
  { "ht",     { SCRIPT_LATIN/*56*/ } },
  { "hu",     { SCRIPT_LATIN/*70*/ } },
  { "hy",     { SCRIPT_ARMENIAN/*77*/ } },
  { "hz",     { SCRIPT_LATIN/*56*/ } },
  { "ia",     { SCRIPT_LATIN/*52*/ } },
  { "id",     { SCRIPT_LATIN/*54*/ } },
  { "ie",     { SCRIPT_LATIN/*52*/ } },
  { "ig",     { SCRIPT_LATIN/*58*/ } },
  { "ii",     { SCRIPT_YI/*1165*/ } },
  { "ik",     { SCRIPT_CYRILLIC/*68*/ } },
  { "io",     { SCRIPT_LATIN/*52*/ } },
  { "is",     { SCRIPT_LATIN/*70*/ } },
  { "it",     { SCRIPT_LATIN/*72*/ } },
  { "iu",     { SCRIPT_CANADIAN_ABORIGINAL/*161*/ } },
  { "ja",     { SCRIPT_HAN/*2134*/, SCRIPT_KATAKANA/*88*/, SCRIPT_HIRAGANA/*85*/ } },
  { "jv",     { SCRIPT_LATIN/*56*/ } },
  { "ka",     { SCRIPT_GEORGIAN/*33*/ } },
  { "kaa",    { SCRIPT_CYRILLIC/*78*/ } },
  { "kab",    { SCRIPT_LATIN/*70*/ } },
  { "ki",     { SCRIPT_LATIN/*56*/ } },
  { "kj",     { SCRIPT_LATIN/*52*/ } },
  { "kk",     { SCRIPT_CYRILLIC/*77*/ } },
  { "kl",     { SCRIPT_LATIN/*81*/ } },
  { "km",     { SCRIPT_KHMER/*63*/ } },
  { "kn",     { SCRIPT_KANNADA/*70*/ } },
  { "ko",     { SCRIPT_HANGUL/*2442*/ } },
  { "kok",    { SCRIPT_DEVANAGARI/*68*/ } },
  { "kr",     { SCRIPT_LATIN/*56*/ } },
  { "ks",     { SCRIPT_ARABIC/*33*/ } },
  { "ku-am",  { SCRIPT_CYRILLIC/*64*/ } },
  { "ku-iq",  { SCRIPT_ARABIC/*32*/ } },
  { "ku-ir",  { SCRIPT_ARABIC/*32*/ } },
  { "ku-tr",  { SCRIPT_LATIN/*62*/ } },
  { "kum",    { SCRIPT_CYRILLIC/*66*/ } },
  { "kv",     { SCRIPT_CYRILLIC/*70*/ } },
  { "kw",     { SCRIPT_LATIN/*64*/ } },
  { "kwm",    { SCRIPT_LATIN/*52*/ } },
  { "ky",     { SCRIPT_CYRILLIC/*70*/ } },
  { "la",     { SCRIPT_LATIN/*68*/ } },
  { "lah",    { SCRIPT_ARABIC/*27*/ } },
  { "lb",     { SCRIPT_LATIN/*75*/ } },
  { "lez",    { SCRIPT_CYRILLIC/*67*/ } },
  { "lg",     { SCRIPT_LATIN/*54*/ } },
  { "li",     { SCRIPT_LATIN/*62*/ } },
  { "ln",     { SCRIPT_LATIN/*78*/ } },
  { "lo",     { SCRIPT_LAO/*55*/ } },
  { "lt",     { SCRIPT_LATIN/*70*/ } },
  { "lv",     { SCRIPT_LATIN/*78*/ } },
  { "mai",    { SCRIPT_DEVANAGARI/*68*/ } },
  { "mg",     { SCRIPT_LATIN/*56*/ } },
  { "mh",     { SCRIPT_LATIN/*62*/ } },
  { "mi",     { SCRIPT_LATIN/*64*/ } },
  { "mk",     { SCRIPT_CYRILLIC/*42*/ } },
  { "ml",     { SCRIPT_MALAYALAM/*68*/ } },
  { "mn-cn",  { SCRIPT_MONGOLIAN/*130*/ } },
  { "mn-mn",  { SCRIPT_CYRILLIC/*70*/ } },
  { "mni",    { SCRIPT_BENGALI/*75*/ } },
  { "mo",     { SCRIPT_CYRILLIC/*66*/, SCRIPT_LATIN/*62*/ } },
  { "mr",     { SCRIPT_DEVANAGARI/*68*/ } },
  { "ms",     { SCRIPT_LATIN/*52*/ } },
  { "mt",     { SCRIPT_LATIN/*72*/ } },
  { "my",     { SCRIPT_MYANMAR/*48*/ } },
  { "na",     { SCRIPT_LATIN/*60*/ } },
  { "nb",     { SCRIPT_LATIN/*70*/ } },
  { "nds",    { SCRIPT_LATIN/*59*/ } },
  { "ne",     { SCRIPT_DEVANAGARI/*70*/ } },
  { "ng",     { SCRIPT_LATIN/*52*/ } },
  { "nl",     { SCRIPT_LATIN/*82*/ } },
  { "nn",     { SCRIPT_LATIN/*76*/ } },
  { "no",     { SCRIPT_LATIN/*70*/ } },
  { "nqo",    { SCRIPT_NKO/*59*/ } },
  { "nr",     { SCRIPT_LATIN/*52*/ } },
  { "nso",    { SCRIPT_LATIN/*58*/ } },
  { "nv",     { SCRIPT_LATIN/*70*/ } },
  { "ny",     { SCRIPT_LATIN/*54*/ } },
  { "oc",     { SCRIPT_LATIN/*70*/ } },
  { "om",     { SCRIPT_LATIN/*52*/ } },
  { "or",     { SCRIPT_ORIYA/*68*/ } },
  { "os",     { SCRIPT_CYRILLIC/*66*/ } },
  { "ota",    { SCRIPT_ARABIC/*37*/ } },
  { "pa",     { SCRIPT_GURMUKHI/*63*/ } },
  { "pa-pk",  { SCRIPT_ARABIC/*27*/ } },
  { "pap-an", { SCRIPT_LATIN/*72*/ } },
  { "pap-aw", { SCRIPT_LATIN/*54*/ } },
  { "pl",     { SCRIPT_LATIN/*70*/ } },
  { "ps-af",  { SCRIPT_ARABIC/*49*/ } },
  { "ps-pk",  { SCRIPT_ARABIC/*49*/ } },
  { "pt",     { SCRIPT_LATIN/*82*/ } },
  { "qu",     { SCRIPT_LATIN/*54*/ } },
  { "quz",    { SCRIPT_LATIN/*54*/ } },
  { "rm",     { SCRIPT_LATIN/*66*/ } },
  { "rn",     { SCRIPT_LATIN/*52*/ } },
  { "ro",     { SCRIPT_LATIN/*62*/ } },
  { "ru",     { SCRIPT_CYRILLIC/*66*/ } },
  { "rw",     { SCRIPT_LATIN/*52*/ } },
  { "sa",     { SCRIPT_DEVANAGARI/*68*/ } },
  { "sah",    { SCRIPT_CYRILLIC/*76*/ } },
  { "sat",    { SCRIPT_DEVANAGARI/*68*/ } },
  { "sc",     { SCRIPT_LATIN/*62*/ } },
  { "sco",    { SCRIPT_LATIN/*56*/ } },
  { "sd",     { SCRIPT_ARABIC/*54*/ } },
  { "se",     { SCRIPT_LATIN/*66*/ } },
  { "sel",    { SCRIPT_CYRILLIC/*66*/ } },
  { "sg",     { SCRIPT_LATIN/*72*/ } },
  { "sh",     { SCRIPT_CYRILLIC/*94*/, SCRIPT_LATIN/*62*/ } },
  { "shs",    { SCRIPT_LATIN/*46*/ } },
  { "si",     { SCRIPT_SINHALA/*73*/ } },
  { "sid",    { SCRIPT_ETHIOPIC/*281*/ } },
  { "sk",     { SCRIPT_LATIN/*86*/ } },
  { "sl",     { SCRIPT_LATIN/*62*/ } },
  { "sm",     { SCRIPT_LATIN/*52*/ } },
  { "sma",    { SCRIPT_LATIN/*60*/ } },
  { "smj",    { SCRIPT_LATIN/*60*/ } },
  { "smn",    { SCRIPT_LATIN/*68*/ } },
  { "sms",    { SCRIPT_LATIN/*80*/ } },
  { "sn",     { SCRIPT_LATIN/*52*/ } },
  { "so",     { SCRIPT_LATIN/*52*/ } },
  { "sq",     { SCRIPT_LATIN/*56*/ } },
  { "sr",     { SCRIPT_CYRILLIC/*60*/ } },
  { "ss",     { SCRIPT_LATIN/*52*/ } },
  { "st",     { SCRIPT_LATIN/*52*/ } },
  { "su",     { SCRIPT_LATIN/*54*/ } },
  { "sv",     { SCRIPT_LATIN/*68*/ } },
  { "sw",     { SCRIPT_LATIN/*52*/ } },
  { "syr",    { SCRIPT_SYRIAC/*45*/ } },
  { "ta",     { SCRIPT_TAMIL/*48*/ } },
  { "te",     { SCRIPT_TELUGU/*70*/ } },
  { "tg",     { SCRIPT_CYRILLIC/*78*/ } },
  { "th",     { SCRIPT_THAI/*73*/ } },
  { "ti-er",  { SCRIPT_ETHIOPIC/*255*/ } },
  { "ti-et",  { SCRIPT_ETHIOPIC/*281*/ } },
  { "tig",    { SCRIPT_ETHIOPIC/*221*/ } },
  { "tk",     { SCRIPT_LATIN/*68*/ } },
  { "tl",     { SCRIPT_LATIN/*84*/ } },
  { "tn",     { SCRIPT_LATIN/*58*/ } },
  { "to",     { SCRIPT_LATIN/*52*/ } },
  { "tr",     { SCRIPT_LATIN/*70*/ } },
  { "ts",     { SCRIPT_LATIN/*52*/ } },
  { "tt",     { SCRIPT_CYRILLIC/*76*/ } },
  { "tw",     { SCRIPT_LATIN/*70*/ } },
  { "ty",     { SCRIPT_LATIN/*64*/ } },
  { "tyv",    { SCRIPT_CYRILLIC/*70*/ } },
  { "ug",     { SCRIPT_ARABIC/*33*/ } },
  { "uk",     { SCRIPT_CYRILLIC/*72*/ } },
  { "ur",     { SCRIPT_ARABIC/*27*/ } },
  { "uz",     { SCRIPT_LATIN/*52*/ } },
  { "ve",     { SCRIPT_LATIN/*62*/ } },
  { "vi",     { SCRIPT_LATIN/*186*/ } },
  { "vo",     { SCRIPT_LATIN/*54*/ } },
  { "vot",    { SCRIPT_LATIN/*62*/ } },
  { "wa",     { SCRIPT_LATIN/*70*/ } },
  { "wal",    { SCRIPT_ETHIOPIC/*281*/ } },
  { "wen",    { SCRIPT_LATIN/*76*/ } },
  { "wo",     { SCRIPT_LATIN/*66*/ } },
  { "xh",     { SCRIPT_LATIN/*52*/ } },
  { "yap",    { SCRIPT_LATIN/*58*/ } },
  { "yi",     { SCRIPT_HEBREW/*27*/ } },
  { "yo",     { SCRIPT_LATIN/*114*/ } },
  { "za",     { SCRIPT_LATIN/*52*/ } },
  { "zh-cn",  { SCRIPT_HAN/*6763*/ } },
  { "zh-hk",  { SCRIPT_HAN/*1083*/ } },
  { "zh-mo",  { SCRIPT_HAN/*1083*/ } },
  { "zh-sg",  { SCRIPT_HAN/*6763*/ } },
  { "zh-tw",  { SCRIPT_HAN/*13063*/ } },
  { "zu",     { SCRIPT_LATIN/*52*/ } }
};
