///////////////////////////////////////////////////////////////////////////////
//
//                          IMPORTANT NOTICE
//
// The following open source license statement does not apply to any
// entity in the Exception List published by FMSoft.
//
// For more information, please visit:
//
// https://www.fmsoft.cn/exception-list
//
//////////////////////////////////////////////////////////////////////////////
/*
 *   This file is part of MiniGUI, a mature cross-platform windowing 
 *   and Graphics User Interface (GUI) support system for embedded systems
 *   and smart IoT devices.
 * 
 *   Copyright (C) 2002~2018, Beijing FMSoft Technologies Co., Ltd.
 *   Copyright (C) 1998~2002, WEI Yongming
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *   Or,
 * 
 *   As this program is a library, any link to this program must follow
 *   GNU General Public License version 3 (GPLv3). If you cannot accept
 *   GPLv3, you need to be licensed from FMSoft.
 * 
 *   If you have got a commercial license of this program, please use it
 *   under the terms and conditions of the commercial license.
 * 
 *   For more information about the commercial license, please refer to
 *   <http://www.minigui.com/en/about/licensing-policy/>.
 */

#include "common.h"

#ifdef _MGINCORE_RES

//data of "skin_tb_horz.gif"

const unsigned char _mgir_gif_skin_tb_horz_data[]={
	0x47,0x49,0x46,0x38,0x39,0x61,0x15,0x00,	0x2C,0x00,0xF7,0x00,0x00,0xDC,0xDC,0xDC,
	0xDA,0xDA,0xDA,0xD9,0xD9,0xD9,0xD4,0xD4,	0xD4,0xD2,0xD2,0xD2,0xD1,0xD1,0xD1,0xD0,
	0xD0,0xD0,0xCF,0xCF,0xCF,0xCE,0xCE,0xCE,	0xCD,0xCD,0xCD,0xCC,0xCC,0xCC,0xCB,0xCB,
	0xCB,0xC9,0xC9,0xC9,0xC8,0xC8,0xC8,0xC7,	0xC7,0xC7,0xC6,0xC6,0xC6,0xC5,0xC5,0xC5,
	0xC2,0xC2,0xC2,0xC0,0xC0,0xC0,0xBF,0xBF,	0xBF,0xBE,0xBE,0xBE,0xBD,0xBD,0xBD,0xBC,
	0xBC,0xBC,0xBB,0xBB,0xBB,0xBA,0xBA,0xBA,	0xB8,0xB8,0xB8,0xB7,0xB7,0xB7,0xB4,0xB4,
	0xB4,0xB2,0xB2,0xB2,0xB1,0xB1,0xB1,0xAF,	0xAF,0xAF,0xAE,0xAE,0xAE,0xAC,0xAC,0xAC,
	0xA9,0xA9,0xA9,0xA7,0xA7,0xA7,0xA6,0xA6,	0xA6,0xA5,0xA5,0xA5,0xA3,0xA3,0xA3,0xA1,
	0xA1,0xA1,0xA0,0xA0,0xA0,0x9E,0x9E,0x9E,	0x9A,0x9A,0x9A,0x97,0x97,0x97,0x96,0x96,
	0x96,0x95,0x95,0x95,0x94,0x94,0x94,0x93,	0x93,0x93,0x90,0x90,0x90,0x8D,0x8D,0x8D,
	0x8C,0x8C,0x8C,0x8B,0x8B,0x8B,0x89,0x89,	0x89,0x88,0x88,0x88,0x85,0x85,0x85,0x84,
	0x84,0x84,0x83,0x83,0x83,0x81,0x81,0x81,	0x7F,0x7F,0x7F,0x7E,0x7E,0x7E,0x7C,0x7C,
	0x7C,0x7B,0x7B,0x7B,0x7A,0x7A,0x7A,0x79,	0x79,0x79,0x77,0x77,0x77,0x74,0x74,0x74,
	0x72,0x72,0x72,0x71,0x71,0x71,0x70,0x70,	0x70,0x6F,0x6F,0x6F,0x6D,0x6D,0x6D,0x6C,
	0x6C,0x6C,0x6B,0x6B,0x6B,0x6A,0x6A,0x6A,	0x69,0x69,0x69,0x68,0x68,0x68,0x67,0x67,
	0x67,0x65,0x65,0x65,0x64,0x64,0x64,0x63,	0x63,0x63,0x62,0x62,0x62,0x60,0x60,0x60,
	0x5F,0x5F,0x5F,0x5E,0x5E,0x5E,0x5D,0x5D,	0x5D,0x5C,0x5C,0x5C,0x5A,0x5A,0x5A,0x59,
	0x59,0x59,0x58,0x58,0x58,0x57,0x57,0x57,	0x56,0x56,0x56,0x54,0x54,0x54,0x53,0x53,
	0x53,0x52,0x52,0x52,0x51,0x51,0x51,0x50,	0x50,0x50,0x4F,0x4F,0x4F,0x4E,0x4E,0x4E,
	0x4D,0x4D,0x4D,0x4C,0x4C,0x4C,0x4B,0x4B,	0x4B,0x4A,0x4A,0x4A,0x49,0x49,0x49,0x48,
	0x48,0x48,0x46,0x46,0x46,0x45,0x45,0x45,	0x43,0x43,0x43,0x42,0x42,0x42,0x3E,0x3E,
	0x3E,0x3D,0x3D,0x3D,0x3B,0x3B,0x3B,0x3A,	0x3A,0x3A,0x39,0x39,0x39,0x38,0x38,0x38,
	0x37,0x37,0x37,0x36,0x36,0x36,0x35,0x35,	0x35,0x34,0x34,0x34,0x33,0x33,0x33,0x32,
	0x32,0x32,0x31,0x31,0x31,0x30,0x30,0x30,	0x2F,0x2F,0x2F,0x2D,0x2D,0x2D,0x2C,0x2C,
	0x2C,0x2B,0x2B,0x2B,0x2A,0x2A,0x2A,0x29,	0x29,0x29,0x26,0x26,0x26,0x25,0x25,0x25,
	0x21,0x21,0x21,0x1C,0x1C,0x1C,0x1B,0x1B,	0x1B,0x19,0x19,0x19,0x18,0x18,0x18,0x17,
	0x17,0x17,0x16,0x16,0x16,0x15,0x15,0x15,	0x14,0x14,0x14,0x12,0x12,0x12,0x10,0x10,
	0x10,0x0E,0x0E,0x0E,0x0C,0x0C,0x0C,0x0B,	0x0B,0x0B,0x0A,0x0A,0x0A,0x08,0x08,0x08,
	0x07,0x07,0x07,0x06,0x06,0x06,0x05,0x05,	0x05,0x04,0x04,0x04,0xFF,0xFF,0xFF,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,	0x00,0x00,0x00,0x00,0x00,0x21,0xF9,0x04,
	0x01,0x00,0x00,0x95,0x00,0x2C,0x00,0x00,	0x00,0x00,0x15,0x00,0x2C,0x00,0x00,0x08,
	0xFF,0x00,0x0B,0x1C,0x78,0xA0,0xA1,0x83,	0x87,0x83,0x08,0x13,0x7A,0xF8,0x40,0xA2,
	0x05,0x8B,0x04,0x14,0x1C,0x48,0x10,0x91,	0x42,0x85,0xC5,0x8B,0x18,0x55,0xAC,0x78,
	0xF1,0x63,0x8E,0x90,0x19,0x28,0x8A,0xA8,	0x91,0x43,0xA7,0xA4,0xC9,0x93,0x74,0xE6,
	0xBC,0x49,0x03,0x88,0xD0,0x13,0x22,0x70,	0xF0,0xC8,0x9C,0x49,0xB3,0xA6,0x1D,0x41,
	0x8D,0xB6,0x50,0xD9,0xC3,0xA7,0xA7,0xCF,	0x9F,0x40,0xF9,0x14,0x72,0x14,0x06,0xCB,
	0x9F,0xA3,0x48,0x93,0x2A,0x3D,0x8A,0xE8,	0x91,0x19,0x2E,0x81,0xA2,0x4A,0x9D,0x4A,
	0x35,0xAA,0x22,0x48,0x70,0xD4,0x08,0xDA,	0xCA,0xB5,0xAB,0x57,0x41,0x83,0x1A,0x45,
	0x2A,0x84,0x08,0x91,0xA1,0xB3,0x68,0xD3,	0xA6,0x3D,0xB4,0x48,0x52,0x22,0x31,0x91,
	0x26,0x49,0x9A,0x4B,0xB7,0x6E,0xDD,0x49,	0x78,0xB5,0x38,0xE0,0xC2,0x88,0x92,0xDF,
	0xBF,0x80,0x03,0x2F,0xCA,0xB2,0xA0,0xC0,	0x00,0x04,0x11,0x2A,0x5C,0x58,0xCC,0xB8,
	0xF1,0x05,0x0C,0x1C,0x4A,0x98,0x38,0x00,	0xE1,0x00,0x83,0x0D,0x21,0x46,0x68,0xDE,
	0xCC,0x59,0xB3,0x09,0x19,0x5B,0x6C,0xA4,	0x00,0x71,0x43,0x8A,0x16,0x2E,0xA8,0x53,
	0xAB,0xE6,0xB2,0x05,0x4B,0x14,0x34,0x6D,	0x7C,0xD8,0xC8,0xF2,0xA5,0xB6,0xED,0xDB,
	0xB8,0xBB,0xAC,0xC1,0x53,0x04,0xC8,0x98,	0xDF,0xC0,0x83,0x0B,0xFF,0xED,0x26,0x8F,
	0x92,0x21,0x67,0x92,0x2B,0x5F,0xCE,0x3C,	0x39,0x9C,0x3C,0x4E,0x8C,0xA8,0x99,0x4E,
	0xBD,0xBA,0xF5,0xE9,0x73,0xF4,0x64,0x91,	0xB2,0xA6,0xBB,0xF7,0xEF,0xE0,0xD7,0xB0,
	0xFF,0xC1,0xB3,0xA7,0x0D,0x1C,0x38,0x6E,	0xD2,0xAB,0x5F,0xBF,0xFE,0x0D,0x1D,0x3E,
	0x71,0x9A,0xEC,0xE9,0x13,0xB4,0x3E,0x9F,	0x3E,0xF8,0x8F,0x30,0x48,0x72,0xC7,0x8F,
	0xFF,0xFF,0x00,0x06,0x58,0x87,0x11,0x85,	0x0D,0x54,0x90,0x42,0x08,0x32,0xE4,0x10,
	0x44,0x12,0x51,0x94,0xD1,0x83,0x1B,0x75,	0xF4,0x51,0x48,0x23,0xA1,0x64,0xA1,0x4A,
	0x2C,0xB9,0x04,0x53,0x4D,0x1C,0xD2,0x74,	0x53,0x4E,0x3B,0xD9,0x67,0xDF,0x50,0x45,
	0x2D,0x65,0x62,0x52,0x4D,0x3D,0x55,0xD5,	0x8A,0x53,0x5D,0x95,0xD5,0x57,0x30,0x72,
	0x15,0xD6,0x58,0x65,0xA9,0x65,0x23,0x5A,	0x6C,0xB9,0x15,0x46,0x5C,0x76,0xF5,0x48,
	0x17,0x5E,0x93,0xE8,0xD5,0x45,0x5F,0x81,	0x15,0xF9,0xD7,0x60,0x85,0x05,0x10,0x00,
	0x01,0x08,0x24,0xA0,0x40,0x02,0x50,0x42,	0xF9,0xE4,0x94,0x04,0x79,0x70,0x80,0x01,
	0x00,0x08,0xD0,0xC0,0x04,0x15,0x74,0xE9,	0xE5,0x97,0x15,0x58,0x90,0xC1,0x08,0x44,
	0xB4,0xD0,0x41,0x04,0x28,0xF4,0x40,0x44,	0x11,0x6C,0xB6,0xE9,0x26,0x9B,0x41,0xF0,
	0xE0,0x04,0x16,0x2B,0x9C,0x10,0x04,0x12,	0x78,0xE6,0xA9,0xE7,0x9E,0x45,0x50,0x01,
	0x46,0x0C,0x2E,0x28,0xB1,0xC4,0xA0,0x84,	0x16,0x6A,0xE8,0x12,0x57,0x84,0x41,0xC3,
	0x0B,0x4D,0x34,0xCA,0x04,0x13,0x8D,0x46,	0x0A,0x69,0xA4,0x4D,0x30,0x91,0xC5,0x18,
	0x35,0xC0,0x00,0xC5,0xA6,0x9C,0x76,0xEA,	0xE9,0xA6,0x5B,0x8C,0xE1,0x03,0x0E,0x53,
	0x94,0x6A,0xEA,0xA9,0xA8,0x4E,0xE1,0x27,	0x19,0x56,0x60,0x81,0x85,0x15,0xB0,0x5A,
	0x2F,0x51,0x85,0xAC,0xB0,0xCE,0x4A,0xEB,	0x15,0x5B,0x90,0xA1,0x85,0x0F,0x63,0x94,
	0x51,0x06,0x19,0xC0,0x06,0x2B,0xEC,0x18,	0xC0,0xFA,0x4A,0x86,0x0E,0x0B,0xEC,0xF0,
	0x85,0x19,0xCC,0x9A,0xE1,0x6B,0xB3,0x65,	0x38,0x2B,0xAD,0x17,0x39,0x24,0x10,0x10,
	0x00,0x3B
};
#endif //_MGINCORE_RES

