///////////////////////////////////////////////////////////////////////////////
//
//                          IMPORTANT NOTICE
//
// The following open source license statement does not apply to any
// entity in the Exception List published by FMSoft.
//
// For more information, please visit:
//
// https://www.fmsoft.cn/exception-list
//
//////////////////////////////////////////////////////////////////////////////
/*
 *   This file is part of MiniGUI, a mature cross-platform windowing 
 *   and Graphics User Interface (GUI) support system for embedded systems
 *   and smart IoT devices.
 * 
 *   Copyright (C) 2002~2018, Beijing FMSoft Technologies Co., Ltd.
 *   Copyright (C) 1998~2002, WEI Yongming
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *   Or,
 * 
 *   As this program is a library, any link to this program must follow
 *   GNU General Public License version 3 (GPLv3). If you cannot accept
 *   GPLv3, you need to be licensed from FMSoft.
 * 
 *   If you have got a commercial license of this program, please use it
 *   under the terms and conditions of the commercial license.
 * 
 *   For more information about the commercial license, please refer to
 *   <http://www.minigui.com/en/about/licensing-policy/>.
 */

#include <stdio.h>

unsigned int __mg_gbunicode_map [65536];
unsigned int my___mg_gbunicode_map [8836];

typedef unsigned short WORD;
typedef unsigned char BYTE;

#define MAKEWORD(low, high) ( (WORD)( ((BYTE)(low)) | (((WORD)((BYTE)(high))) << 8)) )

void __mg_gbunicode_map_init ();

int main (void)
{
    int i;
    unsigned char ch1, ch2;
    int offset, my_offset;

    __mg_gbunicode_map_init ();

    for (ch1 = 0xA1; ch1 <= 0xFE; ch1++)
        for (ch2 = 0xA1; ch2 <= 0xFE; ch2++) {
            my_offset = (ch1 - 0xA1) * 94  + (ch2 - 0xA1);
            offset = MAKEWORD (ch2 - 0x80, ch1 - 0x80);

            my___mg_gbunicode_map [my_offset] 
                = (__mg_gbunicode_map [offset] == 0) ? 0x3000 : __mg_gbunicode_map [offset];
        }

    printf ("unsigned short __mg_gbunicode_map[] = {\n");
    for (i = 0; i < 2209; i++) {
        printf ("0x%04x, 0x%04x, 0x%04x, 0x%04x,\n", 
            my___mg_gbunicode_map [i*4],
            my___mg_gbunicode_map [i*4 + 1],
            my___mg_gbunicode_map [i*4 + 2],
            my___mg_gbunicode_map [i*4 + 3]);
    }
    printf ("};");

    return 0;
}

void __mg_gbunicode_map_init() {
__mg_gbunicode_map[0x2121] = 0x3000; __mg_gbunicode_map[0x2122] = 0x3001;
__mg_gbunicode_map[0x2123] = 0x3002; __mg_gbunicode_map[0x2124] = 0x30FB;
__mg_gbunicode_map[0x2125] = 0x02C9; __mg_gbunicode_map[0x2126] = 0x02C7;
__mg_gbunicode_map[0x2127] = 0x00A8; __mg_gbunicode_map[0x2128] = 0x3003;
__mg_gbunicode_map[0x2129] = 0x3005; __mg_gbunicode_map[0x212A] = 0x2015;
__mg_gbunicode_map[0x212B] = 0xFF5E; __mg_gbunicode_map[0x212C] = 0x2225;
__mg_gbunicode_map[0x212D] = 0x2026; __mg_gbunicode_map[0x212E] = 0x2018;
__mg_gbunicode_map[0x212F] = 0x2019; __mg_gbunicode_map[0x2130] = 0x201C;
__mg_gbunicode_map[0x2131] = 0x201D; __mg_gbunicode_map[0x2132] = 0x3014;
__mg_gbunicode_map[0x2133] = 0x3015; __mg_gbunicode_map[0x2134] = 0x3008;
__mg_gbunicode_map[0x2135] = 0x3009; __mg_gbunicode_map[0x2136] = 0x300A;
__mg_gbunicode_map[0x2137] = 0x300B; __mg_gbunicode_map[0x2138] = 0x300C;
__mg_gbunicode_map[0x2139] = 0x300D; __mg_gbunicode_map[0x213A] = 0x300E;
__mg_gbunicode_map[0x213B] = 0x300F; __mg_gbunicode_map[0x213C] = 0x3016;
__mg_gbunicode_map[0x213D] = 0x3017; __mg_gbunicode_map[0x213E] = 0x3010;
__mg_gbunicode_map[0x213F] = 0x3011; __mg_gbunicode_map[0x2140] = 0x00B1;
__mg_gbunicode_map[0x2141] = 0x00D7; __mg_gbunicode_map[0x2142] = 0x00F7;
__mg_gbunicode_map[0x2143] = 0x2236; __mg_gbunicode_map[0x2144] = 0x2227;
__mg_gbunicode_map[0x2145] = 0x2228; __mg_gbunicode_map[0x2146] = 0x2211;
__mg_gbunicode_map[0x2147] = 0x220F; __mg_gbunicode_map[0x2148] = 0x222A;
__mg_gbunicode_map[0x2149] = 0x2229; __mg_gbunicode_map[0x214A] = 0x2208;
__mg_gbunicode_map[0x214B] = 0x2237; __mg_gbunicode_map[0x214C] = 0x221A;
__mg_gbunicode_map[0x214D] = 0x22A5; __mg_gbunicode_map[0x214E] = 0x2225;
__mg_gbunicode_map[0x214F] = 0x2220; __mg_gbunicode_map[0x2150] = 0x2312;
__mg_gbunicode_map[0x2151] = 0x2299; __mg_gbunicode_map[0x2152] = 0x222B;
__mg_gbunicode_map[0x2153] = 0x222E; __mg_gbunicode_map[0x2154] = 0x2261;
__mg_gbunicode_map[0x2155] = 0x224C; __mg_gbunicode_map[0x2156] = 0x2248;
__mg_gbunicode_map[0x2157] = 0x223D; __mg_gbunicode_map[0x2158] = 0x221D;
__mg_gbunicode_map[0x2159] = 0x2260; __mg_gbunicode_map[0x215A] = 0x226E;
__mg_gbunicode_map[0x215B] = 0x226F; __mg_gbunicode_map[0x215C] = 0x2264;
__mg_gbunicode_map[0x215D] = 0x2265; __mg_gbunicode_map[0x215E] = 0x221E;
__mg_gbunicode_map[0x215F] = 0x2235; __mg_gbunicode_map[0x2160] = 0x2234;
__mg_gbunicode_map[0x2161] = 0x2642; __mg_gbunicode_map[0x2162] = 0x2640;
__mg_gbunicode_map[0x2163] = 0x00B0; __mg_gbunicode_map[0x2164] = 0x2032;
__mg_gbunicode_map[0x2165] = 0x2033; __mg_gbunicode_map[0x2166] = 0x2103;
__mg_gbunicode_map[0x2167] = 0xFF04; __mg_gbunicode_map[0x2168] = 0x00A4;
__mg_gbunicode_map[0x2169] = 0xFFE0; __mg_gbunicode_map[0x216A] = 0xFFE1;
__mg_gbunicode_map[0x216B] = 0x2030; __mg_gbunicode_map[0x216C] = 0x00A7;
__mg_gbunicode_map[0x216D] = 0x2116; __mg_gbunicode_map[0x216E] = 0x2606;
__mg_gbunicode_map[0x216F] = 0x2605; __mg_gbunicode_map[0x2170] = 0x25CB;
__mg_gbunicode_map[0x2171] = 0x25CF; __mg_gbunicode_map[0x2172] = 0x25CE;
__mg_gbunicode_map[0x2173] = 0x25C7; __mg_gbunicode_map[0x2174] = 0x25C6;
__mg_gbunicode_map[0x2175] = 0x25A1; __mg_gbunicode_map[0x2176] = 0x25A0;
__mg_gbunicode_map[0x2177] = 0x25B3; __mg_gbunicode_map[0x2178] = 0x25B2;
__mg_gbunicode_map[0x2179] = 0x203B; __mg_gbunicode_map[0x217A] = 0x2192;
__mg_gbunicode_map[0x217B] = 0x2190; __mg_gbunicode_map[0x217C] = 0x2191;
__mg_gbunicode_map[0x217D] = 0x2193; __mg_gbunicode_map[0x217E] = 0x3013;
__mg_gbunicode_map[0x2231] = 0x2488; __mg_gbunicode_map[0x2232] = 0x2489;
__mg_gbunicode_map[0x2233] = 0x248A; __mg_gbunicode_map[0x2234] = 0x248B;
__mg_gbunicode_map[0x2235] = 0x248C; __mg_gbunicode_map[0x2236] = 0x248D;
__mg_gbunicode_map[0x2237] = 0x248E; __mg_gbunicode_map[0x2238] = 0x248F;
__mg_gbunicode_map[0x2239] = 0x2490; __mg_gbunicode_map[0x223A] = 0x2491;
__mg_gbunicode_map[0x223B] = 0x2492; __mg_gbunicode_map[0x223C] = 0x2493;
__mg_gbunicode_map[0x223D] = 0x2494; __mg_gbunicode_map[0x223E] = 0x2495;
__mg_gbunicode_map[0x223F] = 0x2496; __mg_gbunicode_map[0x2240] = 0x2497;
__mg_gbunicode_map[0x2241] = 0x2498; __mg_gbunicode_map[0x2242] = 0x2499;
__mg_gbunicode_map[0x2243] = 0x249A; __mg_gbunicode_map[0x2244] = 0x249B;
__mg_gbunicode_map[0x2245] = 0x2474; __mg_gbunicode_map[0x2246] = 0x2475;
__mg_gbunicode_map[0x2247] = 0x2476; __mg_gbunicode_map[0x2248] = 0x2477;
__mg_gbunicode_map[0x2249] = 0x2478; __mg_gbunicode_map[0x224A] = 0x2479;
__mg_gbunicode_map[0x224B] = 0x247A; __mg_gbunicode_map[0x224C] = 0x247B;
__mg_gbunicode_map[0x224D] = 0x247C; __mg_gbunicode_map[0x224E] = 0x247D;
__mg_gbunicode_map[0x224F] = 0x247E; __mg_gbunicode_map[0x2250] = 0x247F;
__mg_gbunicode_map[0x2251] = 0x2480; __mg_gbunicode_map[0x2252] = 0x2481;
__mg_gbunicode_map[0x2253] = 0x2482; __mg_gbunicode_map[0x2254] = 0x2483;
__mg_gbunicode_map[0x2255] = 0x2484; __mg_gbunicode_map[0x2256] = 0x2485;
__mg_gbunicode_map[0x2257] = 0x2486; __mg_gbunicode_map[0x2258] = 0x2487;
__mg_gbunicode_map[0x2259] = 0x2460; __mg_gbunicode_map[0x225A] = 0x2461;
__mg_gbunicode_map[0x225B] = 0x2462; __mg_gbunicode_map[0x225C] = 0x2463;
__mg_gbunicode_map[0x225D] = 0x2464; __mg_gbunicode_map[0x225E] = 0x2465;
__mg_gbunicode_map[0x225F] = 0x2466; __mg_gbunicode_map[0x2260] = 0x2467;
__mg_gbunicode_map[0x2261] = 0x2468; __mg_gbunicode_map[0x2262] = 0x2469;
__mg_gbunicode_map[0x2265] = 0x3220; __mg_gbunicode_map[0x2266] = 0x3221;
__mg_gbunicode_map[0x2267] = 0x3222; __mg_gbunicode_map[0x2268] = 0x3223;
__mg_gbunicode_map[0x2269] = 0x3224; __mg_gbunicode_map[0x226A] = 0x3225;
__mg_gbunicode_map[0x226B] = 0x3226; __mg_gbunicode_map[0x226C] = 0x3227;
__mg_gbunicode_map[0x226D] = 0x3228; __mg_gbunicode_map[0x226E] = 0x3229;
__mg_gbunicode_map[0x2271] = 0x2160; __mg_gbunicode_map[0x2272] = 0x2161;
__mg_gbunicode_map[0x2273] = 0x2162; __mg_gbunicode_map[0x2274] = 0x2163;
__mg_gbunicode_map[0x2275] = 0x2164; __mg_gbunicode_map[0x2276] = 0x2165;
__mg_gbunicode_map[0x2277] = 0x2166; __mg_gbunicode_map[0x2278] = 0x2167;
__mg_gbunicode_map[0x2279] = 0x2168; __mg_gbunicode_map[0x227A] = 0x2169;
__mg_gbunicode_map[0x227B] = 0x216A; __mg_gbunicode_map[0x227C] = 0x216B;
__mg_gbunicode_map[0x2321] = 0xFF01; __mg_gbunicode_map[0x2322] = 0xFF02;
__mg_gbunicode_map[0x2323] = 0xFF03; __mg_gbunicode_map[0x2324] = 0xFFE5;
__mg_gbunicode_map[0x2325] = 0xFF05; __mg_gbunicode_map[0x2326] = 0xFF06;
__mg_gbunicode_map[0x2327] = 0xFF07; __mg_gbunicode_map[0x2328] = 0xFF08;
__mg_gbunicode_map[0x2329] = 0xFF09; __mg_gbunicode_map[0x232A] = 0xFF0A;
__mg_gbunicode_map[0x232B] = 0xFF0B; __mg_gbunicode_map[0x232C] = 0xFF0C;
__mg_gbunicode_map[0x232D] = 0xFF0D; __mg_gbunicode_map[0x232E] = 0xFF0E;
__mg_gbunicode_map[0x232F] = 0xFF0F; __mg_gbunicode_map[0x2330] = 0xFF10;
__mg_gbunicode_map[0x2331] = 0xFF11; __mg_gbunicode_map[0x2332] = 0xFF12;
__mg_gbunicode_map[0x2333] = 0xFF13; __mg_gbunicode_map[0x2334] = 0xFF14;
__mg_gbunicode_map[0x2335] = 0xFF15; __mg_gbunicode_map[0x2336] = 0xFF16;
__mg_gbunicode_map[0x2337] = 0xFF17; __mg_gbunicode_map[0x2338] = 0xFF18;
__mg_gbunicode_map[0x2339] = 0xFF19; __mg_gbunicode_map[0x233A] = 0xFF1A;
__mg_gbunicode_map[0x233B] = 0xFF1B; __mg_gbunicode_map[0x233C] = 0xFF1C;
__mg_gbunicode_map[0x233D] = 0xFF1D; __mg_gbunicode_map[0x233E] = 0xFF1E;
__mg_gbunicode_map[0x233F] = 0xFF1F; __mg_gbunicode_map[0x2340] = 0xFF20;
__mg_gbunicode_map[0x2341] = 0xFF21; __mg_gbunicode_map[0x2342] = 0xFF22;
__mg_gbunicode_map[0x2343] = 0xFF23; __mg_gbunicode_map[0x2344] = 0xFF24;
__mg_gbunicode_map[0x2345] = 0xFF25; __mg_gbunicode_map[0x2346] = 0xFF26;
__mg_gbunicode_map[0x2347] = 0xFF27; __mg_gbunicode_map[0x2348] = 0xFF28;
__mg_gbunicode_map[0x2349] = 0xFF29; __mg_gbunicode_map[0x234A] = 0xFF2A;
__mg_gbunicode_map[0x234B] = 0xFF2B; __mg_gbunicode_map[0x234C] = 0xFF2C;
__mg_gbunicode_map[0x234D] = 0xFF2D; __mg_gbunicode_map[0x234E] = 0xFF2E;
__mg_gbunicode_map[0x234F] = 0xFF2F; __mg_gbunicode_map[0x2350] = 0xFF30;
__mg_gbunicode_map[0x2351] = 0xFF31; __mg_gbunicode_map[0x2352] = 0xFF32;
__mg_gbunicode_map[0x2353] = 0xFF33; __mg_gbunicode_map[0x2354] = 0xFF34;
__mg_gbunicode_map[0x2355] = 0xFF35; __mg_gbunicode_map[0x2356] = 0xFF36;
__mg_gbunicode_map[0x2357] = 0xFF37; __mg_gbunicode_map[0x2358] = 0xFF38;
__mg_gbunicode_map[0x2359] = 0xFF39; __mg_gbunicode_map[0x235A] = 0xFF3A;
__mg_gbunicode_map[0x235B] = 0xFF3B; __mg_gbunicode_map[0x235C] = 0xFF3C;
__mg_gbunicode_map[0x235D] = 0xFF3D; __mg_gbunicode_map[0x235E] = 0xFF3E;
__mg_gbunicode_map[0x235F] = 0xFF3F; __mg_gbunicode_map[0x2360] = 0xFF40;
__mg_gbunicode_map[0x2361] = 0xFF41; __mg_gbunicode_map[0x2362] = 0xFF42;
__mg_gbunicode_map[0x2363] = 0xFF43; __mg_gbunicode_map[0x2364] = 0xFF44;
__mg_gbunicode_map[0x2365] = 0xFF45; __mg_gbunicode_map[0x2366] = 0xFF46;
__mg_gbunicode_map[0x2367] = 0xFF47; __mg_gbunicode_map[0x2368] = 0xFF48;
__mg_gbunicode_map[0x2369] = 0xFF49; __mg_gbunicode_map[0x236A] = 0xFF4A;
__mg_gbunicode_map[0x236B] = 0xFF4B; __mg_gbunicode_map[0x236C] = 0xFF4C;
__mg_gbunicode_map[0x236D] = 0xFF4D; __mg_gbunicode_map[0x236E] = 0xFF4E;
__mg_gbunicode_map[0x236F] = 0xFF4F; __mg_gbunicode_map[0x2370] = 0xFF50;
__mg_gbunicode_map[0x2371] = 0xFF51; __mg_gbunicode_map[0x2372] = 0xFF52;
__mg_gbunicode_map[0x2373] = 0xFF53; __mg_gbunicode_map[0x2374] = 0xFF54;
__mg_gbunicode_map[0x2375] = 0xFF55; __mg_gbunicode_map[0x2376] = 0xFF56;
__mg_gbunicode_map[0x2377] = 0xFF57; __mg_gbunicode_map[0x2378] = 0xFF58;
__mg_gbunicode_map[0x2379] = 0xFF59; __mg_gbunicode_map[0x237A] = 0xFF5A;
__mg_gbunicode_map[0x237B] = 0xFF5B; __mg_gbunicode_map[0x237C] = 0xFF5C;
__mg_gbunicode_map[0x237D] = 0xFF5D; __mg_gbunicode_map[0x237E] = 0xFFE3;
__mg_gbunicode_map[0x2421] = 0x3041; __mg_gbunicode_map[0x2422] = 0x3042;
__mg_gbunicode_map[0x2423] = 0x3043; __mg_gbunicode_map[0x2424] = 0x3044;
__mg_gbunicode_map[0x2425] = 0x3045; __mg_gbunicode_map[0x2426] = 0x3046;
__mg_gbunicode_map[0x2427] = 0x3047; __mg_gbunicode_map[0x2428] = 0x3048;
__mg_gbunicode_map[0x2429] = 0x3049; __mg_gbunicode_map[0x242A] = 0x304A;
__mg_gbunicode_map[0x242B] = 0x304B; __mg_gbunicode_map[0x242C] = 0x304C;
__mg_gbunicode_map[0x242D] = 0x304D; __mg_gbunicode_map[0x242E] = 0x304E;
__mg_gbunicode_map[0x242F] = 0x304F; __mg_gbunicode_map[0x2430] = 0x3050;
__mg_gbunicode_map[0x2431] = 0x3051; __mg_gbunicode_map[0x2432] = 0x3052;
__mg_gbunicode_map[0x2433] = 0x3053; __mg_gbunicode_map[0x2434] = 0x3054;
__mg_gbunicode_map[0x2435] = 0x3055; __mg_gbunicode_map[0x2436] = 0x3056;
__mg_gbunicode_map[0x2437] = 0x3057; __mg_gbunicode_map[0x2438] = 0x3058;
__mg_gbunicode_map[0x2439] = 0x3059; __mg_gbunicode_map[0x243A] = 0x305A;
__mg_gbunicode_map[0x243B] = 0x305B; __mg_gbunicode_map[0x243C] = 0x305C;
__mg_gbunicode_map[0x243D] = 0x305D; __mg_gbunicode_map[0x243E] = 0x305E;
__mg_gbunicode_map[0x243F] = 0x305F; __mg_gbunicode_map[0x2440] = 0x3060;
__mg_gbunicode_map[0x2441] = 0x3061; __mg_gbunicode_map[0x2442] = 0x3062;
__mg_gbunicode_map[0x2443] = 0x3063; __mg_gbunicode_map[0x2444] = 0x3064;
__mg_gbunicode_map[0x2445] = 0x3065; __mg_gbunicode_map[0x2446] = 0x3066;
__mg_gbunicode_map[0x2447] = 0x3067; __mg_gbunicode_map[0x2448] = 0x3068;
__mg_gbunicode_map[0x2449] = 0x3069; __mg_gbunicode_map[0x244A] = 0x306A;
__mg_gbunicode_map[0x244B] = 0x306B; __mg_gbunicode_map[0x244C] = 0x306C;
__mg_gbunicode_map[0x244D] = 0x306D; __mg_gbunicode_map[0x244E] = 0x306E;
__mg_gbunicode_map[0x244F] = 0x306F; __mg_gbunicode_map[0x2450] = 0x3070;
__mg_gbunicode_map[0x2451] = 0x3071; __mg_gbunicode_map[0x2452] = 0x3072;
__mg_gbunicode_map[0x2453] = 0x3073; __mg_gbunicode_map[0x2454] = 0x3074;
__mg_gbunicode_map[0x2455] = 0x3075; __mg_gbunicode_map[0x2456] = 0x3076;
__mg_gbunicode_map[0x2457] = 0x3077; __mg_gbunicode_map[0x2458] = 0x3078;
__mg_gbunicode_map[0x2459] = 0x3079; __mg_gbunicode_map[0x245A] = 0x307A;
__mg_gbunicode_map[0x245B] = 0x307B; __mg_gbunicode_map[0x245C] = 0x307C;
__mg_gbunicode_map[0x245D] = 0x307D; __mg_gbunicode_map[0x245E] = 0x307E;
__mg_gbunicode_map[0x245F] = 0x307F; __mg_gbunicode_map[0x2460] = 0x3080;
__mg_gbunicode_map[0x2461] = 0x3081; __mg_gbunicode_map[0x2462] = 0x3082;
__mg_gbunicode_map[0x2463] = 0x3083; __mg_gbunicode_map[0x2464] = 0x3084;
__mg_gbunicode_map[0x2465] = 0x3085; __mg_gbunicode_map[0x2466] = 0x3086;
__mg_gbunicode_map[0x2467] = 0x3087; __mg_gbunicode_map[0x2468] = 0x3088;
__mg_gbunicode_map[0x2469] = 0x3089; __mg_gbunicode_map[0x246A] = 0x308A;
__mg_gbunicode_map[0x246B] = 0x308B; __mg_gbunicode_map[0x246C] = 0x308C;
__mg_gbunicode_map[0x246D] = 0x308D; __mg_gbunicode_map[0x246E] = 0x308E;
__mg_gbunicode_map[0x246F] = 0x308F; __mg_gbunicode_map[0x2470] = 0x3090;
__mg_gbunicode_map[0x2471] = 0x3091; __mg_gbunicode_map[0x2472] = 0x3092;
__mg_gbunicode_map[0x2473] = 0x3093; __mg_gbunicode_map[0x2521] = 0x30A1;
__mg_gbunicode_map[0x2522] = 0x30A2; __mg_gbunicode_map[0x2523] = 0x30A3;
__mg_gbunicode_map[0x2524] = 0x30A4; __mg_gbunicode_map[0x2525] = 0x30A5;
__mg_gbunicode_map[0x2526] = 0x30A6; __mg_gbunicode_map[0x2527] = 0x30A7;
__mg_gbunicode_map[0x2528] = 0x30A8; __mg_gbunicode_map[0x2529] = 0x30A9;
__mg_gbunicode_map[0x252A] = 0x30AA; __mg_gbunicode_map[0x252B] = 0x30AB;
__mg_gbunicode_map[0x252C] = 0x30AC; __mg_gbunicode_map[0x252D] = 0x30AD;
__mg_gbunicode_map[0x252E] = 0x30AE; __mg_gbunicode_map[0x252F] = 0x30AF;
__mg_gbunicode_map[0x2530] = 0x30B0; __mg_gbunicode_map[0x2531] = 0x30B1;
__mg_gbunicode_map[0x2532] = 0x30B2; __mg_gbunicode_map[0x2533] = 0x30B3;
__mg_gbunicode_map[0x2534] = 0x30B4; __mg_gbunicode_map[0x2535] = 0x30B5;
__mg_gbunicode_map[0x2536] = 0x30B6; __mg_gbunicode_map[0x2537] = 0x30B7;
__mg_gbunicode_map[0x2538] = 0x30B8; __mg_gbunicode_map[0x2539] = 0x30B9;
__mg_gbunicode_map[0x253A] = 0x30BA; __mg_gbunicode_map[0x253B] = 0x30BB;
__mg_gbunicode_map[0x253C] = 0x30BC; __mg_gbunicode_map[0x253D] = 0x30BD;
__mg_gbunicode_map[0x253E] = 0x30BE; __mg_gbunicode_map[0x253F] = 0x30BF;
__mg_gbunicode_map[0x2540] = 0x30C0; __mg_gbunicode_map[0x2541] = 0x30C1;
__mg_gbunicode_map[0x2542] = 0x30C2; __mg_gbunicode_map[0x2543] = 0x30C3;
__mg_gbunicode_map[0x2544] = 0x30C4; __mg_gbunicode_map[0x2545] = 0x30C5;
__mg_gbunicode_map[0x2546] = 0x30C6; __mg_gbunicode_map[0x2547] = 0x30C7;
__mg_gbunicode_map[0x2548] = 0x30C8; __mg_gbunicode_map[0x2549] = 0x30C9;
__mg_gbunicode_map[0x254A] = 0x30CA; __mg_gbunicode_map[0x254B] = 0x30CB;
__mg_gbunicode_map[0x254C] = 0x30CC; __mg_gbunicode_map[0x254D] = 0x30CD;
__mg_gbunicode_map[0x254E] = 0x30CE; __mg_gbunicode_map[0x254F] = 0x30CF;
__mg_gbunicode_map[0x2550] = 0x30D0; __mg_gbunicode_map[0x2551] = 0x30D1;
__mg_gbunicode_map[0x2552] = 0x30D2; __mg_gbunicode_map[0x2553] = 0x30D3;
__mg_gbunicode_map[0x2554] = 0x30D4; __mg_gbunicode_map[0x2555] = 0x30D5;
__mg_gbunicode_map[0x2556] = 0x30D6; __mg_gbunicode_map[0x2557] = 0x30D7;
__mg_gbunicode_map[0x2558] = 0x30D8; __mg_gbunicode_map[0x2559] = 0x30D9;
__mg_gbunicode_map[0x255A] = 0x30DA; __mg_gbunicode_map[0x255B] = 0x30DB;
__mg_gbunicode_map[0x255C] = 0x30DC; __mg_gbunicode_map[0x255D] = 0x30DD;
__mg_gbunicode_map[0x255E] = 0x30DE; __mg_gbunicode_map[0x255F] = 0x30DF;
__mg_gbunicode_map[0x2560] = 0x30E0; __mg_gbunicode_map[0x2561] = 0x30E1;
__mg_gbunicode_map[0x2562] = 0x30E2; __mg_gbunicode_map[0x2563] = 0x30E3;
__mg_gbunicode_map[0x2564] = 0x30E4; __mg_gbunicode_map[0x2565] = 0x30E5;
__mg_gbunicode_map[0x2566] = 0x30E6; __mg_gbunicode_map[0x2567] = 0x30E7;
__mg_gbunicode_map[0x2568] = 0x30E8; __mg_gbunicode_map[0x2569] = 0x30E9;
__mg_gbunicode_map[0x256A] = 0x30EA; __mg_gbunicode_map[0x256B] = 0x30EB;
__mg_gbunicode_map[0x256C] = 0x30EC; __mg_gbunicode_map[0x256D] = 0x30ED;
__mg_gbunicode_map[0x256E] = 0x30EE; __mg_gbunicode_map[0x256F] = 0x30EF;
__mg_gbunicode_map[0x2570] = 0x30F0; __mg_gbunicode_map[0x2571] = 0x30F1;
__mg_gbunicode_map[0x2572] = 0x30F2; __mg_gbunicode_map[0x2573] = 0x30F3;
__mg_gbunicode_map[0x2574] = 0x30F4; __mg_gbunicode_map[0x2575] = 0x30F5;
__mg_gbunicode_map[0x2576] = 0x30F6; __mg_gbunicode_map[0x2621] = 0x0391;
__mg_gbunicode_map[0x2622] = 0x0392; __mg_gbunicode_map[0x2623] = 0x0393;
__mg_gbunicode_map[0x2624] = 0x0394; __mg_gbunicode_map[0x2625] = 0x0395;
__mg_gbunicode_map[0x2626] = 0x0396; __mg_gbunicode_map[0x2627] = 0x0397;
__mg_gbunicode_map[0x2628] = 0x0398; __mg_gbunicode_map[0x2629] = 0x0399;
__mg_gbunicode_map[0x262A] = 0x039A; __mg_gbunicode_map[0x262B] = 0x039B;
__mg_gbunicode_map[0x262C] = 0x039C; __mg_gbunicode_map[0x262D] = 0x039D;
__mg_gbunicode_map[0x262E] = 0x039E; __mg_gbunicode_map[0x262F] = 0x039F;
__mg_gbunicode_map[0x2630] = 0x03A0; __mg_gbunicode_map[0x2631] = 0x03A1;
__mg_gbunicode_map[0x2632] = 0x03A3; __mg_gbunicode_map[0x2633] = 0x03A4;
__mg_gbunicode_map[0x2634] = 0x03A5; __mg_gbunicode_map[0x2635] = 0x03A6;
__mg_gbunicode_map[0x2636] = 0x03A7; __mg_gbunicode_map[0x2637] = 0x03A8;
__mg_gbunicode_map[0x2638] = 0x03A9; __mg_gbunicode_map[0x2641] = 0x03B1;
__mg_gbunicode_map[0x2642] = 0x03B2; __mg_gbunicode_map[0x2643] = 0x03B3;
__mg_gbunicode_map[0x2644] = 0x03B4; __mg_gbunicode_map[0x2645] = 0x03B5;
__mg_gbunicode_map[0x2646] = 0x03B6; __mg_gbunicode_map[0x2647] = 0x03B7;
__mg_gbunicode_map[0x2648] = 0x03B8; __mg_gbunicode_map[0x2649] = 0x03B9;
__mg_gbunicode_map[0x264A] = 0x03BA; __mg_gbunicode_map[0x264B] = 0x03BB;
__mg_gbunicode_map[0x264C] = 0x03BC; __mg_gbunicode_map[0x264D] = 0x03BD;
__mg_gbunicode_map[0x264E] = 0x03BE; __mg_gbunicode_map[0x264F] = 0x03BF;
__mg_gbunicode_map[0x2650] = 0x03C0; __mg_gbunicode_map[0x2651] = 0x03C1;
__mg_gbunicode_map[0x2652] = 0x03C3; __mg_gbunicode_map[0x2653] = 0x03C4;
__mg_gbunicode_map[0x2654] = 0x03C5; __mg_gbunicode_map[0x2655] = 0x03C6;
__mg_gbunicode_map[0x2656] = 0x03C7; __mg_gbunicode_map[0x2657] = 0x03C8;
__mg_gbunicode_map[0x2658] = 0x03C9; __mg_gbunicode_map[0x2721] = 0x0410;
__mg_gbunicode_map[0x2722] = 0x0411; __mg_gbunicode_map[0x2723] = 0x0412;
__mg_gbunicode_map[0x2724] = 0x0413; __mg_gbunicode_map[0x2725] = 0x0414;
__mg_gbunicode_map[0x2726] = 0x0415; __mg_gbunicode_map[0x2727] = 0x0401;
__mg_gbunicode_map[0x2728] = 0x0416; __mg_gbunicode_map[0x2729] = 0x0417;
__mg_gbunicode_map[0x272A] = 0x0418; __mg_gbunicode_map[0x272B] = 0x0419;
__mg_gbunicode_map[0x272C] = 0x041A; __mg_gbunicode_map[0x272D] = 0x041B;
__mg_gbunicode_map[0x272E] = 0x041C; __mg_gbunicode_map[0x272F] = 0x041D;
__mg_gbunicode_map[0x2730] = 0x041E; __mg_gbunicode_map[0x2731] = 0x041F;
__mg_gbunicode_map[0x2732] = 0x0420; __mg_gbunicode_map[0x2733] = 0x0421;
__mg_gbunicode_map[0x2734] = 0x0422; __mg_gbunicode_map[0x2735] = 0x0423;
__mg_gbunicode_map[0x2736] = 0x0424; __mg_gbunicode_map[0x2737] = 0x0425;
__mg_gbunicode_map[0x2738] = 0x0426; __mg_gbunicode_map[0x2739] = 0x0427;
__mg_gbunicode_map[0x273A] = 0x0428; __mg_gbunicode_map[0x273B] = 0x0429;
__mg_gbunicode_map[0x273C] = 0x042A; __mg_gbunicode_map[0x273D] = 0x042B;
__mg_gbunicode_map[0x273E] = 0x042C; __mg_gbunicode_map[0x273F] = 0x042D;
__mg_gbunicode_map[0x2740] = 0x042E; __mg_gbunicode_map[0x2741] = 0x042F;
__mg_gbunicode_map[0x2751] = 0x0430; __mg_gbunicode_map[0x2752] = 0x0431;
__mg_gbunicode_map[0x2753] = 0x0432; __mg_gbunicode_map[0x2754] = 0x0433;
__mg_gbunicode_map[0x2755] = 0x0434; __mg_gbunicode_map[0x2756] = 0x0435;
__mg_gbunicode_map[0x2757] = 0x0451; __mg_gbunicode_map[0x2758] = 0x0436;
__mg_gbunicode_map[0x2759] = 0x0437; __mg_gbunicode_map[0x275A] = 0x0438;
__mg_gbunicode_map[0x275B] = 0x0439; __mg_gbunicode_map[0x275C] = 0x043A;
__mg_gbunicode_map[0x275D] = 0x043B; __mg_gbunicode_map[0x275E] = 0x043C;
__mg_gbunicode_map[0x275F] = 0x043D; __mg_gbunicode_map[0x2760] = 0x043E;
__mg_gbunicode_map[0x2761] = 0x043F; __mg_gbunicode_map[0x2762] = 0x0440;
__mg_gbunicode_map[0x2763] = 0x0441; __mg_gbunicode_map[0x2764] = 0x0442;
__mg_gbunicode_map[0x2765] = 0x0443; __mg_gbunicode_map[0x2766] = 0x0444;
__mg_gbunicode_map[0x2767] = 0x0445; __mg_gbunicode_map[0x2768] = 0x0446;
__mg_gbunicode_map[0x2769] = 0x0447; __mg_gbunicode_map[0x276A] = 0x0448;
__mg_gbunicode_map[0x276B] = 0x0449; __mg_gbunicode_map[0x276C] = 0x044A;
__mg_gbunicode_map[0x276D] = 0x044B; __mg_gbunicode_map[0x276E] = 0x044C;
__mg_gbunicode_map[0x276F] = 0x044D; __mg_gbunicode_map[0x2770] = 0x044E;
__mg_gbunicode_map[0x2771] = 0x044F; __mg_gbunicode_map[0x2821] = 0x0101;
__mg_gbunicode_map[0x2822] = 0x00E1; __mg_gbunicode_map[0x2823] = 0x01CE;
__mg_gbunicode_map[0x2824] = 0x00E0; __mg_gbunicode_map[0x2825] = 0x0113;
__mg_gbunicode_map[0x2826] = 0x00E9; __mg_gbunicode_map[0x2827] = 0x011B;
__mg_gbunicode_map[0x2828] = 0x00E8; __mg_gbunicode_map[0x2829] = 0x012B;
__mg_gbunicode_map[0x282A] = 0x00ED; __mg_gbunicode_map[0x282B] = 0x01D0;
__mg_gbunicode_map[0x282C] = 0x00EC; __mg_gbunicode_map[0x282D] = 0x014D;
__mg_gbunicode_map[0x282E] = 0x00F3; __mg_gbunicode_map[0x282F] = 0x01D2;
__mg_gbunicode_map[0x2830] = 0x00F2; __mg_gbunicode_map[0x2831] = 0x016B;
__mg_gbunicode_map[0x2832] = 0x00FA; __mg_gbunicode_map[0x2833] = 0x01D4;
__mg_gbunicode_map[0x2834] = 0x00F9; __mg_gbunicode_map[0x2835] = 0x01D6;
__mg_gbunicode_map[0x2836] = 0x01D8; __mg_gbunicode_map[0x2837] = 0x01DA;
__mg_gbunicode_map[0x2838] = 0x01DC; __mg_gbunicode_map[0x2839] = 0x00FC;
__mg_gbunicode_map[0x283A] = 0x00EA; __mg_gbunicode_map[0x2845] = 0x3105;
__mg_gbunicode_map[0x2846] = 0x3106; __mg_gbunicode_map[0x2847] = 0x3107;
__mg_gbunicode_map[0x2848] = 0x3108; __mg_gbunicode_map[0x2849] = 0x3109;
__mg_gbunicode_map[0x284A] = 0x310A; __mg_gbunicode_map[0x284B] = 0x310B;
__mg_gbunicode_map[0x284C] = 0x310C; __mg_gbunicode_map[0x284D] = 0x310D;
__mg_gbunicode_map[0x284E] = 0x310E; __mg_gbunicode_map[0x284F] = 0x310F;
__mg_gbunicode_map[0x2850] = 0x3110; __mg_gbunicode_map[0x2851] = 0x3111;
__mg_gbunicode_map[0x2852] = 0x3112; __mg_gbunicode_map[0x2853] = 0x3113;
__mg_gbunicode_map[0x2854] = 0x3114; __mg_gbunicode_map[0x2855] = 0x3115;
__mg_gbunicode_map[0x2856] = 0x3116; __mg_gbunicode_map[0x2857] = 0x3117;
__mg_gbunicode_map[0x2858] = 0x3118; __mg_gbunicode_map[0x2859] = 0x3119;
__mg_gbunicode_map[0x285A] = 0x311A; __mg_gbunicode_map[0x285B] = 0x311B;
__mg_gbunicode_map[0x285C] = 0x311C; __mg_gbunicode_map[0x285D] = 0x311D;
__mg_gbunicode_map[0x285E] = 0x311E; __mg_gbunicode_map[0x285F] = 0x311F;
__mg_gbunicode_map[0x2860] = 0x3120; __mg_gbunicode_map[0x2861] = 0x3121;
__mg_gbunicode_map[0x2862] = 0x3122; __mg_gbunicode_map[0x2863] = 0x3123;
__mg_gbunicode_map[0x2864] = 0x3124; __mg_gbunicode_map[0x2865] = 0x3125;
__mg_gbunicode_map[0x2866] = 0x3126; __mg_gbunicode_map[0x2867] = 0x3127;
__mg_gbunicode_map[0x2868] = 0x3128; __mg_gbunicode_map[0x2869] = 0x3129;
__mg_gbunicode_map[0x2924] = 0x2500; __mg_gbunicode_map[0x2925] = 0x2501;
__mg_gbunicode_map[0x2926] = 0x2502; __mg_gbunicode_map[0x2927] = 0x2503;
__mg_gbunicode_map[0x2928] = 0x2504; __mg_gbunicode_map[0x2929] = 0x2505;
__mg_gbunicode_map[0x292A] = 0x2506; __mg_gbunicode_map[0x292B] = 0x2507;
__mg_gbunicode_map[0x292C] = 0x2508; __mg_gbunicode_map[0x292D] = 0x2509;
__mg_gbunicode_map[0x292E] = 0x250A; __mg_gbunicode_map[0x292F] = 0x250B;
__mg_gbunicode_map[0x2930] = 0x250C; __mg_gbunicode_map[0x2931] = 0x250D;
__mg_gbunicode_map[0x2932] = 0x250E; __mg_gbunicode_map[0x2933] = 0x250F;
__mg_gbunicode_map[0x2934] = 0x2510; __mg_gbunicode_map[0x2935] = 0x2511;
__mg_gbunicode_map[0x2936] = 0x2512; __mg_gbunicode_map[0x2937] = 0x2513;
__mg_gbunicode_map[0x2938] = 0x2514; __mg_gbunicode_map[0x2939] = 0x2515;
__mg_gbunicode_map[0x293A] = 0x2516; __mg_gbunicode_map[0x293B] = 0x2517;
__mg_gbunicode_map[0x293C] = 0x2518; __mg_gbunicode_map[0x293D] = 0x2519;
__mg_gbunicode_map[0x293E] = 0x251A; __mg_gbunicode_map[0x293F] = 0x251B;
__mg_gbunicode_map[0x2940] = 0x251C; __mg_gbunicode_map[0x2941] = 0x251D;
__mg_gbunicode_map[0x2942] = 0x251E; __mg_gbunicode_map[0x2943] = 0x251F;
__mg_gbunicode_map[0x2944] = 0x2520; __mg_gbunicode_map[0x2945] = 0x2521;
__mg_gbunicode_map[0x2946] = 0x2522; __mg_gbunicode_map[0x2947] = 0x2523;
__mg_gbunicode_map[0x2948] = 0x2524; __mg_gbunicode_map[0x2949] = 0x2525;
__mg_gbunicode_map[0x294A] = 0x2526; __mg_gbunicode_map[0x294B] = 0x2527;
__mg_gbunicode_map[0x294C] = 0x2528; __mg_gbunicode_map[0x294D] = 0x2529;
__mg_gbunicode_map[0x294E] = 0x252A; __mg_gbunicode_map[0x294F] = 0x252B;
__mg_gbunicode_map[0x2950] = 0x252C; __mg_gbunicode_map[0x2951] = 0x252D;
__mg_gbunicode_map[0x2952] = 0x252E; __mg_gbunicode_map[0x2953] = 0x252F;
__mg_gbunicode_map[0x2954] = 0x2530; __mg_gbunicode_map[0x2955] = 0x2531;
__mg_gbunicode_map[0x2956] = 0x2532; __mg_gbunicode_map[0x2957] = 0x2533;
__mg_gbunicode_map[0x2958] = 0x2534; __mg_gbunicode_map[0x2959] = 0x2535;
__mg_gbunicode_map[0x295A] = 0x2536; __mg_gbunicode_map[0x295B] = 0x2537;
__mg_gbunicode_map[0x295C] = 0x2538; __mg_gbunicode_map[0x295D] = 0x2539;
__mg_gbunicode_map[0x295E] = 0x253A; __mg_gbunicode_map[0x295F] = 0x253B;
__mg_gbunicode_map[0x2960] = 0x253C; __mg_gbunicode_map[0x2961] = 0x253D;
__mg_gbunicode_map[0x2962] = 0x253E; __mg_gbunicode_map[0x2963] = 0x253F;
__mg_gbunicode_map[0x2964] = 0x2540; __mg_gbunicode_map[0x2965] = 0x2541;
__mg_gbunicode_map[0x2966] = 0x2542; __mg_gbunicode_map[0x2967] = 0x2543;
__mg_gbunicode_map[0x2968] = 0x2544; __mg_gbunicode_map[0x2969] = 0x2545;
__mg_gbunicode_map[0x296A] = 0x2546; __mg_gbunicode_map[0x296B] = 0x2547;
__mg_gbunicode_map[0x296C] = 0x2548; __mg_gbunicode_map[0x296D] = 0x2549;
__mg_gbunicode_map[0x296E] = 0x254A; __mg_gbunicode_map[0x296F] = 0x254B;
__mg_gbunicode_map[0x3021] = 0x554A; __mg_gbunicode_map[0x3022] = 0x963F;
__mg_gbunicode_map[0x3023] = 0x57C3; __mg_gbunicode_map[0x3024] = 0x6328;
__mg_gbunicode_map[0x3025] = 0x54CE; __mg_gbunicode_map[0x3026] = 0x5509;
__mg_gbunicode_map[0x3027] = 0x54C0; __mg_gbunicode_map[0x3028] = 0x7691;
__mg_gbunicode_map[0x3029] = 0x764C; __mg_gbunicode_map[0x302A] = 0x853C;
__mg_gbunicode_map[0x302B] = 0x77EE; __mg_gbunicode_map[0x302C] = 0x827E;
__mg_gbunicode_map[0x302D] = 0x788D; __mg_gbunicode_map[0x302E] = 0x7231;
__mg_gbunicode_map[0x302F] = 0x9698; __mg_gbunicode_map[0x3030] = 0x978D;
__mg_gbunicode_map[0x3031] = 0x6C28; __mg_gbunicode_map[0x3032] = 0x5B89;
__mg_gbunicode_map[0x3033] = 0x4FFA; __mg_gbunicode_map[0x3034] = 0x6309;
__mg_gbunicode_map[0x3035] = 0x6697; __mg_gbunicode_map[0x3036] = 0x5CB8;
__mg_gbunicode_map[0x3037] = 0x80FA; __mg_gbunicode_map[0x3038] = 0x6848;
__mg_gbunicode_map[0x3039] = 0x80AE; __mg_gbunicode_map[0x303A] = 0x6602;
__mg_gbunicode_map[0x303B] = 0x76CE; __mg_gbunicode_map[0x303C] = 0x51F9;
__mg_gbunicode_map[0x303D] = 0x6556; __mg_gbunicode_map[0x303E] = 0x71AC;
__mg_gbunicode_map[0x303F] = 0x7FF1; __mg_gbunicode_map[0x3040] = 0x8884;
__mg_gbunicode_map[0x3041] = 0x50B2; __mg_gbunicode_map[0x3042] = 0x5965;
__mg_gbunicode_map[0x3043] = 0x61CA; __mg_gbunicode_map[0x3044] = 0x6FB3;
__mg_gbunicode_map[0x3045] = 0x82AD; __mg_gbunicode_map[0x3046] = 0x634C;
__mg_gbunicode_map[0x3047] = 0x6252; __mg_gbunicode_map[0x3048] = 0x53ED;
__mg_gbunicode_map[0x3049] = 0x5427; __mg_gbunicode_map[0x304A] = 0x7B06;
__mg_gbunicode_map[0x304B] = 0x516B; __mg_gbunicode_map[0x304C] = 0x75A4;
__mg_gbunicode_map[0x304D] = 0x5DF4; __mg_gbunicode_map[0x304E] = 0x62D4;
__mg_gbunicode_map[0x304F] = 0x8DCB; __mg_gbunicode_map[0x3050] = 0x9776;
__mg_gbunicode_map[0x3051] = 0x628A; __mg_gbunicode_map[0x3052] = 0x8019;
__mg_gbunicode_map[0x3053] = 0x575D; __mg_gbunicode_map[0x3054] = 0x9738;
__mg_gbunicode_map[0x3055] = 0x7F62; __mg_gbunicode_map[0x3056] = 0x7238;
__mg_gbunicode_map[0x3057] = 0x767D; __mg_gbunicode_map[0x3058] = 0x67CF;
__mg_gbunicode_map[0x3059] = 0x767E; __mg_gbunicode_map[0x305A] = 0x6446;
__mg_gbunicode_map[0x305B] = 0x4F70; __mg_gbunicode_map[0x305C] = 0x8D25;
__mg_gbunicode_map[0x305D] = 0x62DC; __mg_gbunicode_map[0x305E] = 0x7A17;
__mg_gbunicode_map[0x305F] = 0x6591; __mg_gbunicode_map[0x3060] = 0x73ED;
__mg_gbunicode_map[0x3061] = 0x642C; __mg_gbunicode_map[0x3062] = 0x6273;
__mg_gbunicode_map[0x3063] = 0x822C; __mg_gbunicode_map[0x3064] = 0x9881;
__mg_gbunicode_map[0x3065] = 0x677F; __mg_gbunicode_map[0x3066] = 0x7248;
__mg_gbunicode_map[0x3067] = 0x626E; __mg_gbunicode_map[0x3068] = 0x62CC;
__mg_gbunicode_map[0x3069] = 0x4F34; __mg_gbunicode_map[0x306A] = 0x74E3;
__mg_gbunicode_map[0x306B] = 0x534A; __mg_gbunicode_map[0x306C] = 0x529E;
__mg_gbunicode_map[0x306D] = 0x7ECA; __mg_gbunicode_map[0x306E] = 0x90A6;
__mg_gbunicode_map[0x306F] = 0x5E2E; __mg_gbunicode_map[0x3070] = 0x6886;
__mg_gbunicode_map[0x3071] = 0x699C; __mg_gbunicode_map[0x3072] = 0x8180;
__mg_gbunicode_map[0x3073] = 0x7ED1; __mg_gbunicode_map[0x3074] = 0x68D2;
__mg_gbunicode_map[0x3075] = 0x78C5; __mg_gbunicode_map[0x3076] = 0x868C;
__mg_gbunicode_map[0x3077] = 0x9551; __mg_gbunicode_map[0x3078] = 0x508D;
__mg_gbunicode_map[0x3079] = 0x8C24; __mg_gbunicode_map[0x307A] = 0x82DE;
__mg_gbunicode_map[0x307B] = 0x80DE; __mg_gbunicode_map[0x307C] = 0x5305;
__mg_gbunicode_map[0x307D] = 0x8912; __mg_gbunicode_map[0x307E] = 0x5265;
__mg_gbunicode_map[0x3121] = 0x8584; __mg_gbunicode_map[0x3122] = 0x96F9;
__mg_gbunicode_map[0x3123] = 0x4FDD; __mg_gbunicode_map[0x3124] = 0x5821;
__mg_gbunicode_map[0x3125] = 0x9971; __mg_gbunicode_map[0x3126] = 0x5B9D;
__mg_gbunicode_map[0x3127] = 0x62B1; __mg_gbunicode_map[0x3128] = 0x62A5;
__mg_gbunicode_map[0x3129] = 0x66B4; __mg_gbunicode_map[0x312A] = 0x8C79;
__mg_gbunicode_map[0x312B] = 0x9C8D; __mg_gbunicode_map[0x312C] = 0x7206;
__mg_gbunicode_map[0x312D] = 0x676F; __mg_gbunicode_map[0x312E] = 0x7891;
__mg_gbunicode_map[0x312F] = 0x60B2; __mg_gbunicode_map[0x3130] = 0x5351;
__mg_gbunicode_map[0x3131] = 0x5317; __mg_gbunicode_map[0x3132] = 0x8F88;
__mg_gbunicode_map[0x3133] = 0x80CC; __mg_gbunicode_map[0x3134] = 0x8D1D;
__mg_gbunicode_map[0x3135] = 0x94A1; __mg_gbunicode_map[0x3136] = 0x500D;
__mg_gbunicode_map[0x3137] = 0x72C8; __mg_gbunicode_map[0x3138] = 0x5907;
__mg_gbunicode_map[0x3139] = 0x60EB; __mg_gbunicode_map[0x313A] = 0x7119;
__mg_gbunicode_map[0x313B] = 0x88AB; __mg_gbunicode_map[0x313C] = 0x5954;
__mg_gbunicode_map[0x313D] = 0x82EF; __mg_gbunicode_map[0x313E] = 0x672C;
__mg_gbunicode_map[0x313F] = 0x7B28; __mg_gbunicode_map[0x3140] = 0x5D29;
__mg_gbunicode_map[0x3141] = 0x7EF7; __mg_gbunicode_map[0x3142] = 0x752D;
__mg_gbunicode_map[0x3143] = 0x6CF5; __mg_gbunicode_map[0x3144] = 0x8E66;
__mg_gbunicode_map[0x3145] = 0x8FF8; __mg_gbunicode_map[0x3146] = 0x903C;
__mg_gbunicode_map[0x3147] = 0x9F3B; __mg_gbunicode_map[0x3148] = 0x6BD4;
__mg_gbunicode_map[0x3149] = 0x9119; __mg_gbunicode_map[0x314A] = 0x7B14;
__mg_gbunicode_map[0x314B] = 0x5F7C; __mg_gbunicode_map[0x314C] = 0x78A7;
__mg_gbunicode_map[0x314D] = 0x84D6; __mg_gbunicode_map[0x314E] = 0x853D;
__mg_gbunicode_map[0x314F] = 0x6BD5; __mg_gbunicode_map[0x3150] = 0x6BD9;
__mg_gbunicode_map[0x3151] = 0x6BD6; __mg_gbunicode_map[0x3152] = 0x5E01;
__mg_gbunicode_map[0x3153] = 0x5E87; __mg_gbunicode_map[0x3154] = 0x75F9;
__mg_gbunicode_map[0x3155] = 0x95ED; __mg_gbunicode_map[0x3156] = 0x655D;
__mg_gbunicode_map[0x3157] = 0x5F0A; __mg_gbunicode_map[0x3158] = 0x5FC5;
__mg_gbunicode_map[0x3159] = 0x8F9F; __mg_gbunicode_map[0x315A] = 0x58C1;
__mg_gbunicode_map[0x315B] = 0x81C2; __mg_gbunicode_map[0x315C] = 0x907F;
__mg_gbunicode_map[0x315D] = 0x965B; __mg_gbunicode_map[0x315E] = 0x97AD;
__mg_gbunicode_map[0x315F] = 0x8FB9; __mg_gbunicode_map[0x3160] = 0x7F16;
__mg_gbunicode_map[0x3161] = 0x8D2C; __mg_gbunicode_map[0x3162] = 0x6241;
__mg_gbunicode_map[0x3163] = 0x4FBF; __mg_gbunicode_map[0x3164] = 0x53D8;
__mg_gbunicode_map[0x3165] = 0x535E; __mg_gbunicode_map[0x3166] = 0x8FA8;
__mg_gbunicode_map[0x3167] = 0x8FA9; __mg_gbunicode_map[0x3168] = 0x8FAB;
__mg_gbunicode_map[0x3169] = 0x904D; __mg_gbunicode_map[0x316A] = 0x6807;
__mg_gbunicode_map[0x316B] = 0x5F6A; __mg_gbunicode_map[0x316C] = 0x8198;
__mg_gbunicode_map[0x316D] = 0x8868; __mg_gbunicode_map[0x316E] = 0x9CD6;
__mg_gbunicode_map[0x316F] = 0x618B; __mg_gbunicode_map[0x3170] = 0x522B;
__mg_gbunicode_map[0x3171] = 0x762A; __mg_gbunicode_map[0x3172] = 0x5F6C;
__mg_gbunicode_map[0x3173] = 0x658C; __mg_gbunicode_map[0x3174] = 0x6FD2;
__mg_gbunicode_map[0x3175] = 0x6EE8; __mg_gbunicode_map[0x3176] = 0x5BBE;
__mg_gbunicode_map[0x3177] = 0x6448; __mg_gbunicode_map[0x3178] = 0x5175;
__mg_gbunicode_map[0x3179] = 0x51B0; __mg_gbunicode_map[0x317A] = 0x67C4;
__mg_gbunicode_map[0x317B] = 0x4E19; __mg_gbunicode_map[0x317C] = 0x79C9;
__mg_gbunicode_map[0x317D] = 0x997C; __mg_gbunicode_map[0x317E] = 0x70B3;
__mg_gbunicode_map[0x3221] = 0x75C5; __mg_gbunicode_map[0x3222] = 0x5E76;
__mg_gbunicode_map[0x3223] = 0x73BB; __mg_gbunicode_map[0x3224] = 0x83E0;
__mg_gbunicode_map[0x3225] = 0x64AD; __mg_gbunicode_map[0x3226] = 0x62E8;
__mg_gbunicode_map[0x3227] = 0x94B5; __mg_gbunicode_map[0x3228] = 0x6CE2;
__mg_gbunicode_map[0x3229] = 0x535A; __mg_gbunicode_map[0x322A] = 0x52C3;
__mg_gbunicode_map[0x322B] = 0x640F; __mg_gbunicode_map[0x322C] = 0x94C2;
__mg_gbunicode_map[0x322D] = 0x7B94; __mg_gbunicode_map[0x322E] = 0x4F2F;
__mg_gbunicode_map[0x322F] = 0x5E1B; __mg_gbunicode_map[0x3230] = 0x8236;
__mg_gbunicode_map[0x3231] = 0x8116; __mg_gbunicode_map[0x3232] = 0x818A;
__mg_gbunicode_map[0x3233] = 0x6E24; __mg_gbunicode_map[0x3234] = 0x6CCA;
__mg_gbunicode_map[0x3235] = 0x9A73; __mg_gbunicode_map[0x3236] = 0x6355;
__mg_gbunicode_map[0x3237] = 0x535C; __mg_gbunicode_map[0x3238] = 0x54FA;
__mg_gbunicode_map[0x3239] = 0x8865; __mg_gbunicode_map[0x323A] = 0x57E0;
__mg_gbunicode_map[0x323B] = 0x4E0D; __mg_gbunicode_map[0x323C] = 0x5E03;
__mg_gbunicode_map[0x323D] = 0x6B65; __mg_gbunicode_map[0x323E] = 0x7C3F;
__mg_gbunicode_map[0x323F] = 0x90E8; __mg_gbunicode_map[0x3240] = 0x6016;
__mg_gbunicode_map[0x3241] = 0x64E6; __mg_gbunicode_map[0x3242] = 0x731C;
__mg_gbunicode_map[0x3243] = 0x88C1; __mg_gbunicode_map[0x3244] = 0x6750;
__mg_gbunicode_map[0x3245] = 0x624D; __mg_gbunicode_map[0x3246] = 0x8D22;
__mg_gbunicode_map[0x3247] = 0x776C; __mg_gbunicode_map[0x3248] = 0x8E29;
__mg_gbunicode_map[0x3249] = 0x91C7; __mg_gbunicode_map[0x324A] = 0x5F69;
__mg_gbunicode_map[0x324B] = 0x83DC; __mg_gbunicode_map[0x324C] = 0x8521;
__mg_gbunicode_map[0x324D] = 0x9910; __mg_gbunicode_map[0x324E] = 0x53C2;
__mg_gbunicode_map[0x324F] = 0x8695; __mg_gbunicode_map[0x3250] = 0x6B8B;
__mg_gbunicode_map[0x3251] = 0x60ED; __mg_gbunicode_map[0x3252] = 0x60E8;
__mg_gbunicode_map[0x3253] = 0x707F; __mg_gbunicode_map[0x3254] = 0x82CD;
__mg_gbunicode_map[0x3255] = 0x8231; __mg_gbunicode_map[0x3256] = 0x4ED3;
__mg_gbunicode_map[0x3257] = 0x6CA7; __mg_gbunicode_map[0x3258] = 0x85CF;
__mg_gbunicode_map[0x3259] = 0x64CD; __mg_gbunicode_map[0x325A] = 0x7CD9;
__mg_gbunicode_map[0x325B] = 0x69FD; __mg_gbunicode_map[0x325C] = 0x66F9;
__mg_gbunicode_map[0x325D] = 0x8349; __mg_gbunicode_map[0x325E] = 0x5395;
__mg_gbunicode_map[0x325F] = 0x7B56; __mg_gbunicode_map[0x3260] = 0x4FA7;
__mg_gbunicode_map[0x3261] = 0x518C; __mg_gbunicode_map[0x3262] = 0x6D4B;
__mg_gbunicode_map[0x3263] = 0x5C42; __mg_gbunicode_map[0x3264] = 0x8E6D;
__mg_gbunicode_map[0x3265] = 0x63D2; __mg_gbunicode_map[0x3266] = 0x53C9;
__mg_gbunicode_map[0x3267] = 0x832C; __mg_gbunicode_map[0x3268] = 0x8336;
__mg_gbunicode_map[0x3269] = 0x67E5; __mg_gbunicode_map[0x326A] = 0x78B4;
__mg_gbunicode_map[0x326B] = 0x643D; __mg_gbunicode_map[0x326C] = 0x5BDF;
__mg_gbunicode_map[0x326D] = 0x5C94; __mg_gbunicode_map[0x326E] = 0x5DEE;
__mg_gbunicode_map[0x326F] = 0x8BE7; __mg_gbunicode_map[0x3270] = 0x62C6;
__mg_gbunicode_map[0x3271] = 0x67F4; __mg_gbunicode_map[0x3272] = 0x8C7A;
__mg_gbunicode_map[0x3273] = 0x6400; __mg_gbunicode_map[0x3274] = 0x63BA;
__mg_gbunicode_map[0x3275] = 0x8749; __mg_gbunicode_map[0x3276] = 0x998B;
__mg_gbunicode_map[0x3277] = 0x8C17; __mg_gbunicode_map[0x3278] = 0x7F20;
__mg_gbunicode_map[0x3279] = 0x94F2; __mg_gbunicode_map[0x327A] = 0x4EA7;
__mg_gbunicode_map[0x327B] = 0x9610; __mg_gbunicode_map[0x327C] = 0x98A4;
__mg_gbunicode_map[0x327D] = 0x660C; __mg_gbunicode_map[0x327E] = 0x7316;
__mg_gbunicode_map[0x3321] = 0x573A; __mg_gbunicode_map[0x3322] = 0x5C1D;
__mg_gbunicode_map[0x3323] = 0x5E38; __mg_gbunicode_map[0x3324] = 0x957F;
__mg_gbunicode_map[0x3325] = 0x507F; __mg_gbunicode_map[0x3326] = 0x80A0;
__mg_gbunicode_map[0x3327] = 0x5382; __mg_gbunicode_map[0x3328] = 0x655E;
__mg_gbunicode_map[0x3329] = 0x7545; __mg_gbunicode_map[0x332A] = 0x5531;
__mg_gbunicode_map[0x332B] = 0x5021; __mg_gbunicode_map[0x332C] = 0x8D85;
__mg_gbunicode_map[0x332D] = 0x6284; __mg_gbunicode_map[0x332E] = 0x949E;
__mg_gbunicode_map[0x332F] = 0x671D; __mg_gbunicode_map[0x3330] = 0x5632;
__mg_gbunicode_map[0x3331] = 0x6F6E; __mg_gbunicode_map[0x3332] = 0x5DE2;
__mg_gbunicode_map[0x3333] = 0x5435; __mg_gbunicode_map[0x3334] = 0x7092;
__mg_gbunicode_map[0x3335] = 0x8F66; __mg_gbunicode_map[0x3336] = 0x626F;
__mg_gbunicode_map[0x3337] = 0x64A4; __mg_gbunicode_map[0x3338] = 0x63A3;
__mg_gbunicode_map[0x3339] = 0x5F7B; __mg_gbunicode_map[0x333A] = 0x6F88;
__mg_gbunicode_map[0x333B] = 0x90F4; __mg_gbunicode_map[0x333C] = 0x81E3;
__mg_gbunicode_map[0x333D] = 0x8FB0; __mg_gbunicode_map[0x333E] = 0x5C18;
__mg_gbunicode_map[0x333F] = 0x6668; __mg_gbunicode_map[0x3340] = 0x5FF1;
__mg_gbunicode_map[0x3341] = 0x6C89; __mg_gbunicode_map[0x3342] = 0x9648;
__mg_gbunicode_map[0x3343] = 0x8D81; __mg_gbunicode_map[0x3344] = 0x886C;
__mg_gbunicode_map[0x3345] = 0x6491; __mg_gbunicode_map[0x3346] = 0x79F0;
__mg_gbunicode_map[0x3347] = 0x57CE; __mg_gbunicode_map[0x3348] = 0x6A59;
__mg_gbunicode_map[0x3349] = 0x6210; __mg_gbunicode_map[0x334A] = 0x5448;
__mg_gbunicode_map[0x334B] = 0x4E58; __mg_gbunicode_map[0x334C] = 0x7A0B;
__mg_gbunicode_map[0x334D] = 0x60E9; __mg_gbunicode_map[0x334E] = 0x6F84;
__mg_gbunicode_map[0x334F] = 0x8BDA; __mg_gbunicode_map[0x3350] = 0x627F;
__mg_gbunicode_map[0x3351] = 0x901E; __mg_gbunicode_map[0x3352] = 0x9A8B;
__mg_gbunicode_map[0x3353] = 0x79E4; __mg_gbunicode_map[0x3354] = 0x5403;
__mg_gbunicode_map[0x3355] = 0x75F4; __mg_gbunicode_map[0x3356] = 0x6301;
__mg_gbunicode_map[0x3357] = 0x5319; __mg_gbunicode_map[0x3358] = 0x6C60;
__mg_gbunicode_map[0x3359] = 0x8FDF; __mg_gbunicode_map[0x335A] = 0x5F1B;
__mg_gbunicode_map[0x335B] = 0x9A70; __mg_gbunicode_map[0x335C] = 0x803B;
__mg_gbunicode_map[0x335D] = 0x9F7F; __mg_gbunicode_map[0x335E] = 0x4F88;
__mg_gbunicode_map[0x335F] = 0x5C3A; __mg_gbunicode_map[0x3360] = 0x8D64;
__mg_gbunicode_map[0x3361] = 0x7FC5; __mg_gbunicode_map[0x3362] = 0x65A5;
__mg_gbunicode_map[0x3363] = 0x70BD; __mg_gbunicode_map[0x3364] = 0x5145;
__mg_gbunicode_map[0x3365] = 0x51B2; __mg_gbunicode_map[0x3366] = 0x866B;
__mg_gbunicode_map[0x3367] = 0x5D07; __mg_gbunicode_map[0x3368] = 0x5BA0;
__mg_gbunicode_map[0x3369] = 0x62BD; __mg_gbunicode_map[0x336A] = 0x916C;
__mg_gbunicode_map[0x336B] = 0x7574; __mg_gbunicode_map[0x336C] = 0x8E0C;
__mg_gbunicode_map[0x336D] = 0x7A20; __mg_gbunicode_map[0x336E] = 0x6101;
__mg_gbunicode_map[0x336F] = 0x7B79; __mg_gbunicode_map[0x3370] = 0x4EC7;
__mg_gbunicode_map[0x3371] = 0x7EF8; __mg_gbunicode_map[0x3372] = 0x7785;
__mg_gbunicode_map[0x3373] = 0x4E11; __mg_gbunicode_map[0x3374] = 0x81ED;
__mg_gbunicode_map[0x3375] = 0x521D; __mg_gbunicode_map[0x3376] = 0x51FA;
__mg_gbunicode_map[0x3377] = 0x6A71; __mg_gbunicode_map[0x3378] = 0x53A8;
__mg_gbunicode_map[0x3379] = 0x8E87; __mg_gbunicode_map[0x337A] = 0x9504;
__mg_gbunicode_map[0x337B] = 0x96CF; __mg_gbunicode_map[0x337C] = 0x6EC1;
__mg_gbunicode_map[0x337D] = 0x9664; __mg_gbunicode_map[0x337E] = 0x695A;
__mg_gbunicode_map[0x3421] = 0x7840; __mg_gbunicode_map[0x3422] = 0x50A8;
__mg_gbunicode_map[0x3423] = 0x77D7; __mg_gbunicode_map[0x3424] = 0x6410;
__mg_gbunicode_map[0x3425] = 0x89E6; __mg_gbunicode_map[0x3426] = 0x5904;
__mg_gbunicode_map[0x3427] = 0x63E3; __mg_gbunicode_map[0x3428] = 0x5DDD;
__mg_gbunicode_map[0x3429] = 0x7A7F; __mg_gbunicode_map[0x342A] = 0x693D;
__mg_gbunicode_map[0x342B] = 0x4F20; __mg_gbunicode_map[0x342C] = 0x8239;
__mg_gbunicode_map[0x342D] = 0x5598; __mg_gbunicode_map[0x342E] = 0x4E32;
__mg_gbunicode_map[0x342F] = 0x75AE; __mg_gbunicode_map[0x3430] = 0x7A97;
__mg_gbunicode_map[0x3431] = 0x5E62; __mg_gbunicode_map[0x3432] = 0x5E8A;
__mg_gbunicode_map[0x3433] = 0x95EF; __mg_gbunicode_map[0x3434] = 0x521B;
__mg_gbunicode_map[0x3435] = 0x5439; __mg_gbunicode_map[0x3436] = 0x708A;
__mg_gbunicode_map[0x3437] = 0x6376; __mg_gbunicode_map[0x3438] = 0x9524;
__mg_gbunicode_map[0x3439] = 0x5782; __mg_gbunicode_map[0x343A] = 0x6625;
__mg_gbunicode_map[0x343B] = 0x693F; __mg_gbunicode_map[0x343C] = 0x9187;
__mg_gbunicode_map[0x343D] = 0x5507; __mg_gbunicode_map[0x343E] = 0x6DF3;
__mg_gbunicode_map[0x343F] = 0x7EAF; __mg_gbunicode_map[0x3440] = 0x8822;
__mg_gbunicode_map[0x3441] = 0x6233; __mg_gbunicode_map[0x3442] = 0x7EF0;
__mg_gbunicode_map[0x3443] = 0x75B5; __mg_gbunicode_map[0x3444] = 0x8328;
__mg_gbunicode_map[0x3445] = 0x78C1; __mg_gbunicode_map[0x3446] = 0x96CC;
__mg_gbunicode_map[0x3447] = 0x8F9E; __mg_gbunicode_map[0x3448] = 0x6148;
__mg_gbunicode_map[0x3449] = 0x74F7; __mg_gbunicode_map[0x344A] = 0x8BCD;
__mg_gbunicode_map[0x344B] = 0x6B64; __mg_gbunicode_map[0x344C] = 0x523A;
__mg_gbunicode_map[0x344D] = 0x8D50; __mg_gbunicode_map[0x344E] = 0x6B21;
__mg_gbunicode_map[0x344F] = 0x806A; __mg_gbunicode_map[0x3450] = 0x8471;
__mg_gbunicode_map[0x3451] = 0x56F1; __mg_gbunicode_map[0x3452] = 0x5306;
__mg_gbunicode_map[0x3453] = 0x4ECE; __mg_gbunicode_map[0x3454] = 0x4E1B;
__mg_gbunicode_map[0x3455] = 0x51D1; __mg_gbunicode_map[0x3456] = 0x7C97;
__mg_gbunicode_map[0x3457] = 0x918B; __mg_gbunicode_map[0x3458] = 0x7C07;
__mg_gbunicode_map[0x3459] = 0x4FC3; __mg_gbunicode_map[0x345A] = 0x8E7F;
__mg_gbunicode_map[0x345B] = 0x7BE1; __mg_gbunicode_map[0x345C] = 0x7A9C;
__mg_gbunicode_map[0x345D] = 0x6467; __mg_gbunicode_map[0x345E] = 0x5D14;
__mg_gbunicode_map[0x345F] = 0x50AC; __mg_gbunicode_map[0x3460] = 0x8106;
__mg_gbunicode_map[0x3461] = 0x7601; __mg_gbunicode_map[0x3462] = 0x7CB9;
__mg_gbunicode_map[0x3463] = 0x6DEC; __mg_gbunicode_map[0x3464] = 0x7FE0;
__mg_gbunicode_map[0x3465] = 0x6751; __mg_gbunicode_map[0x3466] = 0x5B58;
__mg_gbunicode_map[0x3467] = 0x5BF8; __mg_gbunicode_map[0x3468] = 0x78CB;
__mg_gbunicode_map[0x3469] = 0x64AE; __mg_gbunicode_map[0x346A] = 0x6413;
__mg_gbunicode_map[0x346B] = 0x63AA; __mg_gbunicode_map[0x346C] = 0x632B;
__mg_gbunicode_map[0x346D] = 0x9519; __mg_gbunicode_map[0x346E] = 0x642D;
__mg_gbunicode_map[0x346F] = 0x8FBE; __mg_gbunicode_map[0x3470] = 0x7B54;
__mg_gbunicode_map[0x3471] = 0x7629; __mg_gbunicode_map[0x3472] = 0x6253;
__mg_gbunicode_map[0x3473] = 0x5927; __mg_gbunicode_map[0x3474] = 0x5446;
__mg_gbunicode_map[0x3475] = 0x6B79; __mg_gbunicode_map[0x3476] = 0x50A3;
__mg_gbunicode_map[0x3477] = 0x6234; __mg_gbunicode_map[0x3478] = 0x5E26;
__mg_gbunicode_map[0x3479] = 0x6B86; __mg_gbunicode_map[0x347A] = 0x4EE3;
__mg_gbunicode_map[0x347B] = 0x8D37; __mg_gbunicode_map[0x347C] = 0x888B;
__mg_gbunicode_map[0x347D] = 0x5F85; __mg_gbunicode_map[0x347E] = 0x902E;
__mg_gbunicode_map[0x3521] = 0x6020; __mg_gbunicode_map[0x3522] = 0x803D;
__mg_gbunicode_map[0x3523] = 0x62C5; __mg_gbunicode_map[0x3524] = 0x4E39;
__mg_gbunicode_map[0x3525] = 0x5355; __mg_gbunicode_map[0x3526] = 0x90F8;
__mg_gbunicode_map[0x3527] = 0x63B8; __mg_gbunicode_map[0x3528] = 0x80C6;
__mg_gbunicode_map[0x3529] = 0x65E6; __mg_gbunicode_map[0x352A] = 0x6C2E;
__mg_gbunicode_map[0x352B] = 0x4F46; __mg_gbunicode_map[0x352C] = 0x60EE;
__mg_gbunicode_map[0x352D] = 0x6DE1; __mg_gbunicode_map[0x352E] = 0x8BDE;
__mg_gbunicode_map[0x352F] = 0x5F39; __mg_gbunicode_map[0x3530] = 0x86CB;
__mg_gbunicode_map[0x3531] = 0x5F53; __mg_gbunicode_map[0x3532] = 0x6321;
__mg_gbunicode_map[0x3533] = 0x515A; __mg_gbunicode_map[0x3534] = 0x8361;
__mg_gbunicode_map[0x3535] = 0x6863; __mg_gbunicode_map[0x3536] = 0x5200;
__mg_gbunicode_map[0x3537] = 0x6363; __mg_gbunicode_map[0x3538] = 0x8E48;
__mg_gbunicode_map[0x3539] = 0x5012; __mg_gbunicode_map[0x353A] = 0x5C9B;
__mg_gbunicode_map[0x353B] = 0x7977; __mg_gbunicode_map[0x353C] = 0x5BFC;
__mg_gbunicode_map[0x353D] = 0x5230; __mg_gbunicode_map[0x353E] = 0x7A3B;
__mg_gbunicode_map[0x353F] = 0x60BC; __mg_gbunicode_map[0x3540] = 0x9053;
__mg_gbunicode_map[0x3541] = 0x76D7; __mg_gbunicode_map[0x3542] = 0x5FB7;
__mg_gbunicode_map[0x3543] = 0x5F97; __mg_gbunicode_map[0x3544] = 0x7684;
__mg_gbunicode_map[0x3545] = 0x8E6C; __mg_gbunicode_map[0x3546] = 0x706F;
__mg_gbunicode_map[0x3547] = 0x767B; __mg_gbunicode_map[0x3548] = 0x7B49;
__mg_gbunicode_map[0x3549] = 0x77AA; __mg_gbunicode_map[0x354A] = 0x51F3;
__mg_gbunicode_map[0x354B] = 0x9093; __mg_gbunicode_map[0x354C] = 0x5824;
__mg_gbunicode_map[0x354D] = 0x4F4E; __mg_gbunicode_map[0x354E] = 0x6EF4;
__mg_gbunicode_map[0x354F] = 0x8FEA; __mg_gbunicode_map[0x3550] = 0x654C;
__mg_gbunicode_map[0x3551] = 0x7B1B; __mg_gbunicode_map[0x3552] = 0x72C4;
__mg_gbunicode_map[0x3553] = 0x6DA4; __mg_gbunicode_map[0x3554] = 0x7FDF;
__mg_gbunicode_map[0x3555] = 0x5AE1; __mg_gbunicode_map[0x3556] = 0x62B5;
__mg_gbunicode_map[0x3557] = 0x5E95; __mg_gbunicode_map[0x3558] = 0x5730;
__mg_gbunicode_map[0x3559] = 0x8482; __mg_gbunicode_map[0x355A] = 0x7B2C;
__mg_gbunicode_map[0x355B] = 0x5E1D; __mg_gbunicode_map[0x355C] = 0x5F1F;
__mg_gbunicode_map[0x355D] = 0x9012; __mg_gbunicode_map[0x355E] = 0x7F14;
__mg_gbunicode_map[0x355F] = 0x98A0; __mg_gbunicode_map[0x3560] = 0x6382;
__mg_gbunicode_map[0x3561] = 0x6EC7; __mg_gbunicode_map[0x3562] = 0x7898;
__mg_gbunicode_map[0x3563] = 0x70B9; __mg_gbunicode_map[0x3564] = 0x5178;
__mg_gbunicode_map[0x3565] = 0x975B; __mg_gbunicode_map[0x3566] = 0x57AB;
__mg_gbunicode_map[0x3567] = 0x7535; __mg_gbunicode_map[0x3568] = 0x4F43;
__mg_gbunicode_map[0x3569] = 0x7538; __mg_gbunicode_map[0x356A] = 0x5E97;
__mg_gbunicode_map[0x356B] = 0x60E6; __mg_gbunicode_map[0x356C] = 0x5960;
__mg_gbunicode_map[0x356D] = 0x6DC0; __mg_gbunicode_map[0x356E] = 0x6BBF;
__mg_gbunicode_map[0x356F] = 0x7889; __mg_gbunicode_map[0x3570] = 0x53FC;
__mg_gbunicode_map[0x3571] = 0x96D5; __mg_gbunicode_map[0x3572] = 0x51CB;
__mg_gbunicode_map[0x3573] = 0x5201; __mg_gbunicode_map[0x3574] = 0x6389;
__mg_gbunicode_map[0x3575] = 0x540A; __mg_gbunicode_map[0x3576] = 0x9493;
__mg_gbunicode_map[0x3577] = 0x8C03; __mg_gbunicode_map[0x3578] = 0x8DCC;
__mg_gbunicode_map[0x3579] = 0x7239; __mg_gbunicode_map[0x357A] = 0x789F;
__mg_gbunicode_map[0x357B] = 0x8776; __mg_gbunicode_map[0x357C] = 0x8FED;
__mg_gbunicode_map[0x357D] = 0x8C0D; __mg_gbunicode_map[0x357E] = 0x53E0;
__mg_gbunicode_map[0x3621] = 0x4E01; __mg_gbunicode_map[0x3622] = 0x76EF;
__mg_gbunicode_map[0x3623] = 0x53EE; __mg_gbunicode_map[0x3624] = 0x9489;
__mg_gbunicode_map[0x3625] = 0x9876; __mg_gbunicode_map[0x3626] = 0x9F0E;
__mg_gbunicode_map[0x3627] = 0x952D; __mg_gbunicode_map[0x3628] = 0x5B9A;
__mg_gbunicode_map[0x3629] = 0x8BA2; __mg_gbunicode_map[0x362A] = 0x4E22;
__mg_gbunicode_map[0x362B] = 0x4E1C; __mg_gbunicode_map[0x362C] = 0x51AC;
__mg_gbunicode_map[0x362D] = 0x8463; __mg_gbunicode_map[0x362E] = 0x61C2;
__mg_gbunicode_map[0x362F] = 0x52A8; __mg_gbunicode_map[0x3630] = 0x680B;
__mg_gbunicode_map[0x3631] = 0x4F97; __mg_gbunicode_map[0x3632] = 0x606B;
__mg_gbunicode_map[0x3633] = 0x51BB; __mg_gbunicode_map[0x3634] = 0x6D1E;
__mg_gbunicode_map[0x3635] = 0x515C; __mg_gbunicode_map[0x3636] = 0x6296;
__mg_gbunicode_map[0x3637] = 0x6597; __mg_gbunicode_map[0x3638] = 0x9661;
__mg_gbunicode_map[0x3639] = 0x8C46; __mg_gbunicode_map[0x363A] = 0x9017;
__mg_gbunicode_map[0x363B] = 0x75D8; __mg_gbunicode_map[0x363C] = 0x90FD;
__mg_gbunicode_map[0x363D] = 0x7763; __mg_gbunicode_map[0x363E] = 0x6BD2;
__mg_gbunicode_map[0x363F] = 0x728A; __mg_gbunicode_map[0x3640] = 0x72EC;
__mg_gbunicode_map[0x3641] = 0x8BFB; __mg_gbunicode_map[0x3642] = 0x5835;
__mg_gbunicode_map[0x3643] = 0x7779; __mg_gbunicode_map[0x3644] = 0x8D4C;
__mg_gbunicode_map[0x3645] = 0x675C; __mg_gbunicode_map[0x3646] = 0x9540;
__mg_gbunicode_map[0x3647] = 0x809A; __mg_gbunicode_map[0x3648] = 0x5EA6;
__mg_gbunicode_map[0x3649] = 0x6E21; __mg_gbunicode_map[0x364A] = 0x5992;
__mg_gbunicode_map[0x364B] = 0x7AEF; __mg_gbunicode_map[0x364C] = 0x77ED;
__mg_gbunicode_map[0x364D] = 0x953B; __mg_gbunicode_map[0x364E] = 0x6BB5;
__mg_gbunicode_map[0x364F] = 0x65AD; __mg_gbunicode_map[0x3650] = 0x7F0E;
__mg_gbunicode_map[0x3651] = 0x5806; __mg_gbunicode_map[0x3652] = 0x5151;
__mg_gbunicode_map[0x3653] = 0x961F; __mg_gbunicode_map[0x3654] = 0x5BF9;
__mg_gbunicode_map[0x3655] = 0x58A9; __mg_gbunicode_map[0x3656] = 0x5428;
__mg_gbunicode_map[0x3657] = 0x8E72; __mg_gbunicode_map[0x3658] = 0x6566;
__mg_gbunicode_map[0x3659] = 0x987F; __mg_gbunicode_map[0x365A] = 0x56E4;
__mg_gbunicode_map[0x365B] = 0x949D; __mg_gbunicode_map[0x365C] = 0x76FE;
__mg_gbunicode_map[0x365D] = 0x9041; __mg_gbunicode_map[0x365E] = 0x6387;
__mg_gbunicode_map[0x365F] = 0x54C6; __mg_gbunicode_map[0x3660] = 0x591A;
__mg_gbunicode_map[0x3661] = 0x593A; __mg_gbunicode_map[0x3662] = 0x579B;
__mg_gbunicode_map[0x3663] = 0x8EB2; __mg_gbunicode_map[0x3664] = 0x6735;
__mg_gbunicode_map[0x3665] = 0x8DFA; __mg_gbunicode_map[0x3666] = 0x8235;
__mg_gbunicode_map[0x3667] = 0x5241; __mg_gbunicode_map[0x3668] = 0x60F0;
__mg_gbunicode_map[0x3669] = 0x5815; __mg_gbunicode_map[0x366A] = 0x86FE;
__mg_gbunicode_map[0x366B] = 0x5CE8; __mg_gbunicode_map[0x366C] = 0x9E45;
__mg_gbunicode_map[0x366D] = 0x4FC4; __mg_gbunicode_map[0x366E] = 0x989D;
__mg_gbunicode_map[0x366F] = 0x8BB9; __mg_gbunicode_map[0x3670] = 0x5A25;
__mg_gbunicode_map[0x3671] = 0x6076; __mg_gbunicode_map[0x3672] = 0x5384;
__mg_gbunicode_map[0x3673] = 0x627C; __mg_gbunicode_map[0x3674] = 0x904F;
__mg_gbunicode_map[0x3675] = 0x9102; __mg_gbunicode_map[0x3676] = 0x997F;
__mg_gbunicode_map[0x3677] = 0x6069; __mg_gbunicode_map[0x3678] = 0x800C;
__mg_gbunicode_map[0x3679] = 0x513F; __mg_gbunicode_map[0x367A] = 0x8033;
__mg_gbunicode_map[0x367B] = 0x5C14; __mg_gbunicode_map[0x367C] = 0x9975;
__mg_gbunicode_map[0x367D] = 0x6D31; __mg_gbunicode_map[0x367E] = 0x4E8C;
__mg_gbunicode_map[0x3721] = 0x8D30; __mg_gbunicode_map[0x3722] = 0x53D1;
__mg_gbunicode_map[0x3723] = 0x7F5A; __mg_gbunicode_map[0x3724] = 0x7B4F;
__mg_gbunicode_map[0x3725] = 0x4F10; __mg_gbunicode_map[0x3726] = 0x4E4F;
__mg_gbunicode_map[0x3727] = 0x9600; __mg_gbunicode_map[0x3728] = 0x6CD5;
__mg_gbunicode_map[0x3729] = 0x73D0; __mg_gbunicode_map[0x372A] = 0x85E9;
__mg_gbunicode_map[0x372B] = 0x5E06; __mg_gbunicode_map[0x372C] = 0x756A;
__mg_gbunicode_map[0x372D] = 0x7FFB; __mg_gbunicode_map[0x372E] = 0x6A0A;
__mg_gbunicode_map[0x372F] = 0x77FE; __mg_gbunicode_map[0x3730] = 0x9492;
__mg_gbunicode_map[0x3731] = 0x7E41; __mg_gbunicode_map[0x3732] = 0x51E1;
__mg_gbunicode_map[0x3733] = 0x70E6; __mg_gbunicode_map[0x3734] = 0x53CD;
__mg_gbunicode_map[0x3735] = 0x8FD4; __mg_gbunicode_map[0x3736] = 0x8303;
__mg_gbunicode_map[0x3737] = 0x8D29; __mg_gbunicode_map[0x3738] = 0x72AF;
__mg_gbunicode_map[0x3739] = 0x996D; __mg_gbunicode_map[0x373A] = 0x6CDB;
__mg_gbunicode_map[0x373B] = 0x574A; __mg_gbunicode_map[0x373C] = 0x82B3;
__mg_gbunicode_map[0x373D] = 0x65B9; __mg_gbunicode_map[0x373E] = 0x80AA;
__mg_gbunicode_map[0x373F] = 0x623F; __mg_gbunicode_map[0x3740] = 0x9632;
__mg_gbunicode_map[0x3741] = 0x59A8; __mg_gbunicode_map[0x3742] = 0x4EFF;
__mg_gbunicode_map[0x3743] = 0x8BBF; __mg_gbunicode_map[0x3744] = 0x7EBA;
__mg_gbunicode_map[0x3745] = 0x653E; __mg_gbunicode_map[0x3746] = 0x83F2;
__mg_gbunicode_map[0x3747] = 0x975E; __mg_gbunicode_map[0x3748] = 0x5561;
__mg_gbunicode_map[0x3749] = 0x98DE; __mg_gbunicode_map[0x374A] = 0x80A5;
__mg_gbunicode_map[0x374B] = 0x532A; __mg_gbunicode_map[0x374C] = 0x8BFD;
__mg_gbunicode_map[0x374D] = 0x5420; __mg_gbunicode_map[0x374E] = 0x80BA;
__mg_gbunicode_map[0x374F] = 0x5E9F; __mg_gbunicode_map[0x3750] = 0x6CB8;
__mg_gbunicode_map[0x3751] = 0x8D39; __mg_gbunicode_map[0x3752] = 0x82AC;
__mg_gbunicode_map[0x3753] = 0x915A; __mg_gbunicode_map[0x3754] = 0x5429;
__mg_gbunicode_map[0x3755] = 0x6C1B; __mg_gbunicode_map[0x3756] = 0x5206;
__mg_gbunicode_map[0x3757] = 0x7EB7; __mg_gbunicode_map[0x3758] = 0x575F;
__mg_gbunicode_map[0x3759] = 0x711A; __mg_gbunicode_map[0x375A] = 0x6C7E;
__mg_gbunicode_map[0x375B] = 0x7C89; __mg_gbunicode_map[0x375C] = 0x594B;
__mg_gbunicode_map[0x375D] = 0x4EFD; __mg_gbunicode_map[0x375E] = 0x5FFF;
__mg_gbunicode_map[0x375F] = 0x6124; __mg_gbunicode_map[0x3760] = 0x7CAA;
__mg_gbunicode_map[0x3761] = 0x4E30; __mg_gbunicode_map[0x3762] = 0x5C01;
__mg_gbunicode_map[0x3763] = 0x67AB; __mg_gbunicode_map[0x3764] = 0x8702;
__mg_gbunicode_map[0x3765] = 0x5CF0; __mg_gbunicode_map[0x3766] = 0x950B;
__mg_gbunicode_map[0x3767] = 0x98CE; __mg_gbunicode_map[0x3768] = 0x75AF;
__mg_gbunicode_map[0x3769] = 0x70FD; __mg_gbunicode_map[0x376A] = 0x9022;
__mg_gbunicode_map[0x376B] = 0x51AF; __mg_gbunicode_map[0x376C] = 0x7F1D;
__mg_gbunicode_map[0x376D] = 0x8BBD; __mg_gbunicode_map[0x376E] = 0x5949;
__mg_gbunicode_map[0x376F] = 0x51E4; __mg_gbunicode_map[0x3770] = 0x4F5B;
__mg_gbunicode_map[0x3771] = 0x5426; __mg_gbunicode_map[0x3772] = 0x592B;
__mg_gbunicode_map[0x3773] = 0x6577; __mg_gbunicode_map[0x3774] = 0x80A4;
__mg_gbunicode_map[0x3775] = 0x5B75; __mg_gbunicode_map[0x3776] = 0x6276;
__mg_gbunicode_map[0x3777] = 0x62C2; __mg_gbunicode_map[0x3778] = 0x8F90;
__mg_gbunicode_map[0x3779] = 0x5E45; __mg_gbunicode_map[0x377A] = 0x6C1F;
__mg_gbunicode_map[0x377B] = 0x7B26; __mg_gbunicode_map[0x377C] = 0x4F0F;
__mg_gbunicode_map[0x377D] = 0x4FD8; __mg_gbunicode_map[0x377E] = 0x670D;
__mg_gbunicode_map[0x3821] = 0x6D6E; __mg_gbunicode_map[0x3822] = 0x6DAA;
__mg_gbunicode_map[0x3823] = 0x798F; __mg_gbunicode_map[0x3824] = 0x88B1;
__mg_gbunicode_map[0x3825] = 0x5F17; __mg_gbunicode_map[0x3826] = 0x752B;
__mg_gbunicode_map[0x3827] = 0x629A; __mg_gbunicode_map[0x3828] = 0x8F85;
__mg_gbunicode_map[0x3829] = 0x4FEF; __mg_gbunicode_map[0x382A] = 0x91DC;
__mg_gbunicode_map[0x382B] = 0x65A7; __mg_gbunicode_map[0x382C] = 0x812F;
__mg_gbunicode_map[0x382D] = 0x8151; __mg_gbunicode_map[0x382E] = 0x5E9C;
__mg_gbunicode_map[0x382F] = 0x8150; __mg_gbunicode_map[0x3830] = 0x8D74;
__mg_gbunicode_map[0x3831] = 0x526F; __mg_gbunicode_map[0x3832] = 0x8986;
__mg_gbunicode_map[0x3833] = 0x8D4B; __mg_gbunicode_map[0x3834] = 0x590D;
__mg_gbunicode_map[0x3835] = 0x5085; __mg_gbunicode_map[0x3836] = 0x4ED8;
__mg_gbunicode_map[0x3837] = 0x961C; __mg_gbunicode_map[0x3838] = 0x7236;
__mg_gbunicode_map[0x3839] = 0x8179; __mg_gbunicode_map[0x383A] = 0x8D1F;
__mg_gbunicode_map[0x383B] = 0x5BCC; __mg_gbunicode_map[0x383C] = 0x8BA3;
__mg_gbunicode_map[0x383D] = 0x9644; __mg_gbunicode_map[0x383E] = 0x5987;
__mg_gbunicode_map[0x383F] = 0x7F1A; __mg_gbunicode_map[0x3840] = 0x5490;
__mg_gbunicode_map[0x3841] = 0x5676; __mg_gbunicode_map[0x3842] = 0x560E;
__mg_gbunicode_map[0x3843] = 0x8BE5; __mg_gbunicode_map[0x3844] = 0x6539;
__mg_gbunicode_map[0x3845] = 0x6982; __mg_gbunicode_map[0x3846] = 0x9499;
__mg_gbunicode_map[0x3847] = 0x76D6; __mg_gbunicode_map[0x3848] = 0x6E89;
__mg_gbunicode_map[0x3849] = 0x5E72; __mg_gbunicode_map[0x384A] = 0x7518;
__mg_gbunicode_map[0x384B] = 0x6746; __mg_gbunicode_map[0x384C] = 0x67D1;
__mg_gbunicode_map[0x384D] = 0x7AFF; __mg_gbunicode_map[0x384E] = 0x809D;
__mg_gbunicode_map[0x384F] = 0x8D76; __mg_gbunicode_map[0x3850] = 0x611F;
__mg_gbunicode_map[0x3851] = 0x79C6; __mg_gbunicode_map[0x3852] = 0x6562;
__mg_gbunicode_map[0x3853] = 0x8D63; __mg_gbunicode_map[0x3854] = 0x5188;
__mg_gbunicode_map[0x3855] = 0x521A; __mg_gbunicode_map[0x3856] = 0x94A2;
__mg_gbunicode_map[0x3857] = 0x7F38; __mg_gbunicode_map[0x3858] = 0x809B;
__mg_gbunicode_map[0x3859] = 0x7EB2; __mg_gbunicode_map[0x385A] = 0x5C97;
__mg_gbunicode_map[0x385B] = 0x6E2F; __mg_gbunicode_map[0x385C] = 0x6760;
__mg_gbunicode_map[0x385D] = 0x7BD9; __mg_gbunicode_map[0x385E] = 0x768B;
__mg_gbunicode_map[0x385F] = 0x9AD8; __mg_gbunicode_map[0x3860] = 0x818F;
__mg_gbunicode_map[0x3861] = 0x7F94; __mg_gbunicode_map[0x3862] = 0x7CD5;
__mg_gbunicode_map[0x3863] = 0x641E; __mg_gbunicode_map[0x3864] = 0x9550;
__mg_gbunicode_map[0x3865] = 0x7A3F; __mg_gbunicode_map[0x3866] = 0x544A;
__mg_gbunicode_map[0x3867] = 0x54E5; __mg_gbunicode_map[0x3868] = 0x6B4C;
__mg_gbunicode_map[0x3869] = 0x6401; __mg_gbunicode_map[0x386A] = 0x6208;
__mg_gbunicode_map[0x386B] = 0x9E3D; __mg_gbunicode_map[0x386C] = 0x80F3;
__mg_gbunicode_map[0x386D] = 0x7599; __mg_gbunicode_map[0x386E] = 0x5272;
__mg_gbunicode_map[0x386F] = 0x9769; __mg_gbunicode_map[0x3870] = 0x845B;
__mg_gbunicode_map[0x3871] = 0x683C; __mg_gbunicode_map[0x3872] = 0x86E4;
__mg_gbunicode_map[0x3873] = 0x9601; __mg_gbunicode_map[0x3874] = 0x9694;
__mg_gbunicode_map[0x3875] = 0x94EC; __mg_gbunicode_map[0x3876] = 0x4E2A;
__mg_gbunicode_map[0x3877] = 0x5404; __mg_gbunicode_map[0x3878] = 0x7ED9;
__mg_gbunicode_map[0x3879] = 0x6839; __mg_gbunicode_map[0x387A] = 0x8DDF;
__mg_gbunicode_map[0x387B] = 0x8015; __mg_gbunicode_map[0x387C] = 0x66F4;
__mg_gbunicode_map[0x387D] = 0x5E9A; __mg_gbunicode_map[0x387E] = 0x7FB9;
__mg_gbunicode_map[0x3921] = 0x57C2; __mg_gbunicode_map[0x3922] = 0x803F;
__mg_gbunicode_map[0x3923] = 0x6897; __mg_gbunicode_map[0x3924] = 0x5DE5;
__mg_gbunicode_map[0x3925] = 0x653B; __mg_gbunicode_map[0x3926] = 0x529F;
__mg_gbunicode_map[0x3927] = 0x606D; __mg_gbunicode_map[0x3928] = 0x9F9A;
__mg_gbunicode_map[0x3929] = 0x4F9B; __mg_gbunicode_map[0x392A] = 0x8EAC;
__mg_gbunicode_map[0x392B] = 0x516C; __mg_gbunicode_map[0x392C] = 0x5BAB;
__mg_gbunicode_map[0x392D] = 0x5F13; __mg_gbunicode_map[0x392E] = 0x5DE9;
__mg_gbunicode_map[0x392F] = 0x6C5E; __mg_gbunicode_map[0x3930] = 0x62F1;
__mg_gbunicode_map[0x3931] = 0x8D21; __mg_gbunicode_map[0x3932] = 0x5171;
__mg_gbunicode_map[0x3933] = 0x94A9; __mg_gbunicode_map[0x3934] = 0x52FE;
__mg_gbunicode_map[0x3935] = 0x6C9F; __mg_gbunicode_map[0x3936] = 0x82DF;
__mg_gbunicode_map[0x3937] = 0x72D7; __mg_gbunicode_map[0x3938] = 0x57A2;
__mg_gbunicode_map[0x3939] = 0x6784; __mg_gbunicode_map[0x393A] = 0x8D2D;
__mg_gbunicode_map[0x393B] = 0x591F; __mg_gbunicode_map[0x393C] = 0x8F9C;
__mg_gbunicode_map[0x393D] = 0x83C7; __mg_gbunicode_map[0x393E] = 0x5495;
__mg_gbunicode_map[0x393F] = 0x7B8D; __mg_gbunicode_map[0x3940] = 0x4F30;
__mg_gbunicode_map[0x3941] = 0x6CBD; __mg_gbunicode_map[0x3942] = 0x5B64;
__mg_gbunicode_map[0x3943] = 0x59D1; __mg_gbunicode_map[0x3944] = 0x9F13;
__mg_gbunicode_map[0x3945] = 0x53E4; __mg_gbunicode_map[0x3946] = 0x86CA;
__mg_gbunicode_map[0x3947] = 0x9AA8; __mg_gbunicode_map[0x3948] = 0x8C37;
__mg_gbunicode_map[0x3949] = 0x80A1; __mg_gbunicode_map[0x394A] = 0x6545;
__mg_gbunicode_map[0x394B] = 0x987E; __mg_gbunicode_map[0x394C] = 0x56FA;
__mg_gbunicode_map[0x394D] = 0x96C7; __mg_gbunicode_map[0x394E] = 0x522E;
__mg_gbunicode_map[0x394F] = 0x74DC; __mg_gbunicode_map[0x3950] = 0x5250;
__mg_gbunicode_map[0x3951] = 0x5BE1; __mg_gbunicode_map[0x3952] = 0x6302;
__mg_gbunicode_map[0x3953] = 0x8902; __mg_gbunicode_map[0x3954] = 0x4E56;
__mg_gbunicode_map[0x3955] = 0x62D0; __mg_gbunicode_map[0x3956] = 0x602A;
__mg_gbunicode_map[0x3957] = 0x68FA; __mg_gbunicode_map[0x3958] = 0x5173;
__mg_gbunicode_map[0x3959] = 0x5B98; __mg_gbunicode_map[0x395A] = 0x51A0;
__mg_gbunicode_map[0x395B] = 0x89C2; __mg_gbunicode_map[0x395C] = 0x7BA1;
__mg_gbunicode_map[0x395D] = 0x9986; __mg_gbunicode_map[0x395E] = 0x7F50;
__mg_gbunicode_map[0x395F] = 0x60EF; __mg_gbunicode_map[0x3960] = 0x704C;
__mg_gbunicode_map[0x3961] = 0x8D2F; __mg_gbunicode_map[0x3962] = 0x5149;
__mg_gbunicode_map[0x3963] = 0x5E7F; __mg_gbunicode_map[0x3964] = 0x901B;
__mg_gbunicode_map[0x3965] = 0x7470; __mg_gbunicode_map[0x3966] = 0x89C4;
__mg_gbunicode_map[0x3967] = 0x572D; __mg_gbunicode_map[0x3968] = 0x7845;
__mg_gbunicode_map[0x3969] = 0x5F52; __mg_gbunicode_map[0x396A] = 0x9F9F;
__mg_gbunicode_map[0x396B] = 0x95FA; __mg_gbunicode_map[0x396C] = 0x8F68;
__mg_gbunicode_map[0x396D] = 0x9B3C; __mg_gbunicode_map[0x396E] = 0x8BE1;
__mg_gbunicode_map[0x396F] = 0x7678; __mg_gbunicode_map[0x3970] = 0x6842;
__mg_gbunicode_map[0x3971] = 0x67DC; __mg_gbunicode_map[0x3972] = 0x8DEA;
__mg_gbunicode_map[0x3973] = 0x8D35; __mg_gbunicode_map[0x3974] = 0x523D;
__mg_gbunicode_map[0x3975] = 0x8F8A; __mg_gbunicode_map[0x3976] = 0x6EDA;
__mg_gbunicode_map[0x3977] = 0x68CD; __mg_gbunicode_map[0x3978] = 0x9505;
__mg_gbunicode_map[0x3979] = 0x90ED; __mg_gbunicode_map[0x397A] = 0x56FD;
__mg_gbunicode_map[0x397B] = 0x679C; __mg_gbunicode_map[0x397C] = 0x88F9;
__mg_gbunicode_map[0x397D] = 0x8FC7; __mg_gbunicode_map[0x397E] = 0x54C8;
__mg_gbunicode_map[0x3A21] = 0x9AB8; __mg_gbunicode_map[0x3A22] = 0x5B69;
__mg_gbunicode_map[0x3A23] = 0x6D77; __mg_gbunicode_map[0x3A24] = 0x6C26;
__mg_gbunicode_map[0x3A25] = 0x4EA5; __mg_gbunicode_map[0x3A26] = 0x5BB3;
__mg_gbunicode_map[0x3A27] = 0x9A87; __mg_gbunicode_map[0x3A28] = 0x9163;
__mg_gbunicode_map[0x3A29] = 0x61A8; __mg_gbunicode_map[0x3A2A] = 0x90AF;
__mg_gbunicode_map[0x3A2B] = 0x97E9; __mg_gbunicode_map[0x3A2C] = 0x542B;
__mg_gbunicode_map[0x3A2D] = 0x6DB5; __mg_gbunicode_map[0x3A2E] = 0x5BD2;
__mg_gbunicode_map[0x3A2F] = 0x51FD; __mg_gbunicode_map[0x3A30] = 0x558A;
__mg_gbunicode_map[0x3A31] = 0x7F55; __mg_gbunicode_map[0x3A32] = 0x7FF0;
__mg_gbunicode_map[0x3A33] = 0x64BC; __mg_gbunicode_map[0x3A34] = 0x634D;
__mg_gbunicode_map[0x3A35] = 0x65F1; __mg_gbunicode_map[0x3A36] = 0x61BE;
__mg_gbunicode_map[0x3A37] = 0x608D; __mg_gbunicode_map[0x3A38] = 0x710A;
__mg_gbunicode_map[0x3A39] = 0x6C57; __mg_gbunicode_map[0x3A3A] = 0x6C49;
__mg_gbunicode_map[0x3A3B] = 0x592F; __mg_gbunicode_map[0x3A3C] = 0x676D;
__mg_gbunicode_map[0x3A3D] = 0x822A; __mg_gbunicode_map[0x3A3E] = 0x58D5;
__mg_gbunicode_map[0x3A3F] = 0x568E; __mg_gbunicode_map[0x3A40] = 0x8C6A;
__mg_gbunicode_map[0x3A41] = 0x6BEB; __mg_gbunicode_map[0x3A42] = 0x90DD;
__mg_gbunicode_map[0x3A43] = 0x597D; __mg_gbunicode_map[0x3A44] = 0x8017;
__mg_gbunicode_map[0x3A45] = 0x53F7; __mg_gbunicode_map[0x3A46] = 0x6D69;
__mg_gbunicode_map[0x3A47] = 0x5475; __mg_gbunicode_map[0x3A48] = 0x559D;
__mg_gbunicode_map[0x3A49] = 0x8377; __mg_gbunicode_map[0x3A4A] = 0x83CF;
__mg_gbunicode_map[0x3A4B] = 0x6838; __mg_gbunicode_map[0x3A4C] = 0x79BE;
__mg_gbunicode_map[0x3A4D] = 0x548C; __mg_gbunicode_map[0x3A4E] = 0x4F55;
__mg_gbunicode_map[0x3A4F] = 0x5408; __mg_gbunicode_map[0x3A50] = 0x76D2;
__mg_gbunicode_map[0x3A51] = 0x8C89; __mg_gbunicode_map[0x3A52] = 0x9602;
__mg_gbunicode_map[0x3A53] = 0x6CB3; __mg_gbunicode_map[0x3A54] = 0x6DB8;
__mg_gbunicode_map[0x3A55] = 0x8D6B; __mg_gbunicode_map[0x3A56] = 0x8910;
__mg_gbunicode_map[0x3A57] = 0x9E64; __mg_gbunicode_map[0x3A58] = 0x8D3A;
__mg_gbunicode_map[0x3A59] = 0x563F; __mg_gbunicode_map[0x3A5A] = 0x9ED1;
__mg_gbunicode_map[0x3A5B] = 0x75D5; __mg_gbunicode_map[0x3A5C] = 0x5F88;
__mg_gbunicode_map[0x3A5D] = 0x72E0; __mg_gbunicode_map[0x3A5E] = 0x6068;
__mg_gbunicode_map[0x3A5F] = 0x54FC; __mg_gbunicode_map[0x3A60] = 0x4EA8;
__mg_gbunicode_map[0x3A61] = 0x6A2A; __mg_gbunicode_map[0x3A62] = 0x8861;
__mg_gbunicode_map[0x3A63] = 0x6052; __mg_gbunicode_map[0x3A64] = 0x8F70;
__mg_gbunicode_map[0x3A65] = 0x54C4; __mg_gbunicode_map[0x3A66] = 0x70D8;
__mg_gbunicode_map[0x3A67] = 0x8679; __mg_gbunicode_map[0x3A68] = 0x9E3F;
__mg_gbunicode_map[0x3A69] = 0x6D2A; __mg_gbunicode_map[0x3A6A] = 0x5B8F;
__mg_gbunicode_map[0x3A6B] = 0x5F18; __mg_gbunicode_map[0x3A6C] = 0x7EA2;
__mg_gbunicode_map[0x3A6D] = 0x5589; __mg_gbunicode_map[0x3A6E] = 0x4FAF;
__mg_gbunicode_map[0x3A6F] = 0x7334; __mg_gbunicode_map[0x3A70] = 0x543C;
__mg_gbunicode_map[0x3A71] = 0x539A; __mg_gbunicode_map[0x3A72] = 0x5019;
__mg_gbunicode_map[0x3A73] = 0x540E; __mg_gbunicode_map[0x3A74] = 0x547C;
__mg_gbunicode_map[0x3A75] = 0x4E4E; __mg_gbunicode_map[0x3A76] = 0x5FFD;
__mg_gbunicode_map[0x3A77] = 0x745A; __mg_gbunicode_map[0x3A78] = 0x58F6;
__mg_gbunicode_map[0x3A79] = 0x846B; __mg_gbunicode_map[0x3A7A] = 0x80E1;
__mg_gbunicode_map[0x3A7B] = 0x8774; __mg_gbunicode_map[0x3A7C] = 0x72D0;
__mg_gbunicode_map[0x3A7D] = 0x7CCA; __mg_gbunicode_map[0x3A7E] = 0x6E56;
__mg_gbunicode_map[0x3B21] = 0x5F27; __mg_gbunicode_map[0x3B22] = 0x864E;
__mg_gbunicode_map[0x3B23] = 0x552C; __mg_gbunicode_map[0x3B24] = 0x62A4;
__mg_gbunicode_map[0x3B25] = 0x4E92; __mg_gbunicode_map[0x3B26] = 0x6CAA;
__mg_gbunicode_map[0x3B27] = 0x6237; __mg_gbunicode_map[0x3B28] = 0x82B1;
__mg_gbunicode_map[0x3B29] = 0x54D7; __mg_gbunicode_map[0x3B2A] = 0x534E;
__mg_gbunicode_map[0x3B2B] = 0x733E; __mg_gbunicode_map[0x3B2C] = 0x6ED1;
__mg_gbunicode_map[0x3B2D] = 0x753B; __mg_gbunicode_map[0x3B2E] = 0x5212;
__mg_gbunicode_map[0x3B2F] = 0x5316; __mg_gbunicode_map[0x3B30] = 0x8BDD;
__mg_gbunicode_map[0x3B31] = 0x69D0; __mg_gbunicode_map[0x3B32] = 0x5F8A;
__mg_gbunicode_map[0x3B33] = 0x6000; __mg_gbunicode_map[0x3B34] = 0x6DEE;
__mg_gbunicode_map[0x3B35] = 0x574F; __mg_gbunicode_map[0x3B36] = 0x6B22;
__mg_gbunicode_map[0x3B37] = 0x73AF; __mg_gbunicode_map[0x3B38] = 0x6853;
__mg_gbunicode_map[0x3B39] = 0x8FD8; __mg_gbunicode_map[0x3B3A] = 0x7F13;
__mg_gbunicode_map[0x3B3B] = 0x6362; __mg_gbunicode_map[0x3B3C] = 0x60A3;
__mg_gbunicode_map[0x3B3D] = 0x5524; __mg_gbunicode_map[0x3B3E] = 0x75EA;
__mg_gbunicode_map[0x3B3F] = 0x8C62; __mg_gbunicode_map[0x3B40] = 0x7115;
__mg_gbunicode_map[0x3B41] = 0x6DA3; __mg_gbunicode_map[0x3B42] = 0x5BA6;
__mg_gbunicode_map[0x3B43] = 0x5E7B; __mg_gbunicode_map[0x3B44] = 0x8352;
__mg_gbunicode_map[0x3B45] = 0x614C; __mg_gbunicode_map[0x3B46] = 0x9EC4;
__mg_gbunicode_map[0x3B47] = 0x78FA; __mg_gbunicode_map[0x3B48] = 0x8757;
__mg_gbunicode_map[0x3B49] = 0x7C27; __mg_gbunicode_map[0x3B4A] = 0x7687;
__mg_gbunicode_map[0x3B4B] = 0x51F0; __mg_gbunicode_map[0x3B4C] = 0x60F6;
__mg_gbunicode_map[0x3B4D] = 0x714C; __mg_gbunicode_map[0x3B4E] = 0x6643;
__mg_gbunicode_map[0x3B4F] = 0x5E4C; __mg_gbunicode_map[0x3B50] = 0x604D;
__mg_gbunicode_map[0x3B51] = 0x8C0E; __mg_gbunicode_map[0x3B52] = 0x7070;
__mg_gbunicode_map[0x3B53] = 0x6325; __mg_gbunicode_map[0x3B54] = 0x8F89;
__mg_gbunicode_map[0x3B55] = 0x5FBD; __mg_gbunicode_map[0x3B56] = 0x6062;
__mg_gbunicode_map[0x3B57] = 0x86D4; __mg_gbunicode_map[0x3B58] = 0x56DE;
__mg_gbunicode_map[0x3B59] = 0x6BC1; __mg_gbunicode_map[0x3B5A] = 0x6094;
__mg_gbunicode_map[0x3B5B] = 0x6167; __mg_gbunicode_map[0x3B5C] = 0x5349;
__mg_gbunicode_map[0x3B5D] = 0x60E0; __mg_gbunicode_map[0x3B5E] = 0x6666;
__mg_gbunicode_map[0x3B5F] = 0x8D3F; __mg_gbunicode_map[0x3B60] = 0x79FD;
__mg_gbunicode_map[0x3B61] = 0x4F1A; __mg_gbunicode_map[0x3B62] = 0x70E9;
__mg_gbunicode_map[0x3B63] = 0x6C47; __mg_gbunicode_map[0x3B64] = 0x8BB3;
__mg_gbunicode_map[0x3B65] = 0x8BF2; __mg_gbunicode_map[0x3B66] = 0x7ED8;
__mg_gbunicode_map[0x3B67] = 0x8364; __mg_gbunicode_map[0x3B68] = 0x660F;
__mg_gbunicode_map[0x3B69] = 0x5A5A; __mg_gbunicode_map[0x3B6A] = 0x9B42;
__mg_gbunicode_map[0x3B6B] = 0x6D51; __mg_gbunicode_map[0x3B6C] = 0x6DF7;
__mg_gbunicode_map[0x3B6D] = 0x8C41; __mg_gbunicode_map[0x3B6E] = 0x6D3B;
__mg_gbunicode_map[0x3B6F] = 0x4F19; __mg_gbunicode_map[0x3B70] = 0x706B;
__mg_gbunicode_map[0x3B71] = 0x83B7; __mg_gbunicode_map[0x3B72] = 0x6216;
__mg_gbunicode_map[0x3B73] = 0x60D1; __mg_gbunicode_map[0x3B74] = 0x970D;
__mg_gbunicode_map[0x3B75] = 0x8D27; __mg_gbunicode_map[0x3B76] = 0x7978;
__mg_gbunicode_map[0x3B77] = 0x51FB; __mg_gbunicode_map[0x3B78] = 0x573E;
__mg_gbunicode_map[0x3B79] = 0x57FA; __mg_gbunicode_map[0x3B7A] = 0x673A;
__mg_gbunicode_map[0x3B7B] = 0x7578; __mg_gbunicode_map[0x3B7C] = 0x7A3D;
__mg_gbunicode_map[0x3B7D] = 0x79EF; __mg_gbunicode_map[0x3B7E] = 0x7B95;
__mg_gbunicode_map[0x3C21] = 0x808C; __mg_gbunicode_map[0x3C22] = 0x9965;
__mg_gbunicode_map[0x3C23] = 0x8FF9; __mg_gbunicode_map[0x3C24] = 0x6FC0;
__mg_gbunicode_map[0x3C25] = 0x8BA5; __mg_gbunicode_map[0x3C26] = 0x9E21;
__mg_gbunicode_map[0x3C27] = 0x59EC; __mg_gbunicode_map[0x3C28] = 0x7EE9;
__mg_gbunicode_map[0x3C29] = 0x7F09; __mg_gbunicode_map[0x3C2A] = 0x5409;
__mg_gbunicode_map[0x3C2B] = 0x6781; __mg_gbunicode_map[0x3C2C] = 0x68D8;
__mg_gbunicode_map[0x3C2D] = 0x8F91; __mg_gbunicode_map[0x3C2E] = 0x7C4D;
__mg_gbunicode_map[0x3C2F] = 0x96C6; __mg_gbunicode_map[0x3C30] = 0x53CA;
__mg_gbunicode_map[0x3C31] = 0x6025; __mg_gbunicode_map[0x3C32] = 0x75BE;
__mg_gbunicode_map[0x3C33] = 0x6C72; __mg_gbunicode_map[0x3C34] = 0x5373;
__mg_gbunicode_map[0x3C35] = 0x5AC9; __mg_gbunicode_map[0x3C36] = 0x7EA7;
__mg_gbunicode_map[0x3C37] = 0x6324; __mg_gbunicode_map[0x3C38] = 0x51E0;
__mg_gbunicode_map[0x3C39] = 0x810A; __mg_gbunicode_map[0x3C3A] = 0x5DF1;
__mg_gbunicode_map[0x3C3B] = 0x84DF; __mg_gbunicode_map[0x3C3C] = 0x6280;
__mg_gbunicode_map[0x3C3D] = 0x5180; __mg_gbunicode_map[0x3C3E] = 0x5B63;
__mg_gbunicode_map[0x3C3F] = 0x4F0E; __mg_gbunicode_map[0x3C40] = 0x796D;
__mg_gbunicode_map[0x3C41] = 0x5242; __mg_gbunicode_map[0x3C42] = 0x60B8;
__mg_gbunicode_map[0x3C43] = 0x6D4E; __mg_gbunicode_map[0x3C44] = 0x5BC4;
__mg_gbunicode_map[0x3C45] = 0x5BC2; __mg_gbunicode_map[0x3C46] = 0x8BA1;
__mg_gbunicode_map[0x3C47] = 0x8BB0; __mg_gbunicode_map[0x3C48] = 0x65E2;
__mg_gbunicode_map[0x3C49] = 0x5FCC; __mg_gbunicode_map[0x3C4A] = 0x9645;
__mg_gbunicode_map[0x3C4B] = 0x5993; __mg_gbunicode_map[0x3C4C] = 0x7EE7;
__mg_gbunicode_map[0x3C4D] = 0x7EAA; __mg_gbunicode_map[0x3C4E] = 0x5609;
__mg_gbunicode_map[0x3C4F] = 0x67B7; __mg_gbunicode_map[0x3C50] = 0x5939;
__mg_gbunicode_map[0x3C51] = 0x4F73; __mg_gbunicode_map[0x3C52] = 0x5BB6;
__mg_gbunicode_map[0x3C53] = 0x52A0; __mg_gbunicode_map[0x3C54] = 0x835A;
__mg_gbunicode_map[0x3C55] = 0x988A; __mg_gbunicode_map[0x3C56] = 0x8D3E;
__mg_gbunicode_map[0x3C57] = 0x7532; __mg_gbunicode_map[0x3C58] = 0x94BE;
__mg_gbunicode_map[0x3C59] = 0x5047; __mg_gbunicode_map[0x3C5A] = 0x7A3C;
__mg_gbunicode_map[0x3C5B] = 0x4EF7; __mg_gbunicode_map[0x3C5C] = 0x67B6;
__mg_gbunicode_map[0x3C5D] = 0x9A7E; __mg_gbunicode_map[0x3C5E] = 0x5AC1;
__mg_gbunicode_map[0x3C5F] = 0x6B7C; __mg_gbunicode_map[0x3C60] = 0x76D1;
__mg_gbunicode_map[0x3C61] = 0x575A; __mg_gbunicode_map[0x3C62] = 0x5C16;
__mg_gbunicode_map[0x3C63] = 0x7B3A; __mg_gbunicode_map[0x3C64] = 0x95F4;
__mg_gbunicode_map[0x3C65] = 0x714E; __mg_gbunicode_map[0x3C66] = 0x517C;
__mg_gbunicode_map[0x3C67] = 0x80A9; __mg_gbunicode_map[0x3C68] = 0x8270;
__mg_gbunicode_map[0x3C69] = 0x5978; __mg_gbunicode_map[0x3C6A] = 0x7F04;
__mg_gbunicode_map[0x3C6B] = 0x8327; __mg_gbunicode_map[0x3C6C] = 0x68C0;
__mg_gbunicode_map[0x3C6D] = 0x67EC; __mg_gbunicode_map[0x3C6E] = 0x78B1;
__mg_gbunicode_map[0x3C6F] = 0x7877; __mg_gbunicode_map[0x3C70] = 0x62E3;
__mg_gbunicode_map[0x3C71] = 0x6361; __mg_gbunicode_map[0x3C72] = 0x7B80;
__mg_gbunicode_map[0x3C73] = 0x4FED; __mg_gbunicode_map[0x3C74] = 0x526A;
__mg_gbunicode_map[0x3C75] = 0x51CF; __mg_gbunicode_map[0x3C76] = 0x8350;
__mg_gbunicode_map[0x3C77] = 0x69DB; __mg_gbunicode_map[0x3C78] = 0x9274;
__mg_gbunicode_map[0x3C79] = 0x8DF5; __mg_gbunicode_map[0x3C7A] = 0x8D31;
__mg_gbunicode_map[0x3C7B] = 0x89C1; __mg_gbunicode_map[0x3C7C] = 0x952E;
__mg_gbunicode_map[0x3C7D] = 0x7BAD; __mg_gbunicode_map[0x3C7E] = 0x4EF6;
__mg_gbunicode_map[0x3D21] = 0x5065; __mg_gbunicode_map[0x3D22] = 0x8230;
__mg_gbunicode_map[0x3D23] = 0x5251; __mg_gbunicode_map[0x3D24] = 0x996F;
__mg_gbunicode_map[0x3D25] = 0x6E10; __mg_gbunicode_map[0x3D26] = 0x6E85;
__mg_gbunicode_map[0x3D27] = 0x6DA7; __mg_gbunicode_map[0x3D28] = 0x5EFA;
__mg_gbunicode_map[0x3D29] = 0x50F5; __mg_gbunicode_map[0x3D2A] = 0x59DC;
__mg_gbunicode_map[0x3D2B] = 0x5C06; __mg_gbunicode_map[0x3D2C] = 0x6D46;
__mg_gbunicode_map[0x3D2D] = 0x6C5F; __mg_gbunicode_map[0x3D2E] = 0x7586;
__mg_gbunicode_map[0x3D2F] = 0x848B; __mg_gbunicode_map[0x3D30] = 0x6868;
__mg_gbunicode_map[0x3D31] = 0x5956; __mg_gbunicode_map[0x3D32] = 0x8BB2;
__mg_gbunicode_map[0x3D33] = 0x5320; __mg_gbunicode_map[0x3D34] = 0x9171;
__mg_gbunicode_map[0x3D35] = 0x964D; __mg_gbunicode_map[0x3D36] = 0x8549;
__mg_gbunicode_map[0x3D37] = 0x6912; __mg_gbunicode_map[0x3D38] = 0x7901;
__mg_gbunicode_map[0x3D39] = 0x7126; __mg_gbunicode_map[0x3D3A] = 0x80F6;
__mg_gbunicode_map[0x3D3B] = 0x4EA4; __mg_gbunicode_map[0x3D3C] = 0x90CA;
__mg_gbunicode_map[0x3D3D] = 0x6D47; __mg_gbunicode_map[0x3D3E] = 0x9A84;
__mg_gbunicode_map[0x3D3F] = 0x5A07; __mg_gbunicode_map[0x3D40] = 0x56BC;
__mg_gbunicode_map[0x3D41] = 0x6405; __mg_gbunicode_map[0x3D42] = 0x94F0;
__mg_gbunicode_map[0x3D43] = 0x77EB; __mg_gbunicode_map[0x3D44] = 0x4FA5;
__mg_gbunicode_map[0x3D45] = 0x811A; __mg_gbunicode_map[0x3D46] = 0x72E1;
__mg_gbunicode_map[0x3D47] = 0x89D2; __mg_gbunicode_map[0x3D48] = 0x997A;
__mg_gbunicode_map[0x3D49] = 0x7F34; __mg_gbunicode_map[0x3D4A] = 0x7EDE;
__mg_gbunicode_map[0x3D4B] = 0x527F; __mg_gbunicode_map[0x3D4C] = 0x6559;
__mg_gbunicode_map[0x3D4D] = 0x9175; __mg_gbunicode_map[0x3D4E] = 0x8F7F;
__mg_gbunicode_map[0x3D4F] = 0x8F83; __mg_gbunicode_map[0x3D50] = 0x53EB;
__mg_gbunicode_map[0x3D51] = 0x7A96; __mg_gbunicode_map[0x3D52] = 0x63ED;
__mg_gbunicode_map[0x3D53] = 0x63A5; __mg_gbunicode_map[0x3D54] = 0x7686;
__mg_gbunicode_map[0x3D55] = 0x79F8; __mg_gbunicode_map[0x3D56] = 0x8857;
__mg_gbunicode_map[0x3D57] = 0x9636; __mg_gbunicode_map[0x3D58] = 0x622A;
__mg_gbunicode_map[0x3D59] = 0x52AB; __mg_gbunicode_map[0x3D5A] = 0x8282;
__mg_gbunicode_map[0x3D5B] = 0x6854; __mg_gbunicode_map[0x3D5C] = 0x6770;
__mg_gbunicode_map[0x3D5D] = 0x6377; __mg_gbunicode_map[0x3D5E] = 0x776B;
__mg_gbunicode_map[0x3D5F] = 0x7AED; __mg_gbunicode_map[0x3D60] = 0x6D01;
__mg_gbunicode_map[0x3D61] = 0x7ED3; __mg_gbunicode_map[0x3D62] = 0x89E3;
__mg_gbunicode_map[0x3D63] = 0x59D0; __mg_gbunicode_map[0x3D64] = 0x6212;
__mg_gbunicode_map[0x3D65] = 0x85C9; __mg_gbunicode_map[0x3D66] = 0x82A5;
__mg_gbunicode_map[0x3D67] = 0x754C; __mg_gbunicode_map[0x3D68] = 0x501F;
__mg_gbunicode_map[0x3D69] = 0x4ECB; __mg_gbunicode_map[0x3D6A] = 0x75A5;
__mg_gbunicode_map[0x3D6B] = 0x8BEB; __mg_gbunicode_map[0x3D6C] = 0x5C4A;
__mg_gbunicode_map[0x3D6D] = 0x5DFE; __mg_gbunicode_map[0x3D6E] = 0x7B4B;
__mg_gbunicode_map[0x3D6F] = 0x65A4; __mg_gbunicode_map[0x3D70] = 0x91D1;
__mg_gbunicode_map[0x3D71] = 0x4ECA; __mg_gbunicode_map[0x3D72] = 0x6D25;
__mg_gbunicode_map[0x3D73] = 0x895F; __mg_gbunicode_map[0x3D74] = 0x7D27;
__mg_gbunicode_map[0x3D75] = 0x9526; __mg_gbunicode_map[0x3D76] = 0x4EC5;
__mg_gbunicode_map[0x3D77] = 0x8C28; __mg_gbunicode_map[0x3D78] = 0x8FDB;
__mg_gbunicode_map[0x3D79] = 0x9773; __mg_gbunicode_map[0x3D7A] = 0x664B;
__mg_gbunicode_map[0x3D7B] = 0x7981; __mg_gbunicode_map[0x3D7C] = 0x8FD1;
__mg_gbunicode_map[0x3D7D] = 0x70EC; __mg_gbunicode_map[0x3D7E] = 0x6D78;
__mg_gbunicode_map[0x3E21] = 0x5C3D; __mg_gbunicode_map[0x3E22] = 0x52B2;
__mg_gbunicode_map[0x3E23] = 0x8346; __mg_gbunicode_map[0x3E24] = 0x5162;
__mg_gbunicode_map[0x3E25] = 0x830E; __mg_gbunicode_map[0x3E26] = 0x775B;
__mg_gbunicode_map[0x3E27] = 0x6676; __mg_gbunicode_map[0x3E28] = 0x9CB8;
__mg_gbunicode_map[0x3E29] = 0x4EAC; __mg_gbunicode_map[0x3E2A] = 0x60CA;
__mg_gbunicode_map[0x3E2B] = 0x7CBE; __mg_gbunicode_map[0x3E2C] = 0x7CB3;
__mg_gbunicode_map[0x3E2D] = 0x7ECF; __mg_gbunicode_map[0x3E2E] = 0x4E95;
__mg_gbunicode_map[0x3E2F] = 0x8B66; __mg_gbunicode_map[0x3E30] = 0x666F;
__mg_gbunicode_map[0x3E31] = 0x9888; __mg_gbunicode_map[0x3E32] = 0x9759;
__mg_gbunicode_map[0x3E33] = 0x5883; __mg_gbunicode_map[0x3E34] = 0x656C;
__mg_gbunicode_map[0x3E35] = 0x955C; __mg_gbunicode_map[0x3E36] = 0x5F84;
__mg_gbunicode_map[0x3E37] = 0x75C9; __mg_gbunicode_map[0x3E38] = 0x9756;
__mg_gbunicode_map[0x3E39] = 0x7ADF; __mg_gbunicode_map[0x3E3A] = 0x7ADE;
__mg_gbunicode_map[0x3E3B] = 0x51C0; __mg_gbunicode_map[0x3E3C] = 0x70AF;
__mg_gbunicode_map[0x3E3D] = 0x7A98; __mg_gbunicode_map[0x3E3E] = 0x63EA;
__mg_gbunicode_map[0x3E3F] = 0x7A76; __mg_gbunicode_map[0x3E40] = 0x7EA0;
__mg_gbunicode_map[0x3E41] = 0x7396; __mg_gbunicode_map[0x3E42] = 0x97ED;
__mg_gbunicode_map[0x3E43] = 0x4E45; __mg_gbunicode_map[0x3E44] = 0x7078;
__mg_gbunicode_map[0x3E45] = 0x4E5D; __mg_gbunicode_map[0x3E46] = 0x9152;
__mg_gbunicode_map[0x3E47] = 0x53A9; __mg_gbunicode_map[0x3E48] = 0x6551;
__mg_gbunicode_map[0x3E49] = 0x65E7; __mg_gbunicode_map[0x3E4A] = 0x81FC;
__mg_gbunicode_map[0x3E4B] = 0x8205; __mg_gbunicode_map[0x3E4C] = 0x548E;
__mg_gbunicode_map[0x3E4D] = 0x5C31; __mg_gbunicode_map[0x3E4E] = 0x759A;
__mg_gbunicode_map[0x3E4F] = 0x97A0; __mg_gbunicode_map[0x3E50] = 0x62D8;
__mg_gbunicode_map[0x3E51] = 0x72D9; __mg_gbunicode_map[0x3E52] = 0x75BD;
__mg_gbunicode_map[0x3E53] = 0x5C45; __mg_gbunicode_map[0x3E54] = 0x9A79;
__mg_gbunicode_map[0x3E55] = 0x83CA; __mg_gbunicode_map[0x3E56] = 0x5C40;
__mg_gbunicode_map[0x3E57] = 0x5480; __mg_gbunicode_map[0x3E58] = 0x77E9;
__mg_gbunicode_map[0x3E59] = 0x4E3E; __mg_gbunicode_map[0x3E5A] = 0x6CAE;
__mg_gbunicode_map[0x3E5B] = 0x805A; __mg_gbunicode_map[0x3E5C] = 0x62D2;
__mg_gbunicode_map[0x3E5D] = 0x636E; __mg_gbunicode_map[0x3E5E] = 0x5DE8;
__mg_gbunicode_map[0x3E5F] = 0x5177; __mg_gbunicode_map[0x3E60] = 0x8DDD;
__mg_gbunicode_map[0x3E61] = 0x8E1E; __mg_gbunicode_map[0x3E62] = 0x952F;
__mg_gbunicode_map[0x3E63] = 0x4FF1; __mg_gbunicode_map[0x3E64] = 0x53E5;
__mg_gbunicode_map[0x3E65] = 0x60E7; __mg_gbunicode_map[0x3E66] = 0x70AC;
__mg_gbunicode_map[0x3E67] = 0x5267; __mg_gbunicode_map[0x3E68] = 0x6350;
__mg_gbunicode_map[0x3E69] = 0x9E43; __mg_gbunicode_map[0x3E6A] = 0x5A1F;
__mg_gbunicode_map[0x3E6B] = 0x5026; __mg_gbunicode_map[0x3E6C] = 0x7737;
__mg_gbunicode_map[0x3E6D] = 0x5377; __mg_gbunicode_map[0x3E6E] = 0x7EE2;
__mg_gbunicode_map[0x3E6F] = 0x6485; __mg_gbunicode_map[0x3E70] = 0x652B;
__mg_gbunicode_map[0x3E71] = 0x6289; __mg_gbunicode_map[0x3E72] = 0x6398;
__mg_gbunicode_map[0x3E73] = 0x5014; __mg_gbunicode_map[0x3E74] = 0x7235;
__mg_gbunicode_map[0x3E75] = 0x89C9; __mg_gbunicode_map[0x3E76] = 0x51B3;
__mg_gbunicode_map[0x3E77] = 0x8BC0; __mg_gbunicode_map[0x3E78] = 0x7EDD;
__mg_gbunicode_map[0x3E79] = 0x5747; __mg_gbunicode_map[0x3E7A] = 0x83CC;
__mg_gbunicode_map[0x3E7B] = 0x94A7; __mg_gbunicode_map[0x3E7C] = 0x519B;
__mg_gbunicode_map[0x3E7D] = 0x541B; __mg_gbunicode_map[0x3E7E] = 0x5CFB;
__mg_gbunicode_map[0x3F21] = 0x4FCA; __mg_gbunicode_map[0x3F22] = 0x7AE3;
__mg_gbunicode_map[0x3F23] = 0x6D5A; __mg_gbunicode_map[0x3F24] = 0x90E1;
__mg_gbunicode_map[0x3F25] = 0x9A8F; __mg_gbunicode_map[0x3F26] = 0x5580;
__mg_gbunicode_map[0x3F27] = 0x5496; __mg_gbunicode_map[0x3F28] = 0x5361;
__mg_gbunicode_map[0x3F29] = 0x54AF; __mg_gbunicode_map[0x3F2A] = 0x5F00;
__mg_gbunicode_map[0x3F2B] = 0x63E9; __mg_gbunicode_map[0x3F2C] = 0x6977;
__mg_gbunicode_map[0x3F2D] = 0x51EF; __mg_gbunicode_map[0x3F2E] = 0x6168;
__mg_gbunicode_map[0x3F2F] = 0x520A; __mg_gbunicode_map[0x3F30] = 0x582A;
__mg_gbunicode_map[0x3F31] = 0x52D8; __mg_gbunicode_map[0x3F32] = 0x574E;
__mg_gbunicode_map[0x3F33] = 0x780D; __mg_gbunicode_map[0x3F34] = 0x770B;
__mg_gbunicode_map[0x3F35] = 0x5EB7; __mg_gbunicode_map[0x3F36] = 0x6177;
__mg_gbunicode_map[0x3F37] = 0x7CE0; __mg_gbunicode_map[0x3F38] = 0x625B;
__mg_gbunicode_map[0x3F39] = 0x6297; __mg_gbunicode_map[0x3F3A] = 0x4EA2;
__mg_gbunicode_map[0x3F3B] = 0x7095; __mg_gbunicode_map[0x3F3C] = 0x8003;
__mg_gbunicode_map[0x3F3D] = 0x62F7; __mg_gbunicode_map[0x3F3E] = 0x70E4;
__mg_gbunicode_map[0x3F3F] = 0x9760; __mg_gbunicode_map[0x3F40] = 0x5777;
__mg_gbunicode_map[0x3F41] = 0x82DB; __mg_gbunicode_map[0x3F42] = 0x67EF;
__mg_gbunicode_map[0x3F43] = 0x68F5; __mg_gbunicode_map[0x3F44] = 0x78D5;
__mg_gbunicode_map[0x3F45] = 0x9897; __mg_gbunicode_map[0x3F46] = 0x79D1;
__mg_gbunicode_map[0x3F47] = 0x58F3; __mg_gbunicode_map[0x3F48] = 0x54B3;
__mg_gbunicode_map[0x3F49] = 0x53EF; __mg_gbunicode_map[0x3F4A] = 0x6E34;
__mg_gbunicode_map[0x3F4B] = 0x514B; __mg_gbunicode_map[0x3F4C] = 0x523B;
__mg_gbunicode_map[0x3F4D] = 0x5BA2; __mg_gbunicode_map[0x3F4E] = 0x8BFE;
__mg_gbunicode_map[0x3F4F] = 0x80AF; __mg_gbunicode_map[0x3F50] = 0x5543;
__mg_gbunicode_map[0x3F51] = 0x57A6; __mg_gbunicode_map[0x3F52] = 0x6073;
__mg_gbunicode_map[0x3F53] = 0x5751; __mg_gbunicode_map[0x3F54] = 0x542D;
__mg_gbunicode_map[0x3F55] = 0x7A7A; __mg_gbunicode_map[0x3F56] = 0x6050;
__mg_gbunicode_map[0x3F57] = 0x5B54; __mg_gbunicode_map[0x3F58] = 0x63A7;
__mg_gbunicode_map[0x3F59] = 0x62A0; __mg_gbunicode_map[0x3F5A] = 0x53E3;
__mg_gbunicode_map[0x3F5B] = 0x6263; __mg_gbunicode_map[0x3F5C] = 0x5BC7;
__mg_gbunicode_map[0x3F5D] = 0x67AF; __mg_gbunicode_map[0x3F5E] = 0x54ED;
__mg_gbunicode_map[0x3F5F] = 0x7A9F; __mg_gbunicode_map[0x3F60] = 0x82E6;
__mg_gbunicode_map[0x3F61] = 0x9177; __mg_gbunicode_map[0x3F62] = 0x5E93;
__mg_gbunicode_map[0x3F63] = 0x88E4; __mg_gbunicode_map[0x3F64] = 0x5938;
__mg_gbunicode_map[0x3F65] = 0x57AE; __mg_gbunicode_map[0x3F66] = 0x630E;
__mg_gbunicode_map[0x3F67] = 0x8DE8; __mg_gbunicode_map[0x3F68] = 0x80EF;
__mg_gbunicode_map[0x3F69] = 0x5757; __mg_gbunicode_map[0x3F6A] = 0x7B77;
__mg_gbunicode_map[0x3F6B] = 0x4FA9; __mg_gbunicode_map[0x3F6C] = 0x5FEB;
__mg_gbunicode_map[0x3F6D] = 0x5BBD; __mg_gbunicode_map[0x3F6E] = 0x6B3E;
__mg_gbunicode_map[0x3F6F] = 0x5321; __mg_gbunicode_map[0x3F70] = 0x7B50;
__mg_gbunicode_map[0x3F71] = 0x72C2; __mg_gbunicode_map[0x3F72] = 0x6846;
__mg_gbunicode_map[0x3F73] = 0x77FF; __mg_gbunicode_map[0x3F74] = 0x7736;
__mg_gbunicode_map[0x3F75] = 0x65F7; __mg_gbunicode_map[0x3F76] = 0x51B5;
__mg_gbunicode_map[0x3F77] = 0x4E8F; __mg_gbunicode_map[0x3F78] = 0x76D4;
__mg_gbunicode_map[0x3F79] = 0x5CBF; __mg_gbunicode_map[0x3F7A] = 0x7AA5;
__mg_gbunicode_map[0x3F7B] = 0x8475; __mg_gbunicode_map[0x3F7C] = 0x594E;
__mg_gbunicode_map[0x3F7D] = 0x9B41; __mg_gbunicode_map[0x3F7E] = 0x5080;
__mg_gbunicode_map[0x4021] = 0x9988; __mg_gbunicode_map[0x4022] = 0x6127;
__mg_gbunicode_map[0x4023] = 0x6E83; __mg_gbunicode_map[0x4024] = 0x5764;
__mg_gbunicode_map[0x4025] = 0x6606; __mg_gbunicode_map[0x4026] = 0x6346;
__mg_gbunicode_map[0x4027] = 0x56F0; __mg_gbunicode_map[0x4028] = 0x62EC;
__mg_gbunicode_map[0x4029] = 0x6269; __mg_gbunicode_map[0x402A] = 0x5ED3;
__mg_gbunicode_map[0x402B] = 0x9614; __mg_gbunicode_map[0x402C] = 0x5783;
__mg_gbunicode_map[0x402D] = 0x62C9; __mg_gbunicode_map[0x402E] = 0x5587;
__mg_gbunicode_map[0x402F] = 0x8721; __mg_gbunicode_map[0x4030] = 0x814A;
__mg_gbunicode_map[0x4031] = 0x8FA3; __mg_gbunicode_map[0x4032] = 0x5566;
__mg_gbunicode_map[0x4033] = 0x83B1; __mg_gbunicode_map[0x4034] = 0x6765;
__mg_gbunicode_map[0x4035] = 0x8D56; __mg_gbunicode_map[0x4036] = 0x84DD;
__mg_gbunicode_map[0x4037] = 0x5A6A; __mg_gbunicode_map[0x4038] = 0x680F;
__mg_gbunicode_map[0x4039] = 0x62E6; __mg_gbunicode_map[0x403A] = 0x7BEE;
__mg_gbunicode_map[0x403B] = 0x9611; __mg_gbunicode_map[0x403C] = 0x5170;
__mg_gbunicode_map[0x403D] = 0x6F9C; __mg_gbunicode_map[0x403E] = 0x8C30;
__mg_gbunicode_map[0x403F] = 0x63FD; __mg_gbunicode_map[0x4040] = 0x89C8;
__mg_gbunicode_map[0x4041] = 0x61D2; __mg_gbunicode_map[0x4042] = 0x7F06;
__mg_gbunicode_map[0x4043] = 0x70C2; __mg_gbunicode_map[0x4044] = 0x6EE5;
__mg_gbunicode_map[0x4045] = 0x7405; __mg_gbunicode_map[0x4046] = 0x6994;
__mg_gbunicode_map[0x4047] = 0x72FC; __mg_gbunicode_map[0x4048] = 0x5ECA;
__mg_gbunicode_map[0x4049] = 0x90CE; __mg_gbunicode_map[0x404A] = 0x6717;
__mg_gbunicode_map[0x404B] = 0x6D6A; __mg_gbunicode_map[0x404C] = 0x635E;
__mg_gbunicode_map[0x404D] = 0x52B3; __mg_gbunicode_map[0x404E] = 0x7262;
__mg_gbunicode_map[0x404F] = 0x8001; __mg_gbunicode_map[0x4050] = 0x4F6C;
__mg_gbunicode_map[0x4051] = 0x59E5; __mg_gbunicode_map[0x4052] = 0x916A;
__mg_gbunicode_map[0x4053] = 0x70D9; __mg_gbunicode_map[0x4054] = 0x6D9D;
__mg_gbunicode_map[0x4055] = 0x52D2; __mg_gbunicode_map[0x4056] = 0x4E50;
__mg_gbunicode_map[0x4057] = 0x96F7; __mg_gbunicode_map[0x4058] = 0x956D;
__mg_gbunicode_map[0x4059] = 0x857E; __mg_gbunicode_map[0x405A] = 0x78CA;
__mg_gbunicode_map[0x405B] = 0x7D2F; __mg_gbunicode_map[0x405C] = 0x5121;
__mg_gbunicode_map[0x405D] = 0x5792; __mg_gbunicode_map[0x405E] = 0x64C2;
__mg_gbunicode_map[0x405F] = 0x808B; __mg_gbunicode_map[0x4060] = 0x7C7B;
__mg_gbunicode_map[0x4061] = 0x6CEA; __mg_gbunicode_map[0x4062] = 0x68F1;
__mg_gbunicode_map[0x4063] = 0x695E; __mg_gbunicode_map[0x4064] = 0x51B7;
__mg_gbunicode_map[0x4065] = 0x5398; __mg_gbunicode_map[0x4066] = 0x68A8;
__mg_gbunicode_map[0x4067] = 0x7281; __mg_gbunicode_map[0x4068] = 0x9ECE;
__mg_gbunicode_map[0x4069] = 0x7BF1; __mg_gbunicode_map[0x406A] = 0x72F8;
__mg_gbunicode_map[0x406B] = 0x79BB; __mg_gbunicode_map[0x406C] = 0x6F13;
__mg_gbunicode_map[0x406D] = 0x7406; __mg_gbunicode_map[0x406E] = 0x674E;
__mg_gbunicode_map[0x406F] = 0x91CC; __mg_gbunicode_map[0x4070] = 0x9CA4;
__mg_gbunicode_map[0x4071] = 0x793C; __mg_gbunicode_map[0x4072] = 0x8389;
__mg_gbunicode_map[0x4073] = 0x8354; __mg_gbunicode_map[0x4074] = 0x540F;
__mg_gbunicode_map[0x4075] = 0x6817; __mg_gbunicode_map[0x4076] = 0x4E3D;
__mg_gbunicode_map[0x4077] = 0x5389; __mg_gbunicode_map[0x4078] = 0x52B1;
__mg_gbunicode_map[0x4079] = 0x783E; __mg_gbunicode_map[0x407A] = 0x5386;
__mg_gbunicode_map[0x407B] = 0x5229; __mg_gbunicode_map[0x407C] = 0x5088;
__mg_gbunicode_map[0x407D] = 0x4F8B; __mg_gbunicode_map[0x407E] = 0x4FD0;
__mg_gbunicode_map[0x4121] = 0x75E2; __mg_gbunicode_map[0x4122] = 0x7ACB;
__mg_gbunicode_map[0x4123] = 0x7C92; __mg_gbunicode_map[0x4124] = 0x6CA5;
__mg_gbunicode_map[0x4125] = 0x96B6; __mg_gbunicode_map[0x4126] = 0x529B;
__mg_gbunicode_map[0x4127] = 0x7483; __mg_gbunicode_map[0x4128] = 0x54E9;
__mg_gbunicode_map[0x4129] = 0x4FE9; __mg_gbunicode_map[0x412A] = 0x8054;
__mg_gbunicode_map[0x412B] = 0x83B2; __mg_gbunicode_map[0x412C] = 0x8FDE;
__mg_gbunicode_map[0x412D] = 0x9570; __mg_gbunicode_map[0x412E] = 0x5EC9;
__mg_gbunicode_map[0x412F] = 0x601C; __mg_gbunicode_map[0x4130] = 0x6D9F;
__mg_gbunicode_map[0x4131] = 0x5E18; __mg_gbunicode_map[0x4132] = 0x655B;
__mg_gbunicode_map[0x4133] = 0x8138; __mg_gbunicode_map[0x4134] = 0x94FE;
__mg_gbunicode_map[0x4135] = 0x604B; __mg_gbunicode_map[0x4136] = 0x70BC;
__mg_gbunicode_map[0x4137] = 0x7EC3; __mg_gbunicode_map[0x4138] = 0x7CAE;
__mg_gbunicode_map[0x4139] = 0x51C9; __mg_gbunicode_map[0x413A] = 0x6881;
__mg_gbunicode_map[0x413B] = 0x7CB1; __mg_gbunicode_map[0x413C] = 0x826F;
__mg_gbunicode_map[0x413D] = 0x4E24; __mg_gbunicode_map[0x413E] = 0x8F86;
__mg_gbunicode_map[0x413F] = 0x91CF; __mg_gbunicode_map[0x4140] = 0x667E;
__mg_gbunicode_map[0x4141] = 0x4EAE; __mg_gbunicode_map[0x4142] = 0x8C05;
__mg_gbunicode_map[0x4143] = 0x64A9; __mg_gbunicode_map[0x4144] = 0x804A;
__mg_gbunicode_map[0x4145] = 0x50DA; __mg_gbunicode_map[0x4146] = 0x7597;
__mg_gbunicode_map[0x4147] = 0x71CE; __mg_gbunicode_map[0x4148] = 0x5BE5;
__mg_gbunicode_map[0x4149] = 0x8FBD; __mg_gbunicode_map[0x414A] = 0x6F66;
__mg_gbunicode_map[0x414B] = 0x4E86; __mg_gbunicode_map[0x414C] = 0x6482;
__mg_gbunicode_map[0x414D] = 0x9563; __mg_gbunicode_map[0x414E] = 0x5ED6;
__mg_gbunicode_map[0x414F] = 0x6599; __mg_gbunicode_map[0x4150] = 0x5217;
__mg_gbunicode_map[0x4151] = 0x88C2; __mg_gbunicode_map[0x4152] = 0x70C8;
__mg_gbunicode_map[0x4153] = 0x52A3; __mg_gbunicode_map[0x4154] = 0x730E;
__mg_gbunicode_map[0x4155] = 0x7433; __mg_gbunicode_map[0x4156] = 0x6797;
__mg_gbunicode_map[0x4157] = 0x78F7; __mg_gbunicode_map[0x4158] = 0x9716;
__mg_gbunicode_map[0x4159] = 0x4E34; __mg_gbunicode_map[0x415A] = 0x90BB;
__mg_gbunicode_map[0x415B] = 0x9CDE; __mg_gbunicode_map[0x415C] = 0x6DCB;
__mg_gbunicode_map[0x415D] = 0x51DB; __mg_gbunicode_map[0x415E] = 0x8D41;
__mg_gbunicode_map[0x415F] = 0x541D; __mg_gbunicode_map[0x4160] = 0x62CE;
__mg_gbunicode_map[0x4161] = 0x73B2; __mg_gbunicode_map[0x4162] = 0x83F1;
__mg_gbunicode_map[0x4163] = 0x96F6; __mg_gbunicode_map[0x4164] = 0x9F84;
__mg_gbunicode_map[0x4165] = 0x94C3; __mg_gbunicode_map[0x4166] = 0x4F36;
__mg_gbunicode_map[0x4167] = 0x7F9A; __mg_gbunicode_map[0x4168] = 0x51CC;
__mg_gbunicode_map[0x4169] = 0x7075; __mg_gbunicode_map[0x416A] = 0x9675;
__mg_gbunicode_map[0x416B] = 0x5CAD; __mg_gbunicode_map[0x416C] = 0x9886;
__mg_gbunicode_map[0x416D] = 0x53E6; __mg_gbunicode_map[0x416E] = 0x4EE4;
__mg_gbunicode_map[0x416F] = 0x6E9C; __mg_gbunicode_map[0x4170] = 0x7409;
__mg_gbunicode_map[0x4171] = 0x69B4; __mg_gbunicode_map[0x4172] = 0x786B;
__mg_gbunicode_map[0x4173] = 0x998F; __mg_gbunicode_map[0x4174] = 0x7559;
__mg_gbunicode_map[0x4175] = 0x5218; __mg_gbunicode_map[0x4176] = 0x7624;
__mg_gbunicode_map[0x4177] = 0x6D41; __mg_gbunicode_map[0x4178] = 0x67F3;
__mg_gbunicode_map[0x4179] = 0x516D; __mg_gbunicode_map[0x417A] = 0x9F99;
__mg_gbunicode_map[0x417B] = 0x804B; __mg_gbunicode_map[0x417C] = 0x5499;
__mg_gbunicode_map[0x417D] = 0x7B3C; __mg_gbunicode_map[0x417E] = 0x7ABF;
__mg_gbunicode_map[0x4221] = 0x9686; __mg_gbunicode_map[0x4222] = 0x5784;
__mg_gbunicode_map[0x4223] = 0x62E2; __mg_gbunicode_map[0x4224] = 0x9647;
__mg_gbunicode_map[0x4225] = 0x697C; __mg_gbunicode_map[0x4226] = 0x5A04;
__mg_gbunicode_map[0x4227] = 0x6402; __mg_gbunicode_map[0x4228] = 0x7BD3;
__mg_gbunicode_map[0x4229] = 0x6F0F; __mg_gbunicode_map[0x422A] = 0x964B;
__mg_gbunicode_map[0x422B] = 0x82A6; __mg_gbunicode_map[0x422C] = 0x5362;
__mg_gbunicode_map[0x422D] = 0x9885; __mg_gbunicode_map[0x422E] = 0x5E90;
__mg_gbunicode_map[0x422F] = 0x7089; __mg_gbunicode_map[0x4230] = 0x63B3;
__mg_gbunicode_map[0x4231] = 0x5364; __mg_gbunicode_map[0x4232] = 0x864F;
__mg_gbunicode_map[0x4233] = 0x9C81; __mg_gbunicode_map[0x4234] = 0x9E93;
__mg_gbunicode_map[0x4235] = 0x788C; __mg_gbunicode_map[0x4236] = 0x9732;
__mg_gbunicode_map[0x4237] = 0x8DEF; __mg_gbunicode_map[0x4238] = 0x8D42;
__mg_gbunicode_map[0x4239] = 0x9E7F; __mg_gbunicode_map[0x423A] = 0x6F5E;
__mg_gbunicode_map[0x423B] = 0x7984; __mg_gbunicode_map[0x423C] = 0x5F55;
__mg_gbunicode_map[0x423D] = 0x9646; __mg_gbunicode_map[0x423E] = 0x622E;
__mg_gbunicode_map[0x423F] = 0x9A74; __mg_gbunicode_map[0x4240] = 0x5415;
__mg_gbunicode_map[0x4241] = 0x94DD; __mg_gbunicode_map[0x4242] = 0x4FA3;
__mg_gbunicode_map[0x4243] = 0x65C5; __mg_gbunicode_map[0x4244] = 0x5C65;
__mg_gbunicode_map[0x4245] = 0x5C61; __mg_gbunicode_map[0x4246] = 0x7F15;
__mg_gbunicode_map[0x4247] = 0x8651; __mg_gbunicode_map[0x4248] = 0x6C2F;
__mg_gbunicode_map[0x4249] = 0x5F8B; __mg_gbunicode_map[0x424A] = 0x7387;
__mg_gbunicode_map[0x424B] = 0x6EE4; __mg_gbunicode_map[0x424C] = 0x7EFF;
__mg_gbunicode_map[0x424D] = 0x5CE6; __mg_gbunicode_map[0x424E] = 0x631B;
__mg_gbunicode_map[0x424F] = 0x5B6A; __mg_gbunicode_map[0x4250] = 0x6EE6;
__mg_gbunicode_map[0x4251] = 0x5375; __mg_gbunicode_map[0x4252] = 0x4E71;
__mg_gbunicode_map[0x4253] = 0x63A0; __mg_gbunicode_map[0x4254] = 0x7565;
__mg_gbunicode_map[0x4255] = 0x62A1; __mg_gbunicode_map[0x4256] = 0x8F6E;
__mg_gbunicode_map[0x4257] = 0x4F26; __mg_gbunicode_map[0x4258] = 0x4ED1;
__mg_gbunicode_map[0x4259] = 0x6CA6; __mg_gbunicode_map[0x425A] = 0x7EB6;
__mg_gbunicode_map[0x425B] = 0x8BBA; __mg_gbunicode_map[0x425C] = 0x841D;
__mg_gbunicode_map[0x425D] = 0x87BA; __mg_gbunicode_map[0x425E] = 0x7F57;
__mg_gbunicode_map[0x425F] = 0x903B; __mg_gbunicode_map[0x4260] = 0x9523;
__mg_gbunicode_map[0x4261] = 0x7BA9; __mg_gbunicode_map[0x4262] = 0x9AA1;
__mg_gbunicode_map[0x4263] = 0x88F8; __mg_gbunicode_map[0x4264] = 0x843D;
__mg_gbunicode_map[0x4265] = 0x6D1B; __mg_gbunicode_map[0x4266] = 0x9A86;
__mg_gbunicode_map[0x4267] = 0x7EDC; __mg_gbunicode_map[0x4268] = 0x5988;
__mg_gbunicode_map[0x4269] = 0x9EBB; __mg_gbunicode_map[0x426A] = 0x739B;
__mg_gbunicode_map[0x426B] = 0x7801; __mg_gbunicode_map[0x426C] = 0x8682;
__mg_gbunicode_map[0x426D] = 0x9A6C; __mg_gbunicode_map[0x426E] = 0x9A82;
__mg_gbunicode_map[0x426F] = 0x561B; __mg_gbunicode_map[0x4270] = 0x5417;
__mg_gbunicode_map[0x4271] = 0x57CB; __mg_gbunicode_map[0x4272] = 0x4E70;
__mg_gbunicode_map[0x4273] = 0x9EA6; __mg_gbunicode_map[0x4274] = 0x5356;
__mg_gbunicode_map[0x4275] = 0x8FC8; __mg_gbunicode_map[0x4276] = 0x8109;
__mg_gbunicode_map[0x4277] = 0x7792; __mg_gbunicode_map[0x4278] = 0x9992;
__mg_gbunicode_map[0x4279] = 0x86EE; __mg_gbunicode_map[0x427A] = 0x6EE1;
__mg_gbunicode_map[0x427B] = 0x8513; __mg_gbunicode_map[0x427C] = 0x66FC;
__mg_gbunicode_map[0x427D] = 0x6162; __mg_gbunicode_map[0x427E] = 0x6F2B;
__mg_gbunicode_map[0x4321] = 0x8C29; __mg_gbunicode_map[0x4322] = 0x8292;
__mg_gbunicode_map[0x4323] = 0x832B; __mg_gbunicode_map[0x4324] = 0x76F2;
__mg_gbunicode_map[0x4325] = 0x6C13; __mg_gbunicode_map[0x4326] = 0x5FD9;
__mg_gbunicode_map[0x4327] = 0x83BD; __mg_gbunicode_map[0x4328] = 0x732B;
__mg_gbunicode_map[0x4329] = 0x8305; __mg_gbunicode_map[0x432A] = 0x951A;
__mg_gbunicode_map[0x432B] = 0x6BDB; __mg_gbunicode_map[0x432C] = 0x77DB;
__mg_gbunicode_map[0x432D] = 0x94C6; __mg_gbunicode_map[0x432E] = 0x536F;
__mg_gbunicode_map[0x432F] = 0x8302; __mg_gbunicode_map[0x4330] = 0x5192;
__mg_gbunicode_map[0x4331] = 0x5E3D; __mg_gbunicode_map[0x4332] = 0x8C8C;
__mg_gbunicode_map[0x4333] = 0x8D38; __mg_gbunicode_map[0x4334] = 0x4E48;
__mg_gbunicode_map[0x4335] = 0x73AB; __mg_gbunicode_map[0x4336] = 0x679A;
__mg_gbunicode_map[0x4337] = 0x6885; __mg_gbunicode_map[0x4338] = 0x9176;
__mg_gbunicode_map[0x4339] = 0x9709; __mg_gbunicode_map[0x433A] = 0x7164;
__mg_gbunicode_map[0x433B] = 0x6CA1; __mg_gbunicode_map[0x433C] = 0x7709;
__mg_gbunicode_map[0x433D] = 0x5A92; __mg_gbunicode_map[0x433E] = 0x9541;
__mg_gbunicode_map[0x433F] = 0x6BCF; __mg_gbunicode_map[0x4340] = 0x7F8E;
__mg_gbunicode_map[0x4341] = 0x6627; __mg_gbunicode_map[0x4342] = 0x5BD0;
__mg_gbunicode_map[0x4343] = 0x59B9; __mg_gbunicode_map[0x4344] = 0x5A9A;
__mg_gbunicode_map[0x4345] = 0x95E8; __mg_gbunicode_map[0x4346] = 0x95F7;
__mg_gbunicode_map[0x4347] = 0x4EEC; __mg_gbunicode_map[0x4348] = 0x840C;
__mg_gbunicode_map[0x4349] = 0x8499; __mg_gbunicode_map[0x434A] = 0x6AAC;
__mg_gbunicode_map[0x434B] = 0x76DF; __mg_gbunicode_map[0x434C] = 0x9530;
__mg_gbunicode_map[0x434D] = 0x731B; __mg_gbunicode_map[0x434E] = 0x68A6;
__mg_gbunicode_map[0x434F] = 0x5B5F; __mg_gbunicode_map[0x4350] = 0x772F;
__mg_gbunicode_map[0x4351] = 0x919A; __mg_gbunicode_map[0x4352] = 0x9761;
__mg_gbunicode_map[0x4353] = 0x7CDC; __mg_gbunicode_map[0x4354] = 0x8FF7;
__mg_gbunicode_map[0x4355] = 0x8C1C; __mg_gbunicode_map[0x4356] = 0x5F25;
__mg_gbunicode_map[0x4357] = 0x7C73; __mg_gbunicode_map[0x4358] = 0x79D8;
__mg_gbunicode_map[0x4359] = 0x89C5; __mg_gbunicode_map[0x435A] = 0x6CCC;
__mg_gbunicode_map[0x435B] = 0x871C; __mg_gbunicode_map[0x435C] = 0x5BC6;
__mg_gbunicode_map[0x435D] = 0x5E42; __mg_gbunicode_map[0x435E] = 0x68C9;
__mg_gbunicode_map[0x435F] = 0x7720; __mg_gbunicode_map[0x4360] = 0x7EF5;
__mg_gbunicode_map[0x4361] = 0x5195; __mg_gbunicode_map[0x4362] = 0x514D;
__mg_gbunicode_map[0x4363] = 0x52C9; __mg_gbunicode_map[0x4364] = 0x5A29;
__mg_gbunicode_map[0x4365] = 0x7F05; __mg_gbunicode_map[0x4366] = 0x9762;
__mg_gbunicode_map[0x4367] = 0x82D7; __mg_gbunicode_map[0x4368] = 0x63CF;
__mg_gbunicode_map[0x4369] = 0x7784; __mg_gbunicode_map[0x436A] = 0x85D0;
__mg_gbunicode_map[0x436B] = 0x79D2; __mg_gbunicode_map[0x436C] = 0x6E3A;
__mg_gbunicode_map[0x436D] = 0x5E99; __mg_gbunicode_map[0x436E] = 0x5999;
__mg_gbunicode_map[0x436F] = 0x8511; __mg_gbunicode_map[0x4370] = 0x706D;
__mg_gbunicode_map[0x4371] = 0x6C11; __mg_gbunicode_map[0x4372] = 0x62BF;
__mg_gbunicode_map[0x4373] = 0x76BF; __mg_gbunicode_map[0x4374] = 0x654F;
__mg_gbunicode_map[0x4375] = 0x60AF; __mg_gbunicode_map[0x4376] = 0x95FD;
__mg_gbunicode_map[0x4377] = 0x660E; __mg_gbunicode_map[0x4378] = 0x879F;
__mg_gbunicode_map[0x4379] = 0x9E23; __mg_gbunicode_map[0x437A] = 0x94ED;
__mg_gbunicode_map[0x437B] = 0x540D; __mg_gbunicode_map[0x437C] = 0x547D;
__mg_gbunicode_map[0x437D] = 0x8C2C; __mg_gbunicode_map[0x437E] = 0x6478;
__mg_gbunicode_map[0x4421] = 0x6479; __mg_gbunicode_map[0x4422] = 0x8611;
__mg_gbunicode_map[0x4423] = 0x6A21; __mg_gbunicode_map[0x4424] = 0x819C;
__mg_gbunicode_map[0x4425] = 0x78E8; __mg_gbunicode_map[0x4426] = 0x6469;
__mg_gbunicode_map[0x4427] = 0x9B54; __mg_gbunicode_map[0x4428] = 0x62B9;
__mg_gbunicode_map[0x4429] = 0x672B; __mg_gbunicode_map[0x442A] = 0x83AB;
__mg_gbunicode_map[0x442B] = 0x58A8; __mg_gbunicode_map[0x442C] = 0x9ED8;
__mg_gbunicode_map[0x442D] = 0x6CAB; __mg_gbunicode_map[0x442E] = 0x6F20;
__mg_gbunicode_map[0x442F] = 0x5BDE; __mg_gbunicode_map[0x4430] = 0x964C;
__mg_gbunicode_map[0x4431] = 0x8C0B; __mg_gbunicode_map[0x4432] = 0x725F;
__mg_gbunicode_map[0x4433] = 0x67D0; __mg_gbunicode_map[0x4434] = 0x62C7;
__mg_gbunicode_map[0x4435] = 0x7261; __mg_gbunicode_map[0x4436] = 0x4EA9;
__mg_gbunicode_map[0x4437] = 0x59C6; __mg_gbunicode_map[0x4438] = 0x6BCD;
__mg_gbunicode_map[0x4439] = 0x5893; __mg_gbunicode_map[0x443A] = 0x66AE;
__mg_gbunicode_map[0x443B] = 0x5E55; __mg_gbunicode_map[0x443C] = 0x52DF;
__mg_gbunicode_map[0x443D] = 0x6155; __mg_gbunicode_map[0x443E] = 0x6728;
__mg_gbunicode_map[0x443F] = 0x76EE; __mg_gbunicode_map[0x4440] = 0x7766;
__mg_gbunicode_map[0x4441] = 0x7267; __mg_gbunicode_map[0x4442] = 0x7A46;
__mg_gbunicode_map[0x4443] = 0x62FF; __mg_gbunicode_map[0x4444] = 0x54EA;
__mg_gbunicode_map[0x4445] = 0x5450; __mg_gbunicode_map[0x4446] = 0x94A0;
__mg_gbunicode_map[0x4447] = 0x90A3; __mg_gbunicode_map[0x4448] = 0x5A1C;
__mg_gbunicode_map[0x4449] = 0x7EB3; __mg_gbunicode_map[0x444A] = 0x6C16;
__mg_gbunicode_map[0x444B] = 0x4E43; __mg_gbunicode_map[0x444C] = 0x5976;
__mg_gbunicode_map[0x444D] = 0x8010; __mg_gbunicode_map[0x444E] = 0x5948;
__mg_gbunicode_map[0x444F] = 0x5357; __mg_gbunicode_map[0x4450] = 0x7537;
__mg_gbunicode_map[0x4451] = 0x96BE; __mg_gbunicode_map[0x4452] = 0x56CA;
__mg_gbunicode_map[0x4453] = 0x6320; __mg_gbunicode_map[0x4454] = 0x8111;
__mg_gbunicode_map[0x4455] = 0x607C; __mg_gbunicode_map[0x4456] = 0x95F9;
__mg_gbunicode_map[0x4457] = 0x6DD6; __mg_gbunicode_map[0x4458] = 0x5462;
__mg_gbunicode_map[0x4459] = 0x9981; __mg_gbunicode_map[0x445A] = 0x5185;
__mg_gbunicode_map[0x445B] = 0x5AE9; __mg_gbunicode_map[0x445C] = 0x80FD;
__mg_gbunicode_map[0x445D] = 0x59AE; __mg_gbunicode_map[0x445E] = 0x9713;
__mg_gbunicode_map[0x445F] = 0x502A; __mg_gbunicode_map[0x4460] = 0x6CE5;
__mg_gbunicode_map[0x4461] = 0x5C3C; __mg_gbunicode_map[0x4462] = 0x62DF;
__mg_gbunicode_map[0x4463] = 0x4F60; __mg_gbunicode_map[0x4464] = 0x533F;
__mg_gbunicode_map[0x4465] = 0x817B; __mg_gbunicode_map[0x4466] = 0x9006;
__mg_gbunicode_map[0x4467] = 0x6EBA; __mg_gbunicode_map[0x4468] = 0x852B;
__mg_gbunicode_map[0x4469] = 0x62C8; __mg_gbunicode_map[0x446A] = 0x5E74;
__mg_gbunicode_map[0x446B] = 0x78BE; __mg_gbunicode_map[0x446C] = 0x64B5;
__mg_gbunicode_map[0x446D] = 0x637B; __mg_gbunicode_map[0x446E] = 0x5FF5;
__mg_gbunicode_map[0x446F] = 0x5A18; __mg_gbunicode_map[0x4470] = 0x917F;
__mg_gbunicode_map[0x4471] = 0x9E1F; __mg_gbunicode_map[0x4472] = 0x5C3F;
__mg_gbunicode_map[0x4473] = 0x634F; __mg_gbunicode_map[0x4474] = 0x8042;
__mg_gbunicode_map[0x4475] = 0x5B7D; __mg_gbunicode_map[0x4476] = 0x556E;
__mg_gbunicode_map[0x4477] = 0x954A; __mg_gbunicode_map[0x4478] = 0x954D;
__mg_gbunicode_map[0x4479] = 0x6D85; __mg_gbunicode_map[0x447A] = 0x60A8;
__mg_gbunicode_map[0x447B] = 0x67E0; __mg_gbunicode_map[0x447C] = 0x72DE;
__mg_gbunicode_map[0x447D] = 0x51DD; __mg_gbunicode_map[0x447E] = 0x5B81;
__mg_gbunicode_map[0x4521] = 0x62E7; __mg_gbunicode_map[0x4522] = 0x6CDE;
__mg_gbunicode_map[0x4523] = 0x725B; __mg_gbunicode_map[0x4524] = 0x626D;
__mg_gbunicode_map[0x4525] = 0x94AE; __mg_gbunicode_map[0x4526] = 0x7EBD;
__mg_gbunicode_map[0x4527] = 0x8113; __mg_gbunicode_map[0x4528] = 0x6D53;
__mg_gbunicode_map[0x4529] = 0x519C; __mg_gbunicode_map[0x452A] = 0x5F04;
__mg_gbunicode_map[0x452B] = 0x5974; __mg_gbunicode_map[0x452C] = 0x52AA;
__mg_gbunicode_map[0x452D] = 0x6012; __mg_gbunicode_map[0x452E] = 0x5973;
__mg_gbunicode_map[0x452F] = 0x6696; __mg_gbunicode_map[0x4530] = 0x8650;
__mg_gbunicode_map[0x4531] = 0x759F; __mg_gbunicode_map[0x4532] = 0x632A;
__mg_gbunicode_map[0x4533] = 0x61E6; __mg_gbunicode_map[0x4534] = 0x7CEF;
__mg_gbunicode_map[0x4535] = 0x8BFA; __mg_gbunicode_map[0x4536] = 0x54E6;
__mg_gbunicode_map[0x4537] = 0x6B27; __mg_gbunicode_map[0x4538] = 0x9E25;
__mg_gbunicode_map[0x4539] = 0x6BB4; __mg_gbunicode_map[0x453A] = 0x85D5;
__mg_gbunicode_map[0x453B] = 0x5455; __mg_gbunicode_map[0x453C] = 0x5076;
__mg_gbunicode_map[0x453D] = 0x6CA4; __mg_gbunicode_map[0x453E] = 0x556A;
__mg_gbunicode_map[0x453F] = 0x8DB4; __mg_gbunicode_map[0x4540] = 0x722C;
__mg_gbunicode_map[0x4541] = 0x5E15; __mg_gbunicode_map[0x4542] = 0x6015;
__mg_gbunicode_map[0x4543] = 0x7436; __mg_gbunicode_map[0x4544] = 0x62CD;
__mg_gbunicode_map[0x4545] = 0x6392; __mg_gbunicode_map[0x4546] = 0x724C;
__mg_gbunicode_map[0x4547] = 0x5F98; __mg_gbunicode_map[0x4548] = 0x6E43;
__mg_gbunicode_map[0x4549] = 0x6D3E; __mg_gbunicode_map[0x454A] = 0x6500;
__mg_gbunicode_map[0x454B] = 0x6F58; __mg_gbunicode_map[0x454C] = 0x76D8;
__mg_gbunicode_map[0x454D] = 0x78D0; __mg_gbunicode_map[0x454E] = 0x76FC;
__mg_gbunicode_map[0x454F] = 0x7554; __mg_gbunicode_map[0x4550] = 0x5224;
__mg_gbunicode_map[0x4551] = 0x53DB; __mg_gbunicode_map[0x4552] = 0x4E53;
__mg_gbunicode_map[0x4553] = 0x5E9E; __mg_gbunicode_map[0x4554] = 0x65C1;
__mg_gbunicode_map[0x4555] = 0x802A; __mg_gbunicode_map[0x4556] = 0x80D6;
__mg_gbunicode_map[0x4557] = 0x629B; __mg_gbunicode_map[0x4558] = 0x5486;
__mg_gbunicode_map[0x4559] = 0x5228; __mg_gbunicode_map[0x455A] = 0x70AE;
__mg_gbunicode_map[0x455B] = 0x888D; __mg_gbunicode_map[0x455C] = 0x8DD1;
__mg_gbunicode_map[0x455D] = 0x6CE1; __mg_gbunicode_map[0x455E] = 0x5478;
__mg_gbunicode_map[0x455F] = 0x80DA; __mg_gbunicode_map[0x4560] = 0x57F9;
__mg_gbunicode_map[0x4561] = 0x88F4; __mg_gbunicode_map[0x4562] = 0x8D54;
__mg_gbunicode_map[0x4563] = 0x966A; __mg_gbunicode_map[0x4564] = 0x914D;
__mg_gbunicode_map[0x4565] = 0x4F69; __mg_gbunicode_map[0x4566] = 0x6C9B;
__mg_gbunicode_map[0x4567] = 0x55B7; __mg_gbunicode_map[0x4568] = 0x76C6;
__mg_gbunicode_map[0x4569] = 0x7830; __mg_gbunicode_map[0x456A] = 0x62A8;
__mg_gbunicode_map[0x456B] = 0x70F9; __mg_gbunicode_map[0x456C] = 0x6F8E;
__mg_gbunicode_map[0x456D] = 0x5F6D; __mg_gbunicode_map[0x456E] = 0x84EC;
__mg_gbunicode_map[0x456F] = 0x68DA; __mg_gbunicode_map[0x4570] = 0x787C;
__mg_gbunicode_map[0x4571] = 0x7BF7; __mg_gbunicode_map[0x4572] = 0x81A8;
__mg_gbunicode_map[0x4573] = 0x670B; __mg_gbunicode_map[0x4574] = 0x9E4F;
__mg_gbunicode_map[0x4575] = 0x6367; __mg_gbunicode_map[0x4576] = 0x78B0;
__mg_gbunicode_map[0x4577] = 0x576F; __mg_gbunicode_map[0x4578] = 0x7812;
__mg_gbunicode_map[0x4579] = 0x9739; __mg_gbunicode_map[0x457A] = 0x6279;
__mg_gbunicode_map[0x457B] = 0x62AB; __mg_gbunicode_map[0x457C] = 0x5288;
__mg_gbunicode_map[0x457D] = 0x7435; __mg_gbunicode_map[0x457E] = 0x6BD7;
__mg_gbunicode_map[0x4621] = 0x5564; __mg_gbunicode_map[0x4622] = 0x813E;
__mg_gbunicode_map[0x4623] = 0x75B2; __mg_gbunicode_map[0x4624] = 0x76AE;
__mg_gbunicode_map[0x4625] = 0x5339; __mg_gbunicode_map[0x4626] = 0x75DE;
__mg_gbunicode_map[0x4627] = 0x50FB; __mg_gbunicode_map[0x4628] = 0x5C41;
__mg_gbunicode_map[0x4629] = 0x8B6C; __mg_gbunicode_map[0x462A] = 0x7BC7;
__mg_gbunicode_map[0x462B] = 0x504F; __mg_gbunicode_map[0x462C] = 0x7247;
__mg_gbunicode_map[0x462D] = 0x9A97; __mg_gbunicode_map[0x462E] = 0x98D8;
__mg_gbunicode_map[0x462F] = 0x6F02; __mg_gbunicode_map[0x4630] = 0x74E2;
__mg_gbunicode_map[0x4631] = 0x7968; __mg_gbunicode_map[0x4632] = 0x6487;
__mg_gbunicode_map[0x4633] = 0x77A5; __mg_gbunicode_map[0x4634] = 0x62FC;
__mg_gbunicode_map[0x4635] = 0x9891; __mg_gbunicode_map[0x4636] = 0x8D2B;
__mg_gbunicode_map[0x4637] = 0x54C1; __mg_gbunicode_map[0x4638] = 0x8058;
__mg_gbunicode_map[0x4639] = 0x4E52; __mg_gbunicode_map[0x463A] = 0x576A;
__mg_gbunicode_map[0x463B] = 0x82F9; __mg_gbunicode_map[0x463C] = 0x840D;
__mg_gbunicode_map[0x463D] = 0x5E73; __mg_gbunicode_map[0x463E] = 0x51ED;
__mg_gbunicode_map[0x463F] = 0x74F6; __mg_gbunicode_map[0x4640] = 0x8BC4;
__mg_gbunicode_map[0x4641] = 0x5C4F; __mg_gbunicode_map[0x4642] = 0x5761;
__mg_gbunicode_map[0x4643] = 0x6CFC; __mg_gbunicode_map[0x4644] = 0x9887;
__mg_gbunicode_map[0x4645] = 0x5A46; __mg_gbunicode_map[0x4646] = 0x7834;
__mg_gbunicode_map[0x4647] = 0x9B44; __mg_gbunicode_map[0x4648] = 0x8FEB;
__mg_gbunicode_map[0x4649] = 0x7C95; __mg_gbunicode_map[0x464A] = 0x5256;
__mg_gbunicode_map[0x464B] = 0x6251; __mg_gbunicode_map[0x464C] = 0x94FA;
__mg_gbunicode_map[0x464D] = 0x4EC6; __mg_gbunicode_map[0x464E] = 0x8386;
__mg_gbunicode_map[0x464F] = 0x8461; __mg_gbunicode_map[0x4650] = 0x83E9;
__mg_gbunicode_map[0x4651] = 0x84B2; __mg_gbunicode_map[0x4652] = 0x57D4;
__mg_gbunicode_map[0x4653] = 0x6734; __mg_gbunicode_map[0x4654] = 0x5703;
__mg_gbunicode_map[0x4655] = 0x666E; __mg_gbunicode_map[0x4656] = 0x6D66;
__mg_gbunicode_map[0x4657] = 0x8C31; __mg_gbunicode_map[0x4658] = 0x66DD;
__mg_gbunicode_map[0x4659] = 0x7011; __mg_gbunicode_map[0x465A] = 0x671F;
__mg_gbunicode_map[0x465B] = 0x6B3A; __mg_gbunicode_map[0x465C] = 0x6816;
__mg_gbunicode_map[0x465D] = 0x621A; __mg_gbunicode_map[0x465E] = 0x59BB;
__mg_gbunicode_map[0x465F] = 0x4E03; __mg_gbunicode_map[0x4660] = 0x51C4;
__mg_gbunicode_map[0x4661] = 0x6F06; __mg_gbunicode_map[0x4662] = 0x67D2;
__mg_gbunicode_map[0x4663] = 0x6C8F; __mg_gbunicode_map[0x4664] = 0x5176;
__mg_gbunicode_map[0x4665] = 0x68CB; __mg_gbunicode_map[0x4666] = 0x5947;
__mg_gbunicode_map[0x4667] = 0x6B67; __mg_gbunicode_map[0x4668] = 0x7566;
__mg_gbunicode_map[0x4669] = 0x5D0E; __mg_gbunicode_map[0x466A] = 0x8110;
__mg_gbunicode_map[0x466B] = 0x9F50; __mg_gbunicode_map[0x466C] = 0x65D7;
__mg_gbunicode_map[0x466D] = 0x7948; __mg_gbunicode_map[0x466E] = 0x7941;
__mg_gbunicode_map[0x466F] = 0x9A91; __mg_gbunicode_map[0x4670] = 0x8D77;
__mg_gbunicode_map[0x4671] = 0x5C82; __mg_gbunicode_map[0x4672] = 0x4E5E;
__mg_gbunicode_map[0x4673] = 0x4F01; __mg_gbunicode_map[0x4674] = 0x542F;
__mg_gbunicode_map[0x4675] = 0x5951; __mg_gbunicode_map[0x4676] = 0x780C;
__mg_gbunicode_map[0x4677] = 0x5668; __mg_gbunicode_map[0x4678] = 0x6C14;
__mg_gbunicode_map[0x4679] = 0x8FC4; __mg_gbunicode_map[0x467A] = 0x5F03;
__mg_gbunicode_map[0x467B] = 0x6C7D; __mg_gbunicode_map[0x467C] = 0x6CE3;
__mg_gbunicode_map[0x467D] = 0x8BAB; __mg_gbunicode_map[0x467E] = 0x6390;
__mg_gbunicode_map[0x4721] = 0x6070; __mg_gbunicode_map[0x4722] = 0x6D3D;
__mg_gbunicode_map[0x4723] = 0x7275; __mg_gbunicode_map[0x4724] = 0x6266;
__mg_gbunicode_map[0x4725] = 0x948E; __mg_gbunicode_map[0x4726] = 0x94C5;
__mg_gbunicode_map[0x4727] = 0x5343; __mg_gbunicode_map[0x4728] = 0x8FC1;
__mg_gbunicode_map[0x4729] = 0x7B7E; __mg_gbunicode_map[0x472A] = 0x4EDF;
__mg_gbunicode_map[0x472B] = 0x8C26; __mg_gbunicode_map[0x472C] = 0x4E7E;
__mg_gbunicode_map[0x472D] = 0x9ED4; __mg_gbunicode_map[0x472E] = 0x94B1;
__mg_gbunicode_map[0x472F] = 0x94B3; __mg_gbunicode_map[0x4730] = 0x524D;
__mg_gbunicode_map[0x4731] = 0x6F5C; __mg_gbunicode_map[0x4732] = 0x9063;
__mg_gbunicode_map[0x4733] = 0x6D45; __mg_gbunicode_map[0x4734] = 0x8C34;
__mg_gbunicode_map[0x4735] = 0x5811; __mg_gbunicode_map[0x4736] = 0x5D4C;
__mg_gbunicode_map[0x4737] = 0x6B20; __mg_gbunicode_map[0x4738] = 0x6B49;
__mg_gbunicode_map[0x4739] = 0x67AA; __mg_gbunicode_map[0x473A] = 0x545B;
__mg_gbunicode_map[0x473B] = 0x8154; __mg_gbunicode_map[0x473C] = 0x7F8C;
__mg_gbunicode_map[0x473D] = 0x5899; __mg_gbunicode_map[0x473E] = 0x8537;
__mg_gbunicode_map[0x473F] = 0x5F3A; __mg_gbunicode_map[0x4740] = 0x62A2;
__mg_gbunicode_map[0x4741] = 0x6A47; __mg_gbunicode_map[0x4742] = 0x9539;
__mg_gbunicode_map[0x4743] = 0x6572; __mg_gbunicode_map[0x4744] = 0x6084;
__mg_gbunicode_map[0x4745] = 0x6865; __mg_gbunicode_map[0x4746] = 0x77A7;
__mg_gbunicode_map[0x4747] = 0x4E54; __mg_gbunicode_map[0x4748] = 0x4FA8;
__mg_gbunicode_map[0x4749] = 0x5DE7; __mg_gbunicode_map[0x474A] = 0x9798;
__mg_gbunicode_map[0x474B] = 0x64AC; __mg_gbunicode_map[0x474C] = 0x7FD8;
__mg_gbunicode_map[0x474D] = 0x5CED; __mg_gbunicode_map[0x474E] = 0x4FCF;
__mg_gbunicode_map[0x474F] = 0x7A8D; __mg_gbunicode_map[0x4750] = 0x5207;
__mg_gbunicode_map[0x4751] = 0x8304; __mg_gbunicode_map[0x4752] = 0x4E14;
__mg_gbunicode_map[0x4753] = 0x602F; __mg_gbunicode_map[0x4754] = 0x7A83;
__mg_gbunicode_map[0x4755] = 0x94A6; __mg_gbunicode_map[0x4756] = 0x4FB5;
__mg_gbunicode_map[0x4757] = 0x4EB2; __mg_gbunicode_map[0x4758] = 0x79E6;
__mg_gbunicode_map[0x4759] = 0x7434; __mg_gbunicode_map[0x475A] = 0x52E4;
__mg_gbunicode_map[0x475B] = 0x82B9; __mg_gbunicode_map[0x475C] = 0x64D2;
__mg_gbunicode_map[0x475D] = 0x79BD; __mg_gbunicode_map[0x475E] = 0x5BDD;
__mg_gbunicode_map[0x475F] = 0x6C81; __mg_gbunicode_map[0x4760] = 0x9752;
__mg_gbunicode_map[0x4761] = 0x8F7B; __mg_gbunicode_map[0x4762] = 0x6C22;
__mg_gbunicode_map[0x4763] = 0x503E; __mg_gbunicode_map[0x4764] = 0x537F;
__mg_gbunicode_map[0x4765] = 0x6E05; __mg_gbunicode_map[0x4766] = 0x64CE;
__mg_gbunicode_map[0x4767] = 0x6674; __mg_gbunicode_map[0x4768] = 0x6C30;
__mg_gbunicode_map[0x4769] = 0x60C5; __mg_gbunicode_map[0x476A] = 0x9877;
__mg_gbunicode_map[0x476B] = 0x8BF7; __mg_gbunicode_map[0x476C] = 0x5E86;
__mg_gbunicode_map[0x476D] = 0x743C; __mg_gbunicode_map[0x476E] = 0x7A77;
__mg_gbunicode_map[0x476F] = 0x79CB; __mg_gbunicode_map[0x4770] = 0x4E18;
__mg_gbunicode_map[0x4771] = 0x90B1; __mg_gbunicode_map[0x4772] = 0x7403;
__mg_gbunicode_map[0x4773] = 0x6C42; __mg_gbunicode_map[0x4774] = 0x56DA;
__mg_gbunicode_map[0x4775] = 0x914B; __mg_gbunicode_map[0x4776] = 0x6CC5;
__mg_gbunicode_map[0x4777] = 0x8D8B; __mg_gbunicode_map[0x4778] = 0x533A;
__mg_gbunicode_map[0x4779] = 0x86C6; __mg_gbunicode_map[0x477A] = 0x66F2;
__mg_gbunicode_map[0x477B] = 0x8EAF; __mg_gbunicode_map[0x477C] = 0x5C48;
__mg_gbunicode_map[0x477D] = 0x9A71; __mg_gbunicode_map[0x477E] = 0x6E20;
__mg_gbunicode_map[0x4821] = 0x53D6; __mg_gbunicode_map[0x4822] = 0x5A36;
__mg_gbunicode_map[0x4823] = 0x9F8B; __mg_gbunicode_map[0x4824] = 0x8DA3;
__mg_gbunicode_map[0x4825] = 0x53BB; __mg_gbunicode_map[0x4826] = 0x5708;
__mg_gbunicode_map[0x4827] = 0x98A7; __mg_gbunicode_map[0x4828] = 0x6743;
__mg_gbunicode_map[0x4829] = 0x919B; __mg_gbunicode_map[0x482A] = 0x6CC9;
__mg_gbunicode_map[0x482B] = 0x5168; __mg_gbunicode_map[0x482C] = 0x75CA;
__mg_gbunicode_map[0x482D] = 0x62F3; __mg_gbunicode_map[0x482E] = 0x72AC;
__mg_gbunicode_map[0x482F] = 0x5238; __mg_gbunicode_map[0x4830] = 0x529D;
__mg_gbunicode_map[0x4831] = 0x7F3A; __mg_gbunicode_map[0x4832] = 0x7094;
__mg_gbunicode_map[0x4833] = 0x7638; __mg_gbunicode_map[0x4834] = 0x5374;
__mg_gbunicode_map[0x4835] = 0x9E4A; __mg_gbunicode_map[0x4836] = 0x69B7;
__mg_gbunicode_map[0x4837] = 0x786E; __mg_gbunicode_map[0x4838] = 0x96C0;
__mg_gbunicode_map[0x4839] = 0x88D9; __mg_gbunicode_map[0x483A] = 0x7FA4;
__mg_gbunicode_map[0x483B] = 0x7136; __mg_gbunicode_map[0x483C] = 0x71C3;
__mg_gbunicode_map[0x483D] = 0x5189; __mg_gbunicode_map[0x483E] = 0x67D3;
__mg_gbunicode_map[0x483F] = 0x74E4; __mg_gbunicode_map[0x4840] = 0x58E4;
__mg_gbunicode_map[0x4841] = 0x6518; __mg_gbunicode_map[0x4842] = 0x56B7;
__mg_gbunicode_map[0x4843] = 0x8BA9; __mg_gbunicode_map[0x4844] = 0x9976;
__mg_gbunicode_map[0x4845] = 0x6270; __mg_gbunicode_map[0x4846] = 0x7ED5;
__mg_gbunicode_map[0x4847] = 0x60F9; __mg_gbunicode_map[0x4848] = 0x70ED;
__mg_gbunicode_map[0x4849] = 0x58EC; __mg_gbunicode_map[0x484A] = 0x4EC1;
__mg_gbunicode_map[0x484B] = 0x4EBA; __mg_gbunicode_map[0x484C] = 0x5FCD;
__mg_gbunicode_map[0x484D] = 0x97E7; __mg_gbunicode_map[0x484E] = 0x4EFB;
__mg_gbunicode_map[0x484F] = 0x8BA4; __mg_gbunicode_map[0x4850] = 0x5203;
__mg_gbunicode_map[0x4851] = 0x598A; __mg_gbunicode_map[0x4852] = 0x7EAB;
__mg_gbunicode_map[0x4853] = 0x6254; __mg_gbunicode_map[0x4854] = 0x4ECD;
__mg_gbunicode_map[0x4855] = 0x65E5; __mg_gbunicode_map[0x4856] = 0x620E;
__mg_gbunicode_map[0x4857] = 0x8338; __mg_gbunicode_map[0x4858] = 0x84C9;
__mg_gbunicode_map[0x4859] = 0x8363; __mg_gbunicode_map[0x485A] = 0x878D;
__mg_gbunicode_map[0x485B] = 0x7194; __mg_gbunicode_map[0x485C] = 0x6EB6;
__mg_gbunicode_map[0x485D] = 0x5BB9; __mg_gbunicode_map[0x485E] = 0x7ED2;
__mg_gbunicode_map[0x485F] = 0x5197; __mg_gbunicode_map[0x4860] = 0x63C9;
__mg_gbunicode_map[0x4861] = 0x67D4; __mg_gbunicode_map[0x4862] = 0x8089;
__mg_gbunicode_map[0x4863] = 0x8339; __mg_gbunicode_map[0x4864] = 0x8815;
__mg_gbunicode_map[0x4865] = 0x5112; __mg_gbunicode_map[0x4866] = 0x5B7A;
__mg_gbunicode_map[0x4867] = 0x5982; __mg_gbunicode_map[0x4868] = 0x8FB1;
__mg_gbunicode_map[0x4869] = 0x4E73; __mg_gbunicode_map[0x486A] = 0x6C5D;
__mg_gbunicode_map[0x486B] = 0x5165; __mg_gbunicode_map[0x486C] = 0x8925;
__mg_gbunicode_map[0x486D] = 0x8F6F; __mg_gbunicode_map[0x486E] = 0x962E;
__mg_gbunicode_map[0x486F] = 0x854A; __mg_gbunicode_map[0x4870] = 0x745E;
__mg_gbunicode_map[0x4871] = 0x9510; __mg_gbunicode_map[0x4872] = 0x95F0;
__mg_gbunicode_map[0x4873] = 0x6DA6; __mg_gbunicode_map[0x4874] = 0x82E5;
__mg_gbunicode_map[0x4875] = 0x5F31; __mg_gbunicode_map[0x4876] = 0x6492;
__mg_gbunicode_map[0x4877] = 0x6D12; __mg_gbunicode_map[0x4878] = 0x8428;
__mg_gbunicode_map[0x4879] = 0x816E; __mg_gbunicode_map[0x487A] = 0x9CC3;
__mg_gbunicode_map[0x487B] = 0x585E; __mg_gbunicode_map[0x487C] = 0x8D5B;
__mg_gbunicode_map[0x487D] = 0x4E09; __mg_gbunicode_map[0x487E] = 0x53C1;
__mg_gbunicode_map[0x4921] = 0x4F1E; __mg_gbunicode_map[0x4922] = 0x6563;
__mg_gbunicode_map[0x4923] = 0x6851; __mg_gbunicode_map[0x4924] = 0x55D3;
__mg_gbunicode_map[0x4925] = 0x4E27; __mg_gbunicode_map[0x4926] = 0x6414;
__mg_gbunicode_map[0x4927] = 0x9A9A; __mg_gbunicode_map[0x4928] = 0x626B;
__mg_gbunicode_map[0x4929] = 0x5AC2; __mg_gbunicode_map[0x492A] = 0x745F;
__mg_gbunicode_map[0x492B] = 0x8272; __mg_gbunicode_map[0x492C] = 0x6DA9;
__mg_gbunicode_map[0x492D] = 0x68EE; __mg_gbunicode_map[0x492E] = 0x50E7;
__mg_gbunicode_map[0x492F] = 0x838E; __mg_gbunicode_map[0x4930] = 0x7802;
__mg_gbunicode_map[0x4931] = 0x6740; __mg_gbunicode_map[0x4932] = 0x5239;
__mg_gbunicode_map[0x4933] = 0x6C99; __mg_gbunicode_map[0x4934] = 0x7EB1;
__mg_gbunicode_map[0x4935] = 0x50BB; __mg_gbunicode_map[0x4936] = 0x5565;
__mg_gbunicode_map[0x4937] = 0x715E; __mg_gbunicode_map[0x4938] = 0x7B5B;
__mg_gbunicode_map[0x4939] = 0x6652; __mg_gbunicode_map[0x493A] = 0x73CA;
__mg_gbunicode_map[0x493B] = 0x82EB; __mg_gbunicode_map[0x493C] = 0x6749;
__mg_gbunicode_map[0x493D] = 0x5C71; __mg_gbunicode_map[0x493E] = 0x5220;
__mg_gbunicode_map[0x493F] = 0x717D; __mg_gbunicode_map[0x4940] = 0x886B;
__mg_gbunicode_map[0x4941] = 0x95EA; __mg_gbunicode_map[0x4942] = 0x9655;
__mg_gbunicode_map[0x4943] = 0x64C5; __mg_gbunicode_map[0x4944] = 0x8D61;
__mg_gbunicode_map[0x4945] = 0x81B3; __mg_gbunicode_map[0x4946] = 0x5584;
__mg_gbunicode_map[0x4947] = 0x6C55; __mg_gbunicode_map[0x4948] = 0x6247;
__mg_gbunicode_map[0x4949] = 0x7F2E; __mg_gbunicode_map[0x494A] = 0x5892;
__mg_gbunicode_map[0x494B] = 0x4F24; __mg_gbunicode_map[0x494C] = 0x5546;
__mg_gbunicode_map[0x494D] = 0x8D4F; __mg_gbunicode_map[0x494E] = 0x664C;
__mg_gbunicode_map[0x494F] = 0x4E0A; __mg_gbunicode_map[0x4950] = 0x5C1A;
__mg_gbunicode_map[0x4951] = 0x88F3; __mg_gbunicode_map[0x4952] = 0x68A2;
__mg_gbunicode_map[0x4953] = 0x634E; __mg_gbunicode_map[0x4954] = 0x7A0D;
__mg_gbunicode_map[0x4955] = 0x70E7; __mg_gbunicode_map[0x4956] = 0x828D;
__mg_gbunicode_map[0x4957] = 0x52FA; __mg_gbunicode_map[0x4958] = 0x97F6;
__mg_gbunicode_map[0x4959] = 0x5C11; __mg_gbunicode_map[0x495A] = 0x54E8;
__mg_gbunicode_map[0x495B] = 0x90B5; __mg_gbunicode_map[0x495C] = 0x7ECD;
__mg_gbunicode_map[0x495D] = 0x5962; __mg_gbunicode_map[0x495E] = 0x8D4A;
__mg_gbunicode_map[0x495F] = 0x86C7; __mg_gbunicode_map[0x4960] = 0x820C;
__mg_gbunicode_map[0x4961] = 0x820D; __mg_gbunicode_map[0x4962] = 0x8D66;
__mg_gbunicode_map[0x4963] = 0x6444; __mg_gbunicode_map[0x4964] = 0x5C04;
__mg_gbunicode_map[0x4965] = 0x6151; __mg_gbunicode_map[0x4966] = 0x6D89;
__mg_gbunicode_map[0x4967] = 0x793E; __mg_gbunicode_map[0x4968] = 0x8BBE;
__mg_gbunicode_map[0x4969] = 0x7837; __mg_gbunicode_map[0x496A] = 0x7533;
__mg_gbunicode_map[0x496B] = 0x547B; __mg_gbunicode_map[0x496C] = 0x4F38;
__mg_gbunicode_map[0x496D] = 0x8EAB; __mg_gbunicode_map[0x496E] = 0x6DF1;
__mg_gbunicode_map[0x496F] = 0x5A20; __mg_gbunicode_map[0x4970] = 0x7EC5;
__mg_gbunicode_map[0x4971] = 0x795E; __mg_gbunicode_map[0x4972] = 0x6C88;
__mg_gbunicode_map[0x4973] = 0x5BA1; __mg_gbunicode_map[0x4974] = 0x5A76;
__mg_gbunicode_map[0x4975] = 0x751A; __mg_gbunicode_map[0x4976] = 0x80BE;
__mg_gbunicode_map[0x4977] = 0x614E; __mg_gbunicode_map[0x4978] = 0x6E17;
__mg_gbunicode_map[0x4979] = 0x58F0; __mg_gbunicode_map[0x497A] = 0x751F;
__mg_gbunicode_map[0x497B] = 0x7525; __mg_gbunicode_map[0x497C] = 0x7272;
__mg_gbunicode_map[0x497D] = 0x5347; __mg_gbunicode_map[0x497E] = 0x7EF3;
__mg_gbunicode_map[0x4A21] = 0x7701; __mg_gbunicode_map[0x4A22] = 0x76DB;
__mg_gbunicode_map[0x4A23] = 0x5269; __mg_gbunicode_map[0x4A24] = 0x80DC;
__mg_gbunicode_map[0x4A25] = 0x5723; __mg_gbunicode_map[0x4A26] = 0x5E08;
__mg_gbunicode_map[0x4A27] = 0x5931; __mg_gbunicode_map[0x4A28] = 0x72EE;
__mg_gbunicode_map[0x4A29] = 0x65BD; __mg_gbunicode_map[0x4A2A] = 0x6E7F;
__mg_gbunicode_map[0x4A2B] = 0x8BD7; __mg_gbunicode_map[0x4A2C] = 0x5C38;
__mg_gbunicode_map[0x4A2D] = 0x8671; __mg_gbunicode_map[0x4A2E] = 0x5341;
__mg_gbunicode_map[0x4A2F] = 0x77F3; __mg_gbunicode_map[0x4A30] = 0x62FE;
__mg_gbunicode_map[0x4A31] = 0x65F6; __mg_gbunicode_map[0x4A32] = 0x4EC0;
__mg_gbunicode_map[0x4A33] = 0x98DF; __mg_gbunicode_map[0x4A34] = 0x8680;
__mg_gbunicode_map[0x4A35] = 0x5B9E; __mg_gbunicode_map[0x4A36] = 0x8BC6;
__mg_gbunicode_map[0x4A37] = 0x53F2; __mg_gbunicode_map[0x4A38] = 0x77E2;
__mg_gbunicode_map[0x4A39] = 0x4F7F; __mg_gbunicode_map[0x4A3A] = 0x5C4E;
__mg_gbunicode_map[0x4A3B] = 0x9A76; __mg_gbunicode_map[0x4A3C] = 0x59CB;
__mg_gbunicode_map[0x4A3D] = 0x5F0F; __mg_gbunicode_map[0x4A3E] = 0x793A;
__mg_gbunicode_map[0x4A3F] = 0x58EB; __mg_gbunicode_map[0x4A40] = 0x4E16;
__mg_gbunicode_map[0x4A41] = 0x67FF; __mg_gbunicode_map[0x4A42] = 0x4E8B;
__mg_gbunicode_map[0x4A43] = 0x62ED; __mg_gbunicode_map[0x4A44] = 0x8A93;
__mg_gbunicode_map[0x4A45] = 0x901D; __mg_gbunicode_map[0x4A46] = 0x52BF;
__mg_gbunicode_map[0x4A47] = 0x662F; __mg_gbunicode_map[0x4A48] = 0x55DC;
__mg_gbunicode_map[0x4A49] = 0x566C; __mg_gbunicode_map[0x4A4A] = 0x9002;
__mg_gbunicode_map[0x4A4B] = 0x4ED5; __mg_gbunicode_map[0x4A4C] = 0x4F8D;
__mg_gbunicode_map[0x4A4D] = 0x91CA; __mg_gbunicode_map[0x4A4E] = 0x9970;
__mg_gbunicode_map[0x4A4F] = 0x6C0F; __mg_gbunicode_map[0x4A50] = 0x5E02;
__mg_gbunicode_map[0x4A51] = 0x6043; __mg_gbunicode_map[0x4A52] = 0x5BA4;
__mg_gbunicode_map[0x4A53] = 0x89C6; __mg_gbunicode_map[0x4A54] = 0x8BD5;
__mg_gbunicode_map[0x4A55] = 0x6536; __mg_gbunicode_map[0x4A56] = 0x624B;
__mg_gbunicode_map[0x4A57] = 0x9996; __mg_gbunicode_map[0x4A58] = 0x5B88;
__mg_gbunicode_map[0x4A59] = 0x5BFF; __mg_gbunicode_map[0x4A5A] = 0x6388;
__mg_gbunicode_map[0x4A5B] = 0x552E; __mg_gbunicode_map[0x4A5C] = 0x53D7;
__mg_gbunicode_map[0x4A5D] = 0x7626; __mg_gbunicode_map[0x4A5E] = 0x517D;
__mg_gbunicode_map[0x4A5F] = 0x852C; __mg_gbunicode_map[0x4A60] = 0x67A2;
__mg_gbunicode_map[0x4A61] = 0x68B3; __mg_gbunicode_map[0x4A62] = 0x6B8A;
__mg_gbunicode_map[0x4A63] = 0x6292; __mg_gbunicode_map[0x4A64] = 0x8F93;
__mg_gbunicode_map[0x4A65] = 0x53D4; __mg_gbunicode_map[0x4A66] = 0x8212;
__mg_gbunicode_map[0x4A67] = 0x6DD1; __mg_gbunicode_map[0x4A68] = 0x758F;
__mg_gbunicode_map[0x4A69] = 0x4E66; __mg_gbunicode_map[0x4A6A] = 0x8D4E;
__mg_gbunicode_map[0x4A6B] = 0x5B70; __mg_gbunicode_map[0x4A6C] = 0x719F;
__mg_gbunicode_map[0x4A6D] = 0x85AF; __mg_gbunicode_map[0x4A6E] = 0x6691;
__mg_gbunicode_map[0x4A6F] = 0x66D9; __mg_gbunicode_map[0x4A70] = 0x7F72;
__mg_gbunicode_map[0x4A71] = 0x8700; __mg_gbunicode_map[0x4A72] = 0x9ECD;
__mg_gbunicode_map[0x4A73] = 0x9F20; __mg_gbunicode_map[0x4A74] = 0x5C5E;
__mg_gbunicode_map[0x4A75] = 0x672F; __mg_gbunicode_map[0x4A76] = 0x8FF0;
__mg_gbunicode_map[0x4A77] = 0x6811; __mg_gbunicode_map[0x4A78] = 0x675F;
__mg_gbunicode_map[0x4A79] = 0x620D; __mg_gbunicode_map[0x4A7A] = 0x7AD6;
__mg_gbunicode_map[0x4A7B] = 0x5885; __mg_gbunicode_map[0x4A7C] = 0x5EB6;
__mg_gbunicode_map[0x4A7D] = 0x6570; __mg_gbunicode_map[0x4A7E] = 0x6F31;
__mg_gbunicode_map[0x4B21] = 0x6055; __mg_gbunicode_map[0x4B22] = 0x5237;
__mg_gbunicode_map[0x4B23] = 0x800D; __mg_gbunicode_map[0x4B24] = 0x6454;
__mg_gbunicode_map[0x4B25] = 0x8870; __mg_gbunicode_map[0x4B26] = 0x7529;
__mg_gbunicode_map[0x4B27] = 0x5E05; __mg_gbunicode_map[0x4B28] = 0x6813;
__mg_gbunicode_map[0x4B29] = 0x62F4; __mg_gbunicode_map[0x4B2A] = 0x971C;
__mg_gbunicode_map[0x4B2B] = 0x53CC; __mg_gbunicode_map[0x4B2C] = 0x723D;
__mg_gbunicode_map[0x4B2D] = 0x8C01; __mg_gbunicode_map[0x4B2E] = 0x6C34;
__mg_gbunicode_map[0x4B2F] = 0x7761; __mg_gbunicode_map[0x4B30] = 0x7A0E;
__mg_gbunicode_map[0x4B31] = 0x542E; __mg_gbunicode_map[0x4B32] = 0x77AC;
__mg_gbunicode_map[0x4B33] = 0x987A; __mg_gbunicode_map[0x4B34] = 0x821C;
__mg_gbunicode_map[0x4B35] = 0x8BF4; __mg_gbunicode_map[0x4B36] = 0x7855;
__mg_gbunicode_map[0x4B37] = 0x6714; __mg_gbunicode_map[0x4B38] = 0x70C1;
__mg_gbunicode_map[0x4B39] = 0x65AF; __mg_gbunicode_map[0x4B3A] = 0x6495;
__mg_gbunicode_map[0x4B3B] = 0x5636; __mg_gbunicode_map[0x4B3C] = 0x601D;
__mg_gbunicode_map[0x4B3D] = 0x79C1; __mg_gbunicode_map[0x4B3E] = 0x53F8;
__mg_gbunicode_map[0x4B3F] = 0x4E1D; __mg_gbunicode_map[0x4B40] = 0x6B7B;
__mg_gbunicode_map[0x4B41] = 0x8086; __mg_gbunicode_map[0x4B42] = 0x5BFA;
__mg_gbunicode_map[0x4B43] = 0x55E3; __mg_gbunicode_map[0x4B44] = 0x56DB;
__mg_gbunicode_map[0x4B45] = 0x4F3A; __mg_gbunicode_map[0x4B46] = 0x4F3C;
__mg_gbunicode_map[0x4B47] = 0x9972; __mg_gbunicode_map[0x4B48] = 0x5DF3;
__mg_gbunicode_map[0x4B49] = 0x677E; __mg_gbunicode_map[0x4B4A] = 0x8038;
__mg_gbunicode_map[0x4B4B] = 0x6002; __mg_gbunicode_map[0x4B4C] = 0x9882;
__mg_gbunicode_map[0x4B4D] = 0x9001; __mg_gbunicode_map[0x4B4E] = 0x5B8B;
__mg_gbunicode_map[0x4B4F] = 0x8BBC; __mg_gbunicode_map[0x4B50] = 0x8BF5;
__mg_gbunicode_map[0x4B51] = 0x641C; __mg_gbunicode_map[0x4B52] = 0x8258;
__mg_gbunicode_map[0x4B53] = 0x64DE; __mg_gbunicode_map[0x4B54] = 0x55FD;
__mg_gbunicode_map[0x4B55] = 0x82CF; __mg_gbunicode_map[0x4B56] = 0x9165;
__mg_gbunicode_map[0x4B57] = 0x4FD7; __mg_gbunicode_map[0x4B58] = 0x7D20;
__mg_gbunicode_map[0x4B59] = 0x901F; __mg_gbunicode_map[0x4B5A] = 0x7C9F;
__mg_gbunicode_map[0x4B5B] = 0x50F3; __mg_gbunicode_map[0x4B5C] = 0x5851;
__mg_gbunicode_map[0x4B5D] = 0x6EAF; __mg_gbunicode_map[0x4B5E] = 0x5BBF;
__mg_gbunicode_map[0x4B5F] = 0x8BC9; __mg_gbunicode_map[0x4B60] = 0x8083;
__mg_gbunicode_map[0x4B61] = 0x9178; __mg_gbunicode_map[0x4B62] = 0x849C;
__mg_gbunicode_map[0x4B63] = 0x7B97; __mg_gbunicode_map[0x4B64] = 0x867D;
__mg_gbunicode_map[0x4B65] = 0x968B; __mg_gbunicode_map[0x4B66] = 0x968F;
__mg_gbunicode_map[0x4B67] = 0x7EE5; __mg_gbunicode_map[0x4B68] = 0x9AD3;
__mg_gbunicode_map[0x4B69] = 0x788E; __mg_gbunicode_map[0x4B6A] = 0x5C81;
__mg_gbunicode_map[0x4B6B] = 0x7A57; __mg_gbunicode_map[0x4B6C] = 0x9042;
__mg_gbunicode_map[0x4B6D] = 0x96A7; __mg_gbunicode_map[0x4B6E] = 0x795F;
__mg_gbunicode_map[0x4B6F] = 0x5B59; __mg_gbunicode_map[0x4B70] = 0x635F;
__mg_gbunicode_map[0x4B71] = 0x7B0B; __mg_gbunicode_map[0x4B72] = 0x84D1;
__mg_gbunicode_map[0x4B73] = 0x68AD; __mg_gbunicode_map[0x4B74] = 0x5506;
__mg_gbunicode_map[0x4B75] = 0x7F29; __mg_gbunicode_map[0x4B76] = 0x7410;
__mg_gbunicode_map[0x4B77] = 0x7D22; __mg_gbunicode_map[0x4B78] = 0x9501;
__mg_gbunicode_map[0x4B79] = 0x6240; __mg_gbunicode_map[0x4B7A] = 0x584C;
__mg_gbunicode_map[0x4B7B] = 0x4ED6; __mg_gbunicode_map[0x4B7C] = 0x5B83;
__mg_gbunicode_map[0x4B7D] = 0x5979; __mg_gbunicode_map[0x4B7E] = 0x5854;
__mg_gbunicode_map[0x4C21] = 0x736D; __mg_gbunicode_map[0x4C22] = 0x631E;
__mg_gbunicode_map[0x4C23] = 0x8E4B; __mg_gbunicode_map[0x4C24] = 0x8E0F;
__mg_gbunicode_map[0x4C25] = 0x80CE; __mg_gbunicode_map[0x4C26] = 0x82D4;
__mg_gbunicode_map[0x4C27] = 0x62AC; __mg_gbunicode_map[0x4C28] = 0x53F0;
__mg_gbunicode_map[0x4C29] = 0x6CF0; __mg_gbunicode_map[0x4C2A] = 0x915E;
__mg_gbunicode_map[0x4C2B] = 0x592A; __mg_gbunicode_map[0x4C2C] = 0x6001;
__mg_gbunicode_map[0x4C2D] = 0x6C70; __mg_gbunicode_map[0x4C2E] = 0x574D;
__mg_gbunicode_map[0x4C2F] = 0x644A; __mg_gbunicode_map[0x4C30] = 0x8D2A;
__mg_gbunicode_map[0x4C31] = 0x762B; __mg_gbunicode_map[0x4C32] = 0x6EE9;
__mg_gbunicode_map[0x4C33] = 0x575B; __mg_gbunicode_map[0x4C34] = 0x6A80;
__mg_gbunicode_map[0x4C35] = 0x75F0; __mg_gbunicode_map[0x4C36] = 0x6F6D;
__mg_gbunicode_map[0x4C37] = 0x8C2D; __mg_gbunicode_map[0x4C38] = 0x8C08;
__mg_gbunicode_map[0x4C39] = 0x5766; __mg_gbunicode_map[0x4C3A] = 0x6BEF;
__mg_gbunicode_map[0x4C3B] = 0x8892; __mg_gbunicode_map[0x4C3C] = 0x78B3;
__mg_gbunicode_map[0x4C3D] = 0x63A2; __mg_gbunicode_map[0x4C3E] = 0x53F9;
__mg_gbunicode_map[0x4C3F] = 0x70AD; __mg_gbunicode_map[0x4C40] = 0x6C64;
__mg_gbunicode_map[0x4C41] = 0x5858; __mg_gbunicode_map[0x4C42] = 0x642A;
__mg_gbunicode_map[0x4C43] = 0x5802; __mg_gbunicode_map[0x4C44] = 0x68E0;
__mg_gbunicode_map[0x4C45] = 0x819B; __mg_gbunicode_map[0x4C46] = 0x5510;
__mg_gbunicode_map[0x4C47] = 0x7CD6; __mg_gbunicode_map[0x4C48] = 0x5018;
__mg_gbunicode_map[0x4C49] = 0x8EBA; __mg_gbunicode_map[0x4C4A] = 0x6DCC;
__mg_gbunicode_map[0x4C4B] = 0x8D9F; __mg_gbunicode_map[0x4C4C] = 0x70EB;
__mg_gbunicode_map[0x4C4D] = 0x638F; __mg_gbunicode_map[0x4C4E] = 0x6D9B;
__mg_gbunicode_map[0x4C4F] = 0x6ED4; __mg_gbunicode_map[0x4C50] = 0x7EE6;
__mg_gbunicode_map[0x4C51] = 0x8404; __mg_gbunicode_map[0x4C52] = 0x6843;
__mg_gbunicode_map[0x4C53] = 0x9003; __mg_gbunicode_map[0x4C54] = 0x6DD8;
__mg_gbunicode_map[0x4C55] = 0x9676; __mg_gbunicode_map[0x4C56] = 0x8BA8;
__mg_gbunicode_map[0x4C57] = 0x5957; __mg_gbunicode_map[0x4C58] = 0x7279;
__mg_gbunicode_map[0x4C59] = 0x85E4; __mg_gbunicode_map[0x4C5A] = 0x817E;
__mg_gbunicode_map[0x4C5B] = 0x75BC; __mg_gbunicode_map[0x4C5C] = 0x8A8A;
__mg_gbunicode_map[0x4C5D] = 0x68AF; __mg_gbunicode_map[0x4C5E] = 0x5254;
__mg_gbunicode_map[0x4C5F] = 0x8E22; __mg_gbunicode_map[0x4C60] = 0x9511;
__mg_gbunicode_map[0x4C61] = 0x63D0; __mg_gbunicode_map[0x4C62] = 0x9898;
__mg_gbunicode_map[0x4C63] = 0x8E44; __mg_gbunicode_map[0x4C64] = 0x557C;
__mg_gbunicode_map[0x4C65] = 0x4F53; __mg_gbunicode_map[0x4C66] = 0x66FF;
__mg_gbunicode_map[0x4C67] = 0x568F; __mg_gbunicode_map[0x4C68] = 0x60D5;
__mg_gbunicode_map[0x4C69] = 0x6D95; __mg_gbunicode_map[0x4C6A] = 0x5243;
__mg_gbunicode_map[0x4C6B] = 0x5C49; __mg_gbunicode_map[0x4C6C] = 0x5929;
__mg_gbunicode_map[0x4C6D] = 0x6DFB; __mg_gbunicode_map[0x4C6E] = 0x586B;
__mg_gbunicode_map[0x4C6F] = 0x7530; __mg_gbunicode_map[0x4C70] = 0x751C;
__mg_gbunicode_map[0x4C71] = 0x606C; __mg_gbunicode_map[0x4C72] = 0x8214;
__mg_gbunicode_map[0x4C73] = 0x8146; __mg_gbunicode_map[0x4C74] = 0x6311;
__mg_gbunicode_map[0x4C75] = 0x6761; __mg_gbunicode_map[0x4C76] = 0x8FE2;
__mg_gbunicode_map[0x4C77] = 0x773A; __mg_gbunicode_map[0x4C78] = 0x8DF3;
__mg_gbunicode_map[0x4C79] = 0x8D34; __mg_gbunicode_map[0x4C7A] = 0x94C1;
__mg_gbunicode_map[0x4C7B] = 0x5E16; __mg_gbunicode_map[0x4C7C] = 0x5385;
__mg_gbunicode_map[0x4C7D] = 0x542C; __mg_gbunicode_map[0x4C7E] = 0x70C3;
__mg_gbunicode_map[0x4D21] = 0x6C40; __mg_gbunicode_map[0x4D22] = 0x5EF7;
__mg_gbunicode_map[0x4D23] = 0x505C; __mg_gbunicode_map[0x4D24] = 0x4EAD;
__mg_gbunicode_map[0x4D25] = 0x5EAD; __mg_gbunicode_map[0x4D26] = 0x633A;
__mg_gbunicode_map[0x4D27] = 0x8247; __mg_gbunicode_map[0x4D28] = 0x901A;
__mg_gbunicode_map[0x4D29] = 0x6850; __mg_gbunicode_map[0x4D2A] = 0x916E;
__mg_gbunicode_map[0x4D2B] = 0x77B3; __mg_gbunicode_map[0x4D2C] = 0x540C;
__mg_gbunicode_map[0x4D2D] = 0x94DC; __mg_gbunicode_map[0x4D2E] = 0x5F64;
__mg_gbunicode_map[0x4D2F] = 0x7AE5; __mg_gbunicode_map[0x4D30] = 0x6876;
__mg_gbunicode_map[0x4D31] = 0x6345; __mg_gbunicode_map[0x4D32] = 0x7B52;
__mg_gbunicode_map[0x4D33] = 0x7EDF; __mg_gbunicode_map[0x4D34] = 0x75DB;
__mg_gbunicode_map[0x4D35] = 0x5077; __mg_gbunicode_map[0x4D36] = 0x6295;
__mg_gbunicode_map[0x4D37] = 0x5934; __mg_gbunicode_map[0x4D38] = 0x900F;
__mg_gbunicode_map[0x4D39] = 0x51F8; __mg_gbunicode_map[0x4D3A] = 0x79C3;
__mg_gbunicode_map[0x4D3B] = 0x7A81; __mg_gbunicode_map[0x4D3C] = 0x56FE;
__mg_gbunicode_map[0x4D3D] = 0x5F92; __mg_gbunicode_map[0x4D3E] = 0x9014;
__mg_gbunicode_map[0x4D3F] = 0x6D82; __mg_gbunicode_map[0x4D40] = 0x5C60;
__mg_gbunicode_map[0x4D41] = 0x571F; __mg_gbunicode_map[0x4D42] = 0x5410;
__mg_gbunicode_map[0x4D43] = 0x5154; __mg_gbunicode_map[0x4D44] = 0x6E4D;
__mg_gbunicode_map[0x4D45] = 0x56E2; __mg_gbunicode_map[0x4D46] = 0x63A8;
__mg_gbunicode_map[0x4D47] = 0x9893; __mg_gbunicode_map[0x4D48] = 0x817F;
__mg_gbunicode_map[0x4D49] = 0x8715; __mg_gbunicode_map[0x4D4A] = 0x892A;
__mg_gbunicode_map[0x4D4B] = 0x9000; __mg_gbunicode_map[0x4D4C] = 0x541E;
__mg_gbunicode_map[0x4D4D] = 0x5C6F; __mg_gbunicode_map[0x4D4E] = 0x81C0;
__mg_gbunicode_map[0x4D4F] = 0x62D6; __mg_gbunicode_map[0x4D50] = 0x6258;
__mg_gbunicode_map[0x4D51] = 0x8131; __mg_gbunicode_map[0x4D52] = 0x9E35;
__mg_gbunicode_map[0x4D53] = 0x9640; __mg_gbunicode_map[0x4D54] = 0x9A6E;
__mg_gbunicode_map[0x4D55] = 0x9A7C; __mg_gbunicode_map[0x4D56] = 0x692D;
__mg_gbunicode_map[0x4D57] = 0x59A5; __mg_gbunicode_map[0x4D58] = 0x62D3;
__mg_gbunicode_map[0x4D59] = 0x553E; __mg_gbunicode_map[0x4D5A] = 0x6316;
__mg_gbunicode_map[0x4D5B] = 0x54C7; __mg_gbunicode_map[0x4D5C] = 0x86D9;
__mg_gbunicode_map[0x4D5D] = 0x6D3C; __mg_gbunicode_map[0x4D5E] = 0x5A03;
__mg_gbunicode_map[0x4D5F] = 0x74E6; __mg_gbunicode_map[0x4D60] = 0x889C;
__mg_gbunicode_map[0x4D61] = 0x6B6A; __mg_gbunicode_map[0x4D62] = 0x5916;
__mg_gbunicode_map[0x4D63] = 0x8C4C; __mg_gbunicode_map[0x4D64] = 0x5F2F;
__mg_gbunicode_map[0x4D65] = 0x6E7E; __mg_gbunicode_map[0x4D66] = 0x73A9;
__mg_gbunicode_map[0x4D67] = 0x987D; __mg_gbunicode_map[0x4D68] = 0x4E38;
__mg_gbunicode_map[0x4D69] = 0x70F7; __mg_gbunicode_map[0x4D6A] = 0x5B8C;
__mg_gbunicode_map[0x4D6B] = 0x7897; __mg_gbunicode_map[0x4D6C] = 0x633D;
__mg_gbunicode_map[0x4D6D] = 0x665A; __mg_gbunicode_map[0x4D6E] = 0x7696;
__mg_gbunicode_map[0x4D6F] = 0x60CB; __mg_gbunicode_map[0x4D70] = 0x5B9B;
__mg_gbunicode_map[0x4D71] = 0x5A49; __mg_gbunicode_map[0x4D72] = 0x4E07;
__mg_gbunicode_map[0x4D73] = 0x8155; __mg_gbunicode_map[0x4D74] = 0x6C6A;
__mg_gbunicode_map[0x4D75] = 0x738B; __mg_gbunicode_map[0x4D76] = 0x4EA1;
__mg_gbunicode_map[0x4D77] = 0x6789; __mg_gbunicode_map[0x4D78] = 0x7F51;
__mg_gbunicode_map[0x4D79] = 0x5F80; __mg_gbunicode_map[0x4D7A] = 0x65FA;
__mg_gbunicode_map[0x4D7B] = 0x671B; __mg_gbunicode_map[0x4D7C] = 0x5FD8;
__mg_gbunicode_map[0x4D7D] = 0x5984; __mg_gbunicode_map[0x4D7E] = 0x5A01;
__mg_gbunicode_map[0x4E21] = 0x5DCD; __mg_gbunicode_map[0x4E22] = 0x5FAE;
__mg_gbunicode_map[0x4E23] = 0x5371; __mg_gbunicode_map[0x4E24] = 0x97E6;
__mg_gbunicode_map[0x4E25] = 0x8FDD; __mg_gbunicode_map[0x4E26] = 0x6845;
__mg_gbunicode_map[0x4E27] = 0x56F4; __mg_gbunicode_map[0x4E28] = 0x552F;
__mg_gbunicode_map[0x4E29] = 0x60DF; __mg_gbunicode_map[0x4E2A] = 0x4E3A;
__mg_gbunicode_map[0x4E2B] = 0x6F4D; __mg_gbunicode_map[0x4E2C] = 0x7EF4;
__mg_gbunicode_map[0x4E2D] = 0x82C7; __mg_gbunicode_map[0x4E2E] = 0x840E;
__mg_gbunicode_map[0x4E2F] = 0x59D4; __mg_gbunicode_map[0x4E30] = 0x4F1F;
__mg_gbunicode_map[0x4E31] = 0x4F2A; __mg_gbunicode_map[0x4E32] = 0x5C3E;
__mg_gbunicode_map[0x4E33] = 0x7EAC; __mg_gbunicode_map[0x4E34] = 0x672A;
__mg_gbunicode_map[0x4E35] = 0x851A; __mg_gbunicode_map[0x4E36] = 0x5473;
__mg_gbunicode_map[0x4E37] = 0x754F; __mg_gbunicode_map[0x4E38] = 0x80C3;
__mg_gbunicode_map[0x4E39] = 0x5582; __mg_gbunicode_map[0x4E3A] = 0x9B4F;
__mg_gbunicode_map[0x4E3B] = 0x4F4D; __mg_gbunicode_map[0x4E3C] = 0x6E2D;
__mg_gbunicode_map[0x4E3D] = 0x8C13; __mg_gbunicode_map[0x4E3E] = 0x5C09;
__mg_gbunicode_map[0x4E3F] = 0x6170; __mg_gbunicode_map[0x4E40] = 0x536B;
__mg_gbunicode_map[0x4E41] = 0x761F; __mg_gbunicode_map[0x4E42] = 0x6E29;
__mg_gbunicode_map[0x4E43] = 0x868A; __mg_gbunicode_map[0x4E44] = 0x6587;
__mg_gbunicode_map[0x4E45] = 0x95FB; __mg_gbunicode_map[0x4E46] = 0x7EB9;
__mg_gbunicode_map[0x4E47] = 0x543B; __mg_gbunicode_map[0x4E48] = 0x7A33;
__mg_gbunicode_map[0x4E49] = 0x7D0A; __mg_gbunicode_map[0x4E4A] = 0x95EE;
__mg_gbunicode_map[0x4E4B] = 0x55E1; __mg_gbunicode_map[0x4E4C] = 0x7FC1;
__mg_gbunicode_map[0x4E4D] = 0x74EE; __mg_gbunicode_map[0x4E4E] = 0x631D;
__mg_gbunicode_map[0x4E4F] = 0x8717; __mg_gbunicode_map[0x4E50] = 0x6DA1;
__mg_gbunicode_map[0x4E51] = 0x7A9D; __mg_gbunicode_map[0x4E52] = 0x6211;
__mg_gbunicode_map[0x4E53] = 0x65A1; __mg_gbunicode_map[0x4E54] = 0x5367;
__mg_gbunicode_map[0x4E55] = 0x63E1; __mg_gbunicode_map[0x4E56] = 0x6C83;
__mg_gbunicode_map[0x4E57] = 0x5DEB; __mg_gbunicode_map[0x4E58] = 0x545C;
__mg_gbunicode_map[0x4E59] = 0x94A8; __mg_gbunicode_map[0x4E5A] = 0x4E4C;
__mg_gbunicode_map[0x4E5B] = 0x6C61; __mg_gbunicode_map[0x4E5C] = 0x8BEC;
__mg_gbunicode_map[0x4E5D] = 0x5C4B; __mg_gbunicode_map[0x4E5E] = 0x65E0;
__mg_gbunicode_map[0x4E5F] = 0x829C; __mg_gbunicode_map[0x4E60] = 0x68A7;
__mg_gbunicode_map[0x4E61] = 0x543E; __mg_gbunicode_map[0x4E62] = 0x5434;
__mg_gbunicode_map[0x4E63] = 0x6BCB; __mg_gbunicode_map[0x4E64] = 0x6B66;
__mg_gbunicode_map[0x4E65] = 0x4E94; __mg_gbunicode_map[0x4E66] = 0x6342;
__mg_gbunicode_map[0x4E67] = 0x5348; __mg_gbunicode_map[0x4E68] = 0x821E;
__mg_gbunicode_map[0x4E69] = 0x4F0D; __mg_gbunicode_map[0x4E6A] = 0x4FAE;
__mg_gbunicode_map[0x4E6B] = 0x575E; __mg_gbunicode_map[0x4E6C] = 0x620A;
__mg_gbunicode_map[0x4E6D] = 0x96FE; __mg_gbunicode_map[0x4E6E] = 0x6664;
__mg_gbunicode_map[0x4E6F] = 0x7269; __mg_gbunicode_map[0x4E70] = 0x52FF;
__mg_gbunicode_map[0x4E71] = 0x52A1; __mg_gbunicode_map[0x4E72] = 0x609F;
__mg_gbunicode_map[0x4E73] = 0x8BEF; __mg_gbunicode_map[0x4E74] = 0x6614;
__mg_gbunicode_map[0x4E75] = 0x7199; __mg_gbunicode_map[0x4E76] = 0x6790;
__mg_gbunicode_map[0x4E77] = 0x897F; __mg_gbunicode_map[0x4E78] = 0x7852;
__mg_gbunicode_map[0x4E79] = 0x77FD; __mg_gbunicode_map[0x4E7A] = 0x6670;
__mg_gbunicode_map[0x4E7B] = 0x563B; __mg_gbunicode_map[0x4E7C] = 0x5438;
__mg_gbunicode_map[0x4E7D] = 0x9521; __mg_gbunicode_map[0x4E7E] = 0x727A;
__mg_gbunicode_map[0x4F21] = 0x7A00; __mg_gbunicode_map[0x4F22] = 0x606F;
__mg_gbunicode_map[0x4F23] = 0x5E0C; __mg_gbunicode_map[0x4F24] = 0x6089;
__mg_gbunicode_map[0x4F25] = 0x819D; __mg_gbunicode_map[0x4F26] = 0x5915;
__mg_gbunicode_map[0x4F27] = 0x60DC; __mg_gbunicode_map[0x4F28] = 0x7184;
__mg_gbunicode_map[0x4F29] = 0x70EF; __mg_gbunicode_map[0x4F2A] = 0x6EAA;
__mg_gbunicode_map[0x4F2B] = 0x6C50; __mg_gbunicode_map[0x4F2C] = 0x7280;
__mg_gbunicode_map[0x4F2D] = 0x6A84; __mg_gbunicode_map[0x4F2E] = 0x88AD;
__mg_gbunicode_map[0x4F2F] = 0x5E2D; __mg_gbunicode_map[0x4F30] = 0x4E60;
__mg_gbunicode_map[0x4F31] = 0x5AB3; __mg_gbunicode_map[0x4F32] = 0x559C;
__mg_gbunicode_map[0x4F33] = 0x94E3; __mg_gbunicode_map[0x4F34] = 0x6D17;
__mg_gbunicode_map[0x4F35] = 0x7CFB; __mg_gbunicode_map[0x4F36] = 0x9699;
__mg_gbunicode_map[0x4F37] = 0x620F; __mg_gbunicode_map[0x4F38] = 0x7EC6;
__mg_gbunicode_map[0x4F39] = 0x778E; __mg_gbunicode_map[0x4F3A] = 0x867E;
__mg_gbunicode_map[0x4F3B] = 0x5323; __mg_gbunicode_map[0x4F3C] = 0x971E;
__mg_gbunicode_map[0x4F3D] = 0x8F96; __mg_gbunicode_map[0x4F3E] = 0x6687;
__mg_gbunicode_map[0x4F3F] = 0x5CE1; __mg_gbunicode_map[0x4F40] = 0x4FA0;
__mg_gbunicode_map[0x4F41] = 0x72ED; __mg_gbunicode_map[0x4F42] = 0x4E0B;
__mg_gbunicode_map[0x4F43] = 0x53A6; __mg_gbunicode_map[0x4F44] = 0x590F;
__mg_gbunicode_map[0x4F45] = 0x5413; __mg_gbunicode_map[0x4F46] = 0x6380;
__mg_gbunicode_map[0x4F47] = 0x9528; __mg_gbunicode_map[0x4F48] = 0x5148;
__mg_gbunicode_map[0x4F49] = 0x4ED9; __mg_gbunicode_map[0x4F4A] = 0x9C9C;
__mg_gbunicode_map[0x4F4B] = 0x7EA4; __mg_gbunicode_map[0x4F4C] = 0x54B8;
__mg_gbunicode_map[0x4F4D] = 0x8D24; __mg_gbunicode_map[0x4F4E] = 0x8854;
__mg_gbunicode_map[0x4F4F] = 0x8237; __mg_gbunicode_map[0x4F50] = 0x95F2;
__mg_gbunicode_map[0x4F51] = 0x6D8E; __mg_gbunicode_map[0x4F52] = 0x5F26;
__mg_gbunicode_map[0x4F53] = 0x5ACC; __mg_gbunicode_map[0x4F54] = 0x663E;
__mg_gbunicode_map[0x4F55] = 0x9669; __mg_gbunicode_map[0x4F56] = 0x73B0;
__mg_gbunicode_map[0x4F57] = 0x732E; __mg_gbunicode_map[0x4F58] = 0x53BF;
__mg_gbunicode_map[0x4F59] = 0x817A; __mg_gbunicode_map[0x4F5A] = 0x9985;
__mg_gbunicode_map[0x4F5B] = 0x7FA1; __mg_gbunicode_map[0x4F5C] = 0x5BAA;
__mg_gbunicode_map[0x4F5D] = 0x9677; __mg_gbunicode_map[0x4F5E] = 0x9650;
__mg_gbunicode_map[0x4F5F] = 0x7EBF; __mg_gbunicode_map[0x4F60] = 0x76F8;
__mg_gbunicode_map[0x4F61] = 0x53A2; __mg_gbunicode_map[0x4F62] = 0x9576;
__mg_gbunicode_map[0x4F63] = 0x9999; __mg_gbunicode_map[0x4F64] = 0x7BB1;
__mg_gbunicode_map[0x4F65] = 0x8944; __mg_gbunicode_map[0x4F66] = 0x6E58;
__mg_gbunicode_map[0x4F67] = 0x4E61; __mg_gbunicode_map[0x4F68] = 0x7FD4;
__mg_gbunicode_map[0x4F69] = 0x7965; __mg_gbunicode_map[0x4F6A] = 0x8BE6;
__mg_gbunicode_map[0x4F6B] = 0x60F3; __mg_gbunicode_map[0x4F6C] = 0x54CD;
__mg_gbunicode_map[0x4F6D] = 0x4EAB; __mg_gbunicode_map[0x4F6E] = 0x9879;
__mg_gbunicode_map[0x4F6F] = 0x5DF7; __mg_gbunicode_map[0x4F70] = 0x6A61;
__mg_gbunicode_map[0x4F71] = 0x50CF; __mg_gbunicode_map[0x4F72] = 0x5411;
__mg_gbunicode_map[0x4F73] = 0x8C61; __mg_gbunicode_map[0x4F74] = 0x8427;
__mg_gbunicode_map[0x4F75] = 0x785D; __mg_gbunicode_map[0x4F76] = 0x9704;
__mg_gbunicode_map[0x4F77] = 0x524A; __mg_gbunicode_map[0x4F78] = 0x54EE;
__mg_gbunicode_map[0x4F79] = 0x56A3; __mg_gbunicode_map[0x4F7A] = 0x9500;
__mg_gbunicode_map[0x4F7B] = 0x6D88; __mg_gbunicode_map[0x4F7C] = 0x5BB5;
__mg_gbunicode_map[0x4F7D] = 0x6DC6; __mg_gbunicode_map[0x4F7E] = 0x6653;
__mg_gbunicode_map[0x5021] = 0x5C0F; __mg_gbunicode_map[0x5022] = 0x5B5D;
__mg_gbunicode_map[0x5023] = 0x6821; __mg_gbunicode_map[0x5024] = 0x8096;
__mg_gbunicode_map[0x5025] = 0x5578; __mg_gbunicode_map[0x5026] = 0x7B11;
__mg_gbunicode_map[0x5027] = 0x6548; __mg_gbunicode_map[0x5028] = 0x6954;
__mg_gbunicode_map[0x5029] = 0x4E9B; __mg_gbunicode_map[0x502A] = 0x6B47;
__mg_gbunicode_map[0x502B] = 0x874E; __mg_gbunicode_map[0x502C] = 0x978B;
__mg_gbunicode_map[0x502D] = 0x534F; __mg_gbunicode_map[0x502E] = 0x631F;
__mg_gbunicode_map[0x502F] = 0x643A; __mg_gbunicode_map[0x5030] = 0x90AA;
__mg_gbunicode_map[0x5031] = 0x659C; __mg_gbunicode_map[0x5032] = 0x80C1;
__mg_gbunicode_map[0x5033] = 0x8C10; __mg_gbunicode_map[0x5034] = 0x5199;
__mg_gbunicode_map[0x5035] = 0x68B0; __mg_gbunicode_map[0x5036] = 0x5378;
__mg_gbunicode_map[0x5037] = 0x87F9; __mg_gbunicode_map[0x5038] = 0x61C8;
__mg_gbunicode_map[0x5039] = 0x6CC4; __mg_gbunicode_map[0x503A] = 0x6CFB;
__mg_gbunicode_map[0x503B] = 0x8C22; __mg_gbunicode_map[0x503C] = 0x5C51;
__mg_gbunicode_map[0x503D] = 0x85AA; __mg_gbunicode_map[0x503E] = 0x82AF;
__mg_gbunicode_map[0x503F] = 0x950C; __mg_gbunicode_map[0x5040] = 0x6B23;
__mg_gbunicode_map[0x5041] = 0x8F9B; __mg_gbunicode_map[0x5042] = 0x65B0;
__mg_gbunicode_map[0x5043] = 0x5FFB; __mg_gbunicode_map[0x5044] = 0x5FC3;
__mg_gbunicode_map[0x5045] = 0x4FE1; __mg_gbunicode_map[0x5046] = 0x8845;
__mg_gbunicode_map[0x5047] = 0x661F; __mg_gbunicode_map[0x5048] = 0x8165;
__mg_gbunicode_map[0x5049] = 0x7329; __mg_gbunicode_map[0x504A] = 0x60FA;
__mg_gbunicode_map[0x504B] = 0x5174; __mg_gbunicode_map[0x504C] = 0x5211;
__mg_gbunicode_map[0x504D] = 0x578B; __mg_gbunicode_map[0x504E] = 0x5F62;
__mg_gbunicode_map[0x504F] = 0x90A2; __mg_gbunicode_map[0x5050] = 0x884C;
__mg_gbunicode_map[0x5051] = 0x9192; __mg_gbunicode_map[0x5052] = 0x5E78;
__mg_gbunicode_map[0x5053] = 0x674F; __mg_gbunicode_map[0x5054] = 0x6027;
__mg_gbunicode_map[0x5055] = 0x59D3; __mg_gbunicode_map[0x5056] = 0x5144;
__mg_gbunicode_map[0x5057] = 0x51F6; __mg_gbunicode_map[0x5058] = 0x80F8;
__mg_gbunicode_map[0x5059] = 0x5308; __mg_gbunicode_map[0x505A] = 0x6C79;
__mg_gbunicode_map[0x505B] = 0x96C4; __mg_gbunicode_map[0x505C] = 0x718A;
__mg_gbunicode_map[0x505D] = 0x4F11; __mg_gbunicode_map[0x505E] = 0x4FEE;
__mg_gbunicode_map[0x505F] = 0x7F9E; __mg_gbunicode_map[0x5060] = 0x673D;
__mg_gbunicode_map[0x5061] = 0x55C5; __mg_gbunicode_map[0x5062] = 0x9508;
__mg_gbunicode_map[0x5063] = 0x79C0; __mg_gbunicode_map[0x5064] = 0x8896;
__mg_gbunicode_map[0x5065] = 0x7EE3; __mg_gbunicode_map[0x5066] = 0x589F;
__mg_gbunicode_map[0x5067] = 0x620C; __mg_gbunicode_map[0x5068] = 0x9700;
__mg_gbunicode_map[0x5069] = 0x865A; __mg_gbunicode_map[0x506A] = 0x5618;
__mg_gbunicode_map[0x506B] = 0x987B; __mg_gbunicode_map[0x506C] = 0x5F90;
__mg_gbunicode_map[0x506D] = 0x8BB8; __mg_gbunicode_map[0x506E] = 0x84C4;
__mg_gbunicode_map[0x506F] = 0x9157; __mg_gbunicode_map[0x5070] = 0x53D9;
__mg_gbunicode_map[0x5071] = 0x65ED; __mg_gbunicode_map[0x5072] = 0x5E8F;
__mg_gbunicode_map[0x5073] = 0x755C; __mg_gbunicode_map[0x5074] = 0x6064;
__mg_gbunicode_map[0x5075] = 0x7D6E; __mg_gbunicode_map[0x5076] = 0x5A7F;
__mg_gbunicode_map[0x5077] = 0x7EEA; __mg_gbunicode_map[0x5078] = 0x7EED;
__mg_gbunicode_map[0x5079] = 0x8F69; __mg_gbunicode_map[0x507A] = 0x55A7;
__mg_gbunicode_map[0x507B] = 0x5BA3; __mg_gbunicode_map[0x507C] = 0x60AC;
__mg_gbunicode_map[0x507D] = 0x65CB; __mg_gbunicode_map[0x507E] = 0x7384;
__mg_gbunicode_map[0x5121] = 0x9009; __mg_gbunicode_map[0x5122] = 0x7663;
__mg_gbunicode_map[0x5123] = 0x7729; __mg_gbunicode_map[0x5124] = 0x7EDA;
__mg_gbunicode_map[0x5125] = 0x9774; __mg_gbunicode_map[0x5126] = 0x859B;
__mg_gbunicode_map[0x5127] = 0x5B66; __mg_gbunicode_map[0x5128] = 0x7A74;
__mg_gbunicode_map[0x5129] = 0x96EA; __mg_gbunicode_map[0x512A] = 0x8840;
__mg_gbunicode_map[0x512B] = 0x52CB; __mg_gbunicode_map[0x512C] = 0x718F;
__mg_gbunicode_map[0x512D] = 0x5FAA; __mg_gbunicode_map[0x512E] = 0x65EC;
__mg_gbunicode_map[0x512F] = 0x8BE2; __mg_gbunicode_map[0x5130] = 0x5BFB;
__mg_gbunicode_map[0x5131] = 0x9A6F; __mg_gbunicode_map[0x5132] = 0x5DE1;
__mg_gbunicode_map[0x5133] = 0x6B89; __mg_gbunicode_map[0x5134] = 0x6C5B;
__mg_gbunicode_map[0x5135] = 0x8BAD; __mg_gbunicode_map[0x5136] = 0x8BAF;
__mg_gbunicode_map[0x5137] = 0x900A; __mg_gbunicode_map[0x5138] = 0x8FC5;
__mg_gbunicode_map[0x5139] = 0x538B; __mg_gbunicode_map[0x513A] = 0x62BC;
__mg_gbunicode_map[0x513B] = 0x9E26; __mg_gbunicode_map[0x513C] = 0x9E2D;
__mg_gbunicode_map[0x513D] = 0x5440; __mg_gbunicode_map[0x513E] = 0x4E2B;
__mg_gbunicode_map[0x513F] = 0x82BD; __mg_gbunicode_map[0x5140] = 0x7259;
__mg_gbunicode_map[0x5141] = 0x869C; __mg_gbunicode_map[0x5142] = 0x5D16;
__mg_gbunicode_map[0x5143] = 0x8859; __mg_gbunicode_map[0x5144] = 0x6DAF;
__mg_gbunicode_map[0x5145] = 0x96C5; __mg_gbunicode_map[0x5146] = 0x54D1;
__mg_gbunicode_map[0x5147] = 0x4E9A; __mg_gbunicode_map[0x5148] = 0x8BB6;
__mg_gbunicode_map[0x5149] = 0x7109; __mg_gbunicode_map[0x514A] = 0x54BD;
__mg_gbunicode_map[0x514B] = 0x9609; __mg_gbunicode_map[0x514C] = 0x70DF;
__mg_gbunicode_map[0x514D] = 0x6DF9; __mg_gbunicode_map[0x514E] = 0x76D0;
__mg_gbunicode_map[0x514F] = 0x4E25; __mg_gbunicode_map[0x5150] = 0x7814;
__mg_gbunicode_map[0x5151] = 0x8712; __mg_gbunicode_map[0x5152] = 0x5CA9;
__mg_gbunicode_map[0x5153] = 0x5EF6; __mg_gbunicode_map[0x5154] = 0x8A00;
__mg_gbunicode_map[0x5155] = 0x989C; __mg_gbunicode_map[0x5156] = 0x960E;
__mg_gbunicode_map[0x5157] = 0x708E; __mg_gbunicode_map[0x5158] = 0x6CBF;
__mg_gbunicode_map[0x5159] = 0x5944; __mg_gbunicode_map[0x515A] = 0x63A9;
__mg_gbunicode_map[0x515B] = 0x773C; __mg_gbunicode_map[0x515C] = 0x884D;
__mg_gbunicode_map[0x515D] = 0x6F14; __mg_gbunicode_map[0x515E] = 0x8273;
__mg_gbunicode_map[0x515F] = 0x5830; __mg_gbunicode_map[0x5160] = 0x71D5;
__mg_gbunicode_map[0x5161] = 0x538C; __mg_gbunicode_map[0x5162] = 0x781A;
__mg_gbunicode_map[0x5163] = 0x96C1; __mg_gbunicode_map[0x5164] = 0x5501;
__mg_gbunicode_map[0x5165] = 0x5F66; __mg_gbunicode_map[0x5166] = 0x7130;
__mg_gbunicode_map[0x5167] = 0x5BB4; __mg_gbunicode_map[0x5168] = 0x8C1A;
__mg_gbunicode_map[0x5169] = 0x9A8C; __mg_gbunicode_map[0x516A] = 0x6B83;
__mg_gbunicode_map[0x516B] = 0x592E; __mg_gbunicode_map[0x516C] = 0x9E2F;
__mg_gbunicode_map[0x516D] = 0x79E7; __mg_gbunicode_map[0x516E] = 0x6768;
__mg_gbunicode_map[0x516F] = 0x626C; __mg_gbunicode_map[0x5170] = 0x4F6F;
__mg_gbunicode_map[0x5171] = 0x75A1; __mg_gbunicode_map[0x5172] = 0x7F8A;
__mg_gbunicode_map[0x5173] = 0x6D0B; __mg_gbunicode_map[0x5174] = 0x9633;
__mg_gbunicode_map[0x5175] = 0x6C27; __mg_gbunicode_map[0x5176] = 0x4EF0;
__mg_gbunicode_map[0x5177] = 0x75D2; __mg_gbunicode_map[0x5178] = 0x517B;
__mg_gbunicode_map[0x5179] = 0x6837; __mg_gbunicode_map[0x517A] = 0x6F3E;
__mg_gbunicode_map[0x517B] = 0x9080; __mg_gbunicode_map[0x517C] = 0x8170;
__mg_gbunicode_map[0x517D] = 0x5996; __mg_gbunicode_map[0x517E] = 0x7476;
__mg_gbunicode_map[0x5221] = 0x6447; __mg_gbunicode_map[0x5222] = 0x5C27;
__mg_gbunicode_map[0x5223] = 0x9065; __mg_gbunicode_map[0x5224] = 0x7A91;
__mg_gbunicode_map[0x5225] = 0x8C23; __mg_gbunicode_map[0x5226] = 0x59DA;
__mg_gbunicode_map[0x5227] = 0x54AC; __mg_gbunicode_map[0x5228] = 0x8200;
__mg_gbunicode_map[0x5229] = 0x836F; __mg_gbunicode_map[0x522A] = 0x8981;
__mg_gbunicode_map[0x522B] = 0x8000; __mg_gbunicode_map[0x522C] = 0x6930;
__mg_gbunicode_map[0x522D] = 0x564E; __mg_gbunicode_map[0x522E] = 0x8036;
__mg_gbunicode_map[0x522F] = 0x7237; __mg_gbunicode_map[0x5230] = 0x91CE;
__mg_gbunicode_map[0x5231] = 0x51B6; __mg_gbunicode_map[0x5232] = 0x4E5F;
__mg_gbunicode_map[0x5233] = 0x9875; __mg_gbunicode_map[0x5234] = 0x6396;
__mg_gbunicode_map[0x5235] = 0x4E1A; __mg_gbunicode_map[0x5236] = 0x53F6;
__mg_gbunicode_map[0x5237] = 0x66F3; __mg_gbunicode_map[0x5238] = 0x814B;
__mg_gbunicode_map[0x5239] = 0x591C; __mg_gbunicode_map[0x523A] = 0x6DB2;
__mg_gbunicode_map[0x523B] = 0x4E00; __mg_gbunicode_map[0x523C] = 0x58F9;
__mg_gbunicode_map[0x523D] = 0x533B; __mg_gbunicode_map[0x523E] = 0x63D6;
__mg_gbunicode_map[0x523F] = 0x94F1; __mg_gbunicode_map[0x5240] = 0x4F9D;
__mg_gbunicode_map[0x5241] = 0x4F0A; __mg_gbunicode_map[0x5242] = 0x8863;
__mg_gbunicode_map[0x5243] = 0x9890; __mg_gbunicode_map[0x5244] = 0x5937;
__mg_gbunicode_map[0x5245] = 0x9057; __mg_gbunicode_map[0x5246] = 0x79FB;
__mg_gbunicode_map[0x5247] = 0x4EEA; __mg_gbunicode_map[0x5248] = 0x80F0;
__mg_gbunicode_map[0x5249] = 0x7591; __mg_gbunicode_map[0x524A] = 0x6C82;
__mg_gbunicode_map[0x524B] = 0x5B9C; __mg_gbunicode_map[0x524C] = 0x59E8;
__mg_gbunicode_map[0x524D] = 0x5F5D; __mg_gbunicode_map[0x524E] = 0x6905;
__mg_gbunicode_map[0x524F] = 0x8681; __mg_gbunicode_map[0x5250] = 0x501A;
__mg_gbunicode_map[0x5251] = 0x5DF2; __mg_gbunicode_map[0x5252] = 0x4E59;
__mg_gbunicode_map[0x5253] = 0x77E3; __mg_gbunicode_map[0x5254] = 0x4EE5;
__mg_gbunicode_map[0x5255] = 0x827A; __mg_gbunicode_map[0x5256] = 0x6291;
__mg_gbunicode_map[0x5257] = 0x6613; __mg_gbunicode_map[0x5258] = 0x9091;
__mg_gbunicode_map[0x5259] = 0x5C79; __mg_gbunicode_map[0x525A] = 0x4EBF;
__mg_gbunicode_map[0x525B] = 0x5F79; __mg_gbunicode_map[0x525C] = 0x81C6;
__mg_gbunicode_map[0x525D] = 0x9038; __mg_gbunicode_map[0x525E] = 0x8084;
__mg_gbunicode_map[0x525F] = 0x75AB; __mg_gbunicode_map[0x5260] = 0x4EA6;
__mg_gbunicode_map[0x5261] = 0x88D4; __mg_gbunicode_map[0x5262] = 0x610F;
__mg_gbunicode_map[0x5263] = 0x6BC5; __mg_gbunicode_map[0x5264] = 0x5FC6;
__mg_gbunicode_map[0x5265] = 0x4E49; __mg_gbunicode_map[0x5266] = 0x76CA;
__mg_gbunicode_map[0x5267] = 0x6EA2; __mg_gbunicode_map[0x5268] = 0x8BE3;
__mg_gbunicode_map[0x5269] = 0x8BAE; __mg_gbunicode_map[0x526A] = 0x8C0A;
__mg_gbunicode_map[0x526B] = 0x8BD1; __mg_gbunicode_map[0x526C] = 0x5F02;
__mg_gbunicode_map[0x526D] = 0x7FFC; __mg_gbunicode_map[0x526E] = 0x7FCC;
__mg_gbunicode_map[0x526F] = 0x7ECE; __mg_gbunicode_map[0x5270] = 0x8335;
__mg_gbunicode_map[0x5271] = 0x836B; __mg_gbunicode_map[0x5272] = 0x56E0;
__mg_gbunicode_map[0x5273] = 0x6BB7; __mg_gbunicode_map[0x5274] = 0x97F3;
__mg_gbunicode_map[0x5275] = 0x9634; __mg_gbunicode_map[0x5276] = 0x59FB;
__mg_gbunicode_map[0x5277] = 0x541F; __mg_gbunicode_map[0x5278] = 0x94F6;
__mg_gbunicode_map[0x5279] = 0x6DEB; __mg_gbunicode_map[0x527A] = 0x5BC5;
__mg_gbunicode_map[0x527B] = 0x996E; __mg_gbunicode_map[0x527C] = 0x5C39;
__mg_gbunicode_map[0x527D] = 0x5F15; __mg_gbunicode_map[0x527E] = 0x9690;
__mg_gbunicode_map[0x5321] = 0x5370; __mg_gbunicode_map[0x5322] = 0x82F1;
__mg_gbunicode_map[0x5323] = 0x6A31; __mg_gbunicode_map[0x5324] = 0x5A74;
__mg_gbunicode_map[0x5325] = 0x9E70; __mg_gbunicode_map[0x5326] = 0x5E94;
__mg_gbunicode_map[0x5327] = 0x7F28; __mg_gbunicode_map[0x5328] = 0x83B9;
__mg_gbunicode_map[0x5329] = 0x8424; __mg_gbunicode_map[0x532A] = 0x8425;
__mg_gbunicode_map[0x532B] = 0x8367; __mg_gbunicode_map[0x532C] = 0x8747;
__mg_gbunicode_map[0x532D] = 0x8FCE; __mg_gbunicode_map[0x532E] = 0x8D62;
__mg_gbunicode_map[0x532F] = 0x76C8; __mg_gbunicode_map[0x5330] = 0x5F71;
__mg_gbunicode_map[0x5331] = 0x9896; __mg_gbunicode_map[0x5332] = 0x786C;
__mg_gbunicode_map[0x5333] = 0x6620; __mg_gbunicode_map[0x5334] = 0x54DF;
__mg_gbunicode_map[0x5335] = 0x62E5; __mg_gbunicode_map[0x5336] = 0x4F63;
__mg_gbunicode_map[0x5337] = 0x81C3; __mg_gbunicode_map[0x5338] = 0x75C8;
__mg_gbunicode_map[0x5339] = 0x5EB8; __mg_gbunicode_map[0x533A] = 0x96CD;
__mg_gbunicode_map[0x533B] = 0x8E0A; __mg_gbunicode_map[0x533C] = 0x86F9;
__mg_gbunicode_map[0x533D] = 0x548F; __mg_gbunicode_map[0x533E] = 0x6CF3;
__mg_gbunicode_map[0x533F] = 0x6D8C; __mg_gbunicode_map[0x5340] = 0x6C38;
__mg_gbunicode_map[0x5341] = 0x607F; __mg_gbunicode_map[0x5342] = 0x52C7;
__mg_gbunicode_map[0x5343] = 0x7528; __mg_gbunicode_map[0x5344] = 0x5E7D;
__mg_gbunicode_map[0x5345] = 0x4F18; __mg_gbunicode_map[0x5346] = 0x60A0;
__mg_gbunicode_map[0x5347] = 0x5FE7; __mg_gbunicode_map[0x5348] = 0x5C24;
__mg_gbunicode_map[0x5349] = 0x7531; __mg_gbunicode_map[0x534A] = 0x90AE;
__mg_gbunicode_map[0x534B] = 0x94C0; __mg_gbunicode_map[0x534C] = 0x72B9;
__mg_gbunicode_map[0x534D] = 0x6CB9; __mg_gbunicode_map[0x534E] = 0x6E38;
__mg_gbunicode_map[0x534F] = 0x9149; __mg_gbunicode_map[0x5350] = 0x6709;
__mg_gbunicode_map[0x5351] = 0x53CB; __mg_gbunicode_map[0x5352] = 0x53F3;
__mg_gbunicode_map[0x5353] = 0x4F51; __mg_gbunicode_map[0x5354] = 0x91C9;
__mg_gbunicode_map[0x5355] = 0x8BF1; __mg_gbunicode_map[0x5356] = 0x53C8;
__mg_gbunicode_map[0x5357] = 0x5E7C; __mg_gbunicode_map[0x5358] = 0x8FC2;
__mg_gbunicode_map[0x5359] = 0x6DE4; __mg_gbunicode_map[0x535A] = 0x4E8E;
__mg_gbunicode_map[0x535B] = 0x76C2; __mg_gbunicode_map[0x535C] = 0x6986;
__mg_gbunicode_map[0x535D] = 0x865E; __mg_gbunicode_map[0x535E] = 0x611A;
__mg_gbunicode_map[0x535F] = 0x8206; __mg_gbunicode_map[0x5360] = 0x4F59;
__mg_gbunicode_map[0x5361] = 0x4FDE; __mg_gbunicode_map[0x5362] = 0x903E;
__mg_gbunicode_map[0x5363] = 0x9C7C; __mg_gbunicode_map[0x5364] = 0x6109;
__mg_gbunicode_map[0x5365] = 0x6E1D; __mg_gbunicode_map[0x5366] = 0x6E14;
__mg_gbunicode_map[0x5367] = 0x9685; __mg_gbunicode_map[0x5368] = 0x4E88;
__mg_gbunicode_map[0x5369] = 0x5A31; __mg_gbunicode_map[0x536A] = 0x96E8;
__mg_gbunicode_map[0x536B] = 0x4E0E; __mg_gbunicode_map[0x536C] = 0x5C7F;
__mg_gbunicode_map[0x536D] = 0x79B9; __mg_gbunicode_map[0x536E] = 0x5B87;
__mg_gbunicode_map[0x536F] = 0x8BED; __mg_gbunicode_map[0x5370] = 0x7FBD;
__mg_gbunicode_map[0x5371] = 0x7389; __mg_gbunicode_map[0x5372] = 0x57DF;
__mg_gbunicode_map[0x5373] = 0x828B; __mg_gbunicode_map[0x5374] = 0x90C1;
__mg_gbunicode_map[0x5375] = 0x5401; __mg_gbunicode_map[0x5376] = 0x9047;
__mg_gbunicode_map[0x5377] = 0x55BB; __mg_gbunicode_map[0x5378] = 0x5CEA;
__mg_gbunicode_map[0x5379] = 0x5FA1; __mg_gbunicode_map[0x537A] = 0x6108;
__mg_gbunicode_map[0x537B] = 0x6B32; __mg_gbunicode_map[0x537C] = 0x72F1;
__mg_gbunicode_map[0x537D] = 0x80B2; __mg_gbunicode_map[0x537E] = 0x8A89;
__mg_gbunicode_map[0x5421] = 0x6D74; __mg_gbunicode_map[0x5422] = 0x5BD3;
__mg_gbunicode_map[0x5423] = 0x88D5; __mg_gbunicode_map[0x5424] = 0x9884;
__mg_gbunicode_map[0x5425] = 0x8C6B; __mg_gbunicode_map[0x5426] = 0x9A6D;
__mg_gbunicode_map[0x5427] = 0x9E33; __mg_gbunicode_map[0x5428] = 0x6E0A;
__mg_gbunicode_map[0x5429] = 0x51A4; __mg_gbunicode_map[0x542A] = 0x5143;
__mg_gbunicode_map[0x542B] = 0x57A3; __mg_gbunicode_map[0x542C] = 0x8881;
__mg_gbunicode_map[0x542D] = 0x539F; __mg_gbunicode_map[0x542E] = 0x63F4;
__mg_gbunicode_map[0x542F] = 0x8F95; __mg_gbunicode_map[0x5430] = 0x56ED;
__mg_gbunicode_map[0x5431] = 0x5458; __mg_gbunicode_map[0x5432] = 0x5706;
__mg_gbunicode_map[0x5433] = 0x733F; __mg_gbunicode_map[0x5434] = 0x6E90;
__mg_gbunicode_map[0x5435] = 0x7F18; __mg_gbunicode_map[0x5436] = 0x8FDC;
__mg_gbunicode_map[0x5437] = 0x82D1; __mg_gbunicode_map[0x5438] = 0x613F;
__mg_gbunicode_map[0x5439] = 0x6028; __mg_gbunicode_map[0x543A] = 0x9662;
__mg_gbunicode_map[0x543B] = 0x66F0; __mg_gbunicode_map[0x543C] = 0x7EA6;
__mg_gbunicode_map[0x543D] = 0x8D8A; __mg_gbunicode_map[0x543E] = 0x8DC3;
__mg_gbunicode_map[0x543F] = 0x94A5; __mg_gbunicode_map[0x5440] = 0x5CB3;
__mg_gbunicode_map[0x5441] = 0x7CA4; __mg_gbunicode_map[0x5442] = 0x6708;
__mg_gbunicode_map[0x5443] = 0x60A6; __mg_gbunicode_map[0x5444] = 0x9605;
__mg_gbunicode_map[0x5445] = 0x8018; __mg_gbunicode_map[0x5446] = 0x4E91;
__mg_gbunicode_map[0x5447] = 0x90E7; __mg_gbunicode_map[0x5448] = 0x5300;
__mg_gbunicode_map[0x5449] = 0x9668; __mg_gbunicode_map[0x544A] = 0x5141;
__mg_gbunicode_map[0x544B] = 0x8FD0; __mg_gbunicode_map[0x544C] = 0x8574;
__mg_gbunicode_map[0x544D] = 0x915D; __mg_gbunicode_map[0x544E] = 0x6655;
__mg_gbunicode_map[0x544F] = 0x97F5; __mg_gbunicode_map[0x5450] = 0x5B55;
__mg_gbunicode_map[0x5451] = 0x531D; __mg_gbunicode_map[0x5452] = 0x7838;
__mg_gbunicode_map[0x5453] = 0x6742; __mg_gbunicode_map[0x5454] = 0x683D;
__mg_gbunicode_map[0x5455] = 0x54C9; __mg_gbunicode_map[0x5456] = 0x707E;
__mg_gbunicode_map[0x5457] = 0x5BB0; __mg_gbunicode_map[0x5458] = 0x8F7D;
__mg_gbunicode_map[0x5459] = 0x518D; __mg_gbunicode_map[0x545A] = 0x5728;
__mg_gbunicode_map[0x545B] = 0x54B1; __mg_gbunicode_map[0x545C] = 0x6512;
__mg_gbunicode_map[0x545D] = 0x6682; __mg_gbunicode_map[0x545E] = 0x8D5E;
__mg_gbunicode_map[0x545F] = 0x8D43; __mg_gbunicode_map[0x5460] = 0x810F;
__mg_gbunicode_map[0x5461] = 0x846C; __mg_gbunicode_map[0x5462] = 0x906D;
__mg_gbunicode_map[0x5463] = 0x7CDF; __mg_gbunicode_map[0x5464] = 0x51FF;
__mg_gbunicode_map[0x5465] = 0x85FB; __mg_gbunicode_map[0x5466] = 0x67A3;
__mg_gbunicode_map[0x5467] = 0x65E9; __mg_gbunicode_map[0x5468] = 0x6FA1;
__mg_gbunicode_map[0x5469] = 0x86A4; __mg_gbunicode_map[0x546A] = 0x8E81;
__mg_gbunicode_map[0x546B] = 0x566A; __mg_gbunicode_map[0x546C] = 0x9020;
__mg_gbunicode_map[0x546D] = 0x7682; __mg_gbunicode_map[0x546E] = 0x7076;
__mg_gbunicode_map[0x546F] = 0x71E5; __mg_gbunicode_map[0x5470] = 0x8D23;
__mg_gbunicode_map[0x5471] = 0x62E9; __mg_gbunicode_map[0x5472] = 0x5219;
__mg_gbunicode_map[0x5473] = 0x6CFD; __mg_gbunicode_map[0x5474] = 0x8D3C;
__mg_gbunicode_map[0x5475] = 0x600E; __mg_gbunicode_map[0x5476] = 0x589E;
__mg_gbunicode_map[0x5477] = 0x618E; __mg_gbunicode_map[0x5478] = 0x66FE;
__mg_gbunicode_map[0x5479] = 0x8D60; __mg_gbunicode_map[0x547A] = 0x624E;
__mg_gbunicode_map[0x547B] = 0x55B3; __mg_gbunicode_map[0x547C] = 0x6E23;
__mg_gbunicode_map[0x547D] = 0x672D; __mg_gbunicode_map[0x547E] = 0x8F67;
__mg_gbunicode_map[0x5521] = 0x94E1; __mg_gbunicode_map[0x5522] = 0x95F8;
__mg_gbunicode_map[0x5523] = 0x7728; __mg_gbunicode_map[0x5524] = 0x6805;
__mg_gbunicode_map[0x5525] = 0x69A8; __mg_gbunicode_map[0x5526] = 0x548B;
__mg_gbunicode_map[0x5527] = 0x4E4D; __mg_gbunicode_map[0x5528] = 0x70B8;
__mg_gbunicode_map[0x5529] = 0x8BC8; __mg_gbunicode_map[0x552A] = 0x6458;
__mg_gbunicode_map[0x552B] = 0x658B; __mg_gbunicode_map[0x552C] = 0x5B85;
__mg_gbunicode_map[0x552D] = 0x7A84; __mg_gbunicode_map[0x552E] = 0x503A;
__mg_gbunicode_map[0x552F] = 0x5BE8; __mg_gbunicode_map[0x5530] = 0x77BB;
__mg_gbunicode_map[0x5531] = 0x6BE1; __mg_gbunicode_map[0x5532] = 0x8A79;
__mg_gbunicode_map[0x5533] = 0x7C98; __mg_gbunicode_map[0x5534] = 0x6CBE;
__mg_gbunicode_map[0x5535] = 0x76CF; __mg_gbunicode_map[0x5536] = 0x65A9;
__mg_gbunicode_map[0x5537] = 0x8F97; __mg_gbunicode_map[0x5538] = 0x5D2D;
__mg_gbunicode_map[0x5539] = 0x5C55; __mg_gbunicode_map[0x553A] = 0x8638;
__mg_gbunicode_map[0x553B] = 0x6808; __mg_gbunicode_map[0x553C] = 0x5360;
__mg_gbunicode_map[0x553D] = 0x6218; __mg_gbunicode_map[0x553E] = 0x7AD9;
__mg_gbunicode_map[0x553F] = 0x6E5B; __mg_gbunicode_map[0x5540] = 0x7EFD;
__mg_gbunicode_map[0x5541] = 0x6A1F; __mg_gbunicode_map[0x5542] = 0x7AE0;
__mg_gbunicode_map[0x5543] = 0x5F70; __mg_gbunicode_map[0x5544] = 0x6F33;
__mg_gbunicode_map[0x5545] = 0x5F20; __mg_gbunicode_map[0x5546] = 0x638C;
__mg_gbunicode_map[0x5547] = 0x6DA8; __mg_gbunicode_map[0x5548] = 0x6756;
__mg_gbunicode_map[0x5549] = 0x4E08; __mg_gbunicode_map[0x554A] = 0x5E10;
__mg_gbunicode_map[0x554B] = 0x8D26; __mg_gbunicode_map[0x554C] = 0x4ED7;
__mg_gbunicode_map[0x554D] = 0x80C0; __mg_gbunicode_map[0x554E] = 0x7634;
__mg_gbunicode_map[0x554F] = 0x969C; __mg_gbunicode_map[0x5550] = 0x62DB;
__mg_gbunicode_map[0x5551] = 0x662D; __mg_gbunicode_map[0x5552] = 0x627E;
__mg_gbunicode_map[0x5553] = 0x6CBC; __mg_gbunicode_map[0x5554] = 0x8D75;
__mg_gbunicode_map[0x5555] = 0x7167; __mg_gbunicode_map[0x5556] = 0x7F69;
__mg_gbunicode_map[0x5557] = 0x5146; __mg_gbunicode_map[0x5558] = 0x8087;
__mg_gbunicode_map[0x5559] = 0x53EC; __mg_gbunicode_map[0x555A] = 0x906E;
__mg_gbunicode_map[0x555B] = 0x6298; __mg_gbunicode_map[0x555C] = 0x54F2;
__mg_gbunicode_map[0x555D] = 0x86F0; __mg_gbunicode_map[0x555E] = 0x8F99;
__mg_gbunicode_map[0x555F] = 0x8005; __mg_gbunicode_map[0x5560] = 0x9517;
__mg_gbunicode_map[0x5561] = 0x8517; __mg_gbunicode_map[0x5562] = 0x8FD9;
__mg_gbunicode_map[0x5563] = 0x6D59; __mg_gbunicode_map[0x5564] = 0x73CD;
__mg_gbunicode_map[0x5565] = 0x659F; __mg_gbunicode_map[0x5566] = 0x771F;
__mg_gbunicode_map[0x5567] = 0x7504; __mg_gbunicode_map[0x5568] = 0x7827;
__mg_gbunicode_map[0x5569] = 0x81FB; __mg_gbunicode_map[0x556A] = 0x8D1E;
__mg_gbunicode_map[0x556B] = 0x9488; __mg_gbunicode_map[0x556C] = 0x4FA6;
__mg_gbunicode_map[0x556D] = 0x6795; __mg_gbunicode_map[0x556E] = 0x75B9;
__mg_gbunicode_map[0x556F] = 0x8BCA; __mg_gbunicode_map[0x5570] = 0x9707;
__mg_gbunicode_map[0x5571] = 0x632F; __mg_gbunicode_map[0x5572] = 0x9547;
__mg_gbunicode_map[0x5573] = 0x9635; __mg_gbunicode_map[0x5574] = 0x84B8;
__mg_gbunicode_map[0x5575] = 0x6323; __mg_gbunicode_map[0x5576] = 0x7741;
__mg_gbunicode_map[0x5577] = 0x5F81; __mg_gbunicode_map[0x5578] = 0x72F0;
__mg_gbunicode_map[0x5579] = 0x4E89; __mg_gbunicode_map[0x557A] = 0x6014;
__mg_gbunicode_map[0x557B] = 0x6574; __mg_gbunicode_map[0x557C] = 0x62EF;
__mg_gbunicode_map[0x557D] = 0x6B63; __mg_gbunicode_map[0x557E] = 0x653F;
__mg_gbunicode_map[0x5621] = 0x5E27; __mg_gbunicode_map[0x5622] = 0x75C7;
__mg_gbunicode_map[0x5623] = 0x90D1; __mg_gbunicode_map[0x5624] = 0x8BC1;
__mg_gbunicode_map[0x5625] = 0x829D; __mg_gbunicode_map[0x5626] = 0x679D;
__mg_gbunicode_map[0x5627] = 0x652F; __mg_gbunicode_map[0x5628] = 0x5431;
__mg_gbunicode_map[0x5629] = 0x8718; __mg_gbunicode_map[0x562A] = 0x77E5;
__mg_gbunicode_map[0x562B] = 0x80A2; __mg_gbunicode_map[0x562C] = 0x8102;
__mg_gbunicode_map[0x562D] = 0x6C41; __mg_gbunicode_map[0x562E] = 0x4E4B;
__mg_gbunicode_map[0x562F] = 0x7EC7; __mg_gbunicode_map[0x5630] = 0x804C;
__mg_gbunicode_map[0x5631] = 0x76F4; __mg_gbunicode_map[0x5632] = 0x690D;
__mg_gbunicode_map[0x5633] = 0x6B96; __mg_gbunicode_map[0x5634] = 0x6267;
__mg_gbunicode_map[0x5635] = 0x503C; __mg_gbunicode_map[0x5636] = 0x4F84;
__mg_gbunicode_map[0x5637] = 0x5740; __mg_gbunicode_map[0x5638] = 0x6307;
__mg_gbunicode_map[0x5639] = 0x6B62; __mg_gbunicode_map[0x563A] = 0x8DBE;
__mg_gbunicode_map[0x563B] = 0x53EA; __mg_gbunicode_map[0x563C] = 0x65E8;
__mg_gbunicode_map[0x563D] = 0x7EB8; __mg_gbunicode_map[0x563E] = 0x5FD7;
__mg_gbunicode_map[0x563F] = 0x631A; __mg_gbunicode_map[0x5640] = 0x63B7;
__mg_gbunicode_map[0x5641] = 0x81F3; __mg_gbunicode_map[0x5642] = 0x81F4;
__mg_gbunicode_map[0x5643] = 0x7F6E; __mg_gbunicode_map[0x5644] = 0x5E1C;
__mg_gbunicode_map[0x5645] = 0x5CD9; __mg_gbunicode_map[0x5646] = 0x5236;
__mg_gbunicode_map[0x5647] = 0x667A; __mg_gbunicode_map[0x5648] = 0x79E9;
__mg_gbunicode_map[0x5649] = 0x7A1A; __mg_gbunicode_map[0x564A] = 0x8D28;
__mg_gbunicode_map[0x564B] = 0x7099; __mg_gbunicode_map[0x564C] = 0x75D4;
__mg_gbunicode_map[0x564D] = 0x6EDE; __mg_gbunicode_map[0x564E] = 0x6CBB;
__mg_gbunicode_map[0x564F] = 0x7A92; __mg_gbunicode_map[0x5650] = 0x4E2D;
__mg_gbunicode_map[0x5651] = 0x76C5; __mg_gbunicode_map[0x5652] = 0x5FE0;
__mg_gbunicode_map[0x5653] = 0x949F; __mg_gbunicode_map[0x5654] = 0x8877;
__mg_gbunicode_map[0x5655] = 0x7EC8; __mg_gbunicode_map[0x5656] = 0x79CD;
__mg_gbunicode_map[0x5657] = 0x80BF; __mg_gbunicode_map[0x5658] = 0x91CD;
__mg_gbunicode_map[0x5659] = 0x4EF2; __mg_gbunicode_map[0x565A] = 0x4F17;
__mg_gbunicode_map[0x565B] = 0x821F; __mg_gbunicode_map[0x565C] = 0x5468;
__mg_gbunicode_map[0x565D] = 0x5DDE; __mg_gbunicode_map[0x565E] = 0x6D32;
__mg_gbunicode_map[0x565F] = 0x8BCC; __mg_gbunicode_map[0x5660] = 0x7CA5;
__mg_gbunicode_map[0x5661] = 0x8F74; __mg_gbunicode_map[0x5662] = 0x8098;
__mg_gbunicode_map[0x5663] = 0x5E1A; __mg_gbunicode_map[0x5664] = 0x5492;
__mg_gbunicode_map[0x5665] = 0x76B1; __mg_gbunicode_map[0x5666] = 0x5B99;
__mg_gbunicode_map[0x5667] = 0x663C; __mg_gbunicode_map[0x5668] = 0x9AA4;
__mg_gbunicode_map[0x5669] = 0x73E0; __mg_gbunicode_map[0x566A] = 0x682A;
__mg_gbunicode_map[0x566B] = 0x86DB; __mg_gbunicode_map[0x566C] = 0x6731;
__mg_gbunicode_map[0x566D] = 0x732A; __mg_gbunicode_map[0x566E] = 0x8BF8;
__mg_gbunicode_map[0x566F] = 0x8BDB; __mg_gbunicode_map[0x5670] = 0x9010;
__mg_gbunicode_map[0x5671] = 0x7AF9; __mg_gbunicode_map[0x5672] = 0x70DB;
__mg_gbunicode_map[0x5673] = 0x716E; __mg_gbunicode_map[0x5674] = 0x62C4;
__mg_gbunicode_map[0x5675] = 0x77A9; __mg_gbunicode_map[0x5676] = 0x5631;
__mg_gbunicode_map[0x5677] = 0x4E3B; __mg_gbunicode_map[0x5678] = 0x8457;
__mg_gbunicode_map[0x5679] = 0x67F1; __mg_gbunicode_map[0x567A] = 0x52A9;
__mg_gbunicode_map[0x567B] = 0x86C0; __mg_gbunicode_map[0x567C] = 0x8D2E;
__mg_gbunicode_map[0x567D] = 0x94F8; __mg_gbunicode_map[0x567E] = 0x7B51;
__mg_gbunicode_map[0x5721] = 0x4F4F; __mg_gbunicode_map[0x5722] = 0x6CE8;
__mg_gbunicode_map[0x5723] = 0x795D; __mg_gbunicode_map[0x5724] = 0x9A7B;
__mg_gbunicode_map[0x5725] = 0x6293; __mg_gbunicode_map[0x5726] = 0x722A;
__mg_gbunicode_map[0x5727] = 0x62FD; __mg_gbunicode_map[0x5728] = 0x4E13;
__mg_gbunicode_map[0x5729] = 0x7816; __mg_gbunicode_map[0x572A] = 0x8F6C;
__mg_gbunicode_map[0x572B] = 0x64B0; __mg_gbunicode_map[0x572C] = 0x8D5A;
__mg_gbunicode_map[0x572D] = 0x7BC6; __mg_gbunicode_map[0x572E] = 0x6869;
__mg_gbunicode_map[0x572F] = 0x5E84; __mg_gbunicode_map[0x5730] = 0x88C5;
__mg_gbunicode_map[0x5731] = 0x5986; __mg_gbunicode_map[0x5732] = 0x649E;
__mg_gbunicode_map[0x5733] = 0x58EE; __mg_gbunicode_map[0x5734] = 0x72B6;
__mg_gbunicode_map[0x5735] = 0x690E; __mg_gbunicode_map[0x5736] = 0x9525;
__mg_gbunicode_map[0x5737] = 0x8FFD; __mg_gbunicode_map[0x5738] = 0x8D58;
__mg_gbunicode_map[0x5739] = 0x5760; __mg_gbunicode_map[0x573A] = 0x7F00;
__mg_gbunicode_map[0x573B] = 0x8C06; __mg_gbunicode_map[0x573C] = 0x51C6;
__mg_gbunicode_map[0x573D] = 0x6349; __mg_gbunicode_map[0x573E] = 0x62D9;
__mg_gbunicode_map[0x573F] = 0x5353; __mg_gbunicode_map[0x5740] = 0x684C;
__mg_gbunicode_map[0x5741] = 0x7422; __mg_gbunicode_map[0x5742] = 0x8301;
__mg_gbunicode_map[0x5743] = 0x914C; __mg_gbunicode_map[0x5744] = 0x5544;
__mg_gbunicode_map[0x5745] = 0x7740; __mg_gbunicode_map[0x5746] = 0x707C;
__mg_gbunicode_map[0x5747] = 0x6D4A; __mg_gbunicode_map[0x5748] = 0x5179;
__mg_gbunicode_map[0x5749] = 0x54A8; __mg_gbunicode_map[0x574A] = 0x8D44;
__mg_gbunicode_map[0x574B] = 0x59FF; __mg_gbunicode_map[0x574C] = 0x6ECB;
__mg_gbunicode_map[0x574D] = 0x6DC4; __mg_gbunicode_map[0x574E] = 0x5B5C;
__mg_gbunicode_map[0x574F] = 0x7D2B; __mg_gbunicode_map[0x5750] = 0x4ED4;
__mg_gbunicode_map[0x5751] = 0x7C7D; __mg_gbunicode_map[0x5752] = 0x6ED3;
__mg_gbunicode_map[0x5753] = 0x5B50; __mg_gbunicode_map[0x5754] = 0x81EA;
__mg_gbunicode_map[0x5755] = 0x6E0D; __mg_gbunicode_map[0x5756] = 0x5B57;
__mg_gbunicode_map[0x5757] = 0x9B03; __mg_gbunicode_map[0x5758] = 0x68D5;
__mg_gbunicode_map[0x5759] = 0x8E2A; __mg_gbunicode_map[0x575A] = 0x5B97;
__mg_gbunicode_map[0x575B] = 0x7EFC; __mg_gbunicode_map[0x575C] = 0x603B;
__mg_gbunicode_map[0x575D] = 0x7EB5; __mg_gbunicode_map[0x575E] = 0x90B9;
__mg_gbunicode_map[0x575F] = 0x8D70; __mg_gbunicode_map[0x5760] = 0x594F;
__mg_gbunicode_map[0x5761] = 0x63CD; __mg_gbunicode_map[0x5762] = 0x79DF;
__mg_gbunicode_map[0x5763] = 0x8DB3; __mg_gbunicode_map[0x5764] = 0x5352;
__mg_gbunicode_map[0x5765] = 0x65CF; __mg_gbunicode_map[0x5766] = 0x7956;
__mg_gbunicode_map[0x5767] = 0x8BC5; __mg_gbunicode_map[0x5768] = 0x963B;
__mg_gbunicode_map[0x5769] = 0x7EC4; __mg_gbunicode_map[0x576A] = 0x94BB;
__mg_gbunicode_map[0x576B] = 0x7E82; __mg_gbunicode_map[0x576C] = 0x5634;
__mg_gbunicode_map[0x576D] = 0x9189; __mg_gbunicode_map[0x576E] = 0x6700;
__mg_gbunicode_map[0x576F] = 0x7F6A; __mg_gbunicode_map[0x5770] = 0x5C0A;
__mg_gbunicode_map[0x5771] = 0x9075; __mg_gbunicode_map[0x5772] = 0x6628;
__mg_gbunicode_map[0x5773] = 0x5DE6; __mg_gbunicode_map[0x5774] = 0x4F50;
__mg_gbunicode_map[0x5775] = 0x67DE; __mg_gbunicode_map[0x5776] = 0x505A;
__mg_gbunicode_map[0x5777] = 0x4F5C; __mg_gbunicode_map[0x5778] = 0x5750;
__mg_gbunicode_map[0x5779] = 0x5EA7; __mg_gbunicode_map[0x5821] = 0x4E8D;
__mg_gbunicode_map[0x5822] = 0x4E0C; __mg_gbunicode_map[0x5823] = 0x5140;
__mg_gbunicode_map[0x5824] = 0x4E10; __mg_gbunicode_map[0x5825] = 0x5EFF;
__mg_gbunicode_map[0x5826] = 0x5345; __mg_gbunicode_map[0x5827] = 0x4E15;
__mg_gbunicode_map[0x5828] = 0x4E98; __mg_gbunicode_map[0x5829] = 0x4E1E;
__mg_gbunicode_map[0x582A] = 0x9B32; __mg_gbunicode_map[0x582B] = 0x5B6C;
__mg_gbunicode_map[0x582C] = 0x5669; __mg_gbunicode_map[0x582D] = 0x4E28;
__mg_gbunicode_map[0x582E] = 0x79BA; __mg_gbunicode_map[0x582F] = 0x4E3F;
__mg_gbunicode_map[0x5830] = 0x5315; __mg_gbunicode_map[0x5831] = 0x4E47;
__mg_gbunicode_map[0x5832] = 0x592D; __mg_gbunicode_map[0x5833] = 0x723B;
__mg_gbunicode_map[0x5834] = 0x536E; __mg_gbunicode_map[0x5835] = 0x6C10;
__mg_gbunicode_map[0x5836] = 0x56DF; __mg_gbunicode_map[0x5837] = 0x80E4;
__mg_gbunicode_map[0x5838] = 0x9997; __mg_gbunicode_map[0x5839] = 0x6BD3;
__mg_gbunicode_map[0x583A] = 0x777E; __mg_gbunicode_map[0x583B] = 0x9F17;
__mg_gbunicode_map[0x583C] = 0x4E36; __mg_gbunicode_map[0x583D] = 0x4E9F;
__mg_gbunicode_map[0x583E] = 0x9F10; __mg_gbunicode_map[0x583F] = 0x4E5C;
__mg_gbunicode_map[0x5840] = 0x4E69; __mg_gbunicode_map[0x5841] = 0x4E93;
__mg_gbunicode_map[0x5842] = 0x8288; __mg_gbunicode_map[0x5843] = 0x5B5B;
__mg_gbunicode_map[0x5844] = 0x556C; __mg_gbunicode_map[0x5845] = 0x560F;
__mg_gbunicode_map[0x5846] = 0x4EC4; __mg_gbunicode_map[0x5847] = 0x538D;
__mg_gbunicode_map[0x5848] = 0x539D; __mg_gbunicode_map[0x5849] = 0x53A3;
__mg_gbunicode_map[0x584A] = 0x53A5; __mg_gbunicode_map[0x584B] = 0x53AE;
__mg_gbunicode_map[0x584C] = 0x9765; __mg_gbunicode_map[0x584D] = 0x8D5D;
__mg_gbunicode_map[0x584E] = 0x531A; __mg_gbunicode_map[0x584F] = 0x53F5;
__mg_gbunicode_map[0x5850] = 0x5326; __mg_gbunicode_map[0x5851] = 0x532E;
__mg_gbunicode_map[0x5852] = 0x533E; __mg_gbunicode_map[0x5853] = 0x8D5C;
__mg_gbunicode_map[0x5854] = 0x5366; __mg_gbunicode_map[0x5855] = 0x5363;
__mg_gbunicode_map[0x5856] = 0x5202; __mg_gbunicode_map[0x5857] = 0x5208;
__mg_gbunicode_map[0x5858] = 0x520E; __mg_gbunicode_map[0x5859] = 0x522D;
__mg_gbunicode_map[0x585A] = 0x5233; __mg_gbunicode_map[0x585B] = 0x523F;
__mg_gbunicode_map[0x585C] = 0x5240; __mg_gbunicode_map[0x585D] = 0x524C;
__mg_gbunicode_map[0x585E] = 0x525E; __mg_gbunicode_map[0x585F] = 0x5261;
__mg_gbunicode_map[0x5860] = 0x525C; __mg_gbunicode_map[0x5861] = 0x84AF;
__mg_gbunicode_map[0x5862] = 0x527D; __mg_gbunicode_map[0x5863] = 0x5282;
__mg_gbunicode_map[0x5864] = 0x5281; __mg_gbunicode_map[0x5865] = 0x5290;
__mg_gbunicode_map[0x5866] = 0x5293; __mg_gbunicode_map[0x5867] = 0x5182;
__mg_gbunicode_map[0x5868] = 0x7F54; __mg_gbunicode_map[0x5869] = 0x4EBB;
__mg_gbunicode_map[0x586A] = 0x4EC3; __mg_gbunicode_map[0x586B] = 0x4EC9;
__mg_gbunicode_map[0x586C] = 0x4EC2; __mg_gbunicode_map[0x586D] = 0x4EE8;
__mg_gbunicode_map[0x586E] = 0x4EE1; __mg_gbunicode_map[0x586F] = 0x4EEB;
__mg_gbunicode_map[0x5870] = 0x4EDE; __mg_gbunicode_map[0x5871] = 0x4F1B;
__mg_gbunicode_map[0x5872] = 0x4EF3; __mg_gbunicode_map[0x5873] = 0x4F22;
__mg_gbunicode_map[0x5874] = 0x4F64; __mg_gbunicode_map[0x5875] = 0x4EF5;
__mg_gbunicode_map[0x5876] = 0x4F25; __mg_gbunicode_map[0x5877] = 0x4F27;
__mg_gbunicode_map[0x5878] = 0x4F09; __mg_gbunicode_map[0x5879] = 0x4F2B;
__mg_gbunicode_map[0x587A] = 0x4F5E; __mg_gbunicode_map[0x587B] = 0x4F67;
__mg_gbunicode_map[0x587C] = 0x6538; __mg_gbunicode_map[0x587D] = 0x4F5A;
__mg_gbunicode_map[0x587E] = 0x4F5D; __mg_gbunicode_map[0x5921] = 0x4F5F;
__mg_gbunicode_map[0x5922] = 0x4F57; __mg_gbunicode_map[0x5923] = 0x4F32;
__mg_gbunicode_map[0x5924] = 0x4F3D; __mg_gbunicode_map[0x5925] = 0x4F76;
__mg_gbunicode_map[0x5926] = 0x4F74; __mg_gbunicode_map[0x5927] = 0x4F91;
__mg_gbunicode_map[0x5928] = 0x4F89; __mg_gbunicode_map[0x5929] = 0x4F83;
__mg_gbunicode_map[0x592A] = 0x4F8F; __mg_gbunicode_map[0x592B] = 0x4F7E;
__mg_gbunicode_map[0x592C] = 0x4F7B; __mg_gbunicode_map[0x592D] = 0x4FAA;
__mg_gbunicode_map[0x592E] = 0x4F7C; __mg_gbunicode_map[0x592F] = 0x4FAC;
__mg_gbunicode_map[0x5930] = 0x4F94; __mg_gbunicode_map[0x5931] = 0x4FE6;
__mg_gbunicode_map[0x5932] = 0x4FE8; __mg_gbunicode_map[0x5933] = 0x4FEA;
__mg_gbunicode_map[0x5934] = 0x4FC5; __mg_gbunicode_map[0x5935] = 0x4FDA;
__mg_gbunicode_map[0x5936] = 0x4FE3; __mg_gbunicode_map[0x5937] = 0x4FDC;
__mg_gbunicode_map[0x5938] = 0x4FD1; __mg_gbunicode_map[0x5939] = 0x4FDF;
__mg_gbunicode_map[0x593A] = 0x4FF8; __mg_gbunicode_map[0x593B] = 0x5029;
__mg_gbunicode_map[0x593C] = 0x504C; __mg_gbunicode_map[0x593D] = 0x4FF3;
__mg_gbunicode_map[0x593E] = 0x502C; __mg_gbunicode_map[0x593F] = 0x500F;
__mg_gbunicode_map[0x5940] = 0x502E; __mg_gbunicode_map[0x5941] = 0x502D;
__mg_gbunicode_map[0x5942] = 0x4FFE; __mg_gbunicode_map[0x5943] = 0x501C;
__mg_gbunicode_map[0x5944] = 0x500C; __mg_gbunicode_map[0x5945] = 0x5025;
__mg_gbunicode_map[0x5946] = 0x5028; __mg_gbunicode_map[0x5947] = 0x507E;
__mg_gbunicode_map[0x5948] = 0x5043; __mg_gbunicode_map[0x5949] = 0x5055;
__mg_gbunicode_map[0x594A] = 0x5048; __mg_gbunicode_map[0x594B] = 0x504E;
__mg_gbunicode_map[0x594C] = 0x506C; __mg_gbunicode_map[0x594D] = 0x507B;
__mg_gbunicode_map[0x594E] = 0x50A5; __mg_gbunicode_map[0x594F] = 0x50A7;
__mg_gbunicode_map[0x5950] = 0x50A9; __mg_gbunicode_map[0x5951] = 0x50BA;
__mg_gbunicode_map[0x5952] = 0x50D6; __mg_gbunicode_map[0x5953] = 0x5106;
__mg_gbunicode_map[0x5954] = 0x50ED; __mg_gbunicode_map[0x5955] = 0x50EC;
__mg_gbunicode_map[0x5956] = 0x50E6; __mg_gbunicode_map[0x5957] = 0x50EE;
__mg_gbunicode_map[0x5958] = 0x5107; __mg_gbunicode_map[0x5959] = 0x510B;
__mg_gbunicode_map[0x595A] = 0x4EDD; __mg_gbunicode_map[0x595B] = 0x6C3D;
__mg_gbunicode_map[0x595C] = 0x4F58; __mg_gbunicode_map[0x595D] = 0x4F65;
__mg_gbunicode_map[0x595E] = 0x4FCE; __mg_gbunicode_map[0x595F] = 0x9FA0;
__mg_gbunicode_map[0x5960] = 0x6C46; __mg_gbunicode_map[0x5961] = 0x7C74;
__mg_gbunicode_map[0x5962] = 0x516E; __mg_gbunicode_map[0x5963] = 0x5DFD;
__mg_gbunicode_map[0x5964] = 0x9EC9; __mg_gbunicode_map[0x5965] = 0x9998;
__mg_gbunicode_map[0x5966] = 0x5181; __mg_gbunicode_map[0x5967] = 0x5914;
__mg_gbunicode_map[0x5968] = 0x52F9; __mg_gbunicode_map[0x5969] = 0x530D;
__mg_gbunicode_map[0x596A] = 0x8A07; __mg_gbunicode_map[0x596B] = 0x5310;
__mg_gbunicode_map[0x596C] = 0x51EB; __mg_gbunicode_map[0x596D] = 0x5919;
__mg_gbunicode_map[0x596E] = 0x5155; __mg_gbunicode_map[0x596F] = 0x4EA0;
__mg_gbunicode_map[0x5970] = 0x5156; __mg_gbunicode_map[0x5971] = 0x4EB3;
__mg_gbunicode_map[0x5972] = 0x886E; __mg_gbunicode_map[0x5973] = 0x88A4;
__mg_gbunicode_map[0x5974] = 0x4EB5; __mg_gbunicode_map[0x5975] = 0x8114;
__mg_gbunicode_map[0x5976] = 0x88D2; __mg_gbunicode_map[0x5977] = 0x7980;
__mg_gbunicode_map[0x5978] = 0x5B34; __mg_gbunicode_map[0x5979] = 0x8803;
__mg_gbunicode_map[0x597A] = 0x7FB8; __mg_gbunicode_map[0x597B] = 0x51AB;
__mg_gbunicode_map[0x597C] = 0x51B1; __mg_gbunicode_map[0x597D] = 0x51BD;
__mg_gbunicode_map[0x597E] = 0x51BC; __mg_gbunicode_map[0x5A21] = 0x51C7;
__mg_gbunicode_map[0x5A22] = 0x5196; __mg_gbunicode_map[0x5A23] = 0x51A2;
__mg_gbunicode_map[0x5A24] = 0x51A5; __mg_gbunicode_map[0x5A25] = 0x8BA0;
__mg_gbunicode_map[0x5A26] = 0x8BA6; __mg_gbunicode_map[0x5A27] = 0x8BA7;
__mg_gbunicode_map[0x5A28] = 0x8BAA; __mg_gbunicode_map[0x5A29] = 0x8BB4;
__mg_gbunicode_map[0x5A2A] = 0x8BB5; __mg_gbunicode_map[0x5A2B] = 0x8BB7;
__mg_gbunicode_map[0x5A2C] = 0x8BC2; __mg_gbunicode_map[0x5A2D] = 0x8BC3;
__mg_gbunicode_map[0x5A2E] = 0x8BCB; __mg_gbunicode_map[0x5A2F] = 0x8BCF;
__mg_gbunicode_map[0x5A30] = 0x8BCE; __mg_gbunicode_map[0x5A31] = 0x8BD2;
__mg_gbunicode_map[0x5A32] = 0x8BD3; __mg_gbunicode_map[0x5A33] = 0x8BD4;
__mg_gbunicode_map[0x5A34] = 0x8BD6; __mg_gbunicode_map[0x5A35] = 0x8BD8;
__mg_gbunicode_map[0x5A36] = 0x8BD9; __mg_gbunicode_map[0x5A37] = 0x8BDC;
__mg_gbunicode_map[0x5A38] = 0x8BDF; __mg_gbunicode_map[0x5A39] = 0x8BE0;
__mg_gbunicode_map[0x5A3A] = 0x8BE4; __mg_gbunicode_map[0x5A3B] = 0x8BE8;
__mg_gbunicode_map[0x5A3C] = 0x8BE9; __mg_gbunicode_map[0x5A3D] = 0x8BEE;
__mg_gbunicode_map[0x5A3E] = 0x8BF0; __mg_gbunicode_map[0x5A3F] = 0x8BF3;
__mg_gbunicode_map[0x5A40] = 0x8BF6; __mg_gbunicode_map[0x5A41] = 0x8BF9;
__mg_gbunicode_map[0x5A42] = 0x8BFC; __mg_gbunicode_map[0x5A43] = 0x8BFF;
__mg_gbunicode_map[0x5A44] = 0x8C00; __mg_gbunicode_map[0x5A45] = 0x8C02;
__mg_gbunicode_map[0x5A46] = 0x8C04; __mg_gbunicode_map[0x5A47] = 0x8C07;
__mg_gbunicode_map[0x5A48] = 0x8C0C; __mg_gbunicode_map[0x5A49] = 0x8C0F;
__mg_gbunicode_map[0x5A4A] = 0x8C11; __mg_gbunicode_map[0x5A4B] = 0x8C12;
__mg_gbunicode_map[0x5A4C] = 0x8C14; __mg_gbunicode_map[0x5A4D] = 0x8C15;
__mg_gbunicode_map[0x5A4E] = 0x8C16; __mg_gbunicode_map[0x5A4F] = 0x8C19;
__mg_gbunicode_map[0x5A50] = 0x8C1B; __mg_gbunicode_map[0x5A51] = 0x8C18;
__mg_gbunicode_map[0x5A52] = 0x8C1D; __mg_gbunicode_map[0x5A53] = 0x8C1F;
__mg_gbunicode_map[0x5A54] = 0x8C20; __mg_gbunicode_map[0x5A55] = 0x8C21;
__mg_gbunicode_map[0x5A56] = 0x8C25; __mg_gbunicode_map[0x5A57] = 0x8C27;
__mg_gbunicode_map[0x5A58] = 0x8C2A; __mg_gbunicode_map[0x5A59] = 0x8C2B;
__mg_gbunicode_map[0x5A5A] = 0x8C2E; __mg_gbunicode_map[0x5A5B] = 0x8C2F;
__mg_gbunicode_map[0x5A5C] = 0x8C32; __mg_gbunicode_map[0x5A5D] = 0x8C33;
__mg_gbunicode_map[0x5A5E] = 0x8C35; __mg_gbunicode_map[0x5A5F] = 0x8C36;
__mg_gbunicode_map[0x5A60] = 0x5369; __mg_gbunicode_map[0x5A61] = 0x537A;
__mg_gbunicode_map[0x5A62] = 0x961D; __mg_gbunicode_map[0x5A63] = 0x9622;
__mg_gbunicode_map[0x5A64] = 0x9621; __mg_gbunicode_map[0x5A65] = 0x9631;
__mg_gbunicode_map[0x5A66] = 0x962A; __mg_gbunicode_map[0x5A67] = 0x963D;
__mg_gbunicode_map[0x5A68] = 0x963C; __mg_gbunicode_map[0x5A69] = 0x9642;
__mg_gbunicode_map[0x5A6A] = 0x9649; __mg_gbunicode_map[0x5A6B] = 0x9654;
__mg_gbunicode_map[0x5A6C] = 0x965F; __mg_gbunicode_map[0x5A6D] = 0x9667;
__mg_gbunicode_map[0x5A6E] = 0x966C; __mg_gbunicode_map[0x5A6F] = 0x9672;
__mg_gbunicode_map[0x5A70] = 0x9674; __mg_gbunicode_map[0x5A71] = 0x9688;
__mg_gbunicode_map[0x5A72] = 0x968D; __mg_gbunicode_map[0x5A73] = 0x9697;
__mg_gbunicode_map[0x5A74] = 0x96B0; __mg_gbunicode_map[0x5A75] = 0x9097;
__mg_gbunicode_map[0x5A76] = 0x909B; __mg_gbunicode_map[0x5A77] = 0x909D;
__mg_gbunicode_map[0x5A78] = 0x9099; __mg_gbunicode_map[0x5A79] = 0x90AC;
__mg_gbunicode_map[0x5A7A] = 0x90A1; __mg_gbunicode_map[0x5A7B] = 0x90B4;
__mg_gbunicode_map[0x5A7C] = 0x90B3; __mg_gbunicode_map[0x5A7D] = 0x90B6;
__mg_gbunicode_map[0x5A7E] = 0x90BA; __mg_gbunicode_map[0x5B21] = 0x90B8;
__mg_gbunicode_map[0x5B22] = 0x90B0; __mg_gbunicode_map[0x5B23] = 0x90CF;
__mg_gbunicode_map[0x5B24] = 0x90C5; __mg_gbunicode_map[0x5B25] = 0x90BE;
__mg_gbunicode_map[0x5B26] = 0x90D0; __mg_gbunicode_map[0x5B27] = 0x90C4;
__mg_gbunicode_map[0x5B28] = 0x90C7; __mg_gbunicode_map[0x5B29] = 0x90D3;
__mg_gbunicode_map[0x5B2A] = 0x90E6; __mg_gbunicode_map[0x5B2B] = 0x90E2;
__mg_gbunicode_map[0x5B2C] = 0x90DC; __mg_gbunicode_map[0x5B2D] = 0x90D7;
__mg_gbunicode_map[0x5B2E] = 0x90DB; __mg_gbunicode_map[0x5B2F] = 0x90EB;
__mg_gbunicode_map[0x5B30] = 0x90EF; __mg_gbunicode_map[0x5B31] = 0x90FE;
__mg_gbunicode_map[0x5B32] = 0x9104; __mg_gbunicode_map[0x5B33] = 0x9122;
__mg_gbunicode_map[0x5B34] = 0x911E; __mg_gbunicode_map[0x5B35] = 0x9123;
__mg_gbunicode_map[0x5B36] = 0x9131; __mg_gbunicode_map[0x5B37] = 0x912F;
__mg_gbunicode_map[0x5B38] = 0x9139; __mg_gbunicode_map[0x5B39] = 0x9143;
__mg_gbunicode_map[0x5B3A] = 0x9146; __mg_gbunicode_map[0x5B3B] = 0x520D;
__mg_gbunicode_map[0x5B3C] = 0x5942; __mg_gbunicode_map[0x5B3D] = 0x52A2;
__mg_gbunicode_map[0x5B3E] = 0x52AC; __mg_gbunicode_map[0x5B3F] = 0x52AD;
__mg_gbunicode_map[0x5B40] = 0x52BE; __mg_gbunicode_map[0x5B41] = 0x54FF;
__mg_gbunicode_map[0x5B42] = 0x52D0; __mg_gbunicode_map[0x5B43] = 0x52D6;
__mg_gbunicode_map[0x5B44] = 0x52F0; __mg_gbunicode_map[0x5B45] = 0x53DF;
__mg_gbunicode_map[0x5B46] = 0x71EE; __mg_gbunicode_map[0x5B47] = 0x77CD;
__mg_gbunicode_map[0x5B48] = 0x5EF4; __mg_gbunicode_map[0x5B49] = 0x51F5;
__mg_gbunicode_map[0x5B4A] = 0x51FC; __mg_gbunicode_map[0x5B4B] = 0x9B2F;
__mg_gbunicode_map[0x5B4C] = 0x53B6; __mg_gbunicode_map[0x5B4D] = 0x5F01;
__mg_gbunicode_map[0x5B4E] = 0x755A; __mg_gbunicode_map[0x5B4F] = 0x5DEF;
__mg_gbunicode_map[0x5B50] = 0x574C; __mg_gbunicode_map[0x5B51] = 0x57A9;
__mg_gbunicode_map[0x5B52] = 0x57A1; __mg_gbunicode_map[0x5B53] = 0x587E;
__mg_gbunicode_map[0x5B54] = 0x58BC; __mg_gbunicode_map[0x5B55] = 0x58C5;
__mg_gbunicode_map[0x5B56] = 0x58D1; __mg_gbunicode_map[0x5B57] = 0x5729;
__mg_gbunicode_map[0x5B58] = 0x572C; __mg_gbunicode_map[0x5B59] = 0x572A;
__mg_gbunicode_map[0x5B5A] = 0x5733; __mg_gbunicode_map[0x5B5B] = 0x5739;
__mg_gbunicode_map[0x5B5C] = 0x572E; __mg_gbunicode_map[0x5B5D] = 0x572F;
__mg_gbunicode_map[0x5B5E] = 0x575C; __mg_gbunicode_map[0x5B5F] = 0x573B;
__mg_gbunicode_map[0x5B60] = 0x5742; __mg_gbunicode_map[0x5B61] = 0x5769;
__mg_gbunicode_map[0x5B62] = 0x5785; __mg_gbunicode_map[0x5B63] = 0x576B;
__mg_gbunicode_map[0x5B64] = 0x5786; __mg_gbunicode_map[0x5B65] = 0x577C;
__mg_gbunicode_map[0x5B66] = 0x577B; __mg_gbunicode_map[0x5B67] = 0x5768;
__mg_gbunicode_map[0x5B68] = 0x576D; __mg_gbunicode_map[0x5B69] = 0x5776;
__mg_gbunicode_map[0x5B6A] = 0x5773; __mg_gbunicode_map[0x5B6B] = 0x57AD;
__mg_gbunicode_map[0x5B6C] = 0x57A4; __mg_gbunicode_map[0x5B6D] = 0x578C;
__mg_gbunicode_map[0x5B6E] = 0x57B2; __mg_gbunicode_map[0x5B6F] = 0x57CF;
__mg_gbunicode_map[0x5B70] = 0x57A7; __mg_gbunicode_map[0x5B71] = 0x57B4;
__mg_gbunicode_map[0x5B72] = 0x5793; __mg_gbunicode_map[0x5B73] = 0x57A0;
__mg_gbunicode_map[0x5B74] = 0x57D5; __mg_gbunicode_map[0x5B75] = 0x57D8;
__mg_gbunicode_map[0x5B76] = 0x57DA; __mg_gbunicode_map[0x5B77] = 0x57D9;
__mg_gbunicode_map[0x5B78] = 0x57D2; __mg_gbunicode_map[0x5B79] = 0x57B8;
__mg_gbunicode_map[0x5B7A] = 0x57F4; __mg_gbunicode_map[0x5B7B] = 0x57EF;
__mg_gbunicode_map[0x5B7C] = 0x57F8; __mg_gbunicode_map[0x5B7D] = 0x57E4;
__mg_gbunicode_map[0x5B7E] = 0x57DD; __mg_gbunicode_map[0x5C21] = 0x580B;
__mg_gbunicode_map[0x5C22] = 0x580D; __mg_gbunicode_map[0x5C23] = 0x57FD;
__mg_gbunicode_map[0x5C24] = 0x57ED; __mg_gbunicode_map[0x5C25] = 0x5800;
__mg_gbunicode_map[0x5C26] = 0x581E; __mg_gbunicode_map[0x5C27] = 0x5819;
__mg_gbunicode_map[0x5C28] = 0x5844; __mg_gbunicode_map[0x5C29] = 0x5820;
__mg_gbunicode_map[0x5C2A] = 0x5865; __mg_gbunicode_map[0x5C2B] = 0x586C;
__mg_gbunicode_map[0x5C2C] = 0x5881; __mg_gbunicode_map[0x5C2D] = 0x5889;
__mg_gbunicode_map[0x5C2E] = 0x589A; __mg_gbunicode_map[0x5C2F] = 0x5880;
__mg_gbunicode_map[0x5C30] = 0x99A8; __mg_gbunicode_map[0x5C31] = 0x9F19;
__mg_gbunicode_map[0x5C32] = 0x61FF; __mg_gbunicode_map[0x5C33] = 0x8279;
__mg_gbunicode_map[0x5C34] = 0x827D; __mg_gbunicode_map[0x5C35] = 0x827F;
__mg_gbunicode_map[0x5C36] = 0x828F; __mg_gbunicode_map[0x5C37] = 0x828A;
__mg_gbunicode_map[0x5C38] = 0x82A8; __mg_gbunicode_map[0x5C39] = 0x8284;
__mg_gbunicode_map[0x5C3A] = 0x828E; __mg_gbunicode_map[0x5C3B] = 0x8291;
__mg_gbunicode_map[0x5C3C] = 0x8297; __mg_gbunicode_map[0x5C3D] = 0x8299;
__mg_gbunicode_map[0x5C3E] = 0x82AB; __mg_gbunicode_map[0x5C3F] = 0x82B8;
__mg_gbunicode_map[0x5C40] = 0x82BE; __mg_gbunicode_map[0x5C41] = 0x82B0;
__mg_gbunicode_map[0x5C42] = 0x82C8; __mg_gbunicode_map[0x5C43] = 0x82CA;
__mg_gbunicode_map[0x5C44] = 0x82E3; __mg_gbunicode_map[0x5C45] = 0x8298;
__mg_gbunicode_map[0x5C46] = 0x82B7; __mg_gbunicode_map[0x5C47] = 0x82AE;
__mg_gbunicode_map[0x5C48] = 0x82CB; __mg_gbunicode_map[0x5C49] = 0x82CC;
__mg_gbunicode_map[0x5C4A] = 0x82C1; __mg_gbunicode_map[0x5C4B] = 0x82A9;
__mg_gbunicode_map[0x5C4C] = 0x82B4; __mg_gbunicode_map[0x5C4D] = 0x82A1;
__mg_gbunicode_map[0x5C4E] = 0x82AA; __mg_gbunicode_map[0x5C4F] = 0x829F;
__mg_gbunicode_map[0x5C50] = 0x82C4; __mg_gbunicode_map[0x5C51] = 0x82CE;
__mg_gbunicode_map[0x5C52] = 0x82A4; __mg_gbunicode_map[0x5C53] = 0x82E1;
__mg_gbunicode_map[0x5C54] = 0x8309; __mg_gbunicode_map[0x5C55] = 0x82F7;
__mg_gbunicode_map[0x5C56] = 0x82E4; __mg_gbunicode_map[0x5C57] = 0x830F;
__mg_gbunicode_map[0x5C58] = 0x8307; __mg_gbunicode_map[0x5C59] = 0x82DC;
__mg_gbunicode_map[0x5C5A] = 0x82F4; __mg_gbunicode_map[0x5C5B] = 0x82D2;
__mg_gbunicode_map[0x5C5C] = 0x82D8; __mg_gbunicode_map[0x5C5D] = 0x830C;
__mg_gbunicode_map[0x5C5E] = 0x82FB; __mg_gbunicode_map[0x5C5F] = 0x82D3;
__mg_gbunicode_map[0x5C60] = 0x8311; __mg_gbunicode_map[0x5C61] = 0x831A;
__mg_gbunicode_map[0x5C62] = 0x8306; __mg_gbunicode_map[0x5C63] = 0x8314;
__mg_gbunicode_map[0x5C64] = 0x8315; __mg_gbunicode_map[0x5C65] = 0x82E0;
__mg_gbunicode_map[0x5C66] = 0x82D5; __mg_gbunicode_map[0x5C67] = 0x831C;
__mg_gbunicode_map[0x5C68] = 0x8351; __mg_gbunicode_map[0x5C69] = 0x835B;
__mg_gbunicode_map[0x5C6A] = 0x835C; __mg_gbunicode_map[0x5C6B] = 0x8308;
__mg_gbunicode_map[0x5C6C] = 0x8392; __mg_gbunicode_map[0x5C6D] = 0x833C;
__mg_gbunicode_map[0x5C6E] = 0x8334; __mg_gbunicode_map[0x5C6F] = 0x8331;
__mg_gbunicode_map[0x5C70] = 0x839B; __mg_gbunicode_map[0x5C71] = 0x835E;
__mg_gbunicode_map[0x5C72] = 0x832F; __mg_gbunicode_map[0x5C73] = 0x834F;
__mg_gbunicode_map[0x5C74] = 0x8347; __mg_gbunicode_map[0x5C75] = 0x8343;
__mg_gbunicode_map[0x5C76] = 0x835F; __mg_gbunicode_map[0x5C77] = 0x8340;
__mg_gbunicode_map[0x5C78] = 0x8317; __mg_gbunicode_map[0x5C79] = 0x8360;
__mg_gbunicode_map[0x5C7A] = 0x832D; __mg_gbunicode_map[0x5C7B] = 0x833A;
__mg_gbunicode_map[0x5C7C] = 0x8333; __mg_gbunicode_map[0x5C7D] = 0x8366;
__mg_gbunicode_map[0x5C7E] = 0x8365; __mg_gbunicode_map[0x5D21] = 0x8368;
__mg_gbunicode_map[0x5D22] = 0x831B; __mg_gbunicode_map[0x5D23] = 0x8369;
__mg_gbunicode_map[0x5D24] = 0x836C; __mg_gbunicode_map[0x5D25] = 0x836A;
__mg_gbunicode_map[0x5D26] = 0x836D; __mg_gbunicode_map[0x5D27] = 0x836E;
__mg_gbunicode_map[0x5D28] = 0x83B0; __mg_gbunicode_map[0x5D29] = 0x8378;
__mg_gbunicode_map[0x5D2A] = 0x83B3; __mg_gbunicode_map[0x5D2B] = 0x83B4;
__mg_gbunicode_map[0x5D2C] = 0x83A0; __mg_gbunicode_map[0x5D2D] = 0x83AA;
__mg_gbunicode_map[0x5D2E] = 0x8393; __mg_gbunicode_map[0x5D2F] = 0x839C;
__mg_gbunicode_map[0x5D30] = 0x8385; __mg_gbunicode_map[0x5D31] = 0x837C;
__mg_gbunicode_map[0x5D32] = 0x83B6; __mg_gbunicode_map[0x5D33] = 0x83A9;
__mg_gbunicode_map[0x5D34] = 0x837D; __mg_gbunicode_map[0x5D35] = 0x83B8;
__mg_gbunicode_map[0x5D36] = 0x837B; __mg_gbunicode_map[0x5D37] = 0x8398;
__mg_gbunicode_map[0x5D38] = 0x839E; __mg_gbunicode_map[0x5D39] = 0x83A8;
__mg_gbunicode_map[0x5D3A] = 0x83BA; __mg_gbunicode_map[0x5D3B] = 0x83BC;
__mg_gbunicode_map[0x5D3C] = 0x83C1; __mg_gbunicode_map[0x5D3D] = 0x8401;
__mg_gbunicode_map[0x5D3E] = 0x83E5; __mg_gbunicode_map[0x5D3F] = 0x83D8;
__mg_gbunicode_map[0x5D40] = 0x5807; __mg_gbunicode_map[0x5D41] = 0x8418;
__mg_gbunicode_map[0x5D42] = 0x840B; __mg_gbunicode_map[0x5D43] = 0x83DD;
__mg_gbunicode_map[0x5D44] = 0x83FD; __mg_gbunicode_map[0x5D45] = 0x83D6;
__mg_gbunicode_map[0x5D46] = 0x841C; __mg_gbunicode_map[0x5D47] = 0x8438;
__mg_gbunicode_map[0x5D48] = 0x8411; __mg_gbunicode_map[0x5D49] = 0x8406;
__mg_gbunicode_map[0x5D4A] = 0x83D4; __mg_gbunicode_map[0x5D4B] = 0x83DF;
__mg_gbunicode_map[0x5D4C] = 0x840F; __mg_gbunicode_map[0x5D4D] = 0x8403;
__mg_gbunicode_map[0x5D4E] = 0x83F8; __mg_gbunicode_map[0x5D4F] = 0x83F9;
__mg_gbunicode_map[0x5D50] = 0x83EA; __mg_gbunicode_map[0x5D51] = 0x83C5;
__mg_gbunicode_map[0x5D52] = 0x83C0; __mg_gbunicode_map[0x5D53] = 0x8426;
__mg_gbunicode_map[0x5D54] = 0x83F0; __mg_gbunicode_map[0x5D55] = 0x83E1;
__mg_gbunicode_map[0x5D56] = 0x845C; __mg_gbunicode_map[0x5D57] = 0x8451;
__mg_gbunicode_map[0x5D58] = 0x845A; __mg_gbunicode_map[0x5D59] = 0x8459;
__mg_gbunicode_map[0x5D5A] = 0x8473; __mg_gbunicode_map[0x5D5B] = 0x8487;
__mg_gbunicode_map[0x5D5C] = 0x8488; __mg_gbunicode_map[0x5D5D] = 0x847A;
__mg_gbunicode_map[0x5D5E] = 0x8489; __mg_gbunicode_map[0x5D5F] = 0x8478;
__mg_gbunicode_map[0x5D60] = 0x843C; __mg_gbunicode_map[0x5D61] = 0x8446;
__mg_gbunicode_map[0x5D62] = 0x8469; __mg_gbunicode_map[0x5D63] = 0x8476;
__mg_gbunicode_map[0x5D64] = 0x848C; __mg_gbunicode_map[0x5D65] = 0x848E;
__mg_gbunicode_map[0x5D66] = 0x8431; __mg_gbunicode_map[0x5D67] = 0x846D;
__mg_gbunicode_map[0x5D68] = 0x84C1; __mg_gbunicode_map[0x5D69] = 0x84CD;
__mg_gbunicode_map[0x5D6A] = 0x84D0; __mg_gbunicode_map[0x5D6B] = 0x84E6;
__mg_gbunicode_map[0x5D6C] = 0x84BD; __mg_gbunicode_map[0x5D6D] = 0x84D3;
__mg_gbunicode_map[0x5D6E] = 0x84CA; __mg_gbunicode_map[0x5D6F] = 0x84BF;
__mg_gbunicode_map[0x5D70] = 0x84BA; __mg_gbunicode_map[0x5D71] = 0x84E0;
__mg_gbunicode_map[0x5D72] = 0x84A1; __mg_gbunicode_map[0x5D73] = 0x84B9;
__mg_gbunicode_map[0x5D74] = 0x84B4; __mg_gbunicode_map[0x5D75] = 0x8497;
__mg_gbunicode_map[0x5D76] = 0x84E5; __mg_gbunicode_map[0x5D77] = 0x84E3;
__mg_gbunicode_map[0x5D78] = 0x850C; __mg_gbunicode_map[0x5D79] = 0x750D;
__mg_gbunicode_map[0x5D7A] = 0x8538; __mg_gbunicode_map[0x5D7B] = 0x84F0;
__mg_gbunicode_map[0x5D7C] = 0x8539; __mg_gbunicode_map[0x5D7D] = 0x851F;
__mg_gbunicode_map[0x5D7E] = 0x853A; __mg_gbunicode_map[0x5E21] = 0x8556;
__mg_gbunicode_map[0x5E22] = 0x853B; __mg_gbunicode_map[0x5E23] = 0x84FF;
__mg_gbunicode_map[0x5E24] = 0x84FC; __mg_gbunicode_map[0x5E25] = 0x8559;
__mg_gbunicode_map[0x5E26] = 0x8548; __mg_gbunicode_map[0x5E27] = 0x8568;
__mg_gbunicode_map[0x5E28] = 0x8564; __mg_gbunicode_map[0x5E29] = 0x855E;
__mg_gbunicode_map[0x5E2A] = 0x857A; __mg_gbunicode_map[0x5E2B] = 0x77A2;
__mg_gbunicode_map[0x5E2C] = 0x8543; __mg_gbunicode_map[0x5E2D] = 0x8572;
__mg_gbunicode_map[0x5E2E] = 0x857B; __mg_gbunicode_map[0x5E2F] = 0x85A4;
__mg_gbunicode_map[0x5E30] = 0x85A8; __mg_gbunicode_map[0x5E31] = 0x8587;
__mg_gbunicode_map[0x5E32] = 0x858F; __mg_gbunicode_map[0x5E33] = 0x8579;
__mg_gbunicode_map[0x5E34] = 0x85AE; __mg_gbunicode_map[0x5E35] = 0x859C;
__mg_gbunicode_map[0x5E36] = 0x8585; __mg_gbunicode_map[0x5E37] = 0x85B9;
__mg_gbunicode_map[0x5E38] = 0x85B7; __mg_gbunicode_map[0x5E39] = 0x85B0;
__mg_gbunicode_map[0x5E3A] = 0x85D3; __mg_gbunicode_map[0x5E3B] = 0x85C1;
__mg_gbunicode_map[0x5E3C] = 0x85DC; __mg_gbunicode_map[0x5E3D] = 0x85FF;
__mg_gbunicode_map[0x5E3E] = 0x8627; __mg_gbunicode_map[0x5E3F] = 0x8605;
__mg_gbunicode_map[0x5E40] = 0x8629; __mg_gbunicode_map[0x5E41] = 0x8616;
__mg_gbunicode_map[0x5E42] = 0x863C; __mg_gbunicode_map[0x5E43] = 0x5EFE;
__mg_gbunicode_map[0x5E44] = 0x5F08; __mg_gbunicode_map[0x5E45] = 0x593C;
__mg_gbunicode_map[0x5E46] = 0x5941; __mg_gbunicode_map[0x5E47] = 0x8037;
__mg_gbunicode_map[0x5E48] = 0x5955; __mg_gbunicode_map[0x5E49] = 0x595A;
__mg_gbunicode_map[0x5E4A] = 0x5958; __mg_gbunicode_map[0x5E4B] = 0x530F;
__mg_gbunicode_map[0x5E4C] = 0x5C22; __mg_gbunicode_map[0x5E4D] = 0x5C25;
__mg_gbunicode_map[0x5E4E] = 0x5C2C; __mg_gbunicode_map[0x5E4F] = 0x5C34;
__mg_gbunicode_map[0x5E50] = 0x624C; __mg_gbunicode_map[0x5E51] = 0x626A;
__mg_gbunicode_map[0x5E52] = 0x629F; __mg_gbunicode_map[0x5E53] = 0x62BB;
__mg_gbunicode_map[0x5E54] = 0x62CA; __mg_gbunicode_map[0x5E55] = 0x62DA;
__mg_gbunicode_map[0x5E56] = 0x62D7; __mg_gbunicode_map[0x5E57] = 0x62EE;
__mg_gbunicode_map[0x5E58] = 0x6322; __mg_gbunicode_map[0x5E59] = 0x62F6;
__mg_gbunicode_map[0x5E5A] = 0x6339; __mg_gbunicode_map[0x5E5B] = 0x634B;
__mg_gbunicode_map[0x5E5C] = 0x6343; __mg_gbunicode_map[0x5E5D] = 0x63AD;
__mg_gbunicode_map[0x5E5E] = 0x63F6; __mg_gbunicode_map[0x5E5F] = 0x6371;
__mg_gbunicode_map[0x5E60] = 0x637A; __mg_gbunicode_map[0x5E61] = 0x638E;
__mg_gbunicode_map[0x5E62] = 0x63B4; __mg_gbunicode_map[0x5E63] = 0x636D;
__mg_gbunicode_map[0x5E64] = 0x63AC; __mg_gbunicode_map[0x5E65] = 0x638A;
__mg_gbunicode_map[0x5E66] = 0x6369; __mg_gbunicode_map[0x5E67] = 0x63AE;
__mg_gbunicode_map[0x5E68] = 0x63BC; __mg_gbunicode_map[0x5E69] = 0x63F2;
__mg_gbunicode_map[0x5E6A] = 0x63F8; __mg_gbunicode_map[0x5E6B] = 0x63E0;
__mg_gbunicode_map[0x5E6C] = 0x63FF; __mg_gbunicode_map[0x5E6D] = 0x63C4;
__mg_gbunicode_map[0x5E6E] = 0x63DE; __mg_gbunicode_map[0x5E6F] = 0x63CE;
__mg_gbunicode_map[0x5E70] = 0x6452; __mg_gbunicode_map[0x5E71] = 0x63C6;
__mg_gbunicode_map[0x5E72] = 0x63BE; __mg_gbunicode_map[0x5E73] = 0x6445;
__mg_gbunicode_map[0x5E74] = 0x6441; __mg_gbunicode_map[0x5E75] = 0x640B;
__mg_gbunicode_map[0x5E76] = 0x641B; __mg_gbunicode_map[0x5E77] = 0x6420;
__mg_gbunicode_map[0x5E78] = 0x640C; __mg_gbunicode_map[0x5E79] = 0x6426;
__mg_gbunicode_map[0x5E7A] = 0x6421; __mg_gbunicode_map[0x5E7B] = 0x645E;
__mg_gbunicode_map[0x5E7C] = 0x6484; __mg_gbunicode_map[0x5E7D] = 0x646D;
__mg_gbunicode_map[0x5E7E] = 0x6496; __mg_gbunicode_map[0x5F21] = 0x647A;
__mg_gbunicode_map[0x5F22] = 0x64B7; __mg_gbunicode_map[0x5F23] = 0x64B8;
__mg_gbunicode_map[0x5F24] = 0x6499; __mg_gbunicode_map[0x5F25] = 0x64BA;
__mg_gbunicode_map[0x5F26] = 0x64C0; __mg_gbunicode_map[0x5F27] = 0x64D0;
__mg_gbunicode_map[0x5F28] = 0x64D7; __mg_gbunicode_map[0x5F29] = 0x64E4;
__mg_gbunicode_map[0x5F2A] = 0x64E2; __mg_gbunicode_map[0x5F2B] = 0x6509;
__mg_gbunicode_map[0x5F2C] = 0x6525; __mg_gbunicode_map[0x5F2D] = 0x652E;
__mg_gbunicode_map[0x5F2E] = 0x5F0B; __mg_gbunicode_map[0x5F2F] = 0x5FD2;
__mg_gbunicode_map[0x5F30] = 0x7519; __mg_gbunicode_map[0x5F31] = 0x5F11;
__mg_gbunicode_map[0x5F32] = 0x535F; __mg_gbunicode_map[0x5F33] = 0x53F1;
__mg_gbunicode_map[0x5F34] = 0x53FD; __mg_gbunicode_map[0x5F35] = 0x53E9;
__mg_gbunicode_map[0x5F36] = 0x53E8; __mg_gbunicode_map[0x5F37] = 0x53FB;
__mg_gbunicode_map[0x5F38] = 0x5412; __mg_gbunicode_map[0x5F39] = 0x5416;
__mg_gbunicode_map[0x5F3A] = 0x5406; __mg_gbunicode_map[0x5F3B] = 0x544B;
__mg_gbunicode_map[0x5F3C] = 0x5452; __mg_gbunicode_map[0x5F3D] = 0x5453;
__mg_gbunicode_map[0x5F3E] = 0x5454; __mg_gbunicode_map[0x5F3F] = 0x5456;
__mg_gbunicode_map[0x5F40] = 0x5443; __mg_gbunicode_map[0x5F41] = 0x5421;
__mg_gbunicode_map[0x5F42] = 0x5457; __mg_gbunicode_map[0x5F43] = 0x5459;
__mg_gbunicode_map[0x5F44] = 0x5423; __mg_gbunicode_map[0x5F45] = 0x5432;
__mg_gbunicode_map[0x5F46] = 0x5482; __mg_gbunicode_map[0x5F47] = 0x5494;
__mg_gbunicode_map[0x5F48] = 0x5477; __mg_gbunicode_map[0x5F49] = 0x5471;
__mg_gbunicode_map[0x5F4A] = 0x5464; __mg_gbunicode_map[0x5F4B] = 0x549A;
__mg_gbunicode_map[0x5F4C] = 0x549B; __mg_gbunicode_map[0x5F4D] = 0x5484;
__mg_gbunicode_map[0x5F4E] = 0x5476; __mg_gbunicode_map[0x5F4F] = 0x5466;
__mg_gbunicode_map[0x5F50] = 0x549D; __mg_gbunicode_map[0x5F51] = 0x54D0;
__mg_gbunicode_map[0x5F52] = 0x54AD; __mg_gbunicode_map[0x5F53] = 0x54C2;
__mg_gbunicode_map[0x5F54] = 0x54B4; __mg_gbunicode_map[0x5F55] = 0x54D2;
__mg_gbunicode_map[0x5F56] = 0x54A7; __mg_gbunicode_map[0x5F57] = 0x54A6;
__mg_gbunicode_map[0x5F58] = 0x54D3; __mg_gbunicode_map[0x5F59] = 0x54D4;
__mg_gbunicode_map[0x5F5A] = 0x5472; __mg_gbunicode_map[0x5F5B] = 0x54A3;
__mg_gbunicode_map[0x5F5C] = 0x54D5; __mg_gbunicode_map[0x5F5D] = 0x54BB;
__mg_gbunicode_map[0x5F5E] = 0x54BF; __mg_gbunicode_map[0x5F5F] = 0x54CC;
__mg_gbunicode_map[0x5F60] = 0x54D9; __mg_gbunicode_map[0x5F61] = 0x54DA;
__mg_gbunicode_map[0x5F62] = 0x54DC; __mg_gbunicode_map[0x5F63] = 0x54A9;
__mg_gbunicode_map[0x5F64] = 0x54AA; __mg_gbunicode_map[0x5F65] = 0x54A4;
__mg_gbunicode_map[0x5F66] = 0x54DD; __mg_gbunicode_map[0x5F67] = 0x54CF;
__mg_gbunicode_map[0x5F68] = 0x54DE; __mg_gbunicode_map[0x5F69] = 0x551B;
__mg_gbunicode_map[0x5F6A] = 0x54E7; __mg_gbunicode_map[0x5F6B] = 0x5520;
__mg_gbunicode_map[0x5F6C] = 0x54FD; __mg_gbunicode_map[0x5F6D] = 0x5514;
__mg_gbunicode_map[0x5F6E] = 0x54F3; __mg_gbunicode_map[0x5F6F] = 0x5522;
__mg_gbunicode_map[0x5F70] = 0x5523; __mg_gbunicode_map[0x5F71] = 0x550F;
__mg_gbunicode_map[0x5F72] = 0x5511; __mg_gbunicode_map[0x5F73] = 0x5527;
__mg_gbunicode_map[0x5F74] = 0x552A; __mg_gbunicode_map[0x5F75] = 0x5567;
__mg_gbunicode_map[0x5F76] = 0x558F; __mg_gbunicode_map[0x5F77] = 0x55B5;
__mg_gbunicode_map[0x5F78] = 0x5549; __mg_gbunicode_map[0x5F79] = 0x556D;
__mg_gbunicode_map[0x5F7A] = 0x5541; __mg_gbunicode_map[0x5F7B] = 0x5555;
__mg_gbunicode_map[0x5F7C] = 0x553F; __mg_gbunicode_map[0x5F7D] = 0x5550;
__mg_gbunicode_map[0x5F7E] = 0x553C; __mg_gbunicode_map[0x6021] = 0x5537;
__mg_gbunicode_map[0x6022] = 0x5556; __mg_gbunicode_map[0x6023] = 0x5575;
__mg_gbunicode_map[0x6024] = 0x5576; __mg_gbunicode_map[0x6025] = 0x5577;
__mg_gbunicode_map[0x6026] = 0x5533; __mg_gbunicode_map[0x6027] = 0x5530;
__mg_gbunicode_map[0x6028] = 0x555C; __mg_gbunicode_map[0x6029] = 0x558B;
__mg_gbunicode_map[0x602A] = 0x55D2; __mg_gbunicode_map[0x602B] = 0x5583;
__mg_gbunicode_map[0x602C] = 0x55B1; __mg_gbunicode_map[0x602D] = 0x55B9;
__mg_gbunicode_map[0x602E] = 0x5588; __mg_gbunicode_map[0x602F] = 0x5581;
__mg_gbunicode_map[0x6030] = 0x559F; __mg_gbunicode_map[0x6031] = 0x557E;
__mg_gbunicode_map[0x6032] = 0x55D6; __mg_gbunicode_map[0x6033] = 0x5591;
__mg_gbunicode_map[0x6034] = 0x557B; __mg_gbunicode_map[0x6035] = 0x55DF;
__mg_gbunicode_map[0x6036] = 0x55BD; __mg_gbunicode_map[0x6037] = 0x55BE;
__mg_gbunicode_map[0x6038] = 0x5594; __mg_gbunicode_map[0x6039] = 0x5599;
__mg_gbunicode_map[0x603A] = 0x55EA; __mg_gbunicode_map[0x603B] = 0x55F7;
__mg_gbunicode_map[0x603C] = 0x55C9; __mg_gbunicode_map[0x603D] = 0x561F;
__mg_gbunicode_map[0x603E] = 0x55D1; __mg_gbunicode_map[0x603F] = 0x55EB;
__mg_gbunicode_map[0x6040] = 0x55EC; __mg_gbunicode_map[0x6041] = 0x55D4;
__mg_gbunicode_map[0x6042] = 0x55E6; __mg_gbunicode_map[0x6043] = 0x55DD;
__mg_gbunicode_map[0x6044] = 0x55C4; __mg_gbunicode_map[0x6045] = 0x55EF;
__mg_gbunicode_map[0x6046] = 0x55E5; __mg_gbunicode_map[0x6047] = 0x55F2;
__mg_gbunicode_map[0x6048] = 0x55F3; __mg_gbunicode_map[0x6049] = 0x55CC;
__mg_gbunicode_map[0x604A] = 0x55CD; __mg_gbunicode_map[0x604B] = 0x55E8;
__mg_gbunicode_map[0x604C] = 0x55F5; __mg_gbunicode_map[0x604D] = 0x55E4;
__mg_gbunicode_map[0x604E] = 0x8F94; __mg_gbunicode_map[0x604F] = 0x561E;
__mg_gbunicode_map[0x6050] = 0x5608; __mg_gbunicode_map[0x6051] = 0x560C;
__mg_gbunicode_map[0x6052] = 0x5601; __mg_gbunicode_map[0x6053] = 0x5624;
__mg_gbunicode_map[0x6054] = 0x5623; __mg_gbunicode_map[0x6055] = 0x55FE;
__mg_gbunicode_map[0x6056] = 0x5600; __mg_gbunicode_map[0x6057] = 0x5627;
__mg_gbunicode_map[0x6058] = 0x562D; __mg_gbunicode_map[0x6059] = 0x5658;
__mg_gbunicode_map[0x605A] = 0x5639; __mg_gbunicode_map[0x605B] = 0x5657;
__mg_gbunicode_map[0x605C] = 0x562C; __mg_gbunicode_map[0x605D] = 0x564D;
__mg_gbunicode_map[0x605E] = 0x5662; __mg_gbunicode_map[0x605F] = 0x5659;
__mg_gbunicode_map[0x6060] = 0x565C; __mg_gbunicode_map[0x6061] = 0x564C;
__mg_gbunicode_map[0x6062] = 0x5654; __mg_gbunicode_map[0x6063] = 0x5686;
__mg_gbunicode_map[0x6064] = 0x5664; __mg_gbunicode_map[0x6065] = 0x5671;
__mg_gbunicode_map[0x6066] = 0x566B; __mg_gbunicode_map[0x6067] = 0x567B;
__mg_gbunicode_map[0x6068] = 0x567C; __mg_gbunicode_map[0x6069] = 0x5685;
__mg_gbunicode_map[0x606A] = 0x5693; __mg_gbunicode_map[0x606B] = 0x56AF;
__mg_gbunicode_map[0x606C] = 0x56D4; __mg_gbunicode_map[0x606D] = 0x56D7;
__mg_gbunicode_map[0x606E] = 0x56DD; __mg_gbunicode_map[0x606F] = 0x56E1;
__mg_gbunicode_map[0x6070] = 0x56F5; __mg_gbunicode_map[0x6071] = 0x56EB;
__mg_gbunicode_map[0x6072] = 0x56F9; __mg_gbunicode_map[0x6073] = 0x56FF;
__mg_gbunicode_map[0x6074] = 0x5704; __mg_gbunicode_map[0x6075] = 0x570A;
__mg_gbunicode_map[0x6076] = 0x5709; __mg_gbunicode_map[0x6077] = 0x571C;
__mg_gbunicode_map[0x6078] = 0x5E0F; __mg_gbunicode_map[0x6079] = 0x5E19;
__mg_gbunicode_map[0x607A] = 0x5E14; __mg_gbunicode_map[0x607B] = 0x5E11;
__mg_gbunicode_map[0x607C] = 0x5E31; __mg_gbunicode_map[0x607D] = 0x5E3B;
__mg_gbunicode_map[0x607E] = 0x5E3C; __mg_gbunicode_map[0x6121] = 0x5E37;
__mg_gbunicode_map[0x6122] = 0x5E44; __mg_gbunicode_map[0x6123] = 0x5E54;
__mg_gbunicode_map[0x6124] = 0x5E5B; __mg_gbunicode_map[0x6125] = 0x5E5E;
__mg_gbunicode_map[0x6126] = 0x5E61; __mg_gbunicode_map[0x6127] = 0x5C8C;
__mg_gbunicode_map[0x6128] = 0x5C7A; __mg_gbunicode_map[0x6129] = 0x5C8D;
__mg_gbunicode_map[0x612A] = 0x5C90; __mg_gbunicode_map[0x612B] = 0x5C96;
__mg_gbunicode_map[0x612C] = 0x5C88; __mg_gbunicode_map[0x612D] = 0x5C98;
__mg_gbunicode_map[0x612E] = 0x5C99; __mg_gbunicode_map[0x612F] = 0x5C91;
__mg_gbunicode_map[0x6130] = 0x5C9A; __mg_gbunicode_map[0x6131] = 0x5C9C;
__mg_gbunicode_map[0x6132] = 0x5CB5; __mg_gbunicode_map[0x6133] = 0x5CA2;
__mg_gbunicode_map[0x6134] = 0x5CBD; __mg_gbunicode_map[0x6135] = 0x5CAC;
__mg_gbunicode_map[0x6136] = 0x5CAB; __mg_gbunicode_map[0x6137] = 0x5CB1;
__mg_gbunicode_map[0x6138] = 0x5CA3; __mg_gbunicode_map[0x6139] = 0x5CC1;
__mg_gbunicode_map[0x613A] = 0x5CB7; __mg_gbunicode_map[0x613B] = 0x5CC4;
__mg_gbunicode_map[0x613C] = 0x5CD2; __mg_gbunicode_map[0x613D] = 0x5CE4;
__mg_gbunicode_map[0x613E] = 0x5CCB; __mg_gbunicode_map[0x613F] = 0x5CE5;
__mg_gbunicode_map[0x6140] = 0x5D02; __mg_gbunicode_map[0x6141] = 0x5D03;
__mg_gbunicode_map[0x6142] = 0x5D27; __mg_gbunicode_map[0x6143] = 0x5D26;
__mg_gbunicode_map[0x6144] = 0x5D2E; __mg_gbunicode_map[0x6145] = 0x5D24;
__mg_gbunicode_map[0x6146] = 0x5D1E; __mg_gbunicode_map[0x6147] = 0x5D06;
__mg_gbunicode_map[0x6148] = 0x5D1B; __mg_gbunicode_map[0x6149] = 0x5D58;
__mg_gbunicode_map[0x614A] = 0x5D3E; __mg_gbunicode_map[0x614B] = 0x5D34;
__mg_gbunicode_map[0x614C] = 0x5D3D; __mg_gbunicode_map[0x614D] = 0x5D6C;
__mg_gbunicode_map[0x614E] = 0x5D5B; __mg_gbunicode_map[0x614F] = 0x5D6F;
__mg_gbunicode_map[0x6150] = 0x5D5D; __mg_gbunicode_map[0x6151] = 0x5D6B;
__mg_gbunicode_map[0x6152] = 0x5D4B; __mg_gbunicode_map[0x6153] = 0x5D4A;
__mg_gbunicode_map[0x6154] = 0x5D69; __mg_gbunicode_map[0x6155] = 0x5D74;
__mg_gbunicode_map[0x6156] = 0x5D82; __mg_gbunicode_map[0x6157] = 0x5D99;
__mg_gbunicode_map[0x6158] = 0x5D9D; __mg_gbunicode_map[0x6159] = 0x8C73;
__mg_gbunicode_map[0x615A] = 0x5DB7; __mg_gbunicode_map[0x615B] = 0x5DC5;
__mg_gbunicode_map[0x615C] = 0x5F73; __mg_gbunicode_map[0x615D] = 0x5F77;
__mg_gbunicode_map[0x615E] = 0x5F82; __mg_gbunicode_map[0x615F] = 0x5F87;
__mg_gbunicode_map[0x6160] = 0x5F89; __mg_gbunicode_map[0x6161] = 0x5F8C;
__mg_gbunicode_map[0x6162] = 0x5F95; __mg_gbunicode_map[0x6163] = 0x5F99;
__mg_gbunicode_map[0x6164] = 0x5F9C; __mg_gbunicode_map[0x6165] = 0x5FA8;
__mg_gbunicode_map[0x6166] = 0x5FAD; __mg_gbunicode_map[0x6167] = 0x5FB5;
__mg_gbunicode_map[0x6168] = 0x5FBC; __mg_gbunicode_map[0x6169] = 0x8862;
__mg_gbunicode_map[0x616A] = 0x5F61; __mg_gbunicode_map[0x616B] = 0x72AD;
__mg_gbunicode_map[0x616C] = 0x72B0; __mg_gbunicode_map[0x616D] = 0x72B4;
__mg_gbunicode_map[0x616E] = 0x72B7; __mg_gbunicode_map[0x616F] = 0x72B8;
__mg_gbunicode_map[0x6170] = 0x72C3; __mg_gbunicode_map[0x6171] = 0x72C1;
__mg_gbunicode_map[0x6172] = 0x72CE; __mg_gbunicode_map[0x6173] = 0x72CD;
__mg_gbunicode_map[0x6174] = 0x72D2; __mg_gbunicode_map[0x6175] = 0x72E8;
__mg_gbunicode_map[0x6176] = 0x72EF; __mg_gbunicode_map[0x6177] = 0x72E9;
__mg_gbunicode_map[0x6178] = 0x72F2; __mg_gbunicode_map[0x6179] = 0x72F4;
__mg_gbunicode_map[0x617A] = 0x72F7; __mg_gbunicode_map[0x617B] = 0x7301;
__mg_gbunicode_map[0x617C] = 0x72F3; __mg_gbunicode_map[0x617D] = 0x7303;
__mg_gbunicode_map[0x617E] = 0x72FA; __mg_gbunicode_map[0x6221] = 0x72FB;
__mg_gbunicode_map[0x6222] = 0x7317; __mg_gbunicode_map[0x6223] = 0x7313;
__mg_gbunicode_map[0x6224] = 0x7321; __mg_gbunicode_map[0x6225] = 0x730A;
__mg_gbunicode_map[0x6226] = 0x731E; __mg_gbunicode_map[0x6227] = 0x731D;
__mg_gbunicode_map[0x6228] = 0x7315; __mg_gbunicode_map[0x6229] = 0x7322;
__mg_gbunicode_map[0x622A] = 0x7339; __mg_gbunicode_map[0x622B] = 0x7325;
__mg_gbunicode_map[0x622C] = 0x732C; __mg_gbunicode_map[0x622D] = 0x7338;
__mg_gbunicode_map[0x622E] = 0x7331; __mg_gbunicode_map[0x622F] = 0x7350;
__mg_gbunicode_map[0x6230] = 0x734D; __mg_gbunicode_map[0x6231] = 0x7357;
__mg_gbunicode_map[0x6232] = 0x7360; __mg_gbunicode_map[0x6233] = 0x736C;
__mg_gbunicode_map[0x6234] = 0x736F; __mg_gbunicode_map[0x6235] = 0x737E;
__mg_gbunicode_map[0x6236] = 0x821B; __mg_gbunicode_map[0x6237] = 0x5925;
__mg_gbunicode_map[0x6238] = 0x98E7; __mg_gbunicode_map[0x6239] = 0x5924;
__mg_gbunicode_map[0x623A] = 0x5902; __mg_gbunicode_map[0x623B] = 0x9963;
__mg_gbunicode_map[0x623C] = 0x9967; __mg_gbunicode_map[0x623D] = 0x9968;
__mg_gbunicode_map[0x623E] = 0x9969; __mg_gbunicode_map[0x623F] = 0x996A;
__mg_gbunicode_map[0x6240] = 0x996B; __mg_gbunicode_map[0x6241] = 0x996C;
__mg_gbunicode_map[0x6242] = 0x9974; __mg_gbunicode_map[0x6243] = 0x9977;
__mg_gbunicode_map[0x6244] = 0x997D; __mg_gbunicode_map[0x6245] = 0x9980;
__mg_gbunicode_map[0x6246] = 0x9984; __mg_gbunicode_map[0x6247] = 0x9987;
__mg_gbunicode_map[0x6248] = 0x998A; __mg_gbunicode_map[0x6249] = 0x998D;
__mg_gbunicode_map[0x624A] = 0x9990; __mg_gbunicode_map[0x624B] = 0x9991;
__mg_gbunicode_map[0x624C] = 0x9993; __mg_gbunicode_map[0x624D] = 0x9994;
__mg_gbunicode_map[0x624E] = 0x9995; __mg_gbunicode_map[0x624F] = 0x5E80;
__mg_gbunicode_map[0x6250] = 0x5E91; __mg_gbunicode_map[0x6251] = 0x5E8B;
__mg_gbunicode_map[0x6252] = 0x5E96; __mg_gbunicode_map[0x6253] = 0x5EA5;
__mg_gbunicode_map[0x6254] = 0x5EA0; __mg_gbunicode_map[0x6255] = 0x5EB9;
__mg_gbunicode_map[0x6256] = 0x5EB5; __mg_gbunicode_map[0x6257] = 0x5EBE;
__mg_gbunicode_map[0x6258] = 0x5EB3; __mg_gbunicode_map[0x6259] = 0x8D53;
__mg_gbunicode_map[0x625A] = 0x5ED2; __mg_gbunicode_map[0x625B] = 0x5ED1;
__mg_gbunicode_map[0x625C] = 0x5EDB; __mg_gbunicode_map[0x625D] = 0x5EE8;
__mg_gbunicode_map[0x625E] = 0x5EEA; __mg_gbunicode_map[0x625F] = 0x81BA;
__mg_gbunicode_map[0x6260] = 0x5FC4; __mg_gbunicode_map[0x6261] = 0x5FC9;
__mg_gbunicode_map[0x6262] = 0x5FD6; __mg_gbunicode_map[0x6263] = 0x5FCF;
__mg_gbunicode_map[0x6264] = 0x6003; __mg_gbunicode_map[0x6265] = 0x5FEE;
__mg_gbunicode_map[0x6266] = 0x6004; __mg_gbunicode_map[0x6267] = 0x5FE1;
__mg_gbunicode_map[0x6268] = 0x5FE4; __mg_gbunicode_map[0x6269] = 0x5FFE;
__mg_gbunicode_map[0x626A] = 0x6005; __mg_gbunicode_map[0x626B] = 0x6006;
__mg_gbunicode_map[0x626C] = 0x5FEA; __mg_gbunicode_map[0x626D] = 0x5FED;
__mg_gbunicode_map[0x626E] = 0x5FF8; __mg_gbunicode_map[0x626F] = 0x6019;
__mg_gbunicode_map[0x6270] = 0x6035; __mg_gbunicode_map[0x6271] = 0x6026;
__mg_gbunicode_map[0x6272] = 0x601B; __mg_gbunicode_map[0x6273] = 0x600F;
__mg_gbunicode_map[0x6274] = 0x600D; __mg_gbunicode_map[0x6275] = 0x6029;
__mg_gbunicode_map[0x6276] = 0x602B; __mg_gbunicode_map[0x6277] = 0x600A;
__mg_gbunicode_map[0x6278] = 0x603F; __mg_gbunicode_map[0x6279] = 0x6021;
__mg_gbunicode_map[0x627A] = 0x6078; __mg_gbunicode_map[0x627B] = 0x6079;
__mg_gbunicode_map[0x627C] = 0x607B; __mg_gbunicode_map[0x627D] = 0x607A;
__mg_gbunicode_map[0x627E] = 0x6042; __mg_gbunicode_map[0x6321] = 0x606A;
__mg_gbunicode_map[0x6322] = 0x607D; __mg_gbunicode_map[0x6323] = 0x6096;
__mg_gbunicode_map[0x6324] = 0x609A; __mg_gbunicode_map[0x6325] = 0x60AD;
__mg_gbunicode_map[0x6326] = 0x609D; __mg_gbunicode_map[0x6327] = 0x6083;
__mg_gbunicode_map[0x6328] = 0x6092; __mg_gbunicode_map[0x6329] = 0x608C;
__mg_gbunicode_map[0x632A] = 0x609B; __mg_gbunicode_map[0x632B] = 0x60EC;
__mg_gbunicode_map[0x632C] = 0x60BB; __mg_gbunicode_map[0x632D] = 0x60B1;
__mg_gbunicode_map[0x632E] = 0x60DD; __mg_gbunicode_map[0x632F] = 0x60D8;
__mg_gbunicode_map[0x6330] = 0x60C6; __mg_gbunicode_map[0x6331] = 0x60DA;
__mg_gbunicode_map[0x6332] = 0x60B4; __mg_gbunicode_map[0x6333] = 0x6120;
__mg_gbunicode_map[0x6334] = 0x6126; __mg_gbunicode_map[0x6335] = 0x6115;
__mg_gbunicode_map[0x6336] = 0x6123; __mg_gbunicode_map[0x6337] = 0x60F4;
__mg_gbunicode_map[0x6338] = 0x6100; __mg_gbunicode_map[0x6339] = 0x610E;
__mg_gbunicode_map[0x633A] = 0x612B; __mg_gbunicode_map[0x633B] = 0x614A;
__mg_gbunicode_map[0x633C] = 0x6175; __mg_gbunicode_map[0x633D] = 0x61AC;
__mg_gbunicode_map[0x633E] = 0x6194; __mg_gbunicode_map[0x633F] = 0x61A7;
__mg_gbunicode_map[0x6340] = 0x61B7; __mg_gbunicode_map[0x6341] = 0x61D4;
__mg_gbunicode_map[0x6342] = 0x61F5; __mg_gbunicode_map[0x6343] = 0x5FDD;
__mg_gbunicode_map[0x6344] = 0x96B3; __mg_gbunicode_map[0x6345] = 0x95E9;
__mg_gbunicode_map[0x6346] = 0x95EB; __mg_gbunicode_map[0x6347] = 0x95F1;
__mg_gbunicode_map[0x6348] = 0x95F3; __mg_gbunicode_map[0x6349] = 0x95F5;
__mg_gbunicode_map[0x634A] = 0x95F6; __mg_gbunicode_map[0x634B] = 0x95FC;
__mg_gbunicode_map[0x634C] = 0x95FE; __mg_gbunicode_map[0x634D] = 0x9603;
__mg_gbunicode_map[0x634E] = 0x9604; __mg_gbunicode_map[0x634F] = 0x9606;
__mg_gbunicode_map[0x6350] = 0x9608; __mg_gbunicode_map[0x6351] = 0x960A;
__mg_gbunicode_map[0x6352] = 0x960B; __mg_gbunicode_map[0x6353] = 0x960C;
__mg_gbunicode_map[0x6354] = 0x960D; __mg_gbunicode_map[0x6355] = 0x960F;
__mg_gbunicode_map[0x6356] = 0x9612; __mg_gbunicode_map[0x6357] = 0x9615;
__mg_gbunicode_map[0x6358] = 0x9616; __mg_gbunicode_map[0x6359] = 0x9617;
__mg_gbunicode_map[0x635A] = 0x9619; __mg_gbunicode_map[0x635B] = 0x961A;
__mg_gbunicode_map[0x635C] = 0x4E2C; __mg_gbunicode_map[0x635D] = 0x723F;
__mg_gbunicode_map[0x635E] = 0x6215; __mg_gbunicode_map[0x635F] = 0x6C35;
__mg_gbunicode_map[0x6360] = 0x6C54; __mg_gbunicode_map[0x6361] = 0x6C5C;
__mg_gbunicode_map[0x6362] = 0x6C4A; __mg_gbunicode_map[0x6363] = 0x6CA3;
__mg_gbunicode_map[0x6364] = 0x6C85; __mg_gbunicode_map[0x6365] = 0x6C90;
__mg_gbunicode_map[0x6366] = 0x6C94; __mg_gbunicode_map[0x6367] = 0x6C8C;
__mg_gbunicode_map[0x6368] = 0x6C68; __mg_gbunicode_map[0x6369] = 0x6C69;
__mg_gbunicode_map[0x636A] = 0x6C74; __mg_gbunicode_map[0x636B] = 0x6C76;
__mg_gbunicode_map[0x636C] = 0x6C86; __mg_gbunicode_map[0x636D] = 0x6CA9;
__mg_gbunicode_map[0x636E] = 0x6CD0; __mg_gbunicode_map[0x636F] = 0x6CD4;
__mg_gbunicode_map[0x6370] = 0x6CAD; __mg_gbunicode_map[0x6371] = 0x6CF7;
__mg_gbunicode_map[0x6372] = 0x6CF8; __mg_gbunicode_map[0x6373] = 0x6CF1;
__mg_gbunicode_map[0x6374] = 0x6CD7; __mg_gbunicode_map[0x6375] = 0x6CB2;
__mg_gbunicode_map[0x6376] = 0x6CE0; __mg_gbunicode_map[0x6377] = 0x6CD6;
__mg_gbunicode_map[0x6378] = 0x6CFA; __mg_gbunicode_map[0x6379] = 0x6CEB;
__mg_gbunicode_map[0x637A] = 0x6CEE; __mg_gbunicode_map[0x637B] = 0x6CB1;
__mg_gbunicode_map[0x637C] = 0x6CD3; __mg_gbunicode_map[0x637D] = 0x6CEF;
__mg_gbunicode_map[0x637E] = 0x6CFE; __mg_gbunicode_map[0x6421] = 0x6D39;
__mg_gbunicode_map[0x6422] = 0x6D27; __mg_gbunicode_map[0x6423] = 0x6D0C;
__mg_gbunicode_map[0x6424] = 0x6D43; __mg_gbunicode_map[0x6425] = 0x6D48;
__mg_gbunicode_map[0x6426] = 0x6D07; __mg_gbunicode_map[0x6427] = 0x6D04;
__mg_gbunicode_map[0x6428] = 0x6D19; __mg_gbunicode_map[0x6429] = 0x6D0E;
__mg_gbunicode_map[0x642A] = 0x6D2B; __mg_gbunicode_map[0x642B] = 0x6D4D;
__mg_gbunicode_map[0x642C] = 0x6D2E; __mg_gbunicode_map[0x642D] = 0x6D35;
__mg_gbunicode_map[0x642E] = 0x6D1A; __mg_gbunicode_map[0x642F] = 0x6D4F;
__mg_gbunicode_map[0x6430] = 0x6D52; __mg_gbunicode_map[0x6431] = 0x6D54;
__mg_gbunicode_map[0x6432] = 0x6D33; __mg_gbunicode_map[0x6433] = 0x6D91;
__mg_gbunicode_map[0x6434] = 0x6D6F; __mg_gbunicode_map[0x6435] = 0x6D9E;
__mg_gbunicode_map[0x6436] = 0x6DA0; __mg_gbunicode_map[0x6437] = 0x6D5E;
__mg_gbunicode_map[0x6438] = 0x6D93; __mg_gbunicode_map[0x6439] = 0x6D94;
__mg_gbunicode_map[0x643A] = 0x6D5C; __mg_gbunicode_map[0x643B] = 0x6D60;
__mg_gbunicode_map[0x643C] = 0x6D7C; __mg_gbunicode_map[0x643D] = 0x6D63;
__mg_gbunicode_map[0x643E] = 0x6E1A; __mg_gbunicode_map[0x643F] = 0x6DC7;
__mg_gbunicode_map[0x6440] = 0x6DC5; __mg_gbunicode_map[0x6441] = 0x6DDE;
__mg_gbunicode_map[0x6442] = 0x6E0E; __mg_gbunicode_map[0x6443] = 0x6DBF;
__mg_gbunicode_map[0x6444] = 0x6DE0; __mg_gbunicode_map[0x6445] = 0x6E11;
__mg_gbunicode_map[0x6446] = 0x6DE6; __mg_gbunicode_map[0x6447] = 0x6DDD;
__mg_gbunicode_map[0x6448] = 0x6DD9; __mg_gbunicode_map[0x6449] = 0x6E16;
__mg_gbunicode_map[0x644A] = 0x6DAB; __mg_gbunicode_map[0x644B] = 0x6E0C;
__mg_gbunicode_map[0x644C] = 0x6DAE; __mg_gbunicode_map[0x644D] = 0x6E2B;
__mg_gbunicode_map[0x644E] = 0x6E6E; __mg_gbunicode_map[0x644F] = 0x6E4E;
__mg_gbunicode_map[0x6450] = 0x6E6B; __mg_gbunicode_map[0x6451] = 0x6EB2;
__mg_gbunicode_map[0x6452] = 0x6E5F; __mg_gbunicode_map[0x6453] = 0x6E86;
__mg_gbunicode_map[0x6454] = 0x6E53; __mg_gbunicode_map[0x6455] = 0x6E54;
__mg_gbunicode_map[0x6456] = 0x6E32; __mg_gbunicode_map[0x6457] = 0x6E25;
__mg_gbunicode_map[0x6458] = 0x6E44; __mg_gbunicode_map[0x6459] = 0x6EDF;
__mg_gbunicode_map[0x645A] = 0x6EB1; __mg_gbunicode_map[0x645B] = 0x6E98;
__mg_gbunicode_map[0x645C] = 0x6EE0; __mg_gbunicode_map[0x645D] = 0x6F2D;
__mg_gbunicode_map[0x645E] = 0x6EE2; __mg_gbunicode_map[0x645F] = 0x6EA5;
__mg_gbunicode_map[0x6460] = 0x6EA7; __mg_gbunicode_map[0x6461] = 0x6EBD;
__mg_gbunicode_map[0x6462] = 0x6EBB; __mg_gbunicode_map[0x6463] = 0x6EB7;
__mg_gbunicode_map[0x6464] = 0x6ED7; __mg_gbunicode_map[0x6465] = 0x6EB4;
__mg_gbunicode_map[0x6466] = 0x6ECF; __mg_gbunicode_map[0x6467] = 0x6E8F;
__mg_gbunicode_map[0x6468] = 0x6EC2; __mg_gbunicode_map[0x6469] = 0x6E9F;
__mg_gbunicode_map[0x646A] = 0x6F62; __mg_gbunicode_map[0x646B] = 0x6F46;
__mg_gbunicode_map[0x646C] = 0x6F47; __mg_gbunicode_map[0x646D] = 0x6F24;
__mg_gbunicode_map[0x646E] = 0x6F15; __mg_gbunicode_map[0x646F] = 0x6EF9;
__mg_gbunicode_map[0x6470] = 0x6F2F; __mg_gbunicode_map[0x6471] = 0x6F36;
__mg_gbunicode_map[0x6472] = 0x6F4B; __mg_gbunicode_map[0x6473] = 0x6F74;
__mg_gbunicode_map[0x6474] = 0x6F2A; __mg_gbunicode_map[0x6475] = 0x6F09;
__mg_gbunicode_map[0x6476] = 0x6F29; __mg_gbunicode_map[0x6477] = 0x6F89;
__mg_gbunicode_map[0x6478] = 0x6F8D; __mg_gbunicode_map[0x6479] = 0x6F8C;
__mg_gbunicode_map[0x647A] = 0x6F78; __mg_gbunicode_map[0x647B] = 0x6F72;
__mg_gbunicode_map[0x647C] = 0x6F7C; __mg_gbunicode_map[0x647D] = 0x6F7A;
__mg_gbunicode_map[0x647E] = 0x6FD1; __mg_gbunicode_map[0x6521] = 0x6FC9;
__mg_gbunicode_map[0x6522] = 0x6FA7; __mg_gbunicode_map[0x6523] = 0x6FB9;
__mg_gbunicode_map[0x6524] = 0x6FB6; __mg_gbunicode_map[0x6525] = 0x6FC2;
__mg_gbunicode_map[0x6526] = 0x6FE1; __mg_gbunicode_map[0x6527] = 0x6FEE;
__mg_gbunicode_map[0x6528] = 0x6FDE; __mg_gbunicode_map[0x6529] = 0x6FE0;
__mg_gbunicode_map[0x652A] = 0x6FEF; __mg_gbunicode_map[0x652B] = 0x701A;
__mg_gbunicode_map[0x652C] = 0x7023; __mg_gbunicode_map[0x652D] = 0x701B;
__mg_gbunicode_map[0x652E] = 0x7039; __mg_gbunicode_map[0x652F] = 0x7035;
__mg_gbunicode_map[0x6530] = 0x704F; __mg_gbunicode_map[0x6531] = 0x705E;
__mg_gbunicode_map[0x6532] = 0x5B80; __mg_gbunicode_map[0x6533] = 0x5B84;
__mg_gbunicode_map[0x6534] = 0x5B95; __mg_gbunicode_map[0x6535] = 0x5B93;
__mg_gbunicode_map[0x6536] = 0x5BA5; __mg_gbunicode_map[0x6537] = 0x5BB8;
__mg_gbunicode_map[0x6538] = 0x752F; __mg_gbunicode_map[0x6539] = 0x9A9E;
__mg_gbunicode_map[0x653A] = 0x6434; __mg_gbunicode_map[0x653B] = 0x5BE4;
__mg_gbunicode_map[0x653C] = 0x5BEE; __mg_gbunicode_map[0x653D] = 0x8930;
__mg_gbunicode_map[0x653E] = 0x5BF0; __mg_gbunicode_map[0x653F] = 0x8E47;
__mg_gbunicode_map[0x6540] = 0x8B07; __mg_gbunicode_map[0x6541] = 0x8FB6;
__mg_gbunicode_map[0x6542] = 0x8FD3; __mg_gbunicode_map[0x6543] = 0x8FD5;
__mg_gbunicode_map[0x6544] = 0x8FE5; __mg_gbunicode_map[0x6545] = 0x8FEE;
__mg_gbunicode_map[0x6546] = 0x8FE4; __mg_gbunicode_map[0x6547] = 0x8FE9;
__mg_gbunicode_map[0x6548] = 0x8FE6; __mg_gbunicode_map[0x6549] = 0x8FF3;
__mg_gbunicode_map[0x654A] = 0x8FE8; __mg_gbunicode_map[0x654B] = 0x9005;
__mg_gbunicode_map[0x654C] = 0x9004; __mg_gbunicode_map[0x654D] = 0x900B;
__mg_gbunicode_map[0x654E] = 0x9026; __mg_gbunicode_map[0x654F] = 0x9011;
__mg_gbunicode_map[0x6550] = 0x900D; __mg_gbunicode_map[0x6551] = 0x9016;
__mg_gbunicode_map[0x6552] = 0x9021; __mg_gbunicode_map[0x6553] = 0x9035;
__mg_gbunicode_map[0x6554] = 0x9036; __mg_gbunicode_map[0x6555] = 0x902D;
__mg_gbunicode_map[0x6556] = 0x902F; __mg_gbunicode_map[0x6557] = 0x9044;
__mg_gbunicode_map[0x6558] = 0x9051; __mg_gbunicode_map[0x6559] = 0x9052;
__mg_gbunicode_map[0x655A] = 0x9050; __mg_gbunicode_map[0x655B] = 0x9068;
__mg_gbunicode_map[0x655C] = 0x9058; __mg_gbunicode_map[0x655D] = 0x9062;
__mg_gbunicode_map[0x655E] = 0x905B; __mg_gbunicode_map[0x655F] = 0x66B9;
__mg_gbunicode_map[0x6560] = 0x9074; __mg_gbunicode_map[0x6561] = 0x907D;
__mg_gbunicode_map[0x6562] = 0x9082; __mg_gbunicode_map[0x6563] = 0x9088;
__mg_gbunicode_map[0x6564] = 0x9083; __mg_gbunicode_map[0x6565] = 0x908B;
__mg_gbunicode_map[0x6566] = 0x5F50; __mg_gbunicode_map[0x6567] = 0x5F57;
__mg_gbunicode_map[0x6568] = 0x5F56; __mg_gbunicode_map[0x6569] = 0x5F58;
__mg_gbunicode_map[0x656A] = 0x5C3B; __mg_gbunicode_map[0x656B] = 0x54AB;
__mg_gbunicode_map[0x656C] = 0x5C50; __mg_gbunicode_map[0x656D] = 0x5C59;
__mg_gbunicode_map[0x656E] = 0x5B71; __mg_gbunicode_map[0x656F] = 0x5C63;
__mg_gbunicode_map[0x6570] = 0x5C66; __mg_gbunicode_map[0x6571] = 0x7FBC;
__mg_gbunicode_map[0x6572] = 0x5F2A; __mg_gbunicode_map[0x6573] = 0x5F29;
__mg_gbunicode_map[0x6574] = 0x5F2D; __mg_gbunicode_map[0x6575] = 0x8274;
__mg_gbunicode_map[0x6576] = 0x5F3C; __mg_gbunicode_map[0x6577] = 0x9B3B;
__mg_gbunicode_map[0x6578] = 0x5C6E; __mg_gbunicode_map[0x6579] = 0x5981;
__mg_gbunicode_map[0x657A] = 0x5983; __mg_gbunicode_map[0x657B] = 0x598D;
__mg_gbunicode_map[0x657C] = 0x59A9; __mg_gbunicode_map[0x657D] = 0x59AA;
__mg_gbunicode_map[0x657E] = 0x59A3; __mg_gbunicode_map[0x6621] = 0x5997;
__mg_gbunicode_map[0x6622] = 0x59CA; __mg_gbunicode_map[0x6623] = 0x59AB;
__mg_gbunicode_map[0x6624] = 0x599E; __mg_gbunicode_map[0x6625] = 0x59A4;
__mg_gbunicode_map[0x6626] = 0x59D2; __mg_gbunicode_map[0x6627] = 0x59B2;
__mg_gbunicode_map[0x6628] = 0x59AF; __mg_gbunicode_map[0x6629] = 0x59D7;
__mg_gbunicode_map[0x662A] = 0x59BE; __mg_gbunicode_map[0x662B] = 0x5A05;
__mg_gbunicode_map[0x662C] = 0x5A06; __mg_gbunicode_map[0x662D] = 0x59DD;
__mg_gbunicode_map[0x662E] = 0x5A08; __mg_gbunicode_map[0x662F] = 0x59E3;
__mg_gbunicode_map[0x6630] = 0x59D8; __mg_gbunicode_map[0x6631] = 0x59F9;
__mg_gbunicode_map[0x6632] = 0x5A0C; __mg_gbunicode_map[0x6633] = 0x5A09;
__mg_gbunicode_map[0x6634] = 0x5A32; __mg_gbunicode_map[0x6635] = 0x5A34;
__mg_gbunicode_map[0x6636] = 0x5A11; __mg_gbunicode_map[0x6637] = 0x5A23;
__mg_gbunicode_map[0x6638] = 0x5A13; __mg_gbunicode_map[0x6639] = 0x5A40;
__mg_gbunicode_map[0x663A] = 0x5A67; __mg_gbunicode_map[0x663B] = 0x5A4A;
__mg_gbunicode_map[0x663C] = 0x5A55; __mg_gbunicode_map[0x663D] = 0x5A3C;
__mg_gbunicode_map[0x663E] = 0x5A62; __mg_gbunicode_map[0x663F] = 0x5A75;
__mg_gbunicode_map[0x6640] = 0x80EC; __mg_gbunicode_map[0x6641] = 0x5AAA;
__mg_gbunicode_map[0x6642] = 0x5A9B; __mg_gbunicode_map[0x6643] = 0x5A77;
__mg_gbunicode_map[0x6644] = 0x5A7A; __mg_gbunicode_map[0x6645] = 0x5ABE;
__mg_gbunicode_map[0x6646] = 0x5AEB; __mg_gbunicode_map[0x6647] = 0x5AB2;
__mg_gbunicode_map[0x6648] = 0x5AD2; __mg_gbunicode_map[0x6649] = 0x5AD4;
__mg_gbunicode_map[0x664A] = 0x5AB8; __mg_gbunicode_map[0x664B] = 0x5AE0;
__mg_gbunicode_map[0x664C] = 0x5AE3; __mg_gbunicode_map[0x664D] = 0x5AF1;
__mg_gbunicode_map[0x664E] = 0x5AD6; __mg_gbunicode_map[0x664F] = 0x5AE6;
__mg_gbunicode_map[0x6650] = 0x5AD8; __mg_gbunicode_map[0x6651] = 0x5ADC;
__mg_gbunicode_map[0x6652] = 0x5B09; __mg_gbunicode_map[0x6653] = 0x5B17;
__mg_gbunicode_map[0x6654] = 0x5B16; __mg_gbunicode_map[0x6655] = 0x5B32;
__mg_gbunicode_map[0x6656] = 0x5B37; __mg_gbunicode_map[0x6657] = 0x5B40;
__mg_gbunicode_map[0x6658] = 0x5C15; __mg_gbunicode_map[0x6659] = 0x5C1C;
__mg_gbunicode_map[0x665A] = 0x5B5A; __mg_gbunicode_map[0x665B] = 0x5B65;
__mg_gbunicode_map[0x665C] = 0x5B73; __mg_gbunicode_map[0x665D] = 0x5B51;
__mg_gbunicode_map[0x665E] = 0x5B53; __mg_gbunicode_map[0x665F] = 0x5B62;
__mg_gbunicode_map[0x6660] = 0x9A75; __mg_gbunicode_map[0x6661] = 0x9A77;
__mg_gbunicode_map[0x6662] = 0x9A78; __mg_gbunicode_map[0x6663] = 0x9A7A;
__mg_gbunicode_map[0x6664] = 0x9A7F; __mg_gbunicode_map[0x6665] = 0x9A7D;
__mg_gbunicode_map[0x6666] = 0x9A80; __mg_gbunicode_map[0x6667] = 0x9A81;
__mg_gbunicode_map[0x6668] = 0x9A85; __mg_gbunicode_map[0x6669] = 0x9A88;
__mg_gbunicode_map[0x666A] = 0x9A8A; __mg_gbunicode_map[0x666B] = 0x9A90;
__mg_gbunicode_map[0x666C] = 0x9A92; __mg_gbunicode_map[0x666D] = 0x9A93;
__mg_gbunicode_map[0x666E] = 0x9A96; __mg_gbunicode_map[0x666F] = 0x9A98;
__mg_gbunicode_map[0x6670] = 0x9A9B; __mg_gbunicode_map[0x6671] = 0x9A9C;
__mg_gbunicode_map[0x6672] = 0x9A9D; __mg_gbunicode_map[0x6673] = 0x9A9F;
__mg_gbunicode_map[0x6674] = 0x9AA0; __mg_gbunicode_map[0x6675] = 0x9AA2;
__mg_gbunicode_map[0x6676] = 0x9AA3; __mg_gbunicode_map[0x6677] = 0x9AA5;
__mg_gbunicode_map[0x6678] = 0x9AA7; __mg_gbunicode_map[0x6679] = 0x7E9F;
__mg_gbunicode_map[0x667A] = 0x7EA1; __mg_gbunicode_map[0x667B] = 0x7EA3;
__mg_gbunicode_map[0x667C] = 0x7EA5; __mg_gbunicode_map[0x667D] = 0x7EA8;
__mg_gbunicode_map[0x667E] = 0x7EA9; __mg_gbunicode_map[0x6721] = 0x7EAD;
__mg_gbunicode_map[0x6722] = 0x7EB0; __mg_gbunicode_map[0x6723] = 0x7EBE;
__mg_gbunicode_map[0x6724] = 0x7EC0; __mg_gbunicode_map[0x6725] = 0x7EC1;
__mg_gbunicode_map[0x6726] = 0x7EC2; __mg_gbunicode_map[0x6727] = 0x7EC9;
__mg_gbunicode_map[0x6728] = 0x7ECB; __mg_gbunicode_map[0x6729] = 0x7ECC;
__mg_gbunicode_map[0x672A] = 0x7ED0; __mg_gbunicode_map[0x672B] = 0x7ED4;
__mg_gbunicode_map[0x672C] = 0x7ED7; __mg_gbunicode_map[0x672D] = 0x7EDB;
__mg_gbunicode_map[0x672E] = 0x7EE0; __mg_gbunicode_map[0x672F] = 0x7EE1;
__mg_gbunicode_map[0x6730] = 0x7EE8; __mg_gbunicode_map[0x6731] = 0x7EEB;
__mg_gbunicode_map[0x6732] = 0x7EEE; __mg_gbunicode_map[0x6733] = 0x7EEF;
__mg_gbunicode_map[0x6734] = 0x7EF1; __mg_gbunicode_map[0x6735] = 0x7EF2;
__mg_gbunicode_map[0x6736] = 0x7F0D; __mg_gbunicode_map[0x6737] = 0x7EF6;
__mg_gbunicode_map[0x6738] = 0x7EFA; __mg_gbunicode_map[0x6739] = 0x7EFB;
__mg_gbunicode_map[0x673A] = 0x7EFE; __mg_gbunicode_map[0x673B] = 0x7F01;
__mg_gbunicode_map[0x673C] = 0x7F02; __mg_gbunicode_map[0x673D] = 0x7F03;
__mg_gbunicode_map[0x673E] = 0x7F07; __mg_gbunicode_map[0x673F] = 0x7F08;
__mg_gbunicode_map[0x6740] = 0x7F0B; __mg_gbunicode_map[0x6741] = 0x7F0C;
__mg_gbunicode_map[0x6742] = 0x7F0F; __mg_gbunicode_map[0x6743] = 0x7F11;
__mg_gbunicode_map[0x6744] = 0x7F12; __mg_gbunicode_map[0x6745] = 0x7F17;
__mg_gbunicode_map[0x6746] = 0x7F19; __mg_gbunicode_map[0x6747] = 0x7F1C;
__mg_gbunicode_map[0x6748] = 0x7F1B; __mg_gbunicode_map[0x6749] = 0x7F1F;
__mg_gbunicode_map[0x674A] = 0x7F21; __mg_gbunicode_map[0x674B] = 0x7F22;
__mg_gbunicode_map[0x674C] = 0x7F23; __mg_gbunicode_map[0x674D] = 0x7F24;
__mg_gbunicode_map[0x674E] = 0x7F25; __mg_gbunicode_map[0x674F] = 0x7F26;
__mg_gbunicode_map[0x6750] = 0x7F27; __mg_gbunicode_map[0x6751] = 0x7F2A;
__mg_gbunicode_map[0x6752] = 0x7F2B; __mg_gbunicode_map[0x6753] = 0x7F2C;
__mg_gbunicode_map[0x6754] = 0x7F2D; __mg_gbunicode_map[0x6755] = 0x7F2F;
__mg_gbunicode_map[0x6756] = 0x7F30; __mg_gbunicode_map[0x6757] = 0x7F31;
__mg_gbunicode_map[0x6758] = 0x7F32; __mg_gbunicode_map[0x6759] = 0x7F33;
__mg_gbunicode_map[0x675A] = 0x7F35; __mg_gbunicode_map[0x675B] = 0x5E7A;
__mg_gbunicode_map[0x675C] = 0x757F; __mg_gbunicode_map[0x675D] = 0x5DDB;
__mg_gbunicode_map[0x675E] = 0x753E; __mg_gbunicode_map[0x675F] = 0x9095;
__mg_gbunicode_map[0x6760] = 0x738E; __mg_gbunicode_map[0x6761] = 0x7391;
__mg_gbunicode_map[0x6762] = 0x73AE; __mg_gbunicode_map[0x6763] = 0x73A2;
__mg_gbunicode_map[0x6764] = 0x739F; __mg_gbunicode_map[0x6765] = 0x73CF;
__mg_gbunicode_map[0x6766] = 0x73C2; __mg_gbunicode_map[0x6767] = 0x73D1;
__mg_gbunicode_map[0x6768] = 0x73B7; __mg_gbunicode_map[0x6769] = 0x73B3;
__mg_gbunicode_map[0x676A] = 0x73C0; __mg_gbunicode_map[0x676B] = 0x73C9;
__mg_gbunicode_map[0x676C] = 0x73C8; __mg_gbunicode_map[0x676D] = 0x73E5;
__mg_gbunicode_map[0x676E] = 0x73D9; __mg_gbunicode_map[0x676F] = 0x987C;
__mg_gbunicode_map[0x6770] = 0x740A; __mg_gbunicode_map[0x6771] = 0x73E9;
__mg_gbunicode_map[0x6772] = 0x73E7; __mg_gbunicode_map[0x6773] = 0x73DE;
__mg_gbunicode_map[0x6774] = 0x73BA; __mg_gbunicode_map[0x6775] = 0x73F2;
__mg_gbunicode_map[0x6776] = 0x740F; __mg_gbunicode_map[0x6777] = 0x742A;
__mg_gbunicode_map[0x6778] = 0x745B; __mg_gbunicode_map[0x6779] = 0x7426;
__mg_gbunicode_map[0x677A] = 0x7425; __mg_gbunicode_map[0x677B] = 0x7428;
__mg_gbunicode_map[0x677C] = 0x7430; __mg_gbunicode_map[0x677D] = 0x742E;
__mg_gbunicode_map[0x677E] = 0x742C; __mg_gbunicode_map[0x6821] = 0x741B;
__mg_gbunicode_map[0x6822] = 0x741A; __mg_gbunicode_map[0x6823] = 0x7441;
__mg_gbunicode_map[0x6824] = 0x745C; __mg_gbunicode_map[0x6825] = 0x7457;
__mg_gbunicode_map[0x6826] = 0x7455; __mg_gbunicode_map[0x6827] = 0x7459;
__mg_gbunicode_map[0x6828] = 0x7477; __mg_gbunicode_map[0x6829] = 0x746D;
__mg_gbunicode_map[0x682A] = 0x747E; __mg_gbunicode_map[0x682B] = 0x749C;
__mg_gbunicode_map[0x682C] = 0x748E; __mg_gbunicode_map[0x682D] = 0x7480;
__mg_gbunicode_map[0x682E] = 0x7481; __mg_gbunicode_map[0x682F] = 0x7487;
__mg_gbunicode_map[0x6830] = 0x748B; __mg_gbunicode_map[0x6831] = 0x749E;
__mg_gbunicode_map[0x6832] = 0x74A8; __mg_gbunicode_map[0x6833] = 0x74A9;
__mg_gbunicode_map[0x6834] = 0x7490; __mg_gbunicode_map[0x6835] = 0x74A7;
__mg_gbunicode_map[0x6836] = 0x74D2; __mg_gbunicode_map[0x6837] = 0x74BA;
__mg_gbunicode_map[0x6838] = 0x97EA; __mg_gbunicode_map[0x6839] = 0x97EB;
__mg_gbunicode_map[0x683A] = 0x97EC; __mg_gbunicode_map[0x683B] = 0x674C;
__mg_gbunicode_map[0x683C] = 0x6753; __mg_gbunicode_map[0x683D] = 0x675E;
__mg_gbunicode_map[0x683E] = 0x6748; __mg_gbunicode_map[0x683F] = 0x6769;
__mg_gbunicode_map[0x6840] = 0x67A5; __mg_gbunicode_map[0x6841] = 0x6787;
__mg_gbunicode_map[0x6842] = 0x676A; __mg_gbunicode_map[0x6843] = 0x6773;
__mg_gbunicode_map[0x6844] = 0x6798; __mg_gbunicode_map[0x6845] = 0x67A7;
__mg_gbunicode_map[0x6846] = 0x6775; __mg_gbunicode_map[0x6847] = 0x67A8;
__mg_gbunicode_map[0x6848] = 0x679E; __mg_gbunicode_map[0x6849] = 0x67AD;
__mg_gbunicode_map[0x684A] = 0x678B; __mg_gbunicode_map[0x684B] = 0x6777;
__mg_gbunicode_map[0x684C] = 0x677C; __mg_gbunicode_map[0x684D] = 0x67F0;
__mg_gbunicode_map[0x684E] = 0x6809; __mg_gbunicode_map[0x684F] = 0x67D8;
__mg_gbunicode_map[0x6850] = 0x680A; __mg_gbunicode_map[0x6851] = 0x67E9;
__mg_gbunicode_map[0x6852] = 0x67B0; __mg_gbunicode_map[0x6853] = 0x680C;
__mg_gbunicode_map[0x6854] = 0x67D9; __mg_gbunicode_map[0x6855] = 0x67B5;
__mg_gbunicode_map[0x6856] = 0x67DA; __mg_gbunicode_map[0x6857] = 0x67B3;
__mg_gbunicode_map[0x6858] = 0x67DD; __mg_gbunicode_map[0x6859] = 0x6800;
__mg_gbunicode_map[0x685A] = 0x67C3; __mg_gbunicode_map[0x685B] = 0x67B8;
__mg_gbunicode_map[0x685C] = 0x67E2; __mg_gbunicode_map[0x685D] = 0x680E;
__mg_gbunicode_map[0x685E] = 0x67C1; __mg_gbunicode_map[0x685F] = 0x67FD;
__mg_gbunicode_map[0x6860] = 0x6832; __mg_gbunicode_map[0x6861] = 0x6833;
__mg_gbunicode_map[0x6862] = 0x6860; __mg_gbunicode_map[0x6863] = 0x6861;
__mg_gbunicode_map[0x6864] = 0x684E; __mg_gbunicode_map[0x6865] = 0x6862;
__mg_gbunicode_map[0x6866] = 0x6844; __mg_gbunicode_map[0x6867] = 0x6864;
__mg_gbunicode_map[0x6868] = 0x6883; __mg_gbunicode_map[0x6869] = 0x681D;
__mg_gbunicode_map[0x686A] = 0x6855; __mg_gbunicode_map[0x686B] = 0x6866;
__mg_gbunicode_map[0x686C] = 0x6841; __mg_gbunicode_map[0x686D] = 0x6867;
__mg_gbunicode_map[0x686E] = 0x6840; __mg_gbunicode_map[0x686F] = 0x683E;
__mg_gbunicode_map[0x6870] = 0x684A; __mg_gbunicode_map[0x6871] = 0x6849;
__mg_gbunicode_map[0x6872] = 0x6829; __mg_gbunicode_map[0x6873] = 0x68B5;
__mg_gbunicode_map[0x6874] = 0x688F; __mg_gbunicode_map[0x6875] = 0x6874;
__mg_gbunicode_map[0x6876] = 0x6877; __mg_gbunicode_map[0x6877] = 0x6893;
__mg_gbunicode_map[0x6878] = 0x686B; __mg_gbunicode_map[0x6879] = 0x68C2;
__mg_gbunicode_map[0x687A] = 0x696E; __mg_gbunicode_map[0x687B] = 0x68FC;
__mg_gbunicode_map[0x687C] = 0x691F; __mg_gbunicode_map[0x687D] = 0x6920;
__mg_gbunicode_map[0x687E] = 0x68F9; __mg_gbunicode_map[0x6921] = 0x6924;
__mg_gbunicode_map[0x6922] = 0x68F0; __mg_gbunicode_map[0x6923] = 0x690B;
__mg_gbunicode_map[0x6924] = 0x6901; __mg_gbunicode_map[0x6925] = 0x6957;
__mg_gbunicode_map[0x6926] = 0x68E3; __mg_gbunicode_map[0x6927] = 0x6910;
__mg_gbunicode_map[0x6928] = 0x6971; __mg_gbunicode_map[0x6929] = 0x6939;
__mg_gbunicode_map[0x692A] = 0x6960; __mg_gbunicode_map[0x692B] = 0x6942;
__mg_gbunicode_map[0x692C] = 0x695D; __mg_gbunicode_map[0x692D] = 0x6984;
__mg_gbunicode_map[0x692E] = 0x696B; __mg_gbunicode_map[0x692F] = 0x6980;
__mg_gbunicode_map[0x6930] = 0x6998; __mg_gbunicode_map[0x6931] = 0x6978;
__mg_gbunicode_map[0x6932] = 0x6934; __mg_gbunicode_map[0x6933] = 0x69CC;
__mg_gbunicode_map[0x6934] = 0x6987; __mg_gbunicode_map[0x6935] = 0x6988;
__mg_gbunicode_map[0x6936] = 0x69CE; __mg_gbunicode_map[0x6937] = 0x6989;
__mg_gbunicode_map[0x6938] = 0x6966; __mg_gbunicode_map[0x6939] = 0x6963;
__mg_gbunicode_map[0x693A] = 0x6979; __mg_gbunicode_map[0x693B] = 0x699B;
__mg_gbunicode_map[0x693C] = 0x69A7; __mg_gbunicode_map[0x693D] = 0x69BB;
__mg_gbunicode_map[0x693E] = 0x69AB; __mg_gbunicode_map[0x693F] = 0x69AD;
__mg_gbunicode_map[0x6940] = 0x69D4; __mg_gbunicode_map[0x6941] = 0x69B1;
__mg_gbunicode_map[0x6942] = 0x69C1; __mg_gbunicode_map[0x6943] = 0x69CA;
__mg_gbunicode_map[0x6944] = 0x69DF; __mg_gbunicode_map[0x6945] = 0x6995;
__mg_gbunicode_map[0x6946] = 0x69E0; __mg_gbunicode_map[0x6947] = 0x698D;
__mg_gbunicode_map[0x6948] = 0x69FF; __mg_gbunicode_map[0x6949] = 0x6A2F;
__mg_gbunicode_map[0x694A] = 0x69ED; __mg_gbunicode_map[0x694B] = 0x6A17;
__mg_gbunicode_map[0x694C] = 0x6A18; __mg_gbunicode_map[0x694D] = 0x6A65;
__mg_gbunicode_map[0x694E] = 0x69F2; __mg_gbunicode_map[0x694F] = 0x6A44;
__mg_gbunicode_map[0x6950] = 0x6A3E; __mg_gbunicode_map[0x6951] = 0x6AA0;
__mg_gbunicode_map[0x6952] = 0x6A50; __mg_gbunicode_map[0x6953] = 0x6A5B;
__mg_gbunicode_map[0x6954] = 0x6A35; __mg_gbunicode_map[0x6955] = 0x6A8E;
__mg_gbunicode_map[0x6956] = 0x6A79; __mg_gbunicode_map[0x6957] = 0x6A3D;
__mg_gbunicode_map[0x6958] = 0x6A28; __mg_gbunicode_map[0x6959] = 0x6A58;
__mg_gbunicode_map[0x695A] = 0x6A7C; __mg_gbunicode_map[0x695B] = 0x6A91;
__mg_gbunicode_map[0x695C] = 0x6A90; __mg_gbunicode_map[0x695D] = 0x6AA9;
__mg_gbunicode_map[0x695E] = 0x6A97; __mg_gbunicode_map[0x695F] = 0x6AAB;
__mg_gbunicode_map[0x6960] = 0x7337; __mg_gbunicode_map[0x6961] = 0x7352;
__mg_gbunicode_map[0x6962] = 0x6B81; __mg_gbunicode_map[0x6963] = 0x6B82;
__mg_gbunicode_map[0x6964] = 0x6B87; __mg_gbunicode_map[0x6965] = 0x6B84;
__mg_gbunicode_map[0x6966] = 0x6B92; __mg_gbunicode_map[0x6967] = 0x6B93;
__mg_gbunicode_map[0x6968] = 0x6B8D; __mg_gbunicode_map[0x6969] = 0x6B9A;
__mg_gbunicode_map[0x696A] = 0x6B9B; __mg_gbunicode_map[0x696B] = 0x6BA1;
__mg_gbunicode_map[0x696C] = 0x6BAA; __mg_gbunicode_map[0x696D] = 0x8F6B;
__mg_gbunicode_map[0x696E] = 0x8F6D; __mg_gbunicode_map[0x696F] = 0x8F71;
__mg_gbunicode_map[0x6970] = 0x8F72; __mg_gbunicode_map[0x6971] = 0x8F73;
__mg_gbunicode_map[0x6972] = 0x8F75; __mg_gbunicode_map[0x6973] = 0x8F76;
__mg_gbunicode_map[0x6974] = 0x8F78; __mg_gbunicode_map[0x6975] = 0x8F77;
__mg_gbunicode_map[0x6976] = 0x8F79; __mg_gbunicode_map[0x6977] = 0x8F7A;
__mg_gbunicode_map[0x6978] = 0x8F7C; __mg_gbunicode_map[0x6979] = 0x8F7E;
__mg_gbunicode_map[0x697A] = 0x8F81; __mg_gbunicode_map[0x697B] = 0x8F82;
__mg_gbunicode_map[0x697C] = 0x8F84; __mg_gbunicode_map[0x697D] = 0x8F87;
__mg_gbunicode_map[0x697E] = 0x8F8B; __mg_gbunicode_map[0x6A21] = 0x8F8D;
__mg_gbunicode_map[0x6A22] = 0x8F8E; __mg_gbunicode_map[0x6A23] = 0x8F8F;
__mg_gbunicode_map[0x6A24] = 0x8F98; __mg_gbunicode_map[0x6A25] = 0x8F9A;
__mg_gbunicode_map[0x6A26] = 0x8ECE; __mg_gbunicode_map[0x6A27] = 0x620B;
__mg_gbunicode_map[0x6A28] = 0x6217; __mg_gbunicode_map[0x6A29] = 0x621B;
__mg_gbunicode_map[0x6A2A] = 0x621F; __mg_gbunicode_map[0x6A2B] = 0x6222;
__mg_gbunicode_map[0x6A2C] = 0x6221; __mg_gbunicode_map[0x6A2D] = 0x6225;
__mg_gbunicode_map[0x6A2E] = 0x6224; __mg_gbunicode_map[0x6A2F] = 0x622C;
__mg_gbunicode_map[0x6A30] = 0x81E7; __mg_gbunicode_map[0x6A31] = 0x74EF;
__mg_gbunicode_map[0x6A32] = 0x74F4; __mg_gbunicode_map[0x6A33] = 0x74FF;
__mg_gbunicode_map[0x6A34] = 0x750F; __mg_gbunicode_map[0x6A35] = 0x7511;
__mg_gbunicode_map[0x6A36] = 0x7513; __mg_gbunicode_map[0x6A37] = 0x6534;
__mg_gbunicode_map[0x6A38] = 0x65EE; __mg_gbunicode_map[0x6A39] = 0x65EF;
__mg_gbunicode_map[0x6A3A] = 0x65F0; __mg_gbunicode_map[0x6A3B] = 0x660A;
__mg_gbunicode_map[0x6A3C] = 0x6619; __mg_gbunicode_map[0x6A3D] = 0x6772;
__mg_gbunicode_map[0x6A3E] = 0x6603; __mg_gbunicode_map[0x6A3F] = 0x6615;
__mg_gbunicode_map[0x6A40] = 0x6600; __mg_gbunicode_map[0x6A41] = 0x7085;
__mg_gbunicode_map[0x6A42] = 0x66F7; __mg_gbunicode_map[0x6A43] = 0x661D;
__mg_gbunicode_map[0x6A44] = 0x6634; __mg_gbunicode_map[0x6A45] = 0x6631;
__mg_gbunicode_map[0x6A46] = 0x6636; __mg_gbunicode_map[0x6A47] = 0x6635;
__mg_gbunicode_map[0x6A48] = 0x8006; __mg_gbunicode_map[0x6A49] = 0x665F;
__mg_gbunicode_map[0x6A4A] = 0x6654; __mg_gbunicode_map[0x6A4B] = 0x6641;
__mg_gbunicode_map[0x6A4C] = 0x664F; __mg_gbunicode_map[0x6A4D] = 0x6656;
__mg_gbunicode_map[0x6A4E] = 0x6661; __mg_gbunicode_map[0x6A4F] = 0x6657;
__mg_gbunicode_map[0x6A50] = 0x6677; __mg_gbunicode_map[0x6A51] = 0x6684;
__mg_gbunicode_map[0x6A52] = 0x668C; __mg_gbunicode_map[0x6A53] = 0x66A7;
__mg_gbunicode_map[0x6A54] = 0x669D; __mg_gbunicode_map[0x6A55] = 0x66BE;
__mg_gbunicode_map[0x6A56] = 0x66DB; __mg_gbunicode_map[0x6A57] = 0x66DC;
__mg_gbunicode_map[0x6A58] = 0x66E6; __mg_gbunicode_map[0x6A59] = 0x66E9;
__mg_gbunicode_map[0x6A5A] = 0x8D32; __mg_gbunicode_map[0x6A5B] = 0x8D33;
__mg_gbunicode_map[0x6A5C] = 0x8D36; __mg_gbunicode_map[0x6A5D] = 0x8D3B;
__mg_gbunicode_map[0x6A5E] = 0x8D3D; __mg_gbunicode_map[0x6A5F] = 0x8D40;
__mg_gbunicode_map[0x6A60] = 0x8D45; __mg_gbunicode_map[0x6A61] = 0x8D46;
__mg_gbunicode_map[0x6A62] = 0x8D48; __mg_gbunicode_map[0x6A63] = 0x8D49;
__mg_gbunicode_map[0x6A64] = 0x8D47; __mg_gbunicode_map[0x6A65] = 0x8D4D;
__mg_gbunicode_map[0x6A66] = 0x8D55; __mg_gbunicode_map[0x6A67] = 0x8D59;
__mg_gbunicode_map[0x6A68] = 0x89C7; __mg_gbunicode_map[0x6A69] = 0x89CA;
__mg_gbunicode_map[0x6A6A] = 0x89CB; __mg_gbunicode_map[0x6A6B] = 0x89CC;
__mg_gbunicode_map[0x6A6C] = 0x89CE; __mg_gbunicode_map[0x6A6D] = 0x89CF;
__mg_gbunicode_map[0x6A6E] = 0x89D0; __mg_gbunicode_map[0x6A6F] = 0x89D1;
__mg_gbunicode_map[0x6A70] = 0x726E; __mg_gbunicode_map[0x6A71] = 0x729F;
__mg_gbunicode_map[0x6A72] = 0x725D; __mg_gbunicode_map[0x6A73] = 0x7266;
__mg_gbunicode_map[0x6A74] = 0x726F; __mg_gbunicode_map[0x6A75] = 0x727E;
__mg_gbunicode_map[0x6A76] = 0x727F; __mg_gbunicode_map[0x6A77] = 0x7284;
__mg_gbunicode_map[0x6A78] = 0x728B; __mg_gbunicode_map[0x6A79] = 0x728D;
__mg_gbunicode_map[0x6A7A] = 0x728F; __mg_gbunicode_map[0x6A7B] = 0x7292;
__mg_gbunicode_map[0x6A7C] = 0x6308; __mg_gbunicode_map[0x6A7D] = 0x6332;
__mg_gbunicode_map[0x6A7E] = 0x63B0; __mg_gbunicode_map[0x6B21] = 0x643F;
__mg_gbunicode_map[0x6B22] = 0x64D8; __mg_gbunicode_map[0x6B23] = 0x8004;
__mg_gbunicode_map[0x6B24] = 0x6BEA; __mg_gbunicode_map[0x6B25] = 0x6BF3;
__mg_gbunicode_map[0x6B26] = 0x6BFD; __mg_gbunicode_map[0x6B27] = 0x6BF5;
__mg_gbunicode_map[0x6B28] = 0x6BF9; __mg_gbunicode_map[0x6B29] = 0x6C05;
__mg_gbunicode_map[0x6B2A] = 0x6C07; __mg_gbunicode_map[0x6B2B] = 0x6C06;
__mg_gbunicode_map[0x6B2C] = 0x6C0D; __mg_gbunicode_map[0x6B2D] = 0x6C15;
__mg_gbunicode_map[0x6B2E] = 0x6C18; __mg_gbunicode_map[0x6B2F] = 0x6C19;
__mg_gbunicode_map[0x6B30] = 0x6C1A; __mg_gbunicode_map[0x6B31] = 0x6C21;
__mg_gbunicode_map[0x6B32] = 0x6C29; __mg_gbunicode_map[0x6B33] = 0x6C24;
__mg_gbunicode_map[0x6B34] = 0x6C2A; __mg_gbunicode_map[0x6B35] = 0x6C32;
__mg_gbunicode_map[0x6B36] = 0x6535; __mg_gbunicode_map[0x6B37] = 0x6555;
__mg_gbunicode_map[0x6B38] = 0x656B; __mg_gbunicode_map[0x6B39] = 0x724D;
__mg_gbunicode_map[0x6B3A] = 0x7252; __mg_gbunicode_map[0x6B3B] = 0x7256;
__mg_gbunicode_map[0x6B3C] = 0x7230; __mg_gbunicode_map[0x6B3D] = 0x8662;
__mg_gbunicode_map[0x6B3E] = 0x5216; __mg_gbunicode_map[0x6B3F] = 0x809F;
__mg_gbunicode_map[0x6B40] = 0x809C; __mg_gbunicode_map[0x6B41] = 0x8093;
__mg_gbunicode_map[0x6B42] = 0x80BC; __mg_gbunicode_map[0x6B43] = 0x670A;
__mg_gbunicode_map[0x6B44] = 0x80BD; __mg_gbunicode_map[0x6B45] = 0x80B1;
__mg_gbunicode_map[0x6B46] = 0x80AB; __mg_gbunicode_map[0x6B47] = 0x80AD;
__mg_gbunicode_map[0x6B48] = 0x80B4; __mg_gbunicode_map[0x6B49] = 0x80B7;
__mg_gbunicode_map[0x6B4A] = 0x80E7; __mg_gbunicode_map[0x6B4B] = 0x80E8;
__mg_gbunicode_map[0x6B4C] = 0x80E9; __mg_gbunicode_map[0x6B4D] = 0x80EA;
__mg_gbunicode_map[0x6B4E] = 0x80DB; __mg_gbunicode_map[0x6B4F] = 0x80C2;
__mg_gbunicode_map[0x6B50] = 0x80C4; __mg_gbunicode_map[0x6B51] = 0x80D9;
__mg_gbunicode_map[0x6B52] = 0x80CD; __mg_gbunicode_map[0x6B53] = 0x80D7;
__mg_gbunicode_map[0x6B54] = 0x6710; __mg_gbunicode_map[0x6B55] = 0x80DD;
__mg_gbunicode_map[0x6B56] = 0x80EB; __mg_gbunicode_map[0x6B57] = 0x80F1;
__mg_gbunicode_map[0x6B58] = 0x80F4; __mg_gbunicode_map[0x6B59] = 0x80ED;
__mg_gbunicode_map[0x6B5A] = 0x810D; __mg_gbunicode_map[0x6B5B] = 0x810E;
__mg_gbunicode_map[0x6B5C] = 0x80F2; __mg_gbunicode_map[0x6B5D] = 0x80FC;
__mg_gbunicode_map[0x6B5E] = 0x6715; __mg_gbunicode_map[0x6B5F] = 0x8112;
__mg_gbunicode_map[0x6B60] = 0x8C5A; __mg_gbunicode_map[0x6B61] = 0x8136;
__mg_gbunicode_map[0x6B62] = 0x811E; __mg_gbunicode_map[0x6B63] = 0x812C;
__mg_gbunicode_map[0x6B64] = 0x8118; __mg_gbunicode_map[0x6B65] = 0x8132;
__mg_gbunicode_map[0x6B66] = 0x8148; __mg_gbunicode_map[0x6B67] = 0x814C;
__mg_gbunicode_map[0x6B68] = 0x8153; __mg_gbunicode_map[0x6B69] = 0x8174;
__mg_gbunicode_map[0x6B6A] = 0x8159; __mg_gbunicode_map[0x6B6B] = 0x815A;
__mg_gbunicode_map[0x6B6C] = 0x8171; __mg_gbunicode_map[0x6B6D] = 0x8160;
__mg_gbunicode_map[0x6B6E] = 0x8169; __mg_gbunicode_map[0x6B6F] = 0x817C;
__mg_gbunicode_map[0x6B70] = 0x817D; __mg_gbunicode_map[0x6B71] = 0x816D;
__mg_gbunicode_map[0x6B72] = 0x8167; __mg_gbunicode_map[0x6B73] = 0x584D;
__mg_gbunicode_map[0x6B74] = 0x5AB5; __mg_gbunicode_map[0x6B75] = 0x8188;
__mg_gbunicode_map[0x6B76] = 0x8182; __mg_gbunicode_map[0x6B77] = 0x8191;
__mg_gbunicode_map[0x6B78] = 0x6ED5; __mg_gbunicode_map[0x6B79] = 0x81A3;
__mg_gbunicode_map[0x6B7A] = 0x81AA; __mg_gbunicode_map[0x6B7B] = 0x81CC;
__mg_gbunicode_map[0x6B7C] = 0x6726; __mg_gbunicode_map[0x6B7D] = 0x81CA;
__mg_gbunicode_map[0x6B7E] = 0x81BB; __mg_gbunicode_map[0x6C21] = 0x81C1;
__mg_gbunicode_map[0x6C22] = 0x81A6; __mg_gbunicode_map[0x6C23] = 0x6B24;
__mg_gbunicode_map[0x6C24] = 0x6B37; __mg_gbunicode_map[0x6C25] = 0x6B39;
__mg_gbunicode_map[0x6C26] = 0x6B43; __mg_gbunicode_map[0x6C27] = 0x6B46;
__mg_gbunicode_map[0x6C28] = 0x6B59; __mg_gbunicode_map[0x6C29] = 0x98D1;
__mg_gbunicode_map[0x6C2A] = 0x98D2; __mg_gbunicode_map[0x6C2B] = 0x98D3;
__mg_gbunicode_map[0x6C2C] = 0x98D5; __mg_gbunicode_map[0x6C2D] = 0x98D9;
__mg_gbunicode_map[0x6C2E] = 0x98DA; __mg_gbunicode_map[0x6C2F] = 0x6BB3;
__mg_gbunicode_map[0x6C30] = 0x5F40; __mg_gbunicode_map[0x6C31] = 0x6BC2;
__mg_gbunicode_map[0x6C32] = 0x89F3; __mg_gbunicode_map[0x6C33] = 0x6590;
__mg_gbunicode_map[0x6C34] = 0x9F51; __mg_gbunicode_map[0x6C35] = 0x6593;
__mg_gbunicode_map[0x6C36] = 0x65BC; __mg_gbunicode_map[0x6C37] = 0x65C6;
__mg_gbunicode_map[0x6C38] = 0x65C4; __mg_gbunicode_map[0x6C39] = 0x65C3;
__mg_gbunicode_map[0x6C3A] = 0x65CC; __mg_gbunicode_map[0x6C3B] = 0x65CE;
__mg_gbunicode_map[0x6C3C] = 0x65D2; __mg_gbunicode_map[0x6C3D] = 0x65D6;
__mg_gbunicode_map[0x6C3E] = 0x7080; __mg_gbunicode_map[0x6C3F] = 0x709C;
__mg_gbunicode_map[0x6C40] = 0x7096; __mg_gbunicode_map[0x6C41] = 0x709D;
__mg_gbunicode_map[0x6C42] = 0x70BB; __mg_gbunicode_map[0x6C43] = 0x70C0;
__mg_gbunicode_map[0x6C44] = 0x70B7; __mg_gbunicode_map[0x6C45] = 0x70AB;
__mg_gbunicode_map[0x6C46] = 0x70B1; __mg_gbunicode_map[0x6C47] = 0x70E8;
__mg_gbunicode_map[0x6C48] = 0x70CA; __mg_gbunicode_map[0x6C49] = 0x7110;
__mg_gbunicode_map[0x6C4A] = 0x7113; __mg_gbunicode_map[0x6C4B] = 0x7116;
__mg_gbunicode_map[0x6C4C] = 0x712F; __mg_gbunicode_map[0x6C4D] = 0x7131;
__mg_gbunicode_map[0x6C4E] = 0x7173; __mg_gbunicode_map[0x6C4F] = 0x715C;
__mg_gbunicode_map[0x6C50] = 0x7168; __mg_gbunicode_map[0x6C51] = 0x7145;
__mg_gbunicode_map[0x6C52] = 0x7172; __mg_gbunicode_map[0x6C53] = 0x714A;
__mg_gbunicode_map[0x6C54] = 0x7178; __mg_gbunicode_map[0x6C55] = 0x717A;
__mg_gbunicode_map[0x6C56] = 0x7198; __mg_gbunicode_map[0x6C57] = 0x71B3;
__mg_gbunicode_map[0x6C58] = 0x71B5; __mg_gbunicode_map[0x6C59] = 0x71A8;
__mg_gbunicode_map[0x6C5A] = 0x71A0; __mg_gbunicode_map[0x6C5B] = 0x71E0;
__mg_gbunicode_map[0x6C5C] = 0x71D4; __mg_gbunicode_map[0x6C5D] = 0x71E7;
__mg_gbunicode_map[0x6C5E] = 0x71F9; __mg_gbunicode_map[0x6C5F] = 0x721D;
__mg_gbunicode_map[0x6C60] = 0x7228; __mg_gbunicode_map[0x6C61] = 0x706C;
__mg_gbunicode_map[0x6C62] = 0x7118; __mg_gbunicode_map[0x6C63] = 0x7166;
__mg_gbunicode_map[0x6C64] = 0x71B9; __mg_gbunicode_map[0x6C65] = 0x623E;
__mg_gbunicode_map[0x6C66] = 0x623D; __mg_gbunicode_map[0x6C67] = 0x6243;
__mg_gbunicode_map[0x6C68] = 0x6248; __mg_gbunicode_map[0x6C69] = 0x6249;
__mg_gbunicode_map[0x6C6A] = 0x793B; __mg_gbunicode_map[0x6C6B] = 0x7940;
__mg_gbunicode_map[0x6C6C] = 0x7946; __mg_gbunicode_map[0x6C6D] = 0x7949;
__mg_gbunicode_map[0x6C6E] = 0x795B; __mg_gbunicode_map[0x6C6F] = 0x795C;
__mg_gbunicode_map[0x6C70] = 0x7953; __mg_gbunicode_map[0x6C71] = 0x795A;
__mg_gbunicode_map[0x6C72] = 0x7962; __mg_gbunicode_map[0x6C73] = 0x7957;
__mg_gbunicode_map[0x6C74] = 0x7960; __mg_gbunicode_map[0x6C75] = 0x796F;
__mg_gbunicode_map[0x6C76] = 0x7967; __mg_gbunicode_map[0x6C77] = 0x797A;
__mg_gbunicode_map[0x6C78] = 0x7985; __mg_gbunicode_map[0x6C79] = 0x798A;
__mg_gbunicode_map[0x6C7A] = 0x799A; __mg_gbunicode_map[0x6C7B] = 0x79A7;
__mg_gbunicode_map[0x6C7C] = 0x79B3; __mg_gbunicode_map[0x6C7D] = 0x5FD1;
__mg_gbunicode_map[0x6C7E] = 0x5FD0; __mg_gbunicode_map[0x6D21] = 0x603C;
__mg_gbunicode_map[0x6D22] = 0x605D; __mg_gbunicode_map[0x6D23] = 0x605A;
__mg_gbunicode_map[0x6D24] = 0x6067; __mg_gbunicode_map[0x6D25] = 0x6041;
__mg_gbunicode_map[0x6D26] = 0x6059; __mg_gbunicode_map[0x6D27] = 0x6063;
__mg_gbunicode_map[0x6D28] = 0x60AB; __mg_gbunicode_map[0x6D29] = 0x6106;
__mg_gbunicode_map[0x6D2A] = 0x610D; __mg_gbunicode_map[0x6D2B] = 0x615D;
__mg_gbunicode_map[0x6D2C] = 0x61A9; __mg_gbunicode_map[0x6D2D] = 0x619D;
__mg_gbunicode_map[0x6D2E] = 0x61CB; __mg_gbunicode_map[0x6D2F] = 0x61D1;
__mg_gbunicode_map[0x6D30] = 0x6206; __mg_gbunicode_map[0x6D31] = 0x8080;
__mg_gbunicode_map[0x6D32] = 0x807F; __mg_gbunicode_map[0x6D33] = 0x6C93;
__mg_gbunicode_map[0x6D34] = 0x6CF6; __mg_gbunicode_map[0x6D35] = 0x6DFC;
__mg_gbunicode_map[0x6D36] = 0x77F6; __mg_gbunicode_map[0x6D37] = 0x77F8;
__mg_gbunicode_map[0x6D38] = 0x7800; __mg_gbunicode_map[0x6D39] = 0x7809;
__mg_gbunicode_map[0x6D3A] = 0x7817; __mg_gbunicode_map[0x6D3B] = 0x7818;
__mg_gbunicode_map[0x6D3C] = 0x7811; __mg_gbunicode_map[0x6D3D] = 0x65AB;
__mg_gbunicode_map[0x6D3E] = 0x782D; __mg_gbunicode_map[0x6D3F] = 0x781C;
__mg_gbunicode_map[0x6D40] = 0x781D; __mg_gbunicode_map[0x6D41] = 0x7839;
__mg_gbunicode_map[0x6D42] = 0x783A; __mg_gbunicode_map[0x6D43] = 0x783B;
__mg_gbunicode_map[0x6D44] = 0x781F; __mg_gbunicode_map[0x6D45] = 0x783C;
__mg_gbunicode_map[0x6D46] = 0x7825; __mg_gbunicode_map[0x6D47] = 0x782C;
__mg_gbunicode_map[0x6D48] = 0x7823; __mg_gbunicode_map[0x6D49] = 0x7829;
__mg_gbunicode_map[0x6D4A] = 0x784E; __mg_gbunicode_map[0x6D4B] = 0x786D;
__mg_gbunicode_map[0x6D4C] = 0x7856; __mg_gbunicode_map[0x6D4D] = 0x7857;
__mg_gbunicode_map[0x6D4E] = 0x7826; __mg_gbunicode_map[0x6D4F] = 0x7850;
__mg_gbunicode_map[0x6D50] = 0x7847; __mg_gbunicode_map[0x6D51] = 0x784C;
__mg_gbunicode_map[0x6D52] = 0x786A; __mg_gbunicode_map[0x6D53] = 0x789B;
__mg_gbunicode_map[0x6D54] = 0x7893; __mg_gbunicode_map[0x6D55] = 0x789A;
__mg_gbunicode_map[0x6D56] = 0x7887; __mg_gbunicode_map[0x6D57] = 0x789C;
__mg_gbunicode_map[0x6D58] = 0x78A1; __mg_gbunicode_map[0x6D59] = 0x78A3;
__mg_gbunicode_map[0x6D5A] = 0x78B2; __mg_gbunicode_map[0x6D5B] = 0x78B9;
__mg_gbunicode_map[0x6D5C] = 0x78A5; __mg_gbunicode_map[0x6D5D] = 0x78D4;
__mg_gbunicode_map[0x6D5E] = 0x78D9; __mg_gbunicode_map[0x6D5F] = 0x78C9;
__mg_gbunicode_map[0x6D60] = 0x78EC; __mg_gbunicode_map[0x6D61] = 0x78F2;
__mg_gbunicode_map[0x6D62] = 0x7905; __mg_gbunicode_map[0x6D63] = 0x78F4;
__mg_gbunicode_map[0x6D64] = 0x7913; __mg_gbunicode_map[0x6D65] = 0x7924;
__mg_gbunicode_map[0x6D66] = 0x791E; __mg_gbunicode_map[0x6D67] = 0x7934;
__mg_gbunicode_map[0x6D68] = 0x9F9B; __mg_gbunicode_map[0x6D69] = 0x9EF9;
__mg_gbunicode_map[0x6D6A] = 0x9EFB; __mg_gbunicode_map[0x6D6B] = 0x9EFC;
__mg_gbunicode_map[0x6D6C] = 0x76F1; __mg_gbunicode_map[0x6D6D] = 0x7704;
__mg_gbunicode_map[0x6D6E] = 0x770D; __mg_gbunicode_map[0x6D6F] = 0x76F9;
__mg_gbunicode_map[0x6D70] = 0x7707; __mg_gbunicode_map[0x6D71] = 0x7708;
__mg_gbunicode_map[0x6D72] = 0x771A; __mg_gbunicode_map[0x6D73] = 0x7722;
__mg_gbunicode_map[0x6D74] = 0x7719; __mg_gbunicode_map[0x6D75] = 0x772D;
__mg_gbunicode_map[0x6D76] = 0x7726; __mg_gbunicode_map[0x6D77] = 0x7735;
__mg_gbunicode_map[0x6D78] = 0x7738; __mg_gbunicode_map[0x6D79] = 0x7750;
__mg_gbunicode_map[0x6D7A] = 0x7751; __mg_gbunicode_map[0x6D7B] = 0x7747;
__mg_gbunicode_map[0x6D7C] = 0x7743; __mg_gbunicode_map[0x6D7D] = 0x775A;
__mg_gbunicode_map[0x6D7E] = 0x7768; __mg_gbunicode_map[0x6E21] = 0x7762;
__mg_gbunicode_map[0x6E22] = 0x7765; __mg_gbunicode_map[0x6E23] = 0x777F;
__mg_gbunicode_map[0x6E24] = 0x778D; __mg_gbunicode_map[0x6E25] = 0x777D;
__mg_gbunicode_map[0x6E26] = 0x7780; __mg_gbunicode_map[0x6E27] = 0x778C;
__mg_gbunicode_map[0x6E28] = 0x7791; __mg_gbunicode_map[0x6E29] = 0x779F;
__mg_gbunicode_map[0x6E2A] = 0x77A0; __mg_gbunicode_map[0x6E2B] = 0x77B0;
__mg_gbunicode_map[0x6E2C] = 0x77B5; __mg_gbunicode_map[0x6E2D] = 0x77BD;
__mg_gbunicode_map[0x6E2E] = 0x753A; __mg_gbunicode_map[0x6E2F] = 0x7540;
__mg_gbunicode_map[0x6E30] = 0x754E; __mg_gbunicode_map[0x6E31] = 0x754B;
__mg_gbunicode_map[0x6E32] = 0x7548; __mg_gbunicode_map[0x6E33] = 0x755B;
__mg_gbunicode_map[0x6E34] = 0x7572; __mg_gbunicode_map[0x6E35] = 0x7579;
__mg_gbunicode_map[0x6E36] = 0x7583; __mg_gbunicode_map[0x6E37] = 0x7F58;
__mg_gbunicode_map[0x6E38] = 0x7F61; __mg_gbunicode_map[0x6E39] = 0x7F5F;
__mg_gbunicode_map[0x6E3A] = 0x8A48; __mg_gbunicode_map[0x6E3B] = 0x7F68;
__mg_gbunicode_map[0x6E3C] = 0x7F74; __mg_gbunicode_map[0x6E3D] = 0x7F71;
__mg_gbunicode_map[0x6E3E] = 0x7F79; __mg_gbunicode_map[0x6E3F] = 0x7F81;
__mg_gbunicode_map[0x6E40] = 0x7F7E; __mg_gbunicode_map[0x6E41] = 0x76CD;
__mg_gbunicode_map[0x6E42] = 0x76E5; __mg_gbunicode_map[0x6E43] = 0x8832;
__mg_gbunicode_map[0x6E44] = 0x9485; __mg_gbunicode_map[0x6E45] = 0x9486;
__mg_gbunicode_map[0x6E46] = 0x9487; __mg_gbunicode_map[0x6E47] = 0x948B;
__mg_gbunicode_map[0x6E48] = 0x948A; __mg_gbunicode_map[0x6E49] = 0x948C;
__mg_gbunicode_map[0x6E4A] = 0x948D; __mg_gbunicode_map[0x6E4B] = 0x948F;
__mg_gbunicode_map[0x6E4C] = 0x9490; __mg_gbunicode_map[0x6E4D] = 0x9494;
__mg_gbunicode_map[0x6E4E] = 0x9497; __mg_gbunicode_map[0x6E4F] = 0x9495;
__mg_gbunicode_map[0x6E50] = 0x949A; __mg_gbunicode_map[0x6E51] = 0x949B;
__mg_gbunicode_map[0x6E52] = 0x949C; __mg_gbunicode_map[0x6E53] = 0x94A3;
__mg_gbunicode_map[0x6E54] = 0x94A4; __mg_gbunicode_map[0x6E55] = 0x94AB;
__mg_gbunicode_map[0x6E56] = 0x94AA; __mg_gbunicode_map[0x6E57] = 0x94AD;
__mg_gbunicode_map[0x6E58] = 0x94AC; __mg_gbunicode_map[0x6E59] = 0x94AF;
__mg_gbunicode_map[0x6E5A] = 0x94B0; __mg_gbunicode_map[0x6E5B] = 0x94B2;
__mg_gbunicode_map[0x6E5C] = 0x94B4; __mg_gbunicode_map[0x6E5D] = 0x94B6;
__mg_gbunicode_map[0x6E5E] = 0x94B7; __mg_gbunicode_map[0x6E5F] = 0x94B8;
__mg_gbunicode_map[0x6E60] = 0x94B9; __mg_gbunicode_map[0x6E61] = 0x94BA;
__mg_gbunicode_map[0x6E62] = 0x94BC; __mg_gbunicode_map[0x6E63] = 0x94BD;
__mg_gbunicode_map[0x6E64] = 0x94BF; __mg_gbunicode_map[0x6E65] = 0x94C4;
__mg_gbunicode_map[0x6E66] = 0x94C8; __mg_gbunicode_map[0x6E67] = 0x94C9;
__mg_gbunicode_map[0x6E68] = 0x94CA; __mg_gbunicode_map[0x6E69] = 0x94CB;
__mg_gbunicode_map[0x6E6A] = 0x94CC; __mg_gbunicode_map[0x6E6B] = 0x94CD;
__mg_gbunicode_map[0x6E6C] = 0x94CE; __mg_gbunicode_map[0x6E6D] = 0x94D0;
__mg_gbunicode_map[0x6E6E] = 0x94D1; __mg_gbunicode_map[0x6E6F] = 0x94D2;
__mg_gbunicode_map[0x6E70] = 0x94D5; __mg_gbunicode_map[0x6E71] = 0x94D6;
__mg_gbunicode_map[0x6E72] = 0x94D7; __mg_gbunicode_map[0x6E73] = 0x94D9;
__mg_gbunicode_map[0x6E74] = 0x94D8; __mg_gbunicode_map[0x6E75] = 0x94DB;
__mg_gbunicode_map[0x6E76] = 0x94DE; __mg_gbunicode_map[0x6E77] = 0x94DF;
__mg_gbunicode_map[0x6E78] = 0x94E0; __mg_gbunicode_map[0x6E79] = 0x94E2;
__mg_gbunicode_map[0x6E7A] = 0x94E4; __mg_gbunicode_map[0x6E7B] = 0x94E5;
__mg_gbunicode_map[0x6E7C] = 0x94E7; __mg_gbunicode_map[0x6E7D] = 0x94E8;
__mg_gbunicode_map[0x6E7E] = 0x94EA; __mg_gbunicode_map[0x6F21] = 0x94E9;
__mg_gbunicode_map[0x6F22] = 0x94EB; __mg_gbunicode_map[0x6F23] = 0x94EE;
__mg_gbunicode_map[0x6F24] = 0x94EF; __mg_gbunicode_map[0x6F25] = 0x94F3;
__mg_gbunicode_map[0x6F26] = 0x94F4; __mg_gbunicode_map[0x6F27] = 0x94F5;
__mg_gbunicode_map[0x6F28] = 0x94F7; __mg_gbunicode_map[0x6F29] = 0x94F9;
__mg_gbunicode_map[0x6F2A] = 0x94FC; __mg_gbunicode_map[0x6F2B] = 0x94FD;
__mg_gbunicode_map[0x6F2C] = 0x94FF; __mg_gbunicode_map[0x6F2D] = 0x9503;
__mg_gbunicode_map[0x6F2E] = 0x9502; __mg_gbunicode_map[0x6F2F] = 0x9506;
__mg_gbunicode_map[0x6F30] = 0x9507; __mg_gbunicode_map[0x6F31] = 0x9509;
__mg_gbunicode_map[0x6F32] = 0x950A; __mg_gbunicode_map[0x6F33] = 0x950D;
__mg_gbunicode_map[0x6F34] = 0x950E; __mg_gbunicode_map[0x6F35] = 0x950F;
__mg_gbunicode_map[0x6F36] = 0x9512; __mg_gbunicode_map[0x6F37] = 0x9513;
__mg_gbunicode_map[0x6F38] = 0x9514; __mg_gbunicode_map[0x6F39] = 0x9515;
__mg_gbunicode_map[0x6F3A] = 0x9516; __mg_gbunicode_map[0x6F3B] = 0x9518;
__mg_gbunicode_map[0x6F3C] = 0x951B; __mg_gbunicode_map[0x6F3D] = 0x951D;
__mg_gbunicode_map[0x6F3E] = 0x951E; __mg_gbunicode_map[0x6F3F] = 0x951F;
__mg_gbunicode_map[0x6F40] = 0x9522; __mg_gbunicode_map[0x6F41] = 0x952A;
__mg_gbunicode_map[0x6F42] = 0x952B; __mg_gbunicode_map[0x6F43] = 0x9529;
__mg_gbunicode_map[0x6F44] = 0x952C; __mg_gbunicode_map[0x6F45] = 0x9531;
__mg_gbunicode_map[0x6F46] = 0x9532; __mg_gbunicode_map[0x6F47] = 0x9534;
__mg_gbunicode_map[0x6F48] = 0x9536; __mg_gbunicode_map[0x6F49] = 0x9537;
__mg_gbunicode_map[0x6F4A] = 0x9538; __mg_gbunicode_map[0x6F4B] = 0x953C;
__mg_gbunicode_map[0x6F4C] = 0x953E; __mg_gbunicode_map[0x6F4D] = 0x953F;
__mg_gbunicode_map[0x6F4E] = 0x9542; __mg_gbunicode_map[0x6F4F] = 0x9535;
__mg_gbunicode_map[0x6F50] = 0x9544; __mg_gbunicode_map[0x6F51] = 0x9545;
__mg_gbunicode_map[0x6F52] = 0x9546; __mg_gbunicode_map[0x6F53] = 0x9549;
__mg_gbunicode_map[0x6F54] = 0x954C; __mg_gbunicode_map[0x6F55] = 0x954E;
__mg_gbunicode_map[0x6F56] = 0x954F; __mg_gbunicode_map[0x6F57] = 0x9552;
__mg_gbunicode_map[0x6F58] = 0x9553; __mg_gbunicode_map[0x6F59] = 0x9554;
__mg_gbunicode_map[0x6F5A] = 0x9556; __mg_gbunicode_map[0x6F5B] = 0x9557;
__mg_gbunicode_map[0x6F5C] = 0x9558; __mg_gbunicode_map[0x6F5D] = 0x9559;
__mg_gbunicode_map[0x6F5E] = 0x955B; __mg_gbunicode_map[0x6F5F] = 0x955E;
__mg_gbunicode_map[0x6F60] = 0x955F; __mg_gbunicode_map[0x6F61] = 0x955D;
__mg_gbunicode_map[0x6F62] = 0x9561; __mg_gbunicode_map[0x6F63] = 0x9562;
__mg_gbunicode_map[0x6F64] = 0x9564; __mg_gbunicode_map[0x6F65] = 0x9565;
__mg_gbunicode_map[0x6F66] = 0x9566; __mg_gbunicode_map[0x6F67] = 0x9567;
__mg_gbunicode_map[0x6F68] = 0x9568; __mg_gbunicode_map[0x6F69] = 0x9569;
__mg_gbunicode_map[0x6F6A] = 0x956A; __mg_gbunicode_map[0x6F6B] = 0x956B;
__mg_gbunicode_map[0x6F6C] = 0x956C; __mg_gbunicode_map[0x6F6D] = 0x956F;
__mg_gbunicode_map[0x6F6E] = 0x9571; __mg_gbunicode_map[0x6F6F] = 0x9572;
__mg_gbunicode_map[0x6F70] = 0x9573; __mg_gbunicode_map[0x6F71] = 0x953A;
__mg_gbunicode_map[0x6F72] = 0x77E7; __mg_gbunicode_map[0x6F73] = 0x77EC;
__mg_gbunicode_map[0x6F74] = 0x96C9; __mg_gbunicode_map[0x6F75] = 0x79D5;
__mg_gbunicode_map[0x6F76] = 0x79ED; __mg_gbunicode_map[0x6F77] = 0x79E3;
__mg_gbunicode_map[0x6F78] = 0x79EB; __mg_gbunicode_map[0x6F79] = 0x7A06;
__mg_gbunicode_map[0x6F7A] = 0x5D47; __mg_gbunicode_map[0x6F7B] = 0x7A03;
__mg_gbunicode_map[0x6F7C] = 0x7A02; __mg_gbunicode_map[0x6F7D] = 0x7A1E;
__mg_gbunicode_map[0x6F7E] = 0x7A14; __mg_gbunicode_map[0x7021] = 0x7A39;
__mg_gbunicode_map[0x7022] = 0x7A37; __mg_gbunicode_map[0x7023] = 0x7A51;
__mg_gbunicode_map[0x7024] = 0x9ECF; __mg_gbunicode_map[0x7025] = 0x99A5;
__mg_gbunicode_map[0x7026] = 0x7A70; __mg_gbunicode_map[0x7027] = 0x7688;
__mg_gbunicode_map[0x7028] = 0x768E; __mg_gbunicode_map[0x7029] = 0x7693;
__mg_gbunicode_map[0x702A] = 0x7699; __mg_gbunicode_map[0x702B] = 0x76A4;
__mg_gbunicode_map[0x702C] = 0x74DE; __mg_gbunicode_map[0x702D] = 0x74E0;
__mg_gbunicode_map[0x702E] = 0x752C; __mg_gbunicode_map[0x702F] = 0x9E20;
__mg_gbunicode_map[0x7030] = 0x9E22; __mg_gbunicode_map[0x7031] = 0x9E28;
__mg_gbunicode_map[0x7032] = 0x9E29; __mg_gbunicode_map[0x7033] = 0x9E2A;
__mg_gbunicode_map[0x7034] = 0x9E2B; __mg_gbunicode_map[0x7035] = 0x9E2C;
__mg_gbunicode_map[0x7036] = 0x9E32; __mg_gbunicode_map[0x7037] = 0x9E31;
__mg_gbunicode_map[0x7038] = 0x9E36; __mg_gbunicode_map[0x7039] = 0x9E38;
__mg_gbunicode_map[0x703A] = 0x9E37; __mg_gbunicode_map[0x703B] = 0x9E39;
__mg_gbunicode_map[0x703C] = 0x9E3A; __mg_gbunicode_map[0x703D] = 0x9E3E;
__mg_gbunicode_map[0x703E] = 0x9E41; __mg_gbunicode_map[0x703F] = 0x9E42;
__mg_gbunicode_map[0x7040] = 0x9E44; __mg_gbunicode_map[0x7041] = 0x9E46;
__mg_gbunicode_map[0x7042] = 0x9E47; __mg_gbunicode_map[0x7043] = 0x9E48;
__mg_gbunicode_map[0x7044] = 0x9E49; __mg_gbunicode_map[0x7045] = 0x9E4B;
__mg_gbunicode_map[0x7046] = 0x9E4C; __mg_gbunicode_map[0x7047] = 0x9E4E;
__mg_gbunicode_map[0x7048] = 0x9E51; __mg_gbunicode_map[0x7049] = 0x9E55;
__mg_gbunicode_map[0x704A] = 0x9E57; __mg_gbunicode_map[0x704B] = 0x9E5A;
__mg_gbunicode_map[0x704C] = 0x9E5B; __mg_gbunicode_map[0x704D] = 0x9E5C;
__mg_gbunicode_map[0x704E] = 0x9E5E; __mg_gbunicode_map[0x704F] = 0x9E63;
__mg_gbunicode_map[0x7050] = 0x9E66; __mg_gbunicode_map[0x7051] = 0x9E67;
__mg_gbunicode_map[0x7052] = 0x9E68; __mg_gbunicode_map[0x7053] = 0x9E69;
__mg_gbunicode_map[0x7054] = 0x9E6A; __mg_gbunicode_map[0x7055] = 0x9E6B;
__mg_gbunicode_map[0x7056] = 0x9E6C; __mg_gbunicode_map[0x7057] = 0x9E71;
__mg_gbunicode_map[0x7058] = 0x9E6D; __mg_gbunicode_map[0x7059] = 0x9E73;
__mg_gbunicode_map[0x705A] = 0x7592; __mg_gbunicode_map[0x705B] = 0x7594;
__mg_gbunicode_map[0x705C] = 0x7596; __mg_gbunicode_map[0x705D] = 0x75A0;
__mg_gbunicode_map[0x705E] = 0x759D; __mg_gbunicode_map[0x705F] = 0x75AC;
__mg_gbunicode_map[0x7060] = 0x75A3; __mg_gbunicode_map[0x7061] = 0x75B3;
__mg_gbunicode_map[0x7062] = 0x75B4; __mg_gbunicode_map[0x7063] = 0x75B8;
__mg_gbunicode_map[0x7064] = 0x75C4; __mg_gbunicode_map[0x7065] = 0x75B1;
__mg_gbunicode_map[0x7066] = 0x75B0; __mg_gbunicode_map[0x7067] = 0x75C3;
__mg_gbunicode_map[0x7068] = 0x75C2; __mg_gbunicode_map[0x7069] = 0x75D6;
__mg_gbunicode_map[0x706A] = 0x75CD; __mg_gbunicode_map[0x706B] = 0x75E3;
__mg_gbunicode_map[0x706C] = 0x75E8; __mg_gbunicode_map[0x706D] = 0x75E6;
__mg_gbunicode_map[0x706E] = 0x75E4; __mg_gbunicode_map[0x706F] = 0x75EB;
__mg_gbunicode_map[0x7070] = 0x75E7; __mg_gbunicode_map[0x7071] = 0x7603;
__mg_gbunicode_map[0x7072] = 0x75F1; __mg_gbunicode_map[0x7073] = 0x75FC;
__mg_gbunicode_map[0x7074] = 0x75FF; __mg_gbunicode_map[0x7075] = 0x7610;
__mg_gbunicode_map[0x7076] = 0x7600; __mg_gbunicode_map[0x7077] = 0x7605;
__mg_gbunicode_map[0x7078] = 0x760C; __mg_gbunicode_map[0x7079] = 0x7617;
__mg_gbunicode_map[0x707A] = 0x760A; __mg_gbunicode_map[0x707B] = 0x7625;
__mg_gbunicode_map[0x707C] = 0x7618; __mg_gbunicode_map[0x707D] = 0x7615;
__mg_gbunicode_map[0x707E] = 0x7619; __mg_gbunicode_map[0x7121] = 0x761B;
__mg_gbunicode_map[0x7122] = 0x763C; __mg_gbunicode_map[0x7123] = 0x7622;
__mg_gbunicode_map[0x7124] = 0x7620; __mg_gbunicode_map[0x7125] = 0x7640;
__mg_gbunicode_map[0x7126] = 0x762D; __mg_gbunicode_map[0x7127] = 0x7630;
__mg_gbunicode_map[0x7128] = 0x763F; __mg_gbunicode_map[0x7129] = 0x7635;
__mg_gbunicode_map[0x712A] = 0x7643; __mg_gbunicode_map[0x712B] = 0x763E;
__mg_gbunicode_map[0x712C] = 0x7633; __mg_gbunicode_map[0x712D] = 0x764D;
__mg_gbunicode_map[0x712E] = 0x765E; __mg_gbunicode_map[0x712F] = 0x7654;
__mg_gbunicode_map[0x7130] = 0x765C; __mg_gbunicode_map[0x7131] = 0x7656;
__mg_gbunicode_map[0x7132] = 0x766B; __mg_gbunicode_map[0x7133] = 0x766F;
__mg_gbunicode_map[0x7134] = 0x7FCA; __mg_gbunicode_map[0x7135] = 0x7AE6;
__mg_gbunicode_map[0x7136] = 0x7A78; __mg_gbunicode_map[0x7137] = 0x7A79;
__mg_gbunicode_map[0x7138] = 0x7A80; __mg_gbunicode_map[0x7139] = 0x7A86;
__mg_gbunicode_map[0x713A] = 0x7A88; __mg_gbunicode_map[0x713B] = 0x7A95;
__mg_gbunicode_map[0x713C] = 0x7AA6; __mg_gbunicode_map[0x713D] = 0x7AA0;
__mg_gbunicode_map[0x713E] = 0x7AAC; __mg_gbunicode_map[0x713F] = 0x7AA8;
__mg_gbunicode_map[0x7140] = 0x7AAD; __mg_gbunicode_map[0x7141] = 0x7AB3;
__mg_gbunicode_map[0x7142] = 0x8864; __mg_gbunicode_map[0x7143] = 0x8869;
__mg_gbunicode_map[0x7144] = 0x8872; __mg_gbunicode_map[0x7145] = 0x887D;
__mg_gbunicode_map[0x7146] = 0x887F; __mg_gbunicode_map[0x7147] = 0x8882;
__mg_gbunicode_map[0x7148] = 0x88A2; __mg_gbunicode_map[0x7149] = 0x88C6;
__mg_gbunicode_map[0x714A] = 0x88B7; __mg_gbunicode_map[0x714B] = 0x88BC;
__mg_gbunicode_map[0x714C] = 0x88C9; __mg_gbunicode_map[0x714D] = 0x88E2;
__mg_gbunicode_map[0x714E] = 0x88CE; __mg_gbunicode_map[0x714F] = 0x88E3;
__mg_gbunicode_map[0x7150] = 0x88E5; __mg_gbunicode_map[0x7151] = 0x88F1;
__mg_gbunicode_map[0x7152] = 0x891A; __mg_gbunicode_map[0x7153] = 0x88FC;
__mg_gbunicode_map[0x7154] = 0x88E8; __mg_gbunicode_map[0x7155] = 0x88FE;
__mg_gbunicode_map[0x7156] = 0x88F0; __mg_gbunicode_map[0x7157] = 0x8921;
__mg_gbunicode_map[0x7158] = 0x8919; __mg_gbunicode_map[0x7159] = 0x8913;
__mg_gbunicode_map[0x715A] = 0x891B; __mg_gbunicode_map[0x715B] = 0x890A;
__mg_gbunicode_map[0x715C] = 0x8934; __mg_gbunicode_map[0x715D] = 0x892B;
__mg_gbunicode_map[0x715E] = 0x8936; __mg_gbunicode_map[0x715F] = 0x8941;
__mg_gbunicode_map[0x7160] = 0x8966; __mg_gbunicode_map[0x7161] = 0x897B;
__mg_gbunicode_map[0x7162] = 0x758B; __mg_gbunicode_map[0x7163] = 0x80E5;
__mg_gbunicode_map[0x7164] = 0x76B2; __mg_gbunicode_map[0x7165] = 0x76B4;
__mg_gbunicode_map[0x7166] = 0x77DC; __mg_gbunicode_map[0x7167] = 0x8012;
__mg_gbunicode_map[0x7168] = 0x8014; __mg_gbunicode_map[0x7169] = 0x8016;
__mg_gbunicode_map[0x716A] = 0x801C; __mg_gbunicode_map[0x716B] = 0x8020;
__mg_gbunicode_map[0x716C] = 0x8022; __mg_gbunicode_map[0x716D] = 0x8025;
__mg_gbunicode_map[0x716E] = 0x8026; __mg_gbunicode_map[0x716F] = 0x8027;
__mg_gbunicode_map[0x7170] = 0x8029; __mg_gbunicode_map[0x7171] = 0x8028;
__mg_gbunicode_map[0x7172] = 0x8031; __mg_gbunicode_map[0x7173] = 0x800B;
__mg_gbunicode_map[0x7174] = 0x8035; __mg_gbunicode_map[0x7175] = 0x8043;
__mg_gbunicode_map[0x7176] = 0x8046; __mg_gbunicode_map[0x7177] = 0x804D;
__mg_gbunicode_map[0x7178] = 0x8052; __mg_gbunicode_map[0x7179] = 0x8069;
__mg_gbunicode_map[0x717A] = 0x8071; __mg_gbunicode_map[0x717B] = 0x8983;
__mg_gbunicode_map[0x717C] = 0x9878; __mg_gbunicode_map[0x717D] = 0x9880;
__mg_gbunicode_map[0x717E] = 0x9883; __mg_gbunicode_map[0x7221] = 0x9889;
__mg_gbunicode_map[0x7222] = 0x988C; __mg_gbunicode_map[0x7223] = 0x988D;
__mg_gbunicode_map[0x7224] = 0x988F; __mg_gbunicode_map[0x7225] = 0x9894;
__mg_gbunicode_map[0x7226] = 0x989A; __mg_gbunicode_map[0x7227] = 0x989B;
__mg_gbunicode_map[0x7228] = 0x989E; __mg_gbunicode_map[0x7229] = 0x989F;
__mg_gbunicode_map[0x722A] = 0x98A1; __mg_gbunicode_map[0x722B] = 0x98A2;
__mg_gbunicode_map[0x722C] = 0x98A5; __mg_gbunicode_map[0x722D] = 0x98A6;
__mg_gbunicode_map[0x722E] = 0x864D; __mg_gbunicode_map[0x722F] = 0x8654;
__mg_gbunicode_map[0x7230] = 0x866C; __mg_gbunicode_map[0x7231] = 0x866E;
__mg_gbunicode_map[0x7232] = 0x867F; __mg_gbunicode_map[0x7233] = 0x867A;
__mg_gbunicode_map[0x7234] = 0x867C; __mg_gbunicode_map[0x7235] = 0x867B;
__mg_gbunicode_map[0x7236] = 0x86A8; __mg_gbunicode_map[0x7237] = 0x868D;
__mg_gbunicode_map[0x7238] = 0x868B; __mg_gbunicode_map[0x7239] = 0x86AC;
__mg_gbunicode_map[0x723A] = 0x869D; __mg_gbunicode_map[0x723B] = 0x86A7;
__mg_gbunicode_map[0x723C] = 0x86A3; __mg_gbunicode_map[0x723D] = 0x86AA;
__mg_gbunicode_map[0x723E] = 0x8693; __mg_gbunicode_map[0x723F] = 0x86A9;
__mg_gbunicode_map[0x7240] = 0x86B6; __mg_gbunicode_map[0x7241] = 0x86C4;
__mg_gbunicode_map[0x7242] = 0x86B5; __mg_gbunicode_map[0x7243] = 0x86CE;
__mg_gbunicode_map[0x7244] = 0x86B0; __mg_gbunicode_map[0x7245] = 0x86BA;
__mg_gbunicode_map[0x7246] = 0x86B1; __mg_gbunicode_map[0x7247] = 0x86AF;
__mg_gbunicode_map[0x7248] = 0x86C9; __mg_gbunicode_map[0x7249] = 0x86CF;
__mg_gbunicode_map[0x724A] = 0x86B4; __mg_gbunicode_map[0x724B] = 0x86E9;
__mg_gbunicode_map[0x724C] = 0x86F1; __mg_gbunicode_map[0x724D] = 0x86F2;
__mg_gbunicode_map[0x724E] = 0x86ED; __mg_gbunicode_map[0x724F] = 0x86F3;
__mg_gbunicode_map[0x7250] = 0x86D0; __mg_gbunicode_map[0x7251] = 0x8713;
__mg_gbunicode_map[0x7252] = 0x86DE; __mg_gbunicode_map[0x7253] = 0x86F4;
__mg_gbunicode_map[0x7254] = 0x86DF; __mg_gbunicode_map[0x7255] = 0x86D8;
__mg_gbunicode_map[0x7256] = 0x86D1; __mg_gbunicode_map[0x7257] = 0x8703;
__mg_gbunicode_map[0x7258] = 0x8707; __mg_gbunicode_map[0x7259] = 0x86F8;
__mg_gbunicode_map[0x725A] = 0x8708; __mg_gbunicode_map[0x725B] = 0x870A;
__mg_gbunicode_map[0x725C] = 0x870D; __mg_gbunicode_map[0x725D] = 0x8709;
__mg_gbunicode_map[0x725E] = 0x8723; __mg_gbunicode_map[0x725F] = 0x873B;
__mg_gbunicode_map[0x7260] = 0x871E; __mg_gbunicode_map[0x7261] = 0x8725;
__mg_gbunicode_map[0x7262] = 0x872E; __mg_gbunicode_map[0x7263] = 0x871A;
__mg_gbunicode_map[0x7264] = 0x873E; __mg_gbunicode_map[0x7265] = 0x8748;
__mg_gbunicode_map[0x7266] = 0x8734; __mg_gbunicode_map[0x7267] = 0x8731;
__mg_gbunicode_map[0x7268] = 0x8729; __mg_gbunicode_map[0x7269] = 0x8737;
__mg_gbunicode_map[0x726A] = 0x873F; __mg_gbunicode_map[0x726B] = 0x8782;
__mg_gbunicode_map[0x726C] = 0x8722; __mg_gbunicode_map[0x726D] = 0x877D;
__mg_gbunicode_map[0x726E] = 0x877E; __mg_gbunicode_map[0x726F] = 0x877B;
__mg_gbunicode_map[0x7270] = 0x8760; __mg_gbunicode_map[0x7271] = 0x8770;
__mg_gbunicode_map[0x7272] = 0x874C; __mg_gbunicode_map[0x7273] = 0x876E;
__mg_gbunicode_map[0x7274] = 0x878B; __mg_gbunicode_map[0x7275] = 0x8753;
__mg_gbunicode_map[0x7276] = 0x8763; __mg_gbunicode_map[0x7277] = 0x877C;
__mg_gbunicode_map[0x7278] = 0x8764; __mg_gbunicode_map[0x7279] = 0x8759;
__mg_gbunicode_map[0x727A] = 0x8765; __mg_gbunicode_map[0x727B] = 0x8793;
__mg_gbunicode_map[0x727C] = 0x87AF; __mg_gbunicode_map[0x727D] = 0x87A8;
__mg_gbunicode_map[0x727E] = 0x87D2; __mg_gbunicode_map[0x7321] = 0x87C6;
__mg_gbunicode_map[0x7322] = 0x8788; __mg_gbunicode_map[0x7323] = 0x8785;
__mg_gbunicode_map[0x7324] = 0x87AD; __mg_gbunicode_map[0x7325] = 0x8797;
__mg_gbunicode_map[0x7326] = 0x8783; __mg_gbunicode_map[0x7327] = 0x87AB;
__mg_gbunicode_map[0x7328] = 0x87E5; __mg_gbunicode_map[0x7329] = 0x87AC;
__mg_gbunicode_map[0x732A] = 0x87B5; __mg_gbunicode_map[0x732B] = 0x87B3;
__mg_gbunicode_map[0x732C] = 0x87CB; __mg_gbunicode_map[0x732D] = 0x87D3;
__mg_gbunicode_map[0x732E] = 0x87BD; __mg_gbunicode_map[0x732F] = 0x87D1;
__mg_gbunicode_map[0x7330] = 0x87C0; __mg_gbunicode_map[0x7331] = 0x87CA;
__mg_gbunicode_map[0x7332] = 0x87DB; __mg_gbunicode_map[0x7333] = 0x87EA;
__mg_gbunicode_map[0x7334] = 0x87E0; __mg_gbunicode_map[0x7335] = 0x87EE;
__mg_gbunicode_map[0x7336] = 0x8816; __mg_gbunicode_map[0x7337] = 0x8813;
__mg_gbunicode_map[0x7338] = 0x87FE; __mg_gbunicode_map[0x7339] = 0x880A;
__mg_gbunicode_map[0x733A] = 0x881B; __mg_gbunicode_map[0x733B] = 0x8821;
__mg_gbunicode_map[0x733C] = 0x8839; __mg_gbunicode_map[0x733D] = 0x883C;
__mg_gbunicode_map[0x733E] = 0x7F36; __mg_gbunicode_map[0x733F] = 0x7F42;
__mg_gbunicode_map[0x7340] = 0x7F44; __mg_gbunicode_map[0x7341] = 0x7F45;
__mg_gbunicode_map[0x7342] = 0x8210; __mg_gbunicode_map[0x7343] = 0x7AFA;
__mg_gbunicode_map[0x7344] = 0x7AFD; __mg_gbunicode_map[0x7345] = 0x7B08;
__mg_gbunicode_map[0x7346] = 0x7B03; __mg_gbunicode_map[0x7347] = 0x7B04;
__mg_gbunicode_map[0x7348] = 0x7B15; __mg_gbunicode_map[0x7349] = 0x7B0A;
__mg_gbunicode_map[0x734A] = 0x7B2B; __mg_gbunicode_map[0x734B] = 0x7B0F;
__mg_gbunicode_map[0x734C] = 0x7B47; __mg_gbunicode_map[0x734D] = 0x7B38;
__mg_gbunicode_map[0x734E] = 0x7B2A; __mg_gbunicode_map[0x734F] = 0x7B19;
__mg_gbunicode_map[0x7350] = 0x7B2E; __mg_gbunicode_map[0x7351] = 0x7B31;
__mg_gbunicode_map[0x7352] = 0x7B20; __mg_gbunicode_map[0x7353] = 0x7B25;
__mg_gbunicode_map[0x7354] = 0x7B24; __mg_gbunicode_map[0x7355] = 0x7B33;
__mg_gbunicode_map[0x7356] = 0x7B3E; __mg_gbunicode_map[0x7357] = 0x7B1E;
__mg_gbunicode_map[0x7358] = 0x7B58; __mg_gbunicode_map[0x7359] = 0x7B5A;
__mg_gbunicode_map[0x735A] = 0x7B45; __mg_gbunicode_map[0x735B] = 0x7B75;
__mg_gbunicode_map[0x735C] = 0x7B4C; __mg_gbunicode_map[0x735D] = 0x7B5D;
__mg_gbunicode_map[0x735E] = 0x7B60; __mg_gbunicode_map[0x735F] = 0x7B6E;
__mg_gbunicode_map[0x7360] = 0x7B7B; __mg_gbunicode_map[0x7361] = 0x7B62;
__mg_gbunicode_map[0x7362] = 0x7B72; __mg_gbunicode_map[0x7363] = 0x7B71;
__mg_gbunicode_map[0x7364] = 0x7B90; __mg_gbunicode_map[0x7365] = 0x7BA6;
__mg_gbunicode_map[0x7366] = 0x7BA7; __mg_gbunicode_map[0x7367] = 0x7BB8;
__mg_gbunicode_map[0x7368] = 0x7BAC; __mg_gbunicode_map[0x7369] = 0x7B9D;
__mg_gbunicode_map[0x736A] = 0x7BA8; __mg_gbunicode_map[0x736B] = 0x7B85;
__mg_gbunicode_map[0x736C] = 0x7BAA; __mg_gbunicode_map[0x736D] = 0x7B9C;
__mg_gbunicode_map[0x736E] = 0x7BA2; __mg_gbunicode_map[0x736F] = 0x7BAB;
__mg_gbunicode_map[0x7370] = 0x7BB4; __mg_gbunicode_map[0x7371] = 0x7BD1;
__mg_gbunicode_map[0x7372] = 0x7BC1; __mg_gbunicode_map[0x7373] = 0x7BCC;
__mg_gbunicode_map[0x7374] = 0x7BDD; __mg_gbunicode_map[0x7375] = 0x7BDA;
__mg_gbunicode_map[0x7376] = 0x7BE5; __mg_gbunicode_map[0x7377] = 0x7BE6;
__mg_gbunicode_map[0x7378] = 0x7BEA; __mg_gbunicode_map[0x7379] = 0x7C0C;
__mg_gbunicode_map[0x737A] = 0x7BFE; __mg_gbunicode_map[0x737B] = 0x7BFC;
__mg_gbunicode_map[0x737C] = 0x7C0F; __mg_gbunicode_map[0x737D] = 0x7C16;
__mg_gbunicode_map[0x737E] = 0x7C0B; __mg_gbunicode_map[0x7421] = 0x7C1F;
__mg_gbunicode_map[0x7422] = 0x7C2A; __mg_gbunicode_map[0x7423] = 0x7C26;
__mg_gbunicode_map[0x7424] = 0x7C38; __mg_gbunicode_map[0x7425] = 0x7C41;
__mg_gbunicode_map[0x7426] = 0x7C40; __mg_gbunicode_map[0x7427] = 0x81FE;
__mg_gbunicode_map[0x7428] = 0x8201; __mg_gbunicode_map[0x7429] = 0x8202;
__mg_gbunicode_map[0x742A] = 0x8204; __mg_gbunicode_map[0x742B] = 0x81EC;
__mg_gbunicode_map[0x742C] = 0x8844; __mg_gbunicode_map[0x742D] = 0x8221;
__mg_gbunicode_map[0x742E] = 0x8222; __mg_gbunicode_map[0x742F] = 0x8223;
__mg_gbunicode_map[0x7430] = 0x822D; __mg_gbunicode_map[0x7431] = 0x822F;
__mg_gbunicode_map[0x7432] = 0x8228; __mg_gbunicode_map[0x7433] = 0x822B;
__mg_gbunicode_map[0x7434] = 0x8238; __mg_gbunicode_map[0x7435] = 0x823B;
__mg_gbunicode_map[0x7436] = 0x8233; __mg_gbunicode_map[0x7437] = 0x8234;
__mg_gbunicode_map[0x7438] = 0x823E; __mg_gbunicode_map[0x7439] = 0x8244;
__mg_gbunicode_map[0x743A] = 0x8249; __mg_gbunicode_map[0x743B] = 0x824B;
__mg_gbunicode_map[0x743C] = 0x824F; __mg_gbunicode_map[0x743D] = 0x825A;
__mg_gbunicode_map[0x743E] = 0x825F; __mg_gbunicode_map[0x743F] = 0x8268;
__mg_gbunicode_map[0x7440] = 0x887E; __mg_gbunicode_map[0x7441] = 0x8885;
__mg_gbunicode_map[0x7442] = 0x8888; __mg_gbunicode_map[0x7443] = 0x88D8;
__mg_gbunicode_map[0x7444] = 0x88DF; __mg_gbunicode_map[0x7445] = 0x895E;
__mg_gbunicode_map[0x7446] = 0x7F9D; __mg_gbunicode_map[0x7447] = 0x7F9F;
__mg_gbunicode_map[0x7448] = 0x7FA7; __mg_gbunicode_map[0x7449] = 0x7FAF;
__mg_gbunicode_map[0x744A] = 0x7FB0; __mg_gbunicode_map[0x744B] = 0x7FB2;
__mg_gbunicode_map[0x744C] = 0x7C7C; __mg_gbunicode_map[0x744D] = 0x6549;
__mg_gbunicode_map[0x744E] = 0x7C91; __mg_gbunicode_map[0x744F] = 0x7C9D;
__mg_gbunicode_map[0x7450] = 0x7C9C; __mg_gbunicode_map[0x7451] = 0x7C9E;
__mg_gbunicode_map[0x7452] = 0x7CA2; __mg_gbunicode_map[0x7453] = 0x7CB2;
__mg_gbunicode_map[0x7454] = 0x7CBC; __mg_gbunicode_map[0x7455] = 0x7CBD;
__mg_gbunicode_map[0x7456] = 0x7CC1; __mg_gbunicode_map[0x7457] = 0x7CC7;
__mg_gbunicode_map[0x7458] = 0x7CCC; __mg_gbunicode_map[0x7459] = 0x7CCD;
__mg_gbunicode_map[0x745A] = 0x7CC8; __mg_gbunicode_map[0x745B] = 0x7CC5;
__mg_gbunicode_map[0x745C] = 0x7CD7; __mg_gbunicode_map[0x745D] = 0x7CE8;
__mg_gbunicode_map[0x745E] = 0x826E; __mg_gbunicode_map[0x745F] = 0x66A8;
__mg_gbunicode_map[0x7460] = 0x7FBF; __mg_gbunicode_map[0x7461] = 0x7FCE;
__mg_gbunicode_map[0x7462] = 0x7FD5; __mg_gbunicode_map[0x7463] = 0x7FE5;
__mg_gbunicode_map[0x7464] = 0x7FE1; __mg_gbunicode_map[0x7465] = 0x7FE6;
__mg_gbunicode_map[0x7466] = 0x7FE9; __mg_gbunicode_map[0x7467] = 0x7FEE;
__mg_gbunicode_map[0x7468] = 0x7FF3; __mg_gbunicode_map[0x7469] = 0x7CF8;
__mg_gbunicode_map[0x746A] = 0x7D77; __mg_gbunicode_map[0x746B] = 0x7DA6;
__mg_gbunicode_map[0x746C] = 0x7DAE; __mg_gbunicode_map[0x746D] = 0x7E47;
__mg_gbunicode_map[0x746E] = 0x7E9B; __mg_gbunicode_map[0x746F] = 0x9EB8;
__mg_gbunicode_map[0x7470] = 0x9EB4; __mg_gbunicode_map[0x7471] = 0x8D73;
__mg_gbunicode_map[0x7472] = 0x8D84; __mg_gbunicode_map[0x7473] = 0x8D94;
__mg_gbunicode_map[0x7474] = 0x8D91; __mg_gbunicode_map[0x7475] = 0x8DB1;
__mg_gbunicode_map[0x7476] = 0x8D67; __mg_gbunicode_map[0x7477] = 0x8D6D;
__mg_gbunicode_map[0x7478] = 0x8C47; __mg_gbunicode_map[0x7479] = 0x8C49;
__mg_gbunicode_map[0x747A] = 0x914A; __mg_gbunicode_map[0x747B] = 0x9150;
__mg_gbunicode_map[0x747C] = 0x914E; __mg_gbunicode_map[0x747D] = 0x914F;
__mg_gbunicode_map[0x747E] = 0x9164; __mg_gbunicode_map[0x7521] = 0x9162;
__mg_gbunicode_map[0x7522] = 0x9161; __mg_gbunicode_map[0x7523] = 0x9170;
__mg_gbunicode_map[0x7524] = 0x9169; __mg_gbunicode_map[0x7525] = 0x916F;
__mg_gbunicode_map[0x7526] = 0x917D; __mg_gbunicode_map[0x7527] = 0x917E;
__mg_gbunicode_map[0x7528] = 0x9172; __mg_gbunicode_map[0x7529] = 0x9174;
__mg_gbunicode_map[0x752A] = 0x9179; __mg_gbunicode_map[0x752B] = 0x918C;
__mg_gbunicode_map[0x752C] = 0x9185; __mg_gbunicode_map[0x752D] = 0x9190;
__mg_gbunicode_map[0x752E] = 0x918D; __mg_gbunicode_map[0x752F] = 0x9191;
__mg_gbunicode_map[0x7530] = 0x91A2; __mg_gbunicode_map[0x7531] = 0x91A3;
__mg_gbunicode_map[0x7532] = 0x91AA; __mg_gbunicode_map[0x7533] = 0x91AD;
__mg_gbunicode_map[0x7534] = 0x91AE; __mg_gbunicode_map[0x7535] = 0x91AF;
__mg_gbunicode_map[0x7536] = 0x91B5; __mg_gbunicode_map[0x7537] = 0x91B4;
__mg_gbunicode_map[0x7538] = 0x91BA; __mg_gbunicode_map[0x7539] = 0x8C55;
__mg_gbunicode_map[0x753A] = 0x9E7E; __mg_gbunicode_map[0x753B] = 0x8DB8;
__mg_gbunicode_map[0x753C] = 0x8DEB; __mg_gbunicode_map[0x753D] = 0x8E05;
__mg_gbunicode_map[0x753E] = 0x8E59; __mg_gbunicode_map[0x753F] = 0x8E69;
__mg_gbunicode_map[0x7540] = 0x8DB5; __mg_gbunicode_map[0x7541] = 0x8DBF;
__mg_gbunicode_map[0x7542] = 0x8DBC; __mg_gbunicode_map[0x7543] = 0x8DBA;
__mg_gbunicode_map[0x7544] = 0x8DC4; __mg_gbunicode_map[0x7545] = 0x8DD6;
__mg_gbunicode_map[0x7546] = 0x8DD7; __mg_gbunicode_map[0x7547] = 0x8DDA;
__mg_gbunicode_map[0x7548] = 0x8DDE; __mg_gbunicode_map[0x7549] = 0x8DCE;
__mg_gbunicode_map[0x754A] = 0x8DCF; __mg_gbunicode_map[0x754B] = 0x8DDB;
__mg_gbunicode_map[0x754C] = 0x8DC6; __mg_gbunicode_map[0x754D] = 0x8DEC;
__mg_gbunicode_map[0x754E] = 0x8DF7; __mg_gbunicode_map[0x754F] = 0x8DF8;
__mg_gbunicode_map[0x7550] = 0x8DE3; __mg_gbunicode_map[0x7551] = 0x8DF9;
__mg_gbunicode_map[0x7552] = 0x8DFB; __mg_gbunicode_map[0x7553] = 0x8DE4;
__mg_gbunicode_map[0x7554] = 0x8E09; __mg_gbunicode_map[0x7555] = 0x8DFD;
__mg_gbunicode_map[0x7556] = 0x8E14; __mg_gbunicode_map[0x7557] = 0x8E1D;
__mg_gbunicode_map[0x7558] = 0x8E1F; __mg_gbunicode_map[0x7559] = 0x8E2C;
__mg_gbunicode_map[0x755A] = 0x8E2E; __mg_gbunicode_map[0x755B] = 0x8E23;
__mg_gbunicode_map[0x755C] = 0x8E2F; __mg_gbunicode_map[0x755D] = 0x8E3A;
__mg_gbunicode_map[0x755E] = 0x8E40; __mg_gbunicode_map[0x755F] = 0x8E39;
__mg_gbunicode_map[0x7560] = 0x8E35; __mg_gbunicode_map[0x7561] = 0x8E3D;
__mg_gbunicode_map[0x7562] = 0x8E31; __mg_gbunicode_map[0x7563] = 0x8E49;
__mg_gbunicode_map[0x7564] = 0x8E41; __mg_gbunicode_map[0x7565] = 0x8E42;
__mg_gbunicode_map[0x7566] = 0x8E51; __mg_gbunicode_map[0x7567] = 0x8E52;
__mg_gbunicode_map[0x7568] = 0x8E4A; __mg_gbunicode_map[0x7569] = 0x8E70;
__mg_gbunicode_map[0x756A] = 0x8E76; __mg_gbunicode_map[0x756B] = 0x8E7C;
__mg_gbunicode_map[0x756C] = 0x8E6F; __mg_gbunicode_map[0x756D] = 0x8E74;
__mg_gbunicode_map[0x756E] = 0x8E85; __mg_gbunicode_map[0x756F] = 0x8E8F;
__mg_gbunicode_map[0x7570] = 0x8E94; __mg_gbunicode_map[0x7571] = 0x8E90;
__mg_gbunicode_map[0x7572] = 0x8E9C; __mg_gbunicode_map[0x7573] = 0x8E9E;
__mg_gbunicode_map[0x7574] = 0x8C78; __mg_gbunicode_map[0x7575] = 0x8C82;
__mg_gbunicode_map[0x7576] = 0x8C8A; __mg_gbunicode_map[0x7577] = 0x8C85;
__mg_gbunicode_map[0x7578] = 0x8C98; __mg_gbunicode_map[0x7579] = 0x8C94;
__mg_gbunicode_map[0x757A] = 0x659B; __mg_gbunicode_map[0x757B] = 0x89D6;
__mg_gbunicode_map[0x757C] = 0x89DE; __mg_gbunicode_map[0x757D] = 0x89DA;
__mg_gbunicode_map[0x757E] = 0x89DC; __mg_gbunicode_map[0x7621] = 0x89E5;
__mg_gbunicode_map[0x7622] = 0x89EB; __mg_gbunicode_map[0x7623] = 0x89EF;
__mg_gbunicode_map[0x7624] = 0x8A3E; __mg_gbunicode_map[0x7625] = 0x8B26;
__mg_gbunicode_map[0x7626] = 0x9753; __mg_gbunicode_map[0x7627] = 0x96E9;
__mg_gbunicode_map[0x7628] = 0x96F3; __mg_gbunicode_map[0x7629] = 0x96EF;
__mg_gbunicode_map[0x762A] = 0x9706; __mg_gbunicode_map[0x762B] = 0x9701;
__mg_gbunicode_map[0x762C] = 0x9708; __mg_gbunicode_map[0x762D] = 0x970F;
__mg_gbunicode_map[0x762E] = 0x970E; __mg_gbunicode_map[0x762F] = 0x972A;
__mg_gbunicode_map[0x7630] = 0x972D; __mg_gbunicode_map[0x7631] = 0x9730;
__mg_gbunicode_map[0x7632] = 0x973E; __mg_gbunicode_map[0x7633] = 0x9F80;
__mg_gbunicode_map[0x7634] = 0x9F83; __mg_gbunicode_map[0x7635] = 0x9F85;
__mg_gbunicode_map[0x7636] = 0x9F86; __mg_gbunicode_map[0x7637] = 0x9F87;
__mg_gbunicode_map[0x7638] = 0x9F88; __mg_gbunicode_map[0x7639] = 0x9F89;
__mg_gbunicode_map[0x763A] = 0x9F8A; __mg_gbunicode_map[0x763B] = 0x9F8C;
__mg_gbunicode_map[0x763C] = 0x9EFE; __mg_gbunicode_map[0x763D] = 0x9F0B;
__mg_gbunicode_map[0x763E] = 0x9F0D; __mg_gbunicode_map[0x763F] = 0x96B9;
__mg_gbunicode_map[0x7640] = 0x96BC; __mg_gbunicode_map[0x7641] = 0x96BD;
__mg_gbunicode_map[0x7642] = 0x96CE; __mg_gbunicode_map[0x7643] = 0x96D2;
__mg_gbunicode_map[0x7644] = 0x77BF; __mg_gbunicode_map[0x7645] = 0x96E0;
__mg_gbunicode_map[0x7646] = 0x928E; __mg_gbunicode_map[0x7647] = 0x92AE;
__mg_gbunicode_map[0x7648] = 0x92C8; __mg_gbunicode_map[0x7649] = 0x933E;
__mg_gbunicode_map[0x764A] = 0x936A; __mg_gbunicode_map[0x764B] = 0x93CA;
__mg_gbunicode_map[0x764C] = 0x938F; __mg_gbunicode_map[0x764D] = 0x943E;
__mg_gbunicode_map[0x764E] = 0x946B; __mg_gbunicode_map[0x764F] = 0x9C7F;
__mg_gbunicode_map[0x7650] = 0x9C82; __mg_gbunicode_map[0x7651] = 0x9C85;
__mg_gbunicode_map[0x7652] = 0x9C86; __mg_gbunicode_map[0x7653] = 0x9C87;
__mg_gbunicode_map[0x7654] = 0x9C88; __mg_gbunicode_map[0x7655] = 0x7A23;
__mg_gbunicode_map[0x7656] = 0x9C8B; __mg_gbunicode_map[0x7657] = 0x9C8E;
__mg_gbunicode_map[0x7658] = 0x9C90; __mg_gbunicode_map[0x7659] = 0x9C91;
__mg_gbunicode_map[0x765A] = 0x9C92; __mg_gbunicode_map[0x765B] = 0x9C94;
__mg_gbunicode_map[0x765C] = 0x9C95; __mg_gbunicode_map[0x765D] = 0x9C9A;
__mg_gbunicode_map[0x765E] = 0x9C9B; __mg_gbunicode_map[0x765F] = 0x9C9E;
__mg_gbunicode_map[0x7660] = 0x9C9F; __mg_gbunicode_map[0x7661] = 0x9CA0;
__mg_gbunicode_map[0x7662] = 0x9CA1; __mg_gbunicode_map[0x7663] = 0x9CA2;
__mg_gbunicode_map[0x7664] = 0x9CA3; __mg_gbunicode_map[0x7665] = 0x9CA5;
__mg_gbunicode_map[0x7666] = 0x9CA6; __mg_gbunicode_map[0x7667] = 0x9CA7;
__mg_gbunicode_map[0x7668] = 0x9CA8; __mg_gbunicode_map[0x7669] = 0x9CA9;
__mg_gbunicode_map[0x766A] = 0x9CAB; __mg_gbunicode_map[0x766B] = 0x9CAD;
__mg_gbunicode_map[0x766C] = 0x9CAE; __mg_gbunicode_map[0x766D] = 0x9CB0;
__mg_gbunicode_map[0x766E] = 0x9CB1; __mg_gbunicode_map[0x766F] = 0x9CB2;
__mg_gbunicode_map[0x7670] = 0x9CB3; __mg_gbunicode_map[0x7671] = 0x9CB4;
__mg_gbunicode_map[0x7672] = 0x9CB5; __mg_gbunicode_map[0x7673] = 0x9CB6;
__mg_gbunicode_map[0x7674] = 0x9CB7; __mg_gbunicode_map[0x7675] = 0x9CBA;
__mg_gbunicode_map[0x7676] = 0x9CBB; __mg_gbunicode_map[0x7677] = 0x9CBC;
__mg_gbunicode_map[0x7678] = 0x9CBD; __mg_gbunicode_map[0x7679] = 0x9CC4;
__mg_gbunicode_map[0x767A] = 0x9CC5; __mg_gbunicode_map[0x767B] = 0x9CC6;
__mg_gbunicode_map[0x767C] = 0x9CC7; __mg_gbunicode_map[0x767D] = 0x9CCA;
__mg_gbunicode_map[0x767E] = 0x9CCB; __mg_gbunicode_map[0x7721] = 0x9CCC;
__mg_gbunicode_map[0x7722] = 0x9CCD; __mg_gbunicode_map[0x7723] = 0x9CCE;
__mg_gbunicode_map[0x7724] = 0x9CCF; __mg_gbunicode_map[0x7725] = 0x9CD0;
__mg_gbunicode_map[0x7726] = 0x9CD3; __mg_gbunicode_map[0x7727] = 0x9CD4;
__mg_gbunicode_map[0x7728] = 0x9CD5; __mg_gbunicode_map[0x7729] = 0x9CD7;
__mg_gbunicode_map[0x772A] = 0x9CD8; __mg_gbunicode_map[0x772B] = 0x9CD9;
__mg_gbunicode_map[0x772C] = 0x9CDC; __mg_gbunicode_map[0x772D] = 0x9CDD;
__mg_gbunicode_map[0x772E] = 0x9CDF; __mg_gbunicode_map[0x772F] = 0x9CE2;
__mg_gbunicode_map[0x7730] = 0x977C; __mg_gbunicode_map[0x7731] = 0x9785;
__mg_gbunicode_map[0x7732] = 0x9791; __mg_gbunicode_map[0x7733] = 0x9792;
__mg_gbunicode_map[0x7734] = 0x9794; __mg_gbunicode_map[0x7735] = 0x97AF;
__mg_gbunicode_map[0x7736] = 0x97AB; __mg_gbunicode_map[0x7737] = 0x97A3;
__mg_gbunicode_map[0x7738] = 0x97B2; __mg_gbunicode_map[0x7739] = 0x97B4;
__mg_gbunicode_map[0x773A] = 0x9AB1; __mg_gbunicode_map[0x773B] = 0x9AB0;
__mg_gbunicode_map[0x773C] = 0x9AB7; __mg_gbunicode_map[0x773D] = 0x9E58;
__mg_gbunicode_map[0x773E] = 0x9AB6; __mg_gbunicode_map[0x773F] = 0x9ABA;
__mg_gbunicode_map[0x7740] = 0x9ABC; __mg_gbunicode_map[0x7741] = 0x9AC1;
__mg_gbunicode_map[0x7742] = 0x9AC0; __mg_gbunicode_map[0x7743] = 0x9AC5;
__mg_gbunicode_map[0x7744] = 0x9AC2; __mg_gbunicode_map[0x7745] = 0x9ACB;
__mg_gbunicode_map[0x7746] = 0x9ACC; __mg_gbunicode_map[0x7747] = 0x9AD1;
__mg_gbunicode_map[0x7748] = 0x9B45; __mg_gbunicode_map[0x7749] = 0x9B43;
__mg_gbunicode_map[0x774A] = 0x9B47; __mg_gbunicode_map[0x774B] = 0x9B49;
__mg_gbunicode_map[0x774C] = 0x9B48; __mg_gbunicode_map[0x774D] = 0x9B4D;
__mg_gbunicode_map[0x774E] = 0x9B51; __mg_gbunicode_map[0x774F] = 0x98E8;
__mg_gbunicode_map[0x7750] = 0x990D; __mg_gbunicode_map[0x7751] = 0x992E;
__mg_gbunicode_map[0x7752] = 0x9955; __mg_gbunicode_map[0x7753] = 0x9954;
__mg_gbunicode_map[0x7754] = 0x9ADF; __mg_gbunicode_map[0x7755] = 0x9AE1;
__mg_gbunicode_map[0x7756] = 0x9AE6; __mg_gbunicode_map[0x7757] = 0x9AEF;
__mg_gbunicode_map[0x7758] = 0x9AEB; __mg_gbunicode_map[0x7759] = 0x9AFB;
__mg_gbunicode_map[0x775A] = 0x9AED; __mg_gbunicode_map[0x775B] = 0x9AF9;
__mg_gbunicode_map[0x775C] = 0x9B08; __mg_gbunicode_map[0x775D] = 0x9B0F;
__mg_gbunicode_map[0x775E] = 0x9B13; __mg_gbunicode_map[0x775F] = 0x9B1F;
__mg_gbunicode_map[0x7760] = 0x9B23; __mg_gbunicode_map[0x7761] = 0x9EBD;
__mg_gbunicode_map[0x7762] = 0x9EBE; __mg_gbunicode_map[0x7763] = 0x7E3B;
__mg_gbunicode_map[0x7764] = 0x9E82; __mg_gbunicode_map[0x7765] = 0x9E87;
__mg_gbunicode_map[0x7766] = 0x9E88; __mg_gbunicode_map[0x7767] = 0x9E8B;
__mg_gbunicode_map[0x7768] = 0x9E92; __mg_gbunicode_map[0x7769] = 0x93D6;
__mg_gbunicode_map[0x776A] = 0x9E9D; __mg_gbunicode_map[0x776B] = 0x9E9F;
__mg_gbunicode_map[0x776C] = 0x9EDB; __mg_gbunicode_map[0x776D] = 0x9EDC;
__mg_gbunicode_map[0x776E] = 0x9EDD; __mg_gbunicode_map[0x776F] = 0x9EE0;
__mg_gbunicode_map[0x7770] = 0x9EDF; __mg_gbunicode_map[0x7771] = 0x9EE2;
__mg_gbunicode_map[0x7772] = 0x9EE9; __mg_gbunicode_map[0x7773] = 0x9EE7;
__mg_gbunicode_map[0x7774] = 0x9EE5; __mg_gbunicode_map[0x7775] = 0x9EEA;
__mg_gbunicode_map[0x7776] = 0x9EEF; __mg_gbunicode_map[0x7777] = 0x9F22;
__mg_gbunicode_map[0x7778] = 0x9F2C; __mg_gbunicode_map[0x7779] = 0x9F2F;
__mg_gbunicode_map[0x777A] = 0x9F39; __mg_gbunicode_map[0x777B] = 0x9F37;
__mg_gbunicode_map[0x777C] = 0x9F3D; __mg_gbunicode_map[0x777D] = 0x9F3E;
__mg_gbunicode_map[0x777E] = 0x9F44; 
}

