///////////////////////////////////////////////////////////////////////////////
//
//                          IMPORTANT NOTICE
//
// The following open source license statement does not apply to any
// entity in the Exception List published by FMSoft.
//
// For more information, please visit:
//
// https://www.fmsoft.cn/exception-list
//
//////////////////////////////////////////////////////////////////////////////
/*
 *   This file is part of MiniGUI, a mature cross-platform windowing 
 *   and Graphics User Interface (GUI) support system for embedded systems
 *   and smart IoT devices.
 * 
 *   Copyright (C) 2002~2018, Beijing FMSoft Technologies Co., Ltd.
 *   Copyright (C) 1998~2002, WEI Yongming
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *   Or,
 * 
 *   As this program is a library, any link to this program must follow
 *   GNU General Public License version 3 (GPLv3). If you cannot accept
 *   GPLv3, you need to be licensed from FMSoft.
 * 
 *   If you have got a commercial license of this program, please use it
 *   under the terms and conditions of the commercial license.
 * 
 *   For more information about the commercial license, please refer to
 *   <http://www.minigui.com/en/about/licensing-policy/>.
 */
static unsigned short pix_array[] = {0xffff,0xfffe,0xfffb,0xfff6,0xffef,0xffe6,0xffdb,0xffce,0xffbf,0xffae,0xff9b,0xff86,0xff6f,0xff56,0xff3b,0xff1e,0xf6ff,0xfede,0xfebb,0xfe96,0xfe6f,0xfe46,0xfe1b,0xfdee,0xfdbf,0xfd8e,0xfd5b,0xfd26,0xfcef,0xfcb6,0xfc7b,0xfc3e,0xfbff,0xfbbe,0xfb7b,0xf336,0xfaef,0xfaa6,0xfa5b,0xfa0e,0xf9bf,0xf96e,0xf91b,0xf8c6,0xf86f,0xf816,0xf7bb,0xf75e,0xf6ff,0xf69e,0xf63b,0xf5d6,0xf56f,0xf506,0xf49b,0xf42e,0xf3bf,0xf34e,0xf2db,0xf266,0xf1ef,0xf176,0xf0fb,0xf07e,0xefff,0xef7e,0xeefb,0xee76,0xedef,0xed66,0xecdb,0xec4e,0xebbf,0xeb2e,0xea9b,0xea06,0xe96f,0xe8d6,0xe83b,0xe79e,0xe6ff,0xe65e,0xe5bb,0xe516,0xe46f,0xe3c6,0xe31b,0xe26e,0xe1bf,0xe10e,0xe05b,0xdfa6,0xdeef,0xde36,0xdd7b,0xdcbe,0xdbff,0xdb3e,0xda7b,0xd9b6,0xd8ef,0xd826,0xd75b,0xd68e,0xd5bf,0xd4ee,0xd41b,0xd346,0xd26f,0xd196,0xd0bb,0xcfde,0xceff,0xce1e,0xcd3b,0xcc56,0xcb6f,0xca86,0xc99b,0xc8ae,0xc7bf,0xc6ce,0xc5db,0xc4e6,0xc3ef,0xc2f6,0xc1fb,0xc0fe,0xbfff,0xbefe,0xbdfb,0xbcf6,0xbbef,0xbae6,0xb9db,0xb8ce,0xb7bf,0xb6ae,0xb59b,0xb486,0xb36f,0xb256,0xb13b,0xb01e,0xaeff,0xadde,0xacbb,0xab96,0xaa6f,0xa946,0xa81b,0xa6ee,0xa5bf,0xa48e,0xa35b,0xa226,0xa0ef,0x9fb6,0x9e7b,0x9d3e,0x9bff,0x9abe,0x997b,0x9836,0x96ef,0x95a6,0x945b,0x930e,0x91bf,0x906e,0x8f1b,0x8dc6,0x8c6f,0x8b16,0x89bb,0x885e,0x86ff,0x859e,0x843b,0x82d6,0x816f,0x8006,0x7e9b,0x7d2e,0x7bbf,0x7a4e,0x78db,0x7766,0x75ef,0x7476,0x72fb,0x717e,0x6fff,0x6e7e,0x6cfb,0x6b76,0x69ef,0x6866,0xfffe,0xfffd,0xfffa,0xfff5,0xffee,0xffe5,0xffda,0xffcd,0xffbe,0xffad,0xff9a,0xff85,0xff6e,0xff55,0xff3a,0xff1d,0xfefe,0xfedd,0xfeba,0xfe95,0xfe6e,0xfe45,0xfe1a,0xfded,0xfdbe,0xfd8d,0xfd5a,0xfd25,0xfcee,0xfcb5,0xfc7a,0xfc3d,0xfbfe,0xfbbd,0xfb7a,0xfb35,0xfaee,0xfaa5,0xfa5a,0xfa0d,0xf9be,0xf96d,0xf91a,0xf8c5,0xf86e,0xf815,0xf7ba,0xf75d,0xf6fe,0xf69d,0xf63a,0xf5d5,0xf56e,0xf505,0xf49a,0xf42d,0xf3be,0xf34d,0xf2da,0xf265,0xf1ee,0xf175,0xf0fa,0xf07d,0xeffe,0xef7d,0xeefa,0xee75,0xedee,0xed65,0xecda,0xec4d,0xebbe,0xeb2d,0xea9a,0xea05,0xe96e,0xe8d5,0xe83a,0xe79d,0xe6fe,0xe65d,0xe5ba,0xe515,0xe46e,0xe3c5,0xe31a,0xe26d,0xe1be,0xe10d,0xe05a,0xdfa5,0xdeee,0xde35,0xdd7a,0xdcbd,0xdbfe,0xdb3d,0xda7a,0xd9b5,0xd8ee,0xd825,0xd75a,0xd68d,0xd5be,0xd4ed,0xd41a,0xd345,0xd26e,0xd195,0xd0ba,0xcfdd,0xcefe,0xce1d,0xcd3a,0xcc55,0xcb6e,0xca85,0xc99a,0xc8ad,0xc7be,0xc6cd,0xc5da,0xc4e5,0xc3ee,0xc2f5,0xc1fa,0xc0fd,0xbffe,0xbefd,0xbdfa,0xbcf5,0xbbee,0xbae5,0xb9da,0xb8cd,0xb7be,0xb6ad,0xb59a,0xb485,0xb36e,0xb255,0xb13a,0xb01d,0xaefe,0xaddd,0xacba,0xab95,0xaa6e,0xa945,0xa81a,0xa6ed,0xa5be,0xa48d,0xa35a,0xa225,0xa0ee,0x9fb5,0x9e7a,0x9d3d,0x9bfe,0x9abd,0x997a,0x9835,0x96ee,0x95a5,0x945a,0x930d,0x91be,0x906d,0x8f1a,0x8dc5,0x8c6e,0x8b15,0x89ba,0x885d,0x86fe,0x859d,0x843a,0x82d5,0x816e,0x8005,0x7e9a,0x7d2d,0x7bbe,0x7a4d,0x78da,0x7765,0x75ee,0x7475,0x72fa,0x717d,0x6ffe,0x6e7d,0x6cfa,0x6b75,0x69ee,0x6865,0xfffd,0xfffc,0xfff9,0xfff4,0xffed,0xffe4,0xffd9,0xffcc,0xffbd,0xffac,0xff99,0xff84,0xff6d,0xff54,0xff39,0xff1c,0xfefd,0xfedc,0xfeb9,0xfe94,0xfe6d,0xfe44,0xfe19,0xfdec,0xfdbd,0xfd8c,0xfd59,0xfd24,0xfced,0xfcb4,0xfc79,0xfc3c,0xfbfd,0xfbbc,0xfb79,0xfb34,0xfaed,0xfaa4,0xfa59,0xfa0c,0xf9bd,0xf96c,0xf919,0xf8c4,0xf86d,0xf814,0xf7b9,0xf75c,0xf6fd,0xf69c,0xf639,0xf5d4,0xf56d,0xf504,0xf499,0xf42c,0xf3bd,0xf34c,0xf2d9,0xf264,0xf1ed,0xf174,0xf0f9,0xf07c,0xeffd,0xef7c,0xeef9,0xee74,0xeded,0xed64,0xecd9,0xec4c,0xebbd,0xeb2c,0xea99,0xea04,0xe96d,0xe8d4,0xe839,0xe79c,0xe6fd,0xe65c,0xe5b9,0xe514,0xe46d,0xe3c4,0xe319,0xe26c,0xe1bd,0xe10c,0xe059,0xdfa4,0xdeed,0xde34,0xdd79,0xdcbc,0xdbfd,0xdb3c,0xda79,0xd9b4,0xd8ed,0xd824,0xd759,0xd68c,0xd5bd,0xd4ec,0xd419,0xd344,0xd26d,0xd194,0xd0b9,0xcfdc,0xcefd,0xce1c,0xcd39,0xcc54,0xcb6d,0xca84,0xc999,0xc8ac,0xc7bd,0xc6cc,0xc5d9,0xc4e4,0xc3ed,0xc2f4,0xc1f9,0xc0fc,0xbffd,0xbefc,0xbdf9,0xbcf4,0xbbed,0xbae4,0xb9d9,0xb8cc,0xb7bd,0xb6ac,0xb599,0xb484,0xb36d,0xb254,0xb139,0xb01c,0xaefd,0xaddc,0xacb9,0xab94,0xaa6d,0xa944,0xa819,0xa6ec,0xa5bd,0xa48c,0xa359,0xa224,0xa0ed,0x9fb4,0x9e79,0x9d3c,0x9bfd,0x9abc,0x9979,0x9834,0x96ed,0x95a4,0x9459,0x930c,0x91bd,0x906c,0x8f19,0x8dc4,0x8c6d,0x8b14,0x89b9,0x885c,0x86fd,0x859c,0x8439,0x82d4,0x816d,0x8004,0x7e99,0x7d2c,
0x7bbd,0x7a4c,0x78d9,0x7764,0x75ed,0x7474,0x72f9,0x717c,0x6ffd,0x6e7c,0x6cf9,0x6b74,0x69ed,0x6864,0xfffc,0xfffb,0xfff8,0xfff3,0xffec,0xffe3,0xffd8,0xffcb,0xffbc,0xffab,0xff98,0xff83,0xff6c,0xff53,0xff38,0xff1b,0xfefc,0xfedb,0xfeb8,0xfe93,0xfe6c,0xfe43,0xf618,0xfdeb,0xfdbc,0xfd8b,0xfd58,0xfd23,0xfcec,0xfcb3,0xfc78,0xfc3b,0xfbfc,0xfbbb,0xfb78,0xfb33,0xf2ec,0xfaa3,0xfa58,0xfa0b,0xf9bc,0xf96b,0xf918,0xf8c3,0xf86c,0xf813,0xf7b8,0xf75b,0xf6fc,0xf69b,0xf638,0xf5d3,0xf56c,0xf503,0xf498,0xf42b,0xf3bc,0xf34b,0xf2d8,0xf263,0xf1ec,0xf173,0xf0f8,0xf07b,0xeffc,0xef7b,0xeef8,0xee73,0xedec,0xed63,0xecd8,0xec4b,0xebbc,0xeb2b,0xea98,0xea03,0xe96c,0xe8d3,0xe838,0xe79b,0xe6fc,0xe65b,0xe5b8,0xe513,0xe46c,0xe3c3,0xe318,0xe26b,0xe1bc,0xe10b,0xe058,0xdfa3,0xdeec,0xde33,0xdd78,0xdcbb,0xdbfc,0xdb3b,0xda78,0xd9b3,0xd8ec,0xd823,0xd758,0xd68b,0xd5bc,0xd4eb,0xd418,0xd343,0xd26c,0xd193,0xd0b8,0xcfdb,0xcefc,0xce1b,0xcd38,0xcc53,0xcb6c,0xca83,0xc998,0xc8ab,0xc7bc,0xc6cb,0xc5d8,0xc4e3,0xc3ec,0xc2f3,0xc1f8,0xc0fb,0xbffc,0xbefb,0xbdf8,0xbcf3,0xbbec,0xbae3,0xb9d8,0xb8cb,0xb7bc,0xb6ab,0xb598,0xb483,0xb36c,0xb253,0xb138,0xb01b,0xaefc,0xaddb,0xacb8,0xab93,0xaa6c,0xa943,0xa818,0xa6eb,0xa5bc,0xa48b,0xa358,0xa223,0xa0ec,0x9fb3,0x9e78,0x9d3b,0x9bfc,0x9abb,0x9978,0x9833,0x96ec,0x95a3,0x9458,0x930b,0x91bc,0x906b,0x8f18,0x8dc3,0x8c6c,0x8b13,0x89b8,0x885b,0x86fc,0x859b,0x8438,0x82d3,0x816c,0x8003,0x7e98,0x7d2b,0x7bbc,0x7a4b,0x78d8,0x7763,0x75ec,0x7473,0x72f8,0x717b,0x6ffc,0x6e7b,0x6cf8,0x6b73,0x69ec,0x6863,0xfffb,0xfffa,0xfff7,0xfff2,0xffeb,0xffe2,0xffd7,0xffca,0xffbb,0xffaa,0xff97,0xff82,0xff6b,0xff52,0xff37,0xff1a,0xfefb,0xfeda,0xfeb7,0xfe92,0xfe6b,0xfe42,0xfe17,0xfdea,0xfdbb,0xfd8a,0xfd57,0xfd22,0xfceb,0xfcb2,0xfc77,0xfc3a,0xfbfb,0xf3ba,0xfb77,0xfb32,0xfaeb,0xfaa2,0xfa55,0xfa08,0xf9bb,0xf96a,0xf917,0xf8c2,0xf86b,0xf812,0xf7b7,0xf75a,0xf6fb,0xf69a,0xf637,0xf5d2,0xf56b,0xf502,0xf497,0xf42a,0xf3bb,0xf34a,0xf2d7,0xf262,0xf1eb,0xf172,0xf0f7,0xf07a,0xeffb,0xef7a,0xeef7,0xee72,0xedeb,0xed62,0xecd7,0xec4a,0xebbb,0xeb2a,0xea97,0xea02,0xe96b,0xe8d2,0xe837,0xe79a,0xe6fb,0xe65a,0xe5b7,0xe512,0xe46b,0xe3c2,0xe317,0xe26a,0xe1bb,0xe10a,0xe057,0xdfa2,0xdeeb,0xde32,0xdd77,0xdcba,0xdbfb,0xdb3a,0xda77,0xd9b2,0xd8eb,0xd822,0xd757,0xd68a,0xd5bb,0xd4ea,0xd417,0xd342,0xd26b,0xd192,0xd0b7,0xcfda,0xcefb,0xce1a,0xcd37,0xcc52,0xcb6b,0xca82,0xc997,0xc8aa,0xc7bb,0xc6ca,0xc5d7,0xc4e2,0xc3eb,0xc2f2,0xc1f7,0xc0fa,0xbffb,0xbefa,0xbdf7,0xbcf2,0xbbeb,0xbae2,0xb9d7,0xb8ca,0xb7bb,0xb6aa,0xb597,0xb482,0xb36b,0xb252,0xb137,0xb01a,0xaefb,0xadda,0xacb7,0xab92,0xaa6b,0xa942,0xa817,0xa6ea,0xa5bb,0xa48a,0xa357,0xa222,0xa0eb,0x9fb2,0x9e77,0x9d3a,0x9bfb,0x9aba,0x9977,0x9832,0x96eb,0x95a2,0x9457,0x930a,0x91bb,0x906a,0x8f17,0x8dc2,0x8c6b,0x8b12,0x89b7,0x885a,0x86fb,0x859a,0x8437,0x82d2,0x816b,0x8002,0x7e97,0x7d2a,0x7bbb,0x7a4a,0x78d7,0x7762,0x75eb,0x7472,0x72f7,0x717a,0x6ffb,0x6e7a,0x6cf7,0x6b72,0x69eb,0x6862,0xfffa,0xfff9,0xfff6,0xfff1,0xffea,0xffe1,0xffd6,0xffc9,0xffba,0xffa9,0xff96,0xff81,0xff6a,0xff51,0xff36,0xff19,0xeefa,0xfed9,0xfeb4,0xf691,0xfe6a,0xfec1,0xfe54,0xf5eb,0xf5ba,0xf58b,0xfd56,0xfd21,0xfcea,0xfcb1,0xf434,0xfc39,0xf3fa,0xebb9,0xf376,0xfb71,0xf2ea,0xf2a1,0xfa16,0xf209,0xf9ba,0xf969,0xf916,0xf8c1,0xf86a,0xf811,0xf7b6,0xf759,0xf6fa,0xf699,0xf636,0xf5d1,0xf56a,0xf501,0xf496,0xf429,0xf3ba,0xf349,0xf2d6,0xf261,0xf1ea,0xf171,0xf0f6,0xf079,0xeffa,0xef79,0xeef6,0xee71,0xedea,0xed61,0xecd6,0xec49,0xebba,0xeb29,0xea96,0xea01,0xe96a,0xe8d1,0xe836,0xe799,0xe6fa,0xe659,0xe5b6,0xe511,0xe46a,0xe3c1,0xe316,0xe269,0xe1ba,0xe109,0xe056,0xdfa1,0xdeea,0xde31,0xdd76,0xdcb9,0xdbfa,0xdb39,0xda76,0xd9b1,0xd8ea,0xd821,0xd756,0xd689,0xd5ba,0xd4e9,0xd416,0xd341,0xd26a,0xd191,0xd0b6,0xcfd9,0xcefa,0xce19,0xcd36,0xcc51,0xcb6a,0xca81,0xc996,0xc8a9,0xc7ba,0xc6c9,0xc5d6,0xc4e1,0xc3ea,0xc2f1,0xc1f6,0xc0f9,0xbffa,0xbef9,0xbdf6,0xbcf1,0xbbea,0xbae1,0xb9d6,0xb8c9,0xb7ba,0xb6a9,0xb596,0xb481,0xb36a,0xb251,0xb136,0xb019,0xaefa,0xadd9,0xacb6,0xab91,0xaa6a,0xa941,0xa816,0xa6e9,0xa5ba,0xa489,0xa356,0xa221,0xa0ea,0x9fb1,0x9e76,0x9d39,0x9bfa,0x9ab9,0x9976,0x9831,0x96ea,0x95a1,0x9456,0x9309,0x91ba,0x9069,0x8f16,0x8dc1,0x8c6a,0x8b11,
0x89b6,0x8859,0x86fa,0x8599,0x8436,0x82d1,0x816a,0x8001,0x7e96,0x7d29,0x7bba,0x7a49,0x78d6,0x7761,0x75ea,0x7471,0x72f6,0x7179,0x6ffa,0x6e79,0x6cf6,0x6b71,0x69ea,0x6861,0xfff9,0xfff8,0xfff5,0xfff0,0xffe9,0xffe0,0xffd5,0xffc8,0xffb9,0xf7a8,0xf795,0xff80,0xff69,0xff10,0xff77,0xff5a,0xeefb,0xfed8,0xfeb7,0xfe90,0xfe29,0xfe00,0xfe57,0xf560,0xec37,0xef9a,0xff47,0xff74,0xf67f,0xeee6,0xee21,0xfdb6,0xfb3f,0xf3bc,0xfb75,0xfb30,0xeae9,0xf2a0,0xfa15,0xf208,0xf9b9,0xf968,0xf915,0xf8c0,0xf869,0xf810,0xf7b5,0xf758,0xf6f9,0xf698,0xf635,0xf5d0,0xf569,0xf500,0xf495,0xf428,0xf3b9,0xf348,0xf2d5,0xf260,0xf1e9,0xf170,0xf0f5,0xf078,0xeff9,0xef78,0xeef5,0xee70,0xede9,0xed60,0xecd5,0xec48,0xebb9,0xeb28,0xea95,0xea00,0xe969,0xe8d0,0xe835,0xe798,0xe6f9,0xe658,0xe5b5,0xe510,0xe469,0xe3c0,0xe315,0xe268,0xe1b9,0xe108,0xe055,0xdfa0,0xdee9,0xde30,0xdd75,0xdcb8,0xdbf9,0xdb38,0xda75,0xd9b0,0xd8e9,0xd820,0xd755,0xd688,0xd5b9,0xd4e8,0xd415,0xd340,0xd269,0xd190,0xd0b5,0xcfd8,0xcef9,0xce18,0xcd35,0xcc50,0xcb69,0xca80,0xc995,0xc8a8,0xc7b9,0xc6c8,0xc5d5,0xc4e0,0xc3e9,0xc2f0,0xc1f5,0xc0f8,0xbff9,0xbef8,0xbdf5,0xbcf0,0xbbe9,0xbae0,0xb9d5,0xb8c8,0xb7b9,0xb6a8,0xb595,0xb480,0xb369,0xb250,0xb135,0xb018,0xaef9,0xadd8,0xacb5,0xab90,0xaa69,0xa940,0xa815,0xa6e8,0xa5b9,0xa488,0xa355,0xa220,0xa0e9,0x9fb0,0x9e75,0x9d38,0x9bf9,0x9ab8,0x9975,0x9830,0x96e9,0x95a0,0x9455,0x9308,0x91b9,0x9068,0x8f15,0x8dc0,0x8c69,0x8b10,0x89b5,0x8858,0x86f9,0x8598,0x8435,0x82d0,0x8169,0x8000,0x7e95,0x7d28,0x7bb9,0x7a48,0x78d5,0x7760,0x75e9,0x7470,0x72f5,0x7178,0x6ff9,0x6e78,0x6cf5,0x6b70,0x69e9,0x6860,0xfff8,0xfff7,0xfff4,0xffef,0xffe8,0xffdf,0xffd4,0xffc7,0xffb8,0xf7a7,0xf796,0xff7f,0xff68,0xff4f,0xff34,0xff17,0xfefa,0xfed5,0xfeb6,0xfe8f,0xe668,0xee3f,0xfe92,0xeeff,0xd854,0xd371,0xe22c,0xe265,0xe3d0,0xda59,0xda82,0xf259,0xf824,0xf1a3,0xfbfc,0xf36b,0xeaea,0xfa9d,0xfa14,0xea07,0xf9b8,0xf967,0xf914,0xf8bf,0xf868,0xf80f,0xf7b4,0xf757,0xf6f8,0xf697,0xf634,0xf5cf,0xf568,0xf4ff,0xf494,0xf427,0xf3b8,0xf347,0xf2d4,0xf25f,0xf1e8,0xf16f,0xf0f4,0xf077,0xeff8,0xef77,0xeef4,0xee6f,0xede8,0xed5f,0xecd4,0xec47,0xebb8,0xeb27,0xea94,0xe9ff,0xe968,0xe8cf,0xe834,0xe797,0xe6f8,0xe657,0xe5b4,0xe50f,0xe468,0xe3bf,0xe314,0xe267,0xe1b8,0xe107,0xe054,0xdf9f,0xdee8,0xde2f,0xdd74,0xdcb7,0xdbf8,0xdb37,0xda74,0xd9af,0xd8e8,0xd81f,0xd754,0xd687,0xd5b8,0xd4e7,0xd414,0xd33f,0xd268,0xd18f,0xd0b4,0xcfd7,0xcef8,0xce17,0xcd34,0xcc4f,0xcb68,0xca7f,0xc994,0xc8a7,0xc7b8,0xc6c7,0xc5d4,0xc4df,0xc3e8,0xc2ef,0xc1f4,0xc0f7,0xbff8,0xbef7,0xbdf4,0xbcef,0xbbe8,0xbadf,0xb9d4,0xb8c7,0xb7b8,0xb6a7,0xb594,0xb47f,0xb368,0xb24f,0xb134,0xb017,0xaef8,0xadd7,0xacb4,0xab8f,0xaa68,0xa93f,0xa814,0xa6e7,0xa5b8,0xa487,0xa354,0xa21f,0xa0e8,0x9faf,0x9e74,0x9d37,0x9bf8,0x9ab7,0x9974,0x982f,0x96e8,0x959f,0x9454,0x9307,0x91b8,0x9067,0x8f14,0x8dbf,0x8c68,0x8b0f,0x89b4,0x8857,0x86f8,0x8597,0x8434,0x82cf,0x8168,0x7fff,0x7e94,0x7d27,0x7bb8,0x7a47,0x78d4,0x775f,0x75e8,0x746f,0x72f4,0x7177,0x6ff8,0x6e77,0x6cf4,0x6b6f,0x69e8,0x685f,0xfff7,0xfff6,0xfff3,0xffee,0xffe7,0xffde,0xffd3,0xffc6,0xffb7,0xefa4,0xff93,0xff7e,0xf765,0xff4c,0xff33,0xf756,0xf6f7,0xf6d6,0xfef3,0xfe8e,0xde65,0xfe3e,0xf71b,0xf356,0xca4d,0xd278,0xfaaf,0xdaa0,0xdb59,0xe350,0xeb8d,0xe38a,0xdc49,0xe44c,0xec43,0xf0b2,0xfbed,0xf29c,0xea53,0xfa84,0xf9f7,0xf166,0xf113,0xf8be,0xf865,0xf80e,0xf7f3,0xf756,0xf6f7,0xf696,0xf633,0xf5ce,0xf567,0xf4fe,0xf493,0xf426,0xf3b7,0xf346,0xf2d3,0xf25e,0xf1e7,0xf16e,0xf0f3,0xf076,0xeff7,0xef76,0xeef3,0xee6e,0xede7,0xed5e,0xecd3,0xec46,0xebb7,0xeb26,0xea93,0xe9fe,0xe967,0xe8ce,0xe833,0xe796,0xe6f7,0xe656,0xe5b3,0xe50e,0xe467,0xe3be,0xe313,0xe266,0xe1b7,0xe106,0xe053,0xdf9e,0xdee7,0xde2e,0xdd73,0xdcb6,0xdbf7,0xdb36,0xda73,0xd9ae,0xd8e7,0xd81e,0xd753,0xd686,0xd5b7,0xd4e6,0xd413,0xd33e,0xd267,0xd18e,0xd0b3,0xcfd6,0xcef7,0xce16,0xcd33,0xcc4e,0xcb67,0xca7e,0xc993,0xc8a6,0xc7b7,0xc6c6,0xc5d3,0xc4de,0xc3e7,0xc2ee,0xc1f3,0xc0f6,0xbff7,0xbef6,0xbdf3,0xbcee,0xbbe7,0xbade,0xb9d3,0xb8c6,0xb7b7,0xb6a6,0xb593,0xb47e,0xb367,0xb24e,0xb133,0xb016,0xaef7,0xadd6,0xacb3,0xab8e,0xaa67,0xa93e,0xa813,0xa6e6,0xa5b7,0xa486,0xa353,0xa21e,0xa0e7,0x9fae,0x9e73,0x9d36,0x9bf7,0x9ab6,0x9973,0x982e,
0x96e7,0x959e,0x9453,0x9306,0x91b7,0x9066,0x8f13,0x8dbe,0x8c67,0x8b0e,0x89b3,0x8856,0x86f7,0x8596,0x8433,0x82ce,0x8167,0x7ffe,0x7e93,0x7d26,0x7bb7,0x7a46,0x78d3,0x775e,0x75e7,0x746e,0x72f3,0x7176,0x6ff7,0x6e76,0x6cf3,0x6b6e,0x69e7,0x685e,0xfff6,0xfff5,0xfff2,0xffed,0xffe6,0xffdd,0xffd2,0xffc5,0xffb6,0xffa5,0xff90,0xf73f,0xf766,0xff4f,0xff30,0xff15,0xfef4,0xf6d7,0xfef2,0xf6cd,0xe666,0xfe7f,0xfc40,0xe219,0xe248,0xda7b,0xf2ae,0xdaa3,0xd358,0xe353,0xf38c,0xdbcb,0xdc08,0xd449,0xd48e,0xdcd7,0xd414,0xe181,0xea18,0xea05,0xf9b4,0xf127,0xf912,0xf8fd,0xf824,0xf80f,0xffb2,0xff55,0xf6f6,0xf695,0xf632,0xf5cd,0xf566,0xf4fd,0xf492,0xf425,0xf3b6,0xf345,0xf2d2,0xf25d,0xf1e6,0xf16d,0xf0f2,0xf075,0xeff6,0xef75,0xeef2,0xee6d,0xede6,0xed5d,0xecd2,0xec45,0xebb6,0xeb25,0xea92,0xe9fd,0xe966,0xe8cd,0xe832,0xe795,0xe6f6,0xe655,0xe5b2,0xe50d,0xe466,0xe3bd,0xe312,0xe265,0xe1b6,0xe105,0xe052,0xdf9d,0xdee6,0xde2d,0xdd72,0xdcb5,0xdbf6,0xdb35,0xda72,0xd9ad,0xd8e6,0xd81d,0xd752,0xd685,0xd5b6,0xd4e5,0xd412,0xd33d,0xd266,0xd18d,0xd0b2,0xcfd5,0xcef6,0xce15,0xcd32,0xcc4d,0xcb66,0xca7d,0xc992,0xc8a5,0xc7b6,0xc6c5,0xc5d2,0xc4dd,0xc3e6,0xc2ed,0xc1f2,0xc0f5,0xbff6,0xbef5,0xbdf2,0xbced,0xbbe6,0xbadd,0xb9d2,0xb8c5,0xb7b6,0xb6a5,0xb592,0xb47d,0xb366,0xb24d,0xb132,0xb015,0xaef6,0xadd5,0xacb2,0xab8d,0xaa66,0xa93d,0xa812,0xa6e5,0xa5b6,0xa485,0xa352,0xa21d,0xa0e6,0x9fad,0x9e72,0x9d35,0x9bf6,0x9ab5,0x9972,0x982d,0x96e6,0x959d,0x9452,0x9305,0x91b6,0x9065,0x8f12,0x8dbd,0x8c66,0x8b0d,0x89b2,0x8855,0x86f6,0x8595,0x8432,0x82cd,0x8166,0x7ffd,0x7e92,0x7d25,0x7bb6,0x7a45,0x78d2,0x775d,0x75e6,0x746d,0x72f2,0x7175,0x6ff6,0x6e75,0x6cf2,0x6b6d,0x69e6,0x685d,0xfff5,0xfff4,0xfff1,0xffec,0xffe5,0xffdc,0xffd1,0xffc4,0xf7b5,0xffa4,0xff93,0xf73c,0xff65,0xff4c,0xff31,0xff54,0xfef7,0xfed6,0xfe33,0xfecc,0xe627,0xfeb8,0xf231,0xe21a,0xea4b,0xe238,0xeaad,0xe2e2,0xeb59,0xdb52,0xdb8f,0xe3c8,0xe409,0xec4e,0xe40d,0xecd2,0xe519,0xe560,0xece1,0xe80a,0xf933,0xf964,0xf111,0xf8bc,0xf865,0xf00e,0xffb3,0xf754,0xf6f5,0xf694,0xf631,0xf5cc,0xf565,0xf4fc,0xf491,0xf424,0xf3b5,0xf344,0xf2d1,0xf25c,0xf1e5,0xf16c,0xf0f1,0xf074,0xeff5,0xef74,0xeef1,0xee6c,0xede5,0xed5c,0xecd1,0xec44,0xebb5,0xeb24,0xea91,0xe9fc,0xe965,0xe8cc,0xe831,0xe794,0xe6f5,0xe654,0xe5b1,0xe50c,0xe465,0xe3bc,0xe311,0xe264,0xe1b5,0xe104,0xe051,0xdf9c,0xdee5,0xde2c,0xdd71,0xdcb4,0xdbf5,0xdb34,0xda71,0xd9ac,0xd8e5,0xd81c,0xd751,0xd684,0xd5b5,0xd4e4,0xd411,0xd33c,0xd265,0xd18c,0xd0b1,0xcfd4,0xcef5,0xce14,0xcd31,0xcc4c,0xcb65,0xca7c,0xc991,0xc8a4,0xc7b5,0xc6c4,0xc5d1,0xc4dc,0xc3e5,0xc2ec,0xc1f1,0xc0f4,0xbff5,0xbef4,0xbdf1,0xbcec,0xbbe5,0xbadc,0xb9d1,0xb8c4,0xb7b5,0xb6a4,0xb591,0xb47c,0xb365,0xb24c,0xb131,0xb014,0xaef5,0xadd4,0xacb1,0xab8c,0xaa65,0xa93c,0xa811,0xa6e4,0xa5b5,0xa484,0xa351,0xa21c,0xa0e5,0x9fac,0x9e71,0x9d34,0x9bf5,0x9ab4,0x9971,0x982c,0x96e5,0x959c,0x9451,0x9304,0x91b5,0x9064,0x8f11,0x8dbc,0x8c65,0x8b0c,0x89b1,0x8854,0x86f5,0x8594,0x8431,0x82cc,0x8165,0x7ffc,0x7e91,0x7d24,0x7bb5,0x7a44,0x78d1,0x775c,0x75e5,0x746c,0x72f1,0x7174,0x6ff5,0x6e74,0x6cf1,0x6b6c,0x69e5,0x685c,0xfff4,0xfff3,0xfff0,0xffeb,0xffe4,0xffdb,0xffd0,0xffc3,0xffb4,0xf7a7,0xffd2,0xff7b,0xf764,0xff4b,0xf772,0xf751,0xfef4,0xeed1,0xfef2,0xfec9,0xee66,0xff71,0xe8a0,0xf21d,0xe208,0xdb75,0xd264,0xd22f,0xebd0,0xdb9f,0xca84,0xe3cb,0xec0c,0xec49,0xdc8e,0xe4d5,0xfd52,0xed63,0xd526,0xc46d,0xebe0,0xf127,0xf910,0xf0bb,0xe864,0xf809,0xf7b2,0xf713,0xf6f4,0xf693,0xf630,0xf5cb,0xf564,0xf4fb,0xf490,0xf423,0xf3b4,0xf343,0xf2d0,0xf25b,0xf1e4,0xf16b,0xf0f0,0xf073,0xeff4,0xef73,0xeef0,0xee6b,0xede4,0xed5b,0xecd0,0xec43,0xebb4,0xeb23,0xea90,0xe9fb,0xe964,0xe8cb,0xe830,0xe793,0xe6f4,0xe653,0xe5b0,0xe50b,0xe464,0xe3bb,0xe310,0xe263,0xe1b4,0xe103,0xe050,0xdf9b,0xdee4,0xde2b,0xdd70,0xdcb3,0xdbf4,0xdb33,0xda70,0xd9ab,0xd8e4,0xd81b,0xd750,0xd683,0xd5b4,0xd4e3,0xd410,0xd33b,0xd264,0xd18b,0xd0b0,0xcfd3,0xcef4,0xce13,0xcd30,0xcc4b,0xcb64,0xca7b,0xc990,0xc8a3,0xc7b4,0xc6c3,0xc5d0,0xc4db,0xc3e4,0xc2eb,0xc1f0,0xc0f3,0xbff4,0xbef3,0xbdf0,0xb4a9,0xbbe4,0xbadb,0xb9d0,0xb8c3,0xb7b4,0xb6a3,0xb590,0xb47b,0xb364,0xb24b,0xb130,0xb013,0xaef4,0xadd3,0xacb0,0xab8b,0xaa64,0xa93b,0xa810,0xa6e3,0xa5b4,0xa483,
0xa350,0xa21b,0xa0e4,0x9fab,0x9e70,0x9d33,0x9bf4,0x9ab3,0x9970,0x982b,0x96e4,0x959b,0x9450,0x9303,0x91b4,0x9063,0x8f10,0x8dbb,0x8c64,0x8b0b,0x89b0,0x8853,0x86f4,0x8593,0x8430,0x82cb,0x8164,0x7ffb,0x7e90,0x7d23,0x7bb4,0x7a43,0x78d0,0x775b,0x75e4,0x746b,0x72f0,0x7173,0x6ff4,0x6e73,0x6cf0,0x6b6b,0x69e4,0x685b,0xfff3,0xfff2,0xffef,0xffea,0xffe3,0xffda,0xffcf,0xffc0,0xfff3,0xffa2,0xf7cd,0xf73a,0xff63,0xefce,0xd663,0xff50,0xf6b3,0xf6d2,0xfeed,0xfe8a,0xee61,0xfc28,0xd9f5,0xda5c,0xe09b,0xfccc,0xfd4b,0xfdd2,0xfde9,0xfc60,0xfd63,0xffd2,0xb44f,0xcc08,0xf08f,0xf2be,0xf371,0xe0cc,0xfb9f,0xf054,0xfb65,0xf336,0xf989,0xf0ba,0xf863,0xf848,0xf7ad,0xf752,0xf6f3,0xf692,0xf62f,0xf5ca,0xf563,0xf4fa,0xf48f,0xf422,0xf3b3,0xf342,0xf2cf,0xf25a,0xf1e3,0xf16a,0xf0ef,0xf072,0xeff3,0xef72,0xeeef,0xee6a,0xede3,0xed5a,0xeccf,0xec42,0xebb3,0xeb22,0xea8f,0xe9fa,0xe963,0xe8ca,0xe82f,0xe792,0xe6f3,0xe652,0xe5af,0xe50a,0xe463,0xe3ba,0xe30f,0xe262,0xe1b3,0xe102,0xe04f,0xdf9a,0xdee3,0xde2a,0xdd6f,0xdcb2,0xdbf3,0xdb32,0xda6f,0xd9aa,0xd8e3,0xd81a,0xd74f,0xd682,0xd5b3,0xd4e2,0xd40f,0xd33a,0xd263,0xd18a,0xd0af,0xcfd2,0xcef3,0xce12,0xcd2f,0xcc4a,0xcb63,0xca7a,0xc98f,0xc8a2,0xc7b3,0xc6c2,0xc5cf,0xc4da,0xc3e3,0xc2ea,0xc1ef,0xc0f2,0xbff3,0xbef2,0xbdef,0xbcea,0xbbe3,0xbada,0xb9cf,0xb8c2,0xb7b3,0xb6a2,0xb58f,0xb47a,0xb363,0xb24a,0xb12f,0xb012,0xaef3,0xadd2,0xacaf,0xab8a,0xaa63,0xa93a,0xa80f,0xa6e2,0xa5b3,0xacc0,0xa34f,0xa21a,0xa0e3,0x9faa,0x9e6f,0x9d32,0x9bf3,0x9ab2,0x996f,0x982a,0x96e3,0x959a,0x944f,0x9302,0x91b3,0x9062,0x8f0f,0x8dba,0x8c63,0x8b0a,0x89af,0x8852,0x86f3,0x8592,0x842f,0x82ca,0x8163,0x7ffa,0x7e8f,0x7d22,0x7bb3,0x7a42,0x78cf,0x775a,0x75e3,0x746a,0x72ef,0x7172,0x6ff3,0x6e72,0x6cef,0x6b6a,0x69e3,0x685a,0xfff2,0xfff1,0xffee,0xffe9,0xffe2,0xffd9,0xffcc,0xffc3,0xf7b2,0xefa1,0xff8c,0xef3d,0xef62,0xfdd9,0xfb72,0xff11,0xe6f6,0xeed1,0xf6ae,0xeecb,0xfee0,0xe25b,0xe1f0,0xc2dd,0xfe28,0xfd81,0xe54c,0xf55b,0xfce2,0xfca9,0xf4e6,0xd897,0xe40a,0xfdd9,0xfbac,0xeb29,0xf2e6,0xea9b,0xfa0e,0xf287,0xf592,0xbe19,0xeb96,0xf8b9,0xf822,0xf809,0xf7ae,0xf751,0xf6f2,0xf691,0xf62e,0xf5c9,0xf562,0xf4f9,0xf48e,0xf421,0xf3b2,0xf341,0xf2ce,0xf259,0xf1e2,0xf169,0xf0ee,0xf071,0xeff2,0xef71,0xeeee,0xee69,0xede2,0xed59,0xecce,0xec41,0xebb2,0xeb21,0xea8e,0xe9f9,0xe962,0xe8c9,0xe82e,0xe791,0xe6f2,0xe651,0xe5ae,0xe509,0xe462,0xe3b9,0xe30e,0xe261,0xe1b2,0xe101,0xe04e,0xdf99,0xdee2,0xde29,0xdd6e,0xdcb1,0xdbf2,0xdb31,0xda6e,0xd9a9,0xd8e2,0xd819,0xd74e,0xd681,0xd5b2,0xd4e1,0xd40e,0xd339,0xd262,0xd189,0xd0ae,0xcfd1,0xcef2,0xce11,0xcd2e,0xcc49,0xcb62,0xca79,0xc98e,0xc8a1,0xc7b2,0xc6c1,0xc5ce,0xc4d9,0xc3e2,0xc2e9,0xc1ee,0xc0f1,0xbff2,0xb6b3,0xbdee,0xbce9,0xb3a0,0xbad9,0xb9ce,0xb8c1,0xb7b2,0xb6a1,0xb58e,0xbc3b,0xbb20,0xb249,0xb12e,0xb011,0xaef2,0xadd1,0xacae,0xab89,0xaa62,0xa939,0xa80e,0xa6e1,0xa5b2,0xa481,0xa34e,0xa219,0xa0e2,0x9fa9,0x962c,0x9d31,0x9bf2,0x9ab1,0x996e,0x9829,0x96e2,0x9599,0x944e,0x9301,0x91b2,0x9061,0x8f0e,0x8db9,0x8c62,0x8b09,0x89ae,0x8851,0x86f2,0x8591,0x842e,0x82c9,0x8162,0x7ff9,0x7e8e,0x7d21,0x7bb2,0x7a41,0x78ce,0x7759,0x75e2,0x7469,0x72ee,0x7171,0x6ff2,0x6e71,0x6cee,0x6b69,0x69e2,0x6859,0xfff1,0xfff0,0xffed,0xffe8,0xffe1,0xffda,0xffcf,0xffc2,0xf7b3,0xffa0,0xff0f,0xf77a,0xf6af,0xdae0,0xfdfb,0xdf12,0xfef3,0xfed0,0xf6ed,0xf688,0xff69,0xdbd6,0xe9f3,0xc396,0xffbf,0xf580,0xf54d,0xfd58,0xece1,0xfca8,0xfd21,0xd30a,0xdc4f,0xe61e,0xe179,0xe2fa,0xf8f7,0xeb4e,0xf399,0xf918,0xefc1,0xde9c,0xdcbd,0xf928,0xf861,0xf008,0xf7ad,0xf710,0xf6f1,0xf690,0xf62d,0xf5c8,0xf561,0xf4f8,0xf48d,0xf420,0xf3b1,0xf340,0xf2cd,0xf258,0xf1e1,0xf168,0xf0ed,0xf070,0xeff1,0xef70,0xe6af,0xe62a,0xede1,0xed58,0xeccd,0xec40,0xebb1,0xeb20,0xea8d,0xe9f8,0xe961,0xe8c8,0xe06f,0xe790,0xe6f1,0xe650,0xe5ad,0xe508,0xe461,0xe3b8,0xe30d,0xe260,0xe1b1,0xe100,0xe04d,0xdf98,0xdee1,0xde28,0xdd6d,0xdcb0,0xd3b3,0xd372,0xd22f,0xd1ea,0xd0a3,0xd818,0xd74d,0xd680,0xd5b1,0xd4e0,0xd40d,0xd338,0xd261,0xd188,0xd0ad,0xcfd0,0xcef1,0xc652,0xcd2d,0xcc48,0xc323,0xca78,0xc98d,0xc8a0,0xc7b1,0xc6c0,0xc5cd,0xc4d8,0xc3e1,0xc2e8,0xc1ed,0xc0f0,0xbff1,0xb6b2,0xbded,0xbce8,0xbbe1,0xbad8,0xb9cd,0xb082,0xbff3,0xb6a0,0xb58d,0xb478,0xb361,0xb248,0xb12d,0xb010,
0xaef1,0xadd0,0xacad,0xab88,0xaa61,0xa938,0xa80d,0xaea2,0xa5b1,0xa480,0xa34d,0xa218,0xa0e1,0x9fa8,0x9e6d,0x9d30,0x9bf1,0x9ab0,0x996d,0x9828,0x96e1,0x9598,0x944d,0x9300,0x91b1,0x9060,0x8f0d,0x8db8,0x8c61,0x8b08,0x89ad,0x8850,0x86f1,0x8dd2,0x842d,0x82c8,0x8161,0x77ba,0x7e8d,0x7562,0x7bb1,0x7202,0x708f,0x7758,0x75e1,0x7468,0x72ed,0x7170,0x6ff1,0x6e70,0x6ced,0x6b68,0x69e1,0x6858,0xfff0,0xffef,0xffec,0xffe7,0xffe0,0xffd5,0xffce,0xffbd,0xe7b0,0xff9d,0xffcc,0xe775,0xfbc0,0xd031,0xff2a,0xe70d,0xfef2,0xf68f,0xf6ac,0xfe85,0xfc72,0xd14d,0xf1f0,0xd0b3,0xfdb4,0xfd7f,0xfd0e,0xfd17,0xe4e0,0xf4e5,0xf6fa,0xfbd1,0xec0e,0xdc13,0xe45a,0xe451,0xdd5a,0xd5ad,0xdd74,0xe6cd,0xf64a,0xd6e1,0xee72,0xec15,0xf860,0xe807,0xffee,0xf74f,0xf6f0,0xf68f,0xf62c,0xf5c7,0xf560,0xf4f7,0xf48c,0xf41f,0xf3b0,0xf33f,0xf2cc,0xf257,0xf1e0,0xf167,0xf0ec,0xf82d,0xeff0,0xef6f,0xe6ae,0xe625,0xede0,0xed57,0xeccc,0xec3f,0xe3f2,0xfb9b,0xea8c,0xe9f7,0xe960,0xe8c7,0xe82c,0xe78f,0xe6f0,0xe64f,0xe5ac,0xe507,0xe460,0xe3b7,0xe30c,0xe25f,0xe1b0,0xe0ff,0xe04c,0xdf97,0xdee0,0xde27,0xdd6c,0xdcaf,0xd3b2,0xdb2f,0xda6c,0xd1e5,0xd8e0,0xd817,0xd74c,0xd67f,0xd5b0,0xd4df,0xd40c,0xd337,0xd260,0xd187,0xd0ac,0xcfcf,0xcef0,0xc64d,0xcd2c,0xcc47,0xc322,0xc235,0xc98c,0xc89f,0xc7b0,0xc6bf,0xc5cc,0xc4d7,0xc3e0,0xc2e7,0xc1ec,0xc0ef,0xbff0,0xbeef,0xbdec,0xb4a5,0xbbe0,0xbad7,0xb18e,0xb8bf,0xb7b0,0xbedd,0xbdce,0xb477,0xb360,0xb247,0xb12c,0xb00f,0xaef0,0xa58d,0xacac,0xa3c5,0xa222,0xa937,0xa04e,0xa6df,0xa5b0,0xa47f,0xa34c,0xa217,0xa0e0,0x9fa7,0x962e,0x9d2f,0x9bf0,0x9aaf,0x996c,0x9065,0x9ea2,0x9597,0x9c0e,0x92ff,0x91b0,0x905f,0x8f0c,0x85f5,0x8422,0x8b07,0x89ac,0x884f,0x86f0,0x8dcd,0x842c,0x8a85,0x8160,0x77b5,0x7e8c,0x755d,0x7bb0,0x727d,0x708e,0x7757,0x75e0,0x7467,0x72ec,0x716f,0x6ff0,0x6e6f,0x6cec,0x6b67,0x69e0,0x6857,0xffef,0xffee,0xffeb,0xffe6,0xffdf,0xffd6,0xffcb,0xffbc,0xefaf,0xf79e,0xffcb,0xf520,0xe1a5,0xea2e,0xdf2b,0xff4c,0xfeaf,0xee8c,0xf6ab,0xfe42,0xf23f,0xc1c8,0xf1bd,0xde42,0xfdad,0xed7e,0xfdcb,0xfd16,0xf4dd,0xfc6e,0xd88f,0xe3d0,0xe411,0xe4d2,0xec97,0xecda,0xdd21,0xe568,0xedf7,0xe600,0xfe51,0xe6e0,0xf6f5,0xee42,0xfacb,0xf806,0xefab,0xf74e,0xf6ef,0xf68e,0xf62b,0xf5c6,0xf55f,0xf4f6,0xf48b,0xf41e,0xfbed,0xfb7c,0xf2cb,0xf256,0xf99d,0xf924,0xf0eb,0xf06e,0xefef,0xe72c,0xeeeb,0xee66,0xe59d,0xe514,0xe489,0xe47c,0xebaf,0xeb1e,0xea8b,0xe9f6,0xe95f,0xe8c6,0xe82b,0xefcc,0xeead,0xe64e,0xe5ab,0xe506,0xe45f,0xebf4,0xe30b,0xea1c,0xe9ed,0xe8bc,0xe809,0xd7d4,0xdedf,0xd664,0xd529,0xdcae,0xd3ad,0xd36c,0xd229,0xd9a6,0xd8df,0xd054,0xc7cf,0xde3c,0xd5af,0xd4de,0xdc49,0xdb74,0xd25f,0xd186,0xd0ab,0xc78c,0xceef,0xce0e,0xcd2b,0xdcc2,0xc31d,0xca76,0xc98b,0xc89e,0xc7af,0xcefc,0xc5cb,0xc4d6,0xc3df,0xc2e6,0xc1eb,0xc0ee,0xbfef,0xae6a,0xb5a9,0xbce6,0xbbdf,0xb294,0xb9cb,0xb8be,0xbfed,0xb69e,0xbdc9,0xb476,0xb35f,0xba04,0xb12b,0xb00e,0xaeef,0xa58c,0xa4e9,0xab86,0xaa5f,0xa936,0xa049,0xa6de,0xaded,0xac3c,0xa34b,0xa216,0xa89d,0x9fa6,0x9e6b,0x9d2e,0x8b6b,0x9aae,0x9129,0x9826,0x9e9d,0x9596,0x944b,0x9abc,0x91af,0x981c,0x8749,0x8db6,0x8c5f,0x8b06,0x89ab,0x98ca,0x86ef,0x8dcc,0x842b,0x8a84,0x815f,0x77b4,0x76c9,0x755c,0x7baf,0x7a3e,0x7089,0x7f14,0x7d9d,0x7466,0x72eb,0x716e,0x6fef,0x6e6e,0x6ceb,0x6b66,0x69df,0x6856,0xffee,0xffed,0xffea,0xffe5,0xffde,0xffd5,0xffca,0xffbf,0xffae,0xf7dd,0xf788,0xe25f,0xe0a0,0xf5d3,0xf72a,0xff89,0xfeac,0xe6cd,0xeeaa,0xfe01,0xe48a,0xda6b,0xfdd0,0xfc91,0xedac,0xed3d,0xfd4a,0xfd55,0xfcde,0xfda9,0xd2d8,0xc3d3,0xdd5e,0xfe8b,0xfe4e,0xefc1,0xee3a,0xf7b1,0xefe0,0xee47,0xe650,0xe6e1,0xd6f4,0xdf0f,0xe578,0xf881,0xffaa,0xf74d,0xf6ee,0xf68d,0xf62a,0xf5c5,0xf55e,0xf4f5,0xf48a,0xecdb,0x6f48,0x4691,0x4766,0x577d,0x5cb4,0x6d83,0xd1e2,0xf06d,0xefee,0xef6d,0xeeea,0xcf6d,0x61bc,0x58f9,0x49e2,0xa66f,0xebae,0xf3db,0x6eaa,0x5c59,0x5cf2,0x45af,0x5d86,0x4ae7,0xb47a,0xe64d,0xe5aa,0xe505,0xe45e,0xfb73,0x9096,0x7ebb,0x4486,0x45d5,0x4562,0x72ff,0x73b4,0x7b0d,0x7842,0x7985,0x7ec6,0x6e81,0xb972,0xd1e7,0xd8de,0xb34f,0x62e6,0x7b17,0x78c4,0x6171,0x69e4,0x89e3,0xda1c,0xd185,0x8a7c,0x62a7,0x6384,0x6367,0x6040,0x79e9,0x99ca,0xca75,0xc98a,0xc89d,0xc7ae,0xc6bd,0xc5ca,0xcc97,0xc3de,0xc2e5,0xc1ea,0xc0ed,0xfdfe,0x2a49,0x1080,0x19cd,0x16b4,0x73b,
0xca56,0xa839,0xb7ae,0xb69d,0xb58a,0xb475,0xf14e,0xc99b,0x1402,0x1525,0x384,0xa7,0x1c0,0x6ef,0x734,0xc1d,0x560,0xbb7,0x86,0x8d37,0xa34a,0xaa57,0xa89c,0x9fa5,0xb720,0xeeb1,0x708,0x3f85,0x3c42,0x354f,0x3bb4,0x38ff,0x3920,0x659,0xa860,0x981f,0x8f0a,0x85f7,0x8c5e,0x8347,0x5c8,0x2527,0x2b84,0x28e7,0x2940,0xea7,0xc34e,0x7ff5,0x7e8a,0x7d1d,0x7bae,0x727f,0x314,0xda3f,0xc072,0xfbb,0x72ea,0x716d,0x6fee,0x6e6d,0x6cea,0x6b65,0x69de,0x6855,0xffed,0xffec,0xffe9,0xffe4,0xffdd,0xffd4,0xffc9,0xffbe,0xffad,0xf7dc,0xeec7,0xe84c,0xf1a9,0xefce,0xff69,0xff0e,0xfeed,0xdecc,0xe6a9,0xe684,0xee5d,0xf634,0xfe8b,0xfdde,0xf5ad,0xedfc,0xf549,0xf556,0xfcdd,0xf632,0xdb95,0xd316,0xe13b,0xfbae,0xfb69,0xfb26,0xf2df,0xfa94,0xe01f,0xde84,0xce53,0xdea0,0xd675,0xdf4a,0xe76f,0xea56,0xffa9,0xf70c,0xf6ed,0xf68c,0xf629,0xf5c4,0xf55d,0xf4f4,0xf489,0xa688,0xc53,0xcc2,0xd37,0xdaa,0xe23,0x4c8a,0xf8ab,0xf06c,0xefed,0xef6c,0xeee9,0xb4b2,0x2a7,0x12aa,0xbf1,0xbea8,0xebad,0xd2d2,0x3c3d,0x160a,0x16a3,0x1f78,0x17d7,0x3138,0xdf23,0xe64c,0xe5a9,0xf580,0x8745,0x3500,0x1cf7,0x1da2,0x1e53,0x1f02,0x1fb7,0x206a,0x2123,0x21da,0x2297,0x2352,0x2413,0x2c90,0xa9f5,0xd9a4,0xc01b,0x65fa,0x28b7,0x2982,0x2a53,0x2b22,0x3b73,0x81a0,0xd25d,0xc100,0x7dc3,0x3032,0x3113,0x31f2,0x32d7,0x3bf8,0x918b,0xca74,0xc989,0xc89c,0xc7ad,0xc6bc,0xc5c9,0xc4d4,0xc3dd,0xc2e4,0xc1e9,0xc8ae,0x230b,0x4112,0x4217,0x431a,0x4c61,0x452a,0xca55,0xb8bc,0xb7ad,0xb69c,0x9481,0x3054,0x5465,0x4dba,0x4695,0x4ff2,0x5113,0x5232,0x5357,0x547a,0x55a3,0x56ca,0x57f7,0x5922,0x1001,0x8574,0xa349,0xa214,0xb059,0xf4fe,0x409f,0x62d2,0x6413,0x6552,0x6697,0x67da,0x6161,0x6a6a,0x6bb7,0x6d02,0x4719,0xda0e,0x8f09,0x85f6,0x8c5d,0xd990,0x7e15,0x77b2,0x7151,0x7a72,0x7bd7,0x7d3a,0x3cb3,0x6f70,0x76cb,0x7d1c,0x7bad,0x382c,0x97b3,0x88aa,0x8261,0xf044,0x72e9,0x716c,0x6fed,0x6e6c,0x6ce9,0x6b64,0x69dd,0x6854,0xffec,0xffeb,0xffe8,0xffe3,0xffdc,0xffd3,0xffc8,0xffb9,0xefe8,0xf799,0xf416,0xe08f,0xf338,0xef47,0xff28,0xef09,0xfeec,0xf689,0xfea8,0xf681,0xfe18,0xfe37,0xf608,0xfddb,0xfdec,0xf53b,0xfd0c,0xf511,0xf498,0xe845,0xeb96,0xe29f,0xf2e6,0xebab,0xeb6a,0xeb23,0xd2de,0xfa11,0xee68,0xee05,0xd650,0xdea7,0xdeb4,0xe74d,0xefe4,0xdc63,0xf7a8,0xf74b,0xf6ec,0xf68b,0xf628,0xf5c3,0xf55c,0xf4f3,0xe40c,0x68fd,0xc52,0xcc5,0xd36,0xdad,0x660,0x8abd,0xf0e8,0xf06b,0xefec,0xef6b,0xfe6c,0x6201,0x1222,0x12ad,0x41a2,0xec3b,0xebac,0x8041,0x1d34,0x160d,0x16a2,0x173d,0x17d6,0x7b6d,0xe6ec,0xe64b,0xfd6e,0x6123,0x364,0x1c4d,0x1cf6,0x1da5,0x1610,0x364f,0x4d22,0x4b37,0x7bf4,0x7b0b,0x418e,0x404d,0x7ec4,0x5f0b,0xebe4,0xd9a3,0x8a48,0x3f2b,0x28b6,0x2985,0x2a52,0x2b25,0x69e6,0xfa79,0xd25c,0x8317,0xe5e,0x3035,0x3112,0x31f5,0x32d6,0x71ad,0xe216,0xca73,0xc988,0xc89b,0xc7ac,0xcef9,0xc5c8,0xc4d3,0xc3dc,0xc2e3,0xc1e8,0xe9a1,0x79dc,0x4115,0x4216,0x431d,0x4422,0x6425,0x8006,0xb8bb,0xb7ac,0x9fd1,0x18e2,0x43cf,0x44e0,0x4dbd,0x4ed6,0x5733,0x1b40,0x8e3,0x980,0xeab,0xf74,0xc1b,0x34ee,0xbb1,0xeffe,0xac39,0xa348,0xaa51,0x24fc,0x681f,0x6196,0x62d5,0x6412,0x6555,0x479e,0x5e13,0x2b32,0x4327,0x63f4,0x6d05,0x6e52,0xeb85,0x874a,0x8db3,0x8c5c,0x761,0x7e14,0x77b5,0x7150,0x7a75,0x7bd6,0x7d3d,0x6664,0x4e7f,0x7e88,0x7d1b,0x7bac,0x9a7,0x8736,0x88ad,0xb3ec,0x45ef,0x72e8,0x716b,0x6fec,0x6e6b,0x6ce8,0x6b63,0x69dc,0x6853,0xffeb,0xffea,0xffe7,0xffe2,0xffdb,0xffd2,0xffc7,0xffba,0xffab,0xff9e,0xfa6b,0xd08c,0xf54f,0xff40,0xf725,0xef08,0xf6eb,0xfe8a,0xfe6f,0xf51e,0xeb31,0xe210,0xe70b,0xf5da,0xf5eb,0xf57a,0xfdc3,0xf516,0xf591,0xda10,0xebd9,0xe940,0xfbeb,0xf3a8,0xfb27,0xfb22,0xeadb,0xfb18,0xe437,0xf604,0xe611,0xee22,0xe6f9,0xe70c,0xe7a7,0xe5a8,0xf72f,0xf74a,0xf6eb,0xf68a,0xf627,0xf5c2,0xf55b,0xf4f2,0xddcd,0x2aec,0xc55,0xcc4,0x57b,0xdac,0x276f,0xc8ac,0xf0e7,0xf06a,0xe7a9,0xef6a,0xc7ad,0x2852,0x1225,0x228,0x9f5b,0xec3a,0xf36d,0x4670,0x1579,0x160c,0x16a5,0x173c,0x75d,0x9416,0xe6eb,0xe64a,0xb733,0x23a,0x1ba5,0x1c4c,0x1cf9,0x1da4,0x2fd9,0xd934,0xe047,0xd7d0,0xd699,0xde22,0xd525,0xd4e8,0xcb6f,0xd368,0xda67,0xd9a2,0x54b9,0x27ec,0x28b9,0x2984,0x2a55,0x2b24,0x5027,0xd332,0xd25b,0x5de0,0x2f59,0x3034,0x3115,0x31f4,0x32d9,0xb79c,0xcb5b,0xca72,0xc987,0xc89a,0xc7ab,0xc6ba,0xc5c7,0xc4d2,0xc3db,0xc2e2,0xc1e7,0xa3f2,0x58d3,0x4114,0x4219
,0x431c,0x4425,0x17b8,0xa101,0xb8ba,0xb7ab,0x223e,0x423b,0x4b8c,0x4ca5,0x4dbc,0x561f,0x342a,0xb62d,0xadca,0xa4e5,0xa3c0,0xaa5b,0xa170,0xb883,0xae98,0xa5ab,0xa47a,0xa347,0xc948,0x4fa1,0x605c,0x6199,0x6a96,0x6415,0x2f06,0xdb77,0x9060,0x96db,0xbcd8,0x42f3,0x6d04,0x6e55,0xcbc,0x97c1,0x8db2,0x8419,0x36ec,0x7659,0x77b4,0x7915,0x7a74,0x739b,0x7d3c,0x7ea5,0x42c,0x7e87,0x7d1a,0x73e9,0xd750,0x8739,0x88ac,0xe17f,0x7c20,0x72e7,0x716a,0x6feb,0x6e6a,0x6ce7,0x6b62,0x69db,0x6852,0xffea,0xffe9,0xffe6,0xffe1,0xffda,0xffd1,0xffc6,0xffb9,0xffe8,0xf617,0xe0f0,0xd847,0xff90,0xff41,0xef24,0xff4b,0xf6ea,0xf649,0xefea,0xd13d,0xf9a4,0xd841,0xf640,0xfdd9,0xfdaa,0xed7b,0xf544,0xf557,0xe64c,0xc3db,0xebda,0xf731,0xf3ea,0xfbe9,0xfb66,0xf361,0xfada,0xf803,0xd5fc,0xe607,0xde54,0xe6a5,0xdef8,0xe70f,0xdfa4,0xde73,0xf5f2,0xf749,0xf6ea,0xf689,0xf626,0xf5c1,0xf55a,0xf4f1,0xae50,0xbe7,0xc54,0xcc7,0x57a,0xdaf,0x5cb0,0xf161,0xf0e6,0xf069,0xefea,0xef69,0x8dfe,0x119f,0x1224,0x2323,0xd508,0xec39,0xd264,0xc21,0x1578,0x160f,0x1ee6,0x173f,0x2654,0xd605,0xe6ea,0xcf03,0x2396,0x1aff,0x1ba4,0x1c4f,0x1cf8,0x2c2b,0xd026,0xe0f9,0xe046,0xdf91,0xdeda,0xde21,0xdd66,0xdca9,0xdbea,0xd36b,0xda66,0xf8a9,0x6534,0x27ef,0x28b8,0x2987,0x2a54,0x33e1,0x9e54,0xd331,0xf352,0x6c6f,0x2f58,0x3037,0x3114,0x31f7,0x3a9a,0x9ed5,0xcb5a,0xca71,0xc986,0xc899,0xc7aa,0xc6b9,0xc5c6,0xc4d1,0xc3da,0xc2e1,0xc1e6,0x5c0f,0x4014,0x4117,0x4218,0x431f,0x4c66,0xd18b,0xb184,0xb8b9,0xed7c,0x686f,0x4a78,0x4b8f,0x4ca4,0x4dbf,0x3506,0xa8cf,0xaeea,0xadc9,0xaca6,0xab81,0xaa5a,0xa931,0xa806,0xa6d9,0xa5aa,0xa479,0xe156,0x7ce7,0x5f24,0x605f,0x6198,0x62d7,0x4d5e,0xb3e3,0x9966,0x9821,0x96da,0x9591,0x21ea,0x6d07,0x6e54,0x4fd,0x9f82,0x8db1,0xce4a,0x6c39,0x7e1a,0x77b7,0x7914,0x7a77,0x7bd8,0x7d3f,0x7ea4,0xd29b,0x76c4,0x7d19,0x52e0,0x8d85,0x8f7a,0x88af,0x4456,0x7461,0x72e6,0x7169,0x6fea,0x6e69,0x6ce6,0x6b61,0x69da,0x6851,0xffe9,0xffe8,0xffe5,0xffe0,0xffd9,0xffd0,0xffc5,0xffb8,0xffab,0xfdcc,0xd03f,0xe21a,0xffdf,0xff40,0xf725,0xff0a,0xfee9,0xf6c8,0xec7d,0xd97e,0xf1e7,0xf210,0xf605,0xfdd8,0xfde9,0xf53a,0xed45,0xfd56,0xe8fd,0xc35e,0xdb53,0xeda4,0xf3e9,0xfbe8,0xfb25,0xeb20,0xfa5b,0xfeb0,0xddbb,0xe606,0xe655,0xe6a6,0xe6bb,0xe74e,0xe7a7,0xd73a,0xf4ff,0xf748,0xf6e9,0xf688,0xf625,0xf5c0,0xf559,0xe474,0x6021,0xbe6,0xc57,0xcc6,0xd3b,0x1d2a,0x75f9,0xe1e4,0xe823,0xe8ae,0xf72f,0xc622,0x7203,0x119e,0x1227,0x58fc,0xfc41,0xec38,0x80f3,0x1ca4,0x157b,0x160e,0x16a7,0x173e,0x7c81,0xe788,0xe6e9,0x9d96,0x1a5b,0x1afe,0x1ba7,0x1c4e,0x1cfb,0x5fb6,0xd867,0xf83e,0xc14d,0xf6da,0xffd1,0xf76a,0xf42f,0xcc2c,0xdbe9,0xdb28,0xda65,0x8b34,0x3fe1,0x27ee,0x28bb,0x2986,0x2a57,0x6174,0xccc3,0xd330,0x80cd,0xf76,0x2f5b,0x3036,0x3117,0x31f6,0x70cb,0xe50a,0xcb59,0xca70,0xc985,0xc898,0xc7a9,0xcefa,0xc5c5,0xc4d0,0xcb9b,0xc2e0,0xd923,0x6d8,0x4017,0x4116,0x421b,0x431e,0x652f,0x831e,0xb9c5,0xa07e,0x1ac3,0x4966,0x4a7b,0x4b8e,0x4ca7,0x5578,0xf335,0xb008,0xaee9,0xa58a,0xaca5,0xab80,0xa21b,0xa930,0xa805,0xae9a,0xa5a9,0xa478,0x2f27,0x4d6a,0x5f27,0x605e,0x619b,0x62d6,0xe875,0x92ea,0x9965,0x9062,0x96d9,0x8d56,0x42f1,0x6d06,0x6e57,0x1478,0x8747,0x8db0,0x879,0x74fe,0x765b,0x7ff4,0x7917,0x7a76,0x7bdb,0x7d3e,0x7ea7,0x908a,0x4f09,0x7d18,0x10f3,0x85c6,0x873b,0xb922,0x6d1f,0x7460,0x72e5,0x7168,0x6fe9,0x6e68,0x6ce5,0x6b60,0x69d9,0x6850,0xffe8,0xffe7,0xffe4,0xffdf,0xffd8,0xffcf,0xffc4,0xffb7,0xf7aa,0xf48d,0xe07c,0xf475,0xff5a,0xff7f,0xef26,0xff43,0xfee8,0xf683,0xebcc,0xe181,0xe160,0xfffd,0xfe04,0xfd97,0xfda8,0xfd77,0xed04,0xfc05,0xeae8,0xeb63,0xe90c,0xfc27,0xf3e8,0xeba5,0xeb66,0xeb1f,0xf3d0,0xefe5,0xedba,0xee09,0xde54,0xe6a9,0xe6fa,0xe751,0xe7a4,0xd883,0xe438,0xf747,0xf6e8,0xf687,0xf624,0xf5bf,0xf558,0xdda5,0x32b4,0xbe9,0xc56,0x48b,0xd3a,0xdb1,0x2f2e,0x376f,0x3e96,0x3e15,0x219a,0x39d3,0x1958,0x11a1,0x2a2,0x8e57,0xecc4,0xcd3f,0x46c2,0x14e9,0x157a,0x1611,0x16a6,0xf87,0xb2f2,0xe787,0xf66c,0x7aa1,0x1a5a,0x1b01,0x13e4,0x1c51,0x1cfa,0x15eb,0x3f5e,0x3643,0x3eb2,0x179,0x2e,0xe9,0xbd0,0x4803,0xfae0,0xdb27,0xd226,0x5dbf,0x2726,0x27f1,0x28ba,0x2989,0x2a56,0x50f7,0xd404,0xd32f,0x5e3a,0x2e81,0x2f5a,0x3039,0x3116,0x31f9,0x4904,0xcc3f,0xcb58,0xca6f,0xc984,0xc897,0xc7a8,0xc6b7,0xc5c4,0xcc8d,0xc3d8,
0xc2df,0x9b32,0x27df,0x4016,0x4119,0x421a,0x4321,0xe74,0xa209,0xb9c4,0xe261,0x5090,0x4969,0x4238,0x4b91,0x4ca6,0x793,0x902c,0xb007,0xaee8,0xa585,0xaca4,0xab7f,0xaa58,0xa92f,0xa046,0xa6d7,0xa5a8,0x857f,0x75f0,0x5df1,0x5f26,0x6061,0x619a,0x6a9b,0xd9f8,0x92e5,0x9964,0x981f,0x96d8,0xf697,0x63f8,0x6d09,0x6e56,0xf34f,0x8f04,0x9d2b,0x422a,0x7501,0x765a,0xf399,0x23c0,0x723b,0x7bda,0x7d41,0x7ea6,0x8011,0x1d9c,0x7d17,0xbd98,0x8d8b,0x873a,0xc91,0x75d8,0x745f,0x72e4,0x7167,0x6fe8,0x6e67,0x6ce4,0x6b5f,0x69d8,0x684f,0xffe7,0xffe6,0xffe3,0xffde,0xffd7,0xffce,0xffc3,0xf7b4,0xffa3,0xec0a,0xe837,0xfe20,0xff57,0xf73e,0xff61,0xf706,0xeee7,0xff88,0xe995,0xd180,0xd3a7,0xfe2a,0xfe03,0xfdd6,0xfda5,0xfd34,0xe541,0xef58,0xe329,0xeb22,0xe77b,0xf426,0xf3a7,0xf3a6,0xfb21,0xf31a,0xe885,0xd47a,0xddbd,0xe608,0xde59,0xeeaa,0xdefd,0xdf50,0xefab,0xe846,0xe43d,0xf746,0xf6e7,0xf686,0xfe61,0xf5be,0xfd15,0xae38,0xb7d,0xbe8,0xc59,0xcc8,0xd3d,0xdb0,0x66b,0xea0,0xf1d,0xf98,0x185b,0x1098,0x111d,0x11a0,0x3b63,0xc404,0xecc3,0xd5f8,0x3551,0x14e8,0x157d,0x1610,0x16a9,0x2e8e,0xc169,0xe786,0xf663,0x95da,0x29b,0x1342,0x13eb,0x1412,0x43b,0xd2c,0x161b,0x174a,0xf39,0x30f4,0x2129,0x21e0,0x229d,0x12d4,0xea6b,0xdb26,0xebef,0x1fae,0x2729,0x27f0,0x28bd,0x2988,0xb51,0x9e84,0xd403,0xf226,0x6fb9,0x2e80,0x2f5d,0x3038,0x3119,0x293e,0x8771,0xcc3e,0xcb57,0xca6e,0xc1c1,0xc896,0xc7a7,0xc6b6,0xc5c3,0xc4ce,0xc3d7,0xc2de,0x64cb,0x3f18,0x4019,0x495a,0x421d,0x4320,0xd08d,0xbace,0xb9c3,0x1d9e,0x4859,0x4968,0x4a7d,0x43d2,0x4ca9,0xd126,0xb123,0xb844,0xaee7,0xadc6,0xa4e1,0xa33c,0xaa57,0xa16c,0xa041,0xa6d6,0xa5a7,0xd7ea,0x54ff,0x5df0,0x5f29,0x6060,0x619d,0x20c8,0xbaef,0x9aa6,0x9963,0x981e,0x96d7,0x38e4,0x6bbd,0x6d08,0x4f51,0x8890,0x8f03,0xb460,0x632d,0x7500,0x765d,0x9080,0xccb5,0x6afc,0x7bdd,0x7d40,0x7ea9,0x8010,0xf2e1,0x4c9a,0x94dd,0x85c8,0x873d,0x355e,0x75d7,0x745e,0x72e3,0x7166,0x6fe7,0x6e66,0x6ce3,0x6b5e,0x69d7,0x684e,0xffe6,0xffe5,0xffe2,0xffdd,0xffd6,0xffcd,0xffc2,0xffb5,0xffa6,0xec03,0xe12e,0xff6b,0xe754,0xe77d,0xff22,0xf747,0xeee0,0xec5f,0xf15c,0xd9c1,0xda74,0xfe2d,0xfe42,0xfd95,0xfde2,0xf577,0xf540,0xe913,0xe328,0xca2b,0xe52c,0xec25,0xfb24,0xfba5,0xfb20,0xfb99,0xe90a,0xd571,0xe5bc,0xde09,0xde58,0xeea9,0xe6fc,0xe753,0xf7aa,0xe885,0xfc3c,0xf745,0xf6e6,0xfec7,0xf622,0xf5bd,0xe5d2,0x680b,0xb7c,0xbeb,0x41a,0xccb,0x1db8,0x7e2f,0xd89c,0xc893,0xc16e,0xc1e9,0xa5b4,0x528b,0x111c,0x11a3,0x48fe,0xed4d,0xecc2,0x9fa9,0x1458,0x14eb,0x157c,0x1613,0x16a8,0x7c19,0xe822,0xe785,0xe6e6,0xf6c1,0xd42e,0xd571,0xcd1c,0xd221,0xd28e,0xd3d9,0xd02a,0xd93b,0xc908,0xe643,0x6b7a,0x21e3,0x229c,0x1a95,0xf2ac,0xdb25,0x9030,0x3ea5,0x2728,0x27f3,0x28bc,0x298b,0x78cc,0xc451,0xd402,0x81b9,0xca0,0x2e83,0x2f5c,0x303b,0x3118,0x636f,0xdda6,0xcc3d,0xcb56,0xca6d,0xc982,0xc895,0xcfe4,0xcef7,0xc5c2,0xc4cd,0xc3d6,0xf351,0xf90,0x3f1b,0x4018,0x4959,0x421c,0x622b,0x8218,0xbacd,0x9088,0x6e01,0x4858,0x496b,0x4a7c,0x4b93,0x546e,0x8bf3,0xb122,0xb005,0xaee6,0xadc5,0xaca2,0xa33f,0xaa56,0xa92d,0xa802,0xa6d5,0xb522,0x11d9,0x5cbc,0x55b1,0x5f28,0x6063,0x619c,0xe6fb,0x8b62,0x9aa5,0x9120,0x981d,0x8e10,0x4b7b,0x6bbc,0x6d0b,0xd40,0x9817,0x8f02,0x98d,0x7bea,0x7503,0x3c0e,0x8007,0xafac,0x5331,0x7bdc,0x7d43,0x7ea8,0x8013,0x817c,0xb367,0x8c1a,0x85cb,0xbef2,0x67c9,0x75d6,0x745d,0x72e2,0x7165,0x6fe6,0x6e65,0x6ce2,0x6b5d,0x69d6,0x684d,0xffe5,0xffe4,0xffe1,0xffdc,0xffd5,0xffcc,0xffc3,0xf7f6,0xe7a7,0xe4c2,0xe3df,0xef68,0xef55,0xef3c,0xff63,0xff06,0xfe6d,0xda2c,0xf95d,0xd88a,0xec01,0xfe2c,0xfe83,0xfdd4,0xeda7,0xf574,0xfc0b,0xd322,0xdb2b,0xd1b6,0xf423,0xdc24,0xf3e7,0xf3a6,0xfb63,0xf3d4,0xdffd,0xd572,0xddff,0xde0a,0xe659,0xeeae,0xe6fd,0xdf52,0xefab,0xd086,0xec3f,0xf744,0xf6e5,0xfec6,0xf621,0xf5bc,0xdc1f,0x2258,0xb7f,0xbea,0xc5b,0xcca,0x2475,0xcb82,0xf1d5,0xf15c,0xf0e1,0xf064,0xde69,0x3192,0x111f,0x126,0x9e49,0xed4c,0xf407,0x415e,0x145b,0x14ea,0x157f,0x1612,0x62f,0x8ba4,0xe821,0xefc6,0xe6e5,0xe644,0xede3,0xecbe,0xe455,0xe3ac,0xe301,0xe254,0xe1a5,0xe0f4,0xe041,0xc74a,0x6b79,0x21e2,0x229f,0x4042,0xdbe5,0xdb24,0x5e41,0x2e20,0x272b,0x27f2,0x28bf,0x298a,0xae7b,0xd4d4,0xd401,0x570c,0x2dab,0x2e82,0x2f5f,0x303a,0x311b,0x4a24,0xcd21,0xcc3c,0xc317,0xca6c,0xc981,0xc894
,0xc7a5,0xc6b4,0xc5c1,0xcc8e,0xc3d5,0xa1c4,0x2e9b,0x3f1a,0x401b,0x411a,0x421f,0x19f4,0xab51,0xbacc,0xd29b,0x5f8c,0x485b,0x496a,0x4a7f,0x4b92,0xebb,0xaafa,0xb121,0xb004,0xaee5,0xa586,0xaca1,0xab7c,0xaa55,0xb9a8,0xa801,0xa6d4,0x8cef,0x7a82,0x5cbf,0x5df2,0x5f2b,0x6062,0x69dd,0xa4ea,0x9be5,0x92e6,0x9961,0x981c,0xed0b,0x7af6,0x6bbf,0x6d0a,0xdbf7,0x9816,0x8743,0x43de,0x73ab,0x7502,0xe2fb,0x8844,0x9661,0x1962,0x7bdf,0x7500,0x7eab,0x8012,0x817f,0x82ea,0x845b,0x85ca,0xb5d,0x7f0e,0x75d5,0x745c,0x72e1,0x7164,0x6fe5,0x6e64,0x6ce1,0x6b5c,0x69d5,0x684c,0xffe4,0xffe3,0xffe0,0xffdb,0xffd4,0xffcb,0xffc0,0xffb1,0xffa6,0xfd83,0xf5d4,0xff6b,0xffd4,0xf73b,0xff24,0xff03,0xffa8,0xd877,0xd95e,0xd855,0xfed2,0xfe2b,0xfe00,0xf5d1,0xfda4,0xfd71,0xff14,0xe277,0xf3a8,0xf7c5,0xfc62,0xfc63,0xfbe6,0xfba7,0xfb62,0xe90b,0xdc60,0xed75,0xddbe,0xee0d,0xee5a,0xf6a9,0xe6fc,0xdf55,0xe7aa,0xd887,0xe4fc,0xf743,0xf6e4,0xfec1,0xf620,0xf5bb,0xaf82,0xb15,0xb7e,0xbed,0xc5a,0x48f,0x6e26,0xfa09,0xf1d4,0xe1df,0xf0e0,0xf063,0x8cfc,0x109d,0x111e,0x38ef,0xafc4,0xed4b,0xaed0,0x32c5,0x145a,0x14ed,0x157e,0x1615,0x2f64,0xc1f1,0xe820,0xe783,0xe6e4,0xe643,0xe5a0,0xe4fb,0xe454,0xe3ab,0xe300,0xe253,0xe1a4,0xe0f3,0xe802,0xac17,0x2968,0x21e5,0x1312,0xe56d,0xdbe4,0xf269,0x1c50,0x2665,0x272a,0x27f5,0x28be,0x885,0x9ff6,0xd4d3,0xccc6,0x7e41,0x2daa,0x2e85,0x2f5e,0x303d,0x311a,0x4261,0xdda4,0xcc3b,0xcb54,0xca6b,0xc980,0xc893,0xc7a4,0xc6b3,0xc5c0,0xc4cb,0xcb96,0x5e3d,0x3e1e,0x3f1d,0x401a,0x411d,0x421e,0xe60d,0xbbd4,0xbacb,0x2526,0x4f0f,0x485a,0x496d,0x4a7e,0x4b95,0x1e3e,0x9333,0xb120,0xb003,0xa6a6,0xadc3,0xaca0,0xab7b,0xaa54,0xa92b,0xa800,0xa6d3,0xe7b4,0x434b,0x5cbe,0x55b7,0x5768,0x6065,0x69dc,0xc7f5,0x9be4,0x9aa3,0x9960,0xd249,0x58a6,0x6a75,0x6bbe,0x3f99,0x8962,0x9053,0xb6ce,0x62d1,0x73aa,0x6581,0xcbb0,0x8843,0x86e4,0xe69b,0x739c,0x7d45,0x7eaa,0x8015,0x817e,0x82ed,0x845a,0x9549,0x410e,0x774b,0x7d96,0x745b,0x72e0,0x7163,0x6fe4,0x6e63,0x6ce0,0x6b5b,0x69d4,0x684b,0xffe3,0xffe2,0xffdf,0xffda,0xffd3,0xffca,0xffbf,0xffb0,0xf7a3,0xfd9c,0xf5a9,0xedfe,0xf581,0xed6e,0xdd4b,0xe590,0xedbd,0xd17c,0xe163,0xeb5e,0xfe53,0xf62a,0xedfd,0xfdd0,0xed23,0xed32,0xe6a3,0xe2f4,0xeb6f,0xd8b8,0xd747,0xfff4,0xe93b,0xd002,0xe047,0xe7b8,0xd52d,0xf574,0xe581,0xe60c,0xe65d,0xe6ac,0xd701,0xdf14,0xdfad,0xd8c0,0xfd47,0xff42,0xf6e3,0xf682,0xf61f,0xe53e,0x7931,0xb14,0xb81,0xbec,0xc5d,0x1c48,0x8961,0xf24a,0xf1d3,0xf15a,0xf0df,0xe8a4,0x4acb,0x109c,0x1121,0x4b72,0xedd3,0xed4a,0x9f23,0x13cc,0x145d,0x14ec,0x1581,0x1e56,0x6d73,0xe8ba,0xe81f,0xcec8,0xbc35,0xbc94,0xbf49,0xbe2c,0xbe85,0xb13e,0xb829,0xb0c6,0xbb75,0x8ba8,0x4d55,0x2836,0x212d,0x3160,0x8789,0xdca2,0xdbe3,0x89b6,0x3d67,0x2664,0x272d,0x27f4,0x28c1,0x7b18,0xcd65,0xd4d2,0xcb39,0x7602,0x2dad,0x2e84,0x2f61,0x303c,0x311d,0x293a,0x417d,0x96ec,0x9185,0xa972,0xaa67,0x9244,0xacf9,0x9c64,0xe4b7,0xc4ca,0xea99,0xca8,0x3e21,0x3f1c,0x401d,0x411c,0x6329,0x8514,0xbbd3,0xbaca,0x2d1b,0x474c,0x401f,0x496c,0x4a81,0x4b94,0x44ef,0x1712,0xebc9,0xead4,0xf435,0xceda,0xcf87,0xc862,0xc94b,0x8822,0xafbd,0xa6d2,0xeff1,0x434a,0x5cc1,0x5df4,0x5f2d,0x6064,0x61a1,0x7a1a,0x705,0x1e82,0x3c77,0x6fa6,0x692d,0x6a74,0x4ac9,0xab3c,0x91a3,0x9052,0x29d,0x7a16,0x73ad,0x2fd2,0x991b,0x8842,0x86e3,0x9d44,0x4a6d,0x7d44,0x7ead,0x8014,0x8181,0x82ec,0x845d,0xbc02,0x683b,0x774a,0x75d3,0x7c18,0x72df,0x7162,0x6fe3,0x6e62,0x6cdf,0x6b5a,0x69d3,0x684a,0xffe2,0xffe1,0xffde,0xffd9,0xffd2,0xffc9,0xffbc,0xf7f3,0xefa6,0xfe1d,0xc9cc,0xd017,0xe8ec,0xe885,0xd864,0xe8f9,0xe918,0xd13f,0xd1a4,0xec2d,0xf652,0xfea9,0xfdfe,0xf5d1,0xfda0,0xfcfd,0xc892,0xc2f7,0xf32c,0xfb25,0xdba0,0xdbdf,0xe41c,0xdc5f,0xe4a2,0xece3,0xe52c,0xed37,0xd5c0,0xde0b,0xee5c,0xe6af,0xdf40,0xefd5,0xe7ac,0xd14d,0xf64a,0xf741,0xfea0,0xf681,0xf61e,0xc435,0x2ee,0xb17,0xb80,0xbef,0xc5c,0x2585,0xdbf4,0xf249,0xf990,0xf159,0xf0de,0xc9af,0x8da,0x109f,0x1a4,0x9dc5,0xedd2,0xf58f,0x4996,0x13cf,0x1c1e,0x14ef,0x1580,0xed1,0xb384,0xe8b9,0xc916,0x42a9,0x191c,0x19bf,0x1a60,0x1b07,0x1bac,0x1415,0x1d00,0x1daf,0x1e5c,0x1f0f,0x1fc0,0x2077,0x39ea,0xbd01,0xd51c,0xdca1,0xd3a0,0x4f85,0x25a0,0x2667,0x272c,0x27f7,0x28c0,0xadaf,0xd5a2,0xd4d1,0xd3fe,0xa0b5,0x25ee,0x2e87,0x2f60,0x303f,0x311c,
0x31ff,0x32e0,0x33c7,0x34ac,0x3597,0x3680,0x376f,0x385c,0x6bdb,0xe4b6,0xc4c9,0xa0ca,0x2da3,0x3e20,0x3f1f,0x401c,0x411f,0x297a,0xac5d,0xbbd2,0xbac9,0xdaa6,0x5f89,0x485c,0x496f,0x4a80,0x43d5,0x44ee,0x4dc7,0x4ee0,0x47bd,0x511c,0x523f,0x5b22,0x5487,0x74a4,0x90e7,0xa7fe,0xa6d1,0x84aa,0x6a03,0x5cc0,0x5df7,0x5f2c,0x6067,0x61a0,0x62df,0x641c,0x655f,0x66a0,0x67e7,0x692c,0x433d,0xd62e,0x9ab3,0x91a2,0x8897,0x584a,0x7257,0x73ac,0xe9e1,0x81dc,0x8003,0x86e2,0x8581,0x18f8,0x7d47,0x7eac,0x8017,0x89c2,0x82ef,0x845c,0x9ad,0x70fc,0x7749,0x75d2,0x7459,0x72de,0x7161,0x6fe2,0x6e61,0x6cde,0x6b59,0x69d2,0x6849,0xffe1,0xffe0,0xffdd,0xffd8,0xffd1,0xffc8,0xffbd,0xffb0,0xf7a1,0xfe92,0xda19,0xc096,0xe0ef,0xd8c6,0xd0e1,0xd8fc,0xe91f,0xd97e,0xe0ed,0xff32,0xfe51,0xfe28,0xf5fd,0xedd0,0xeda5,0xfdf4,0xe667,0xd338,0xdbe5,0xcbe2,0xd321,0xe39a,0xec5b,0xe4d8,0xdce7,0xe4a0,0xeda7,0xe5f0,0xd545,0xd684,0xde97,0xce66,0xc7c5,0xd79e,0xd765,0xdad0,0xf6d1,0xf740,0xf6e1,0xf680,0xf61d,0xaf6e,0x2ba7,0x2a1e,0x2a8b,0x1328,0x2d57,0x6fd6,0xea7b,0xf248,0xf1d1,0xf158,0xf0dd,0xaab6,0x3117,0x1a,0x5b71,0xdfd4,0xedd1,0xaf58,0x2a8d,0x34a,0xc99,0x35e6,0x3cc9,0x4482,0xd8dd,0xe8b8,0xd1d3,0x21b0,0x99b,0x38b6,0x3b6b,0x3a0e,0x3aa7,0x3d5e,0x3c0b,0x3ca6,0x3f57,0x3e06,0x5dd3,0xa456,0xf79b,0xde18,0xdd5d,0xdca0,0xf2ab,0x47c6,0x3d65,0x76e,0x3fe9,0x6fe,0x6ad3,0xefbe,0xd5a1,0xdc92,0xd3fd,0xcbee,0xb90b,0x64d4,0xe6b,0x1136,0x1017,0x10f6,0x13eb,0x2b00,0x15a7,0x149e,0x2e45,0x2fa8,0x1957,0xadea,0xc5bd,0xcc8a,0x47f1,0x146c,0x1f2b,0x1e16,0x6117,0x6854,0xd687,0xb49a,0xbbd1,0xbac8,0xb9bd,0xf2e2,0x2b47,0x6024,0x5a07,0x6a9e,0x6da7,0x6cce,0x6feb,0x5738,0x49d9,0x7336,0x4ba5,0x4c40,0x3ef5,0xb1ee,0xa7fd,0xa6d0,0xa5a1,0xf6e4,0x3799,0x6c7a,0x47e9,0x416e,0x48e9,0x7a18,0x7cd9,0x7d98,0x4fe9,0x2db4,0xfd8b,0xbcc2,0x943d,0x92f0,0x99e3,0xd240,0x408f,0x535e,0x31bf,0xbb74,0x899d,0x8840,0x86e1,0x8580,0xc60d,0x1e5e,0x5fa7,0x98d0,0x9945,0xa3e6,0xbd91,0x3820,0x78bd,0x7748,0x75d1,0x7458,0x72dd,0x7160,0x6fe1,0x6e60,0x6cdd,0x6b58,0x69d1,0x6848,0xffe0,0xffdf,0xffdc,0xffd7,0xffd0,0xffc7,0xffbc,0xffad,0xefa4,0xf7cd,0xfc24,0xd099,0xf8ae,0xe88b,0xf0e2,0xe101,0xe11e,0xe105,0xe238,0xfe75,0xf650,0xfe25,0xfdfe,0xedcf,0xede0,0xfd6f,0xfd7e,0xf48b,0xfe9e,0xfe87,0xfdcc,0xed93,0xea6e,0xf253,0xf2d2,0xf299,0xfb5c,0xeb09,0xeb72,0xf3e1,0xfbae,0xf09f,0xe96e,0xf977,0xfa5c,0xe6fd,0xff9e,0xe73f,0xf6e0,0xf67f,0xf61c,0xe533,0xc4dc,0xd5ef,0xecba,0xecc9,0xd2a8,0xebe9,0xf2bc,0xfa05,0xf992,0xf915,0xf0dc,0xe0db,0xc6aa,0xce57,0xf61a,0xee57,0xedd0,0xfdc3,0xc5f6,0xcd27,0xcaa8,0xf3c9,0xc336,0xf121,0xe950,0xe8b7,0xf898,0xce35,0xc7e8,0xfef9,0xc494,0xfc31,0xfc96,0xc2af,0xc3f4,0xc347,0xc0a8,0xf829,0xe03c,0xdf87,0xded0,0xd655,0xdd5c,0xdc9f,0xdbe0,0xfa17,0xf316,0xc151,0xc016,0xf90f,0xf634,0xde2d,0xd5a0,0xd4cf,0xdbbe,0xd327,0xd250,0xd935,0xc85a,0xeeb7,0xd626,0xecf7,0xd5da,0xed3f,0xea58,0xd2a1,0xd1ba,0xe987,0xeeea,0xceed,0xc5bc,0xc4c7,0xe2d8,0xe3df,0xe0d4,0xe1d7,0x9ee8,0x9795,0xb59e,0xbcd7,0xb392,0xb285,0xb9bc,0xb8af,0xbfe2,0xa60b,0xadba,0xaca1,0xab96,0xaaf1,0x9014,0x8ef7,0x8fe8,0xb579,0x8d94,0x823d,0xa212,0xa927,0xa7fc,0xae8d,0xa5a0,0xa46f,0xa33c,0xb283,0x81d8,0xbe9f,0xbf54,0xbc17,0x8326,0xbb97,0x89d8,0x9817,0x9e92,0x9587,0x943c,0x9aad,0x91a0,0x980d,0xaff4,0xa4ed,0xa51a,0x8af7,0x899c,0x883f,0x9664,0x857f,0x841c,0x9233,0xa058,0x5eef,0x66ba,0x5c07,0x52ea,0x7a2f,0x78bc,0x7f05,0x7d92,0x7457,0x72dc,0x715f,0x6fe0,0x6e5f,0x6cdc,0x6b57,0x69d0,0x6847,0xffdf,0xffde,0xffdb,0xffd6,0xffcf,0xffc6,0xffbb,0xffae,0xffdf,0xff8e,0xfeb5,0xd994,0xf0b1,0xe888,0xe0e5,0xe104,0xe121,0xf106,0xfccd,0xfe74,0xe64f,0xfe66,0xfdfb,0xfdce,0xf5dd,0xf52e,0xfd3b,0xfd06,0xfccf,0xf496,0xf45b,0xfc1e,0xfbdf,0xfb9e,0xfb5b,0xfb16,0xfacf,0xf286,0xfa3b,0xf9ee,0xf99f,0xf94e,0xf0fb,0xf8a6,0xf84f,0xffb6,0xe7d9,0xf73e,0xf6df,0xf67e,0xf61b,0xfdf4,0xf54f,0xf4e6,0xf47b,0xf40e,0xf39f,0xf32e,0xf2bb,0xf246,0xf1cf,0xf156,0xf0db,0xf05e,0xefdf,0xef5e,0xeedb,0xee56,0xedcf,0xed46,0xecbb,0xec2e,0xeb9f,0xeb0e,0xea7b,0xe9e6,0xe94f,0xe8b6,0xe81b,0xe77e,0xe6df,0xe63e,0xe59b,0xe4f6,0xe44f,0xe3a6,0xe2fb,0xe24e,0xe19f,0xe0ee,0xe03b,0xdf86,0xdecf,0xd654,0xd519,0xdc9e,0xdbdf,0xdb1e,0xda5b,0xd996,0xd8cf,0xd806,0xd73b,0xd66e,
0xd59f,0xd4ce,0xd3fb,0xd326,0xd24f,0xd176,0xd09b,0xcfbe,0xcedf,0xcdfe,0xcd1b,0xcc36,0xcb4f,0xca66,0xc97b,0xc88e,0xc79f,0xc6ae,0xcdf9,0xcc84,0xc3cf,0xc2d6,0xc1db,0xc0de,0xbfdf,0xbede,0xbddb,0xb494,0xb38d,0xbac6,0xb1f9,0xb8ae,0xb79f,0xb68e,0xb57b,0xb466,0xb34f,0xb236,0xb11b,0xaffe,0xaedf,0xadbe,0xac9b,0xab76,0xaa4f,0xa164,0xa7fb,0xae8c,0xb51b,0xa46e,0xa33b,0xa206,0xa0cf,0x9f96,0x9e5b,0x9d1e,0x9bdf,0x9a9e,0x995b,0x9816,0x96cf,0x9586,0x943b,0x92ee,0x919f,0x980c,0x8efb,0x8da6,0x8c4f,0x8af6,0x899b,0x883e,0x8e9d,0x8d3c,0x841b,0x8af4,0x814f,0x7fe6,0x7e7b,0x7d0e,0x73dd,0x7a2e,0x78bb,0x7746,0x75cf,0x7456,0x72db,0x715e,0x6fdf,0x6e5e,0x6cdb,0x6b56,0x69cf,0x6846,0xffde,0xffdd,0xffda,0xffd5,0xffce,0xffc5,0xffba,0xffad,0xf7de,0xff8d,0xf7fc,0xebc1,0xe8b2,0xe8cb,0xe0a4,0xd941,0xd120,0xe00f,0xfe50,0xee75,0xe64e,0xf665,0xfdfa,0xf5cf,0xed9c,0xed6d,0xed3a,0xf505,0xf4ce,0xfc95,0xfc5a,0xfc5d,0xfb9e,0xf3dd,0xfb5a,0xfb55,0xfa8e,0xf285,0xfa3a,0xf9ad,0xf9de,0xf94d,0xf8fa,0xf0e7,0xf00e,0xf7f5,0xffda,0xff7d,0xf6de,0xf67d,0xf61a,0xf5b5,0xf54e,0xfca7,0xfc38,0xfc4f,0xfbdc,0xf32d,0xf2ba,0xf245,0xf1ce,0xf155,0xf0da,0xf05d,0xefde,0xef5d,0xeeda,0xee55,0xe58c,0xe507,0xecba,0xec2d,0xeb9e,0xeb0d,0xe238,0xe1a7,0xe10c,0xe8b5,0xe81a,0xe77d,0xe6de,0xee7f,0xe59a,0xe4f5,0xe44e,0xe3a5,0xe2fa,0xe24d,0xe19e,0xe8af,0xe878,0xd7c7,0xdece,0xde15,0xdd5a,0xdc9d,0xdbde,0xdb1d,0xda5a,0xd995,0xd8ce,0xd805,0xd73a,0xd66d,0xd59e,0xd4cd,0xd3fa,0xd325,0xd24e,0xd175,0xd09a,0xcfbd,0xcede,0xcdfd,0xcd1a,0xcc35,0xcb4e,0xca65,0xc97a,0xc88d,0xcfdc,0xceef,0xc5ba,0xc4c5,0xc3ce,0xca97,0xc1da,0xc0dd,0xb79c,0xbedd,0xbdda,0xbcd5,0xbbce,0xbac5,0xb9ba,0xb8ad,0xb79e,0xb68d,0xb57a,0xb465,0xb34e,0xb235,0xb11a,0xaffd,0xaede,0xa5ff,0xac9a,0xa337,0xa20c,0xa925,0xa7fa,0xa6cd,0xa59e,0xa46d,0xa33a,0xaa47,0xa0ce,0x9f95,0x9e5a,0x9d1d,0x9bde,0x9a9d,0x9118,0x9057,0x96ce,0x9585,0x943a,0x92ed,0x99dc,0x980f,0x8efa,0x8da5,0x8c4e,0x8af5,0x899a,0x883d,0x86de,0x857d,0x841a,0x8af7,0x814e,0x7fe5,0x7638,0x754f,0x73dc,0x7a2d,0x78ba,0x7745,0x75ce,0x7455,0x72da,0x715d,0x6fde,0x6e5d,0x6cda,0x6b55,0x69ce,0x6845,0xffdd,0xffdc,0xffd9,0xffd4,0xffcd,0xffc4,0xffb9,0xffac,0xffdd,0xf7cc,0xf77b,0xf576,0xd079,0xd0ca,0xd865,0xe102,0xd167,0xe218,0xf69b,0xe674,0xfe4d,0xf624,0xfdbb,0xf5ce,0xfd9f,0xfd6e,0xfd39,0xfd06,0xfccf,0xfc96,0xfc5b,0xfc1c,0xebdd,0xeb9c,0xf359,0xf314,0xeacd,0xea84,0xea39,0xf9ee,0xf19d,0xf94c,0xf8f9,0xf0a6,0xf00f,0xfff4,0xf799,0xf73c,0xf6dd,0xf67c,0xf619,0xfdf6,0xf54d,0xf4e4,0xf479,0xf40c,0xf39d,0xf32c,0xf2b9,0xfa06,0xf98f,0xf154,0xf0d9,0xf05c,0xefdd,0xe71e,0xeed9,0xee54,0xedcd,0xed44,0xecb9,0xec2c,0xeb9d,0xeb0c,0xea79,0xe9e4,0xe94d,0xe8b4,0xe819,0xe77c,0xe6dd,0xe63c,0xe599,0xe4f4,0xe44d,0xe3a4,0xe2f9,0xea0e,0xe9df,0xe0ec,0xe039,0xdf84,0xd68f,0xd656,0xdd59,0xdc9c,0xd39f,0xdb1c,0xda59,0xd994,0xd8cd,0xd804,0xdf7b,0xde2e,0xd59d,0xd4cc,0xd3f9,0xd324,0xd24d,0xd174,0xd099,0xcfbc,0xcedd,0xcdfc,0xcd19,0xcc34,0xcb4d,0xca64,0xc979,0xc88c,0xc79d,0xc6ac,0xc5b9,0xc4c4,0xc3cd,0xc2d4,0xc1d9,0xc0dc,0xbfdd,0xbedc,0xbdd9,0xbcd4,0xbbcd,0xbac4,0xb9b9,0xb0ee,0xb79d,0xb68c,0xb579,0xb464,0xb34d,0xb234,0xb119,0xa7be,0xaedd,0xa5fe,0xac99,0xab74,0xaa4d,0xa924,0xafbb,0xae8e,0xa59d,0xa46c,0xa339,0xa204,0xa0cd,0x9f94,0x9e59,0x955e,0x939f,0x92de,0x9959,0x9814,0x96cd,0x9dc6,0x9439,0x92ec,0x99df,0x904c,0x8ef9,0x8da4,0x8c4d,0x8af4,0x8999,0x883c,0x86dd,0x857c,0x8419,0x82b4,0x814d,0x7fe4,0x7e79,0x7d0c,0x7b9d,0x726e,0x78b9,0x7744,0x75cd,0x7454,0x72d9,0x715c,0x6fdd,0x6e5c,0x6cd9,0x6b54,0x69cd,0x6844,0xffdc,0xffdb,0xffd8,0xffd3,0xffcc,0xffc3,0xffb8,0xffab,0xff9c,0xffcb,0xff78,0xffe5,0xdb6c,0xd049,0xe0e6,0xe105,0xd1a6,0xec23,0xfe98,0xf673,0xfe4c,0xee21,0xfdbc,0xfdcb,0xfddc,0xfd2b,0xfd78,0xfd43,0xfccc,0xfc93,0xf458,0xf41b,0xfbde,0xfb9b,0xfb58,0xfb13,0xfacc,0xfa83,0xfa3a,0xf9e9,0xf1de,0xf94b,0xf0ba,0xf8a3,0xf84c,0xf7b1,0xf798,0xf779,0xfe9e,0xfe39,0xf618,0xf5b3,0xf54c,0xf4e3,0xf478,0xfc49,0xf39c,0xf32b,0xf2b8,0xf243,0xf1cc,0xf153,0xf0d8,0xf05b,0xefdc,0xef5b,0xe69a,0xe611,0xedcc,0xed43,0xecb8,0xec2b,0xe3de,0xe349,0xea78,0xe9e3,0xe94c,0xe8b3,0xe818,0xe77b,0xe6dc,0xe63b,0xe598,0xe4f3,0xe44c,0xe3a3,0xe2f8,0xe24b,0xe19c,0xe0eb,0xe87a,0xd7c1,0xdecc,0xde13,
0xdd58,0xdc9b,0xdbdc,0xdb1b,0xda58,0xd993,0xd8cc,0xd803,0xd738,0xd66b,0xd59c,0xd4cb,0xd3f8,0xd323,0xd24c,0xd173,0xd098,0xcfbb,0xcedc,0xcdfb,0xcd18,0xcc33,0xcb4c,0xca63,0xc978,0xc88b,0xc79c,0xc6ab,0xcdfa,0xcc81,0xc3cc,0xc2d3,0xc1d8,0xc0db,0xbfdc,0xbedb,0xbdd8,0xbcd3,0xbbcc,0xbac3,0xb9b8,0xb8ab,0xb79c,0xb68b,0xb578,0xb463,0xb34c,0xb233,0xb118,0xaffb,0xaedc,0xadbb,0xac98,0xab73,0xaa4c,0xa923,0xa7f8,0xa6cb,0xa59c,0xac29,0xa338,0xa203,0xa0cc,0x9f93,0x9e58,0x9d1b,0x9bdc,0x9a9b,0x9958,0x9813,0x96cc,0x9583,0x9438,0x9aa9,0x919c,0x904b,0x86ba,0x8da3,0x8c4c,0x8af3,0x8998,0x883b,0x8e9e,0x857b,0x8418,0x82b3,0x814c,0x77a1,0x7e78,0x7d0b,0x7b9c,0x7a2b,0x78b8,0x7743,0x75cc,0x7453,0x72d8,0x715b,0x6fdc,0x6e5b,0x6cd8,0x6b53,0x69cc,0x6843,0xffdb,0xffda,0xffd7,0xffd2,0xffcb,0xffc2,0xffb7,0xffaa,0xe799,0xff8a,0xf737,0xf760,0xfe07,0xd942,0xf0eb,0xf104,0xd82d,0xffb4,0xfed7,0xfe32,0xfe0b,0xfe22,0xfdf7,0xe5c8,0xfd9b,0xfd6a,0xfd37,0xfd02,0xfccb,0xfc92,0xfc57,0xfc1a,0xfb9b,0xfb9a,0xf357,0xfb12,0xfa8b,0xfac2,0xfa37,0xf9e8,0xf19b,0xf94a,0xf0f7,0xf0a2,0xf049,0xfff2,0xf797,0xf738,0xf6db,0xfe38,0xf617,0xf5b2,0xf54b,0xf4e2,0xf477,0xf40a,0xf39b,0xf32a,0xf2b7,0xf242,0xf1cb,0xf152,0xf0d7,0xf05a,0xefdb,0xef5a,0xeed7,0xee52,0xedcb,0xed42,0xecb7,0xec2a,0xeb9b,0xeb0a,0xea77,0xe9e2,0xe94b,0xe8b2,0xe817,0xe77a,0xe6db,0xe63a,0xe597,0xe4f2,0xe44b,0xe3a2,0xe2f7,0xe24a,0xe19b,0xe0ea,0xe037,0xdf82,0xdecb,0xde12,0xdd57,0xdc9a,0xdbdb,0xdb1a,0xda57,0xd992,0xd8cb,0xd802,0xd737,0xde28,0xd59b,0xd4ca,0xd3f7,0xd322,0xd24b,0xd172,0xd097,0xcfba,0xcedb,0xcdfa,0xcd17,0xcc32,0xcb4b,0xca62,0xc977,0xc88a,0xc79b,0xc6aa,0xc5b7,0xc4c2,0xc3cb,0xc2d2,0xc1d7,0xc0da,0xbfdb,0xbeda,0xbdd7,0xbcd2,0xbbcb,0xbac2,0xb1f5,0xb8aa,0xb79b,0xb68a,0xb577,0xb462,0xb34b,0xba70,0xb117,0xaffa,0xaedb,0xadba,0xac97,0xab72,0xaa4b,0xa922,0xa7f7,0xae88,0xa59b,0xa46a,0xa337,0xa202,0xa0cb,0x9f92,0x9e57,0x9d1a,0x9bdb,0x9a9a,0x9957,0x9812,0x9e89,0x9dc0,0x9437,0x92ea,0x919b,0x904a,0x86b5,0x8da2,0x8c4b,0x82b0,0x81d5,0x883a,0x8e99,0x857a,0x8c55,0x82b2,0x814b,0x7fe2,0x7e77,0x7d0a,0x7b9b,0x7a2a,0x78b7,0x7742,0x75cb,0x7452,0x72d7,0x715a,0x6fdb,0x6e5a,0x6cd7,0x6b52,0x69cb,0x6842,0xffda,0xffd9,0xffd6,0xffd1,0xffca,0xffc1,0xffb6,0xffa9,0xffd8,0xffcb,0xff76,0xf761,0xf7cc,0xf5a7,0xc964,0xe905,0xd3f6,0xf6f1,0xf696,0xf6f1,0xf60a,0xe663,0xf5f4,0xfd8b,0xf59a,0xf569,0xfd36,0xfd01,0xfc8a,0xfcd3,0xfc16,0xfc19,0xfbda,0xf399,0xf356,0xfb11,0xfaca,0xf281,0xf236,0xf1a9,0xf1d8,0xf90b,0xf8f6,0xf8a1,0xf84a,0xf7f1,0xf796,0xf739,0xf6da,0xf679,0xf616,0xf5b1,0xf54a,0xf4e1,0xf476,0xf409,0xf39a,0xf329,0xf2b6,0xf241,0xf1ca,0xf151,0xf0d6,0xf059,0xefda,0xef59,0xeed6,0xee51,0xedca,0xed41,0xecb6,0xec29,0xeb9a,0xeb09,0xea76,0xe9e1,0xe94a,0xe8b1,0xe816,0xe779,0xe6da,0xe639,0xe596,0xe4f1,0xe44a,0xe3a1,0xe2f6,0xe249,0xe19a,0xe0e9,0xe036,0xdf81,0xdeca,0xde11,0xdd56,0xdc99,0xdbda,0xdb19,0xda56,0xd991,0xd8ca,0xd801,0xd736,0xd669,0xd59a,0xd4c9,0xd3f6,0xd321,0xd24a,0xd171,0xd096,0xcfb9,0xceda,0xcdf9,0xcd16,0xcc31,0xcb4a,0xca61,0xc976,0xc889,0xc79a,0xc6a9,0xc5b6,0xc4c1,0xc3ca,0xc2d1,0xc1d6,0xc0d9,0xbfda,0xbed9,0xbdd6,0xbcd1,0xbbca,0xbac1,0xb9b6,0xb8a9,0xb79a,0xb689,0xb576,0xb461,0xb34a,0xb231,0xb116,0xaff9,0xaeda,0xadb9,0xac96,0xab71,0xaa4a,0xa921,0xa7f6,0xa6c9,0xa59a,0xa469,0xa336,0xa201,0xa0ca,0x9f91,0x9e56,0x9d19,0x9bda,0x9a99,0x9956,0x9811,0x96ca,0x9581,0x9436,0x9aab,0x919a,0x9049,0x8ef6,0x8da1,0x8c4a,0x8af1,0x8996,0x8839,0x86da,0x8579,0x8c54,0x82b1,0x814a,0x7fe1,0x7e76,0x7d09,0x7b9a,0x7a29,0x78b6,0x7741,0x75ca,0x7451,0x72d6,0x7159,0x6fda,0x6e59,0x6cd6,0x6b51,0x69ca,0x6841,0xffd9,0xffd8,0xffd5,0xffd0,0xffc9,0xffc2,0xffb5,0xffa8,0xff99,0xefca,0xf775,0xef60,0xff49,0xf7b6,0xf40d,0xe98a,0xc06b,0xfcec,0xfe91,0xee74,0xfe0d,0xfe24,0xf5f1,0xf5ca,0xfd99,0xf568,0xf535,0xf500,0xf4c9,0xf490,0xf455,0xf418,0xfbdb,0xfbdc,0xfb11,0xfb12,0xfacb,0xf284,0xfa37,0xf9e8,0xf999,0xf948,0xf0f5,0xf0a0,0xf049,0xf7f0,0xff95,0xf738,0xf6d9,0xf678,0xf615,0xf5b0,0xf549,0xf4e0,0xf475,0xf408,0xf399,0xf328,0xf2b5,0xf240,0xf1c9,0xf150,0xf0d5,0xf058,0xefd9,0xef58,0xeed5,0xee50,0xedc9,0xed40,0xecb5,0xec28,0xeb99,0xeb08,0xea75,0xe9e0,0xe949,0xe8b0,0xe815,0xe778,0xe6d9,0xe638,0xe595,0xe4f0,
0xe449,0xe3a0,0xe2f5,0xe248,0xe199,0xe0e8,0xe035,0xdf80,0xdec9,0xde10,0xdd55,0xdc98,0xdbd9,0xdb18,0xda55,0xd990,0xd8c9,0xd800,0xd735,0xd668,0xd599,0xd4c8,0xd3f5,0xd320,0xd249,0xd170,0xd095,0xcfb8,0xced9,0xcdf8,0xcd15,0xcc30,0xcb49,0xca60,0xc975,0xc888,0xc799,0xc6a8,0xc5b5,0xc4c0,0xc3c9,0xc2d0,0xc1d5,0xc0d8,0xbfd9,0xbed8,0xbdd5,0xbcd0,0xbbc9,0xbac0,0xb9b5,0xb8a8,0xb799,0xb688,0xb575,0xb460,0xb349,0xb230,0xb115,0xaff8,0xaed9,0xadb8,0xac95,0xab70,0xaa49,0xa920,0xa7f5,0xa6c8,0xaddb,0xa468,0xa335,0xa200,0xa0c9,0x9f90,0x9e55,0x9d18,0x939b,0x9a98,0x9955,0x9810,0x96c9,0x9580,0x9435,0x92e8,0x9199,0x9048,0x8ef5,0x8da0,0x8c49,0x8af0,0x8995,0x8838,0x86d9,0x8578,0x8415,0x82b0,0x8149,0x7fe0,0x7e75,0x7d08,0x7b99,0x7a28,0x78b5,0x7740,0x75c9,0x7450,0x72d5,0x7158,0x6fd9,0x6e58,0x6cd5,0x6b50,0x69c9,0x6840,0xffd8,0xffd7,0xffd4,0xffcf,0xffc8,0xffbd,0xffb4,0xffa7,0xff98,0xffc7,0xff74,0xef5f,0xef48,0xff2f,0xffdc,0xfc63,0xc9ea,0xf187,0xfd4a,0xec77,0xe450,0xec47,0xf6ec,0xfed1,0xff4e,0xffb1,0xffe2,0xf629,0xf610,0xf657,0xf68c,0xeecd,0xe94c,0xf903,0xe98c,0xd957,0xe89e,0xf969,0xe922,0xe3f7,0xf11c,0xf947,0xf0b6,0xf89f,0xf848,0xffaf,0xf794,0xf737,0xf6d8,0xf677,0xf614,0xf5af,0xf548,0xf4df,0xfc36,0xf407,0xf398,0xf327,0xf2b4,0xf23f,0xf1c8,0xf14f,0xf0d4,0xf057,0xefd8,0xef57,0xeed4,0xee4f,0xedc8,0xed3f,0xecb4,0xec27,0xeb98,0xeb07,0xea74,0xe9df,0xe948,0xe8af,0xe814,0xe777,0xe6d8,0xe637,0xe594,0xe4ef,0xe448,0xe39f,0xe2f4,0xe247,0xe198,0xe0e7,0xe034,0xdf7f,0xdec8,0xde0f,0xdd54,0xdc97,0xdbd8,0xdb17,0xda54,0xd98f,0xd8c8,0xd7ff,0xd734,0xd667,0xd598,0xd4c7,0xd3f4,0xd31f,0xd248,0xd16f,0xd094,0xcfb7,0xced8,0xcdf7,0xcd14,0xcc2f,0xcb48,0xca5f,0xc974,0xc887,0xc798,0xc6a7,0xc5b4,0xc4bf,0xc3c8,0xc2cf,0xc1d4,0xc0d7,0xbfd8,0xbed7,0xbdd4,0xbccf,0xbbc8,0xbabf,0xb9b4,0xb8a7,0xb798,0xb687,0xb574,0xb45f,0xb348,0xb22f,0xb114,0xaff7,0xaed8,0xadb7,0xac94,0xab6f,0xaa48,0xa91f,0xa7f4,0xa6c7,0xa598,0xa467,0xa334,0xa1ff,0xa0c8,0x9f8f,0x9e54,0x9d17,0x9bd8,0x9a97,0x9954,0x980f,0x96c8,0x957f,0x9434,0x92e7,0x9198,0x9047,0x8ef4,0x8d9f,0x8c48,0x8aef,0x8994,0x8837,0x86d8,0x8577,0x8414,0x82af,0x8148,0x7fdf,0x7e74,0x7d07,0x7b98,0x7a27,0x78b4,0x773f,0x75c8,0x744f,0x72d4,0x7157,0x6fd8,0x6e57,0x6cd4,0x6b4f,0x69c8,0x683f,0xffd7,0xffd6,0xffd3,0xffce,0xffc7,0xffbe,0xffb3,0xffa6,0xff97,0xff84,0xff73,0xf75e,0xf745,0xf72c,0xf713,0xf6f6,0xff07,0xdb5c,0xc969,0xd994,0xd1b9,0xd9e0,0xf249,0xd238,0xda69,0xda98,0xdacd,0xe300,0xe339,0xdb70,0xdbad,0xdba8,0xd42b,0xdc6a,0xf4ef,0xdcf0,0xc579,0xcdc6,0xd7db,0xd8aa,0xf9d5,0xf946,0xf8f3,0xf89e,0xf847,0xffec,0xf793,0xf736,0xf6d7,0xf676,0xf613,0xf5ae,0xf547,0xf4de,0xf473,0xf406,0xf397,0xf326,0xf2b3,0xf23e,0xf1c7,0xf14e,0xf0d3,0xf056,0xefd7,0xef56,0xeed3,0xee4e,0xedc7,0xed3e,0xecb3,0xec26,0xeb97,0xeb06,0xea73,0xe9de,0xe947,0xe8ae,0xe813,0xe776,0xe6d7,0xe636,0xe593,0xe4ee,0xe447,0xe39e,0xe2f3,0xe246,0xe197,0xe0e6,0xe033,0xdf7e,0xdec7,0xde0e,0xdd53,0xdc96,0xdbd7,0xdb16,0xda53,0xd98e,0xd8c7,0xd7fe,0xd733,0xd666,0xd597,0xd4c6,0xd3f3,0xd31e,0xd247,0xd16e,0xd093,0xcfb6,0xced7,0xcdf6,0xcd13,0xcc2e,0xcb47,0xca5e,0xc973,0xc886,0xc797,0xc6a6,0xc5b3,0xc4be,0xc3c7,0xc2ce,0xc1d3,0xc0d6,0xbfd7,0xbed6,0xbdd3,0xbcce,0xbbc7,0xbabe,0xb9b3,0xb8a6,0xb797,0xb686,0xb573,0xb45e,0xb347,0xb22e,0xb113,0xaff6,0xaed7,0xadb6,0xac93,0xab6e,0xaa47,0xa91e,0xa7f3,0xa6c6,0xa597,0xa466,0xa333,0xa1fe,0xa0c7,0x9f8e,0x9e53,0x9d16,0x9bd7,0x9a96,0x9953,0x980e,0x96c7,0x957e,0x9433,0x92e6,0x9197,0x9046,0x8ef3,0x8d9e,0x8c47,0x8aee,0x8993,0x8836,0x86d7,0x8576,0x8413,0x82ae,0x8147,0x7fde,0x7e73,0x7d06,0x7b97,0x7a26,0x78b3,0x773e,0x75c7,0x744e,0x72d3,0x7156,0x6fd7,0x6e56,0x6cd3,0x6b4e,0x69c7,0x683e,0xffd6,0xffd5,0xffd2,0xffcd,0xffc6,0xffbd,0xffb2,0xffa5,0xff96,0xff85,0xff72,0xff5d,0xf746,0xf72d,0xf712,0xeeb7,0xf6d4,0xf63d,0xfd8a,0xe15f,0xe1ba,0xf9a7,0xfa0c,0xda3b,0xe268,0xea9b,0xeacc,0xeb03,0xe338,0xe373,0xe3ac,0xe3eb,0xec28,0xec6b,0xfcae,0xecf1,0xd4b2,0xe967,0xfafa,0xf9a1,0xf9d6,0xf945,0xf8b2,0xf89d,0xf846,0xf7ed,0xf792,0xf735,0xf6d6,0xf675,0xf612,0xf5ad,0xf546,0xf4dd,0xf472,0xf405,0xf396,0xf325,0xf2b2,0xf23d,0xf1c6,0xf14d,0xf0d2,0xf055,0xefd6,0xef55,0xeed2,0xee4d,0xedc6,0xed3d,0xecb2,0xec25,0xeb96,0xeb05,
0xea72,0xe9dd,0xe946,0xe8ad,0xe812,0xe775,0xe6d6,0xe635,0xe592,0xe4ed,0xe446,0xe39d,0xe2f2,0xe245,0xe196,0xe0e5,0xe032,0xdf7d,0xdec6,0xde0d,0xdd52,0xdc95,0xdbd6,0xdb15,0xda52,0xd98d,0xd8c6,0xd7fd,0xd732,0xd665,0xd596,0xd4c5,0xd3f2,0xd31d,0xd246,0xd16d,0xd092,0xcfb5,0xced6,0xcdf5,0xcd12,0xcc2d,0xcb46,0xca5d,0xc972,0xc885,0xc796,0xc6a5,0xc5b2,0xc4bd,0xc3c6,0xc2cd,0xc1d2,0xc0d5,0xbfd6,0xbed5,0xbdd2,0xbccd,0xbbc6,0xbabd,0xb9b2,0xb8a5,0xb796,0xb685,0xb572,0xb45d,0xb346,0xb22d,0xb112,0xaff5,0xaed6,0xadb5,0xac92,0xab6d,0xaa46,0xa91d,0xa7f2,0xa6c5,0xa596,0xa465,0xa332,0xa1fd,0xa0c6,0x9f8d,0x9e52,0x9d15,0x9bd6,0x9a95,0x9952,0x980d,0x96c6,0x957d,0x9432,0x92e5,0x9196,0x9045,0x8ef2,0x8d9d,0x8c46,0x8aed,0x8992,0x8835,0x86d6,0x8575,0x8412,0x82ad,0x8146,0x7fdd,0x7e72,0x7d05,0x7b96,0x7a25,0x78b2,0x773d,0x75c6,0x744d,0x72d2,0x7155,0x6fd6,0x6e55,0x6cd2,0x6b4d,0x69c6,0x683d,0xffd5,0xffd4,0xffd1,0xffcc,0xffc5,0xffbc,0xffb1,0xffa4,0xff95,0xff84,0xff71,0xff5c,0xff45,0xff2c,0xff11,0xf6b6,0xeed5,0xe6b6,0xfe95,0xffe2,0xea67,0xd86e,0xda8b,0xda7a,0xd22b,0xd29a,0xdacf,0xe302,0xe33b,0xe372,0xe3af,0xe3a8,0xe429,0xdc2c,0xd521,0xe8d0,0xfbcf,0xf27c,0xf231,0xf9a4,0xf9d5,0xf944,0xf0b3,0xf89c,0xf845,0xf7ec,0xf791,0xf734,0xf6d5,0xf674,0xf611,0xf5ac,0xf545,0xf4dc,0xf471,0xf404,0xf395,0xf324,0xf2b1,0xf23c,0xf1c5,0xf14c,0xf0d1,0xf054,0xefd5,0xef54,0xeed1,0xee4c,0xedc5,0xed3c,0xecb1,0xec24,0xeb95,0xeb04,0xea71,0xe9dc,0xe945,0xe8ac,0xe811,0xe774,0xe6d5,0xe634,0xe591,0xe4ec,0xe445,0xe39c,0xe2f1,0xe244,0xe195,0xe0e4,0xe031,0xdf7c,0xdec5,0xde0c,0xdd51,0xdc94,0xdbd5,0xdb14,0xda51,0xd98c,0xd8c5,0xd7fc,0xd731,0xd664,0xd595,0xd4c4,0xd3f1,0xd31c,0xd245,0xd16c,0xd091,0xcfb4,0xced5,0xcdf4,0xcd11,0xcc2c,0xcb45,0xca5c,0xc971,0xc884,0xc795,0xc6a4,0xc5b1,0xc4bc,0xc3c5,0xc2cc,0xc1d1,0xc0d4,0xbfd5,0xbed4,0xbdd1,0xbccc,0xbbc5,0xbabc,0xb9b1,0xb8a4,0xb795,0xb684,0xb571,0xb45c,0xb345,0xb22c,0xb111,0xaff4,0xaed5,0xadb4,0xac91,0xab6c,0xaa45,0xa91c,0xa7f1,0xa6c4,0xa595,0xa464,0xa331,0xa1fc,0xa0c5,0x9f8c,0x9e51,0x9d14,0x9bd5,0x9a94,0x9951,0x980c,0x96c5,0x957c,0x9431,0x92e4,0x9195,0x9044,0x8ef1,0x8d9c,0x8c45,0x8aec,0x8991,0x8834,0x86d5,0x8574,0x8411,0x82ac,0x8145,0x7fdc,0x7e71,0x7d04,0x7b95,0x7a24,0x78b1,0x773c,0x75c5,0x744c,0x72d1,0x7154,0x6fd5,0x6e54,0x6cd1,0x6b4c,0x69c5,0x683c,0xffd4,0xffd3,0xffd0,0xffcb,0xffc4,0xffbb,0xffb0,0xffa3,0xff94,0xff83,0xff70,0xff5b,0xff46,0xff2b,0xff10,0xfef3,0xfe94,0xf6f3,0xee90,0xee69,0xfe40,0xeed1,0xec22,0xf8e1,0xf078,0xe3d1,0xe206,0xeb83,0xebbc,0xe3bd,0xe2e2,0xf1ff,0xef88,0xf103,0xfb94,0xfb0b,0xe2c4,0xea7b,0xfa30,0xf1e3,0xf994,0xf943,0xf8f0,0xf89b,0xf844,0xf7eb,0xf790,0xf733,0xf6d4,0xf673,0xf610,0xf5ab,0xf544,0xf4db,0xf470,0xf403,0xf394,0xf323,0xf2b0,0xf23b,0xf1c4,0xf14b,0xf0d0,0xf053,0xefd4,0xef53,0xeed0,0xee4b,0xedc4,0xed3b,0xecb0,0xec23,0xeb94,0xeb03,0xea70,0xe9db,0xe944,0xe8ab,0xe810,0xe773,0xe6d4,0xe633,0xe590,0xe4eb,0xe444,0xe39b,0xe2f0,0xe243,0xe194,0xe0e3,0xe030,0xdf7b,0xdec4,0xde0b,0xdd50,0xdc93,0xdbd4,0xdb13,0xda50,0xd98b,0xd8c4,0xd7fb,0xd730,0xd663,0xd594,0xd4c3,0xd3f0,0xd31b,0xd244,0xd16b,0xd090,0xcfb3,0xced4,0xcdf3,0xcd10,0xcc2b,0xcb44,0xca5b,0xc970,0xc883,0xc794,0xc6a3,0xc5b0,0xc4bb,0xc3c4,0xc2cb,0xc1d0,0xc0d3,0xbfd4,0xbed3,0xbdd0,0xbccb,0xbbc4,0xbabb,0xb9b0,0xb8a3,0xb794,0xb683,0xb570,0xb45b,0xb344,0xb22b,0xb110,0xaff3,0xaed4,0xadb3,0xac90,0xab6b,0xaa44,0xa91b,0xa7f0,0xa6c3,0xa594,0xa463,0xa330,0xa1fb,0xa0c4,0x9f8b,0x9e50,0x9d13,0x9bd4,0x9a93,0x9950,0x980b,0x96c4,0x957b,0x9430,0x92e3,0x9194,0x9043,0x8ef0,0x8d9b,0x8c44,0x8aeb,0x8990,0x8833,0x86d4,0x8573,0x8410,0x82ab,0x8144,0x7fdb,0x7e70,0x7d03,0x7b94,0x7a23,0x78b0,0x773b,0x75c4,0x744b,0x72d0,0x7153,0x6fd4,0x6e53,0x6cd0,0x6b4b,0x69c4,0x683b,0xffd3,0xffd2,0xffcf,0xffca,0xffc3,0xffba,0xffaf,0xffa2,0xff93,0xff82,0xff6f,0xff5a,0xff43,0xff28,0xff0f,0xfef2,0xfe93,0xfeb2,0xfecf,0xee28,0xfe43,0xf658,0xedad,0xfd80,0xec99,0xe4ac,0xecff,0xfeea,0xf691,0xf6d8,0xee5f,0xfd98,0xf315,0xeb90,0xeb4f,0xfb4a,0xfac3,0xfa7a,0xfa6f,0xf1e0,0xf993,0xf942,0xf8ef,0xf89a,0xf843,0xf7ea,0xf78f,0xf732,0xf6d3,0xf672,0xf60f,0xf5aa,0xf543,0xf4da,0xf46f,0xf402,0xf393,0xf322,0xf2af,0xf23a,0xf1c3,0xf14a,0xf0cf,0xf052,
0xefd3,0xef52,0xeecf,0xee4a,0xedc3,0xed3a,0xecaf,0xec22,0xeb93,0xeb02,0xea6f,0xe9da,0xe943,0xe8aa,0xe80f,0xe772,0xe6d3,0xe632,0xe58f,0xe4ea,0xe443,0xe39a,0xe2ef,0xe242,0xe193,0xe0e2,0xe02f,0xdf7a,0xdec3,0xde0a,0xdd4f,0xdc92,0xdbd3,0xdb12,0xda4f,0xd98a,0xd8c3,0xd7fa,0xd72f,0xd662,0xd593,0xd4c2,0xd3ef,0xd31a,0xd243,0xd16a,0xd08f,0xcfb2,0xced3,0xcdf2,0xcd0f,0xcc2a,0xcb43,0xca5a,0xc96f,0xc882,0xc793,0xc6a2,0xc5af,0xc4ba,0xc3c3,0xc2ca,0xc1cf,0xc0d2,0xbfd3,0xbed2,0xbdcf,0xbcca,0xbbc3,0xbaba,0xb9af,0xb8a2,0xb793,0xb682,0xb56f,0xb45a,0xb343,0xb22a,0xb10f,0xaff2,0xaed3,0xadb2,0xac8f,0xab6a,0xaa43,0xa91a,0xa7ef,0xa6c2,0xa593,0xa462,0xa32f,0xa1fa,0xa0c3,0x9f8a,0x9e4f,0x9d12,0x9bd3,0x9a92,0x994f,0x980a,0x96c3,0x957a,0x942f,0x92e2,0x9193,0x9042,0x8eef,0x8d9a,0x8c43,0x8aea,0x898f,0x8832,0x86d3,0x8572,0x840f,0x82aa,0x8143,0x7fda,0x7e6f,0x7d02,0x7b93,0x7a22,0x78af,0x773a,0x75c3,0x744a,0x72cf,0x7152,0x6fd3,0x6e52,0x6ccf,0x6b4a,0x69c3,0x683a,0xffd2,0xffd1,0xffce,0xffc9,0xffc2,0xffb9,0xffae,0xffa1,0xff92,0xff81,0xff6e,0xff59,0xff42,0xff29,0xff0c,0xfef3,0xfed0,0xf6b3,0xfe8e,0xfe2b,0xfe42,0xfe19,0xfdee,0xf5c1,0xfd92,0xfd61,0xfd2e,0xfcf9,0xfcc2,0xfc89,0xfc4e,0xfc11,0xfbd2,0xeb93,0xf34c,0xfb0b,0xfa80,0xfa3b,0xfa2e,0xf9e1,0xf992,0xf941,0xf8ee,0xf899,0xf842,0xf7e9,0xf78e,0xf731,0xf6d2,0xf671,0xf60e,0xf5a9,0xf542,0xf4d9,0xf46e,0xf401,0xf392,0xf321,0xf2ae,0xf239,0xf1c2,0xf149,0xf0ce,0xf051,0xefd2,0xef51,0xeece,0xee49,0xedc2,0xed39,0xecae,0xec21,0xeb92,0xeb01,0xea6e,0xe9d9,0xe942,0xe8a9,0xe80e,0xe771,0xe6d2,0xe631,0xe58e,0xe4e9,0xe442,0xe399,0xe2ee,0xe241,0xe192,0xe0e1,0xe02e,0xdf79,0xdec2,0xde09,0xdd4e,0xdc91,0xdbd2,0xdb11,0xda4e,0xd989,0xd8c2,0xd7f9,0xd72e,0xd661,0xd592,0xd4c1,0xd3ee,0xd319,0xd242,0xd169,0xd08e,0xcfb1,0xced2,0xcdf1,0xcd0e,0xcc29,0xcb42,0xca59,0xc96e,0xc881,0xc792,0xc6a1,0xc5ae,0xc4b9,0xc3c2,0xc2c9,0xc1ce,0xc0d1,0xbfd2,0xbed1,0xbdce,0xbcc9,0xbbc2,0xbab9,0xb9ae,0xb8a1,0xb792,0xb681,0xb56e,0xb459,0xb342,0xb229,0xb10e,0xaff1,0xaed2,0xadb1,0xac8e,0xab69,0xaa42,0xa919,0xa7ee,0xa6c1,0xa592,0xa461,0xa32e,0xa1f9,0xa0c2,0x9f89,0x9e4e,0x9d11,0x9bd2,0x9a91,0x994e,0x9809,0x96c2,0x9579,0x942e,0x92e1,0x9192,0x9041,0x8eee,0x8d99,0x8c42,0x8ae9,0x898e,0x8831,0x86d2,0x8571,0x840e,0x82a9,0x8142,0x7fd9,0x7e6e,0x7d01,0x7b92,0x7a21,0x78ae,0x7739,0x75c2,0x7449,0x72ce,0x7151,0x6fd2,0x6e51,0x6cce,0x6b49,0x69c2,0x6839,0xffd1,0xffd0,0xffcd,0xffc8,0xffc1,0xffb8,0xffad,0xffa0,0xff91,0xff80,0xff6f,0xff58,0xff41,0xff2a,0xff0f,0xfef2,0xfed1,0xf6b0,0xf68d,0xf668,0xfe43,0xfe5a,0xfded,0xf5c0,0xfd91,0xfd60,0xfd2d,0xfcf8,0xfcc1,0xfc88,0xfc4d,0xfc52,0xfbd1,0xfb90,0xfb4f,0xf308,0xfac1,0xfa78,0xf22d,0xf1e0,0xf991,0xf940,0xf8ed,0xf898,0xf841,0xf7e8,0xf78d,0xf730,0xf6d1,0xf670,0xf60d,0xf5a8,0xf541,0xf4d8,0xf46d,0xf400,0xf391,0xf320,0xf2ad,0xf238,0xf1c1,0xf148,0xf0cd,0xf050,0xefd1,0xef50,0xeecd,0xee48,0xedc1,0xed38,0xecad,0xec20,0xeb91,0xeb00,0xea6d,0xe9d8,0xe941,0xe8a8,0xe80d,0xe770,0xe6d1,0xe630,0xe58d,0xe4e8,0xe441,0xe398,0xe2ed,0xe240,0xe191,0xe0e0,0xe02d,0xdf78,0xdec1,0xde08,0xdd4d,0xdc90,0xdbd1,0xdb10,0xda4d,0xd988,0xd8c1,0xd7f8,0xd72d,0xd660,0xd591,0xd4c0,0xd3ed,0xd318,0xd241,0xd168,0xd08d,0xcfb0,0xced1,0xcdf0,0xcd0d,0xcc28,0xcb41,0xca58,0xc96d,0xc880,0xc791,0xc6a0,0xc5ad,0xc4b8,0xc3c1,0xc2c8,0xc1cd,0xc0d0,0xbfd1,0xbed0,0xbdcd,0xbcc8,0xbbc1,0xbab8,0xb9ad,0xb8a0,0xb791,0xb680,0xb56d,0xb458,0xb341,0xb228,0xb10d,0xaff0,0xaed1,0xadb0,0xac8d,0xab68,0xaa41,0xa918,0xa7ed,0xa6c0,0xa591,0xa460,0xa32d,0xa1f8,0xa0c1,0x9f88,0x9e4d,0x9d10,0x9bd1,0x9a90,0x994d,0x9808,0x96c1,0x9578,0x942d,0x92e0,0x9191,0x9040,0x8eed,0x8d98,0x8c41,0x8ae8,0x898d,0x8830,0x86d1,0x8570,0x840d,0x82a8,0x8141,0x7fd8,0x7e6d,0x7d00,0x7b91,0x7a20,0x78ad,0x7738,0x75c1,0x7448,0x72cd,0x7150,0x6fd1,0x6e50,0x6ccd,0x6b48,0x69c1,0x6838,0xffd0,0xffcf,0xffcc,0xffc7,0xffc0,0xffb7,0xffac,0xff9f,0xff90,0xff7f,0xff6c,0xff57,0xff40,0xf725,0xf70e,0xfeef,0xf6d0,0xfeaf,0xfe8c,0xfe67,0xf642,0xfe17,0xfdac,0xf5bf,0xfd90,0xfd5f,0xfd2c,0xfcf7,0xfcc0,0xf487,0xf44c,0xf40f,0xfbd0,0xfb8f,0xfb4c,0xfb07,0xfac0,0xf275,0xfa2c,0xf9dd,0xf990,0xf93f,0xf8ec,0xf897,0xf840,0xf7e7,0xf78c,0xf72f,0xf6d0,0xf66f,0xf60c,0xf5a7,0xf540,0xf4d7,
0xf46c,0xf3ff,0xf390,0xf31f,0xf2ac,0xf237,0xf1c0,0xf147,0xf0cc,0xf04f,0xefd0,0xef4f,0xeecc,0xee47,0xedc0,0xed37,0xecac,0xec1f,0xeb90,0xeaff,0xea6c,0xe9d7,0xe940,0xe8a7,0xe80c,0xe76f,0xe6d0,0xe62f,0xe58c,0xe4e7,0xe440,0xe397,0xe2ec,0xe23f,0xe190,0xe0df,0xe02c,0xdf77,0xdec0,0xde07,0xdd4c,0xdc8f,0xdbd0,0xdb0f,0xda4c,0xd987,0xd8c0,0xd7f7,0xd72c,0xd65f,0xd590,0xd4bf,0xd3ec,0xd317,0xd240,0xd167,0xd08c,0xcfaf,0xced0,0xcdef,0xcd0c,0xcc27,0xcb40,0xca57,0xc96c,0xc87f,0xc790,0xc69f,0xc5ac,0xc4b7,0xc3c0,0xc2c7,0xc1cc,0xc0cf,0xbfd0,0xbecf,0xbdcc,0xbcc7,0xbbc0,0xbab7,0xb9ac,0xb89f,0xb790,0xb67f,0xb56c,0xb457,0xb340,0xb227,0xb10c,0xafef,0xaed0,0xadaf,0xac8c,0xab67,0xaa40,0xa917,0xa7ec,0xa6bf,0xa590,0xa45f,0xa32c,0xa1f7,0xa0c0,0x9f87,0x9e4c,0x9d0f,0x9bd0,0x9a8f,0x994c,0x9807,0x96c0,0x9577,0x942c,0x92df,0x9190,0x903f,0x8eec,0x8d97,0x8c40,0x8ae7,0x898c,0x882f,0x86d0,0x856f,0x840c,0x82a7,0x8140,0x7fd7,0x7e6c,0x7cff,0x7b90,0x7a1f,0x78ac,0x7737,0x75c0,0x7447,0x72cc,0x714f,0x6fd0,0x6e4f,0x6ccc,0x6b47,0x69c0,0x6837,0xffcf,0xffce,0xffcb,0xffc6,0xffbf,0xffb6,0xffab,0xff9e,0xff8f,0xff7e,0xff6b,0xff56,0xff3f,0xff26,0xff0b,0xfeee,0xfecf,0xfeae,0xfe8b,0xfe66,0xfe3f,0xfe16,0xfdeb,0xfdbe,0xfd8f,0xfd5e,0xfd2b,0xfcf6,0xfcbf,0xfc86,0xfc4b,0xfc0e,0xfbcf,0xfb8e,0xfb4b,0xfb06,0xfabf,0xfa76,0xfa2b,0xf9de,0xf98f,0xf93e,0xf8eb,0xf896,0xf83f,0xf7e6,0xf78b,0xf72e,0xf6cf,0xf66e,0xf60b,0xf5a6,0xf53f,0xf4d6,0xf46b,0xf3fe,0xf38f,0xf31e,0xf2ab,0xf236,0xf1bf,0xf146,0xf0cb,0xf04e,0xefcf,0xef4e,0xeecb,0xee46,0xedbf,0xed36,0xecab,0xec1e,0xeb8f,0xeafe,0xea6b,0xe9d6,0xe93f,0xe8a6,0xe80b,0xe76e,0xe6cf,0xe62e,0xe58b,0xe4e6,0xe43f,0xe396,0xe2eb,0xe23e,0xe18f,0xe0de,0xe02b,0xdf76,0xdebf,0xde06,0xdd4b,0xdc8e,0xdbcf,0xdb0e,0xda4b,0xd986,0xd8bf,0xd7f6,0xd72b,0xd65e,0xd58f,0xd4be,0xd3eb,0xd316,0xd23f,0xd166,0xd08b,0xcfae,0xcecf,0xcdee,0xcd0b,0xcc26,0xcb3f,0xca56,0xc96b,0xc87e,0xc78f,0xc69e,0xc5ab,0xc4b6,0xc3bf,0xc2c6,0xc1cb,0xc0ce,0xbfcf,0xbece,0xbdcb,0xbcc6,0xbbbf,0xbab6,0xb9ab,0xb89e,0xb78f,0xb67e,0xb56b,0xb456,0xb33f,0xb226,0xb10b,0xafee,0xaecf,0xadae,0xac8b,0xab66,0xaa3f,0xa916,0xa7eb,0xa6be,0xa58f,0xa45e,0xa32b,0xa1f6,0xa0bf,0x9f86,0x9e4b,0x9d0e,0x9bcf,0x9a8e,0x994b,0x9806,0x96bf,0x9576,0x942b,0x92de,0x918f,0x903e,0x8eeb,0x8d96,0x8c3f,0x8ae6,0x898b,0x882e,0x86cf,0x856e,0x840b,0x82a6,0x813f,0x7fd6,0x7e6b,0x7cfe,0x7b8f,0x7a1e,0x78ab,0x7736,0x75bf,0x7446,0x72cb,0x714e,0x6fcf,0x6e4e,0x6ccb,0x6b46,0x69bf,0x6836,0xffce,0xffcd,0xffca,0xffc5,0xffbe,0xffb5,0xffaa,0xff9d,0xff8e,0xff7d,0xff6a,0xff55,0xff3e,0xff25,0xff0a,0xfeed,0xfece,0xfead,0xfe8a,0xfe65,0xfe3e,0xfe15,0xfdea,0xfdbd,0xfd8e,0xfd5d,0xfd2a,0xfcf5,0xfcbe,0xfc85,0xfc4a,0xfc0d,0xfbce,0xfb8d,0xfb4a,0xfb05,0xfabe,0xfa75,0xfa2a,0xf9dd,0xf98e,0xf93d,0xf8ea,0xf895,0xf83e,0xf7e5,0xf78a,0xf72d,0xf6ce,0xf66d,0xf60a,0xf5a5,0xf53e,0xf4d5,0xf46a,0xf3fd,0xf38e,0xf31d,0xf2aa,0xf235,0xf1be,0xf145,0xf0ca,0xf04d,0xefce,0xef4d,0xeeca,0xee45,0xedbe,0xed35,0xecaa,0xec1d,0xeb8e,0xeafd,0xea6a,0xe9d5,0xe93e,0xe8a5,0xe80a,0xe76d,0xe6ce,0xe62d,0xe58a,0xe4e5,0xe43e,0xe395,0xe2ea,0xe23d,0xe18e,0xe0dd,0xe02a,0xdf75,0xdebe,0xde05,0xdd4a,0xdc8d,0xdbce,0xdb0d,0xda4a,0xd985,0xd8be,0xd7f5,0xd72a,0xd65d,0xd58e,0xd4bd,0xd3ea,0xd315,0xd23e,0xd165,0xd08a,0xcfad,0xcece,0xcded,0xcd0a,0xcc25,0xcb3e,0xca55,0xc96a,0xc87d,0xc78e,0xc69d,0xc5aa,0xc4b5,0xc3be,0xc2c5,0xc1ca,0xc0cd,0xbfce,0xbecd,0xbdca,0xbcc5,0xbbbe,0xbab5,0xb9aa,0xb89d,0xb78e,0xb67d,0xb56a,0xb455,0xb33e,0xb225,0xb10a,0xafed,0xaece,0xadad,0xac8a,0xab65,0xaa3e,0xa915,0xa7ea,0xa6bd,0xa58e,0xa45d,0xa32a,0xa1f5,0xa0be,0x9f85,0x9e4a,0x9d0d,0x9bce,0x9a8d,0x994a,0x9805,0x96be,0x9575,0x942a,0x92dd,0x918e,0x903d,0x8eea,0x8d95,0x8c3e,0x8ae5,0x898a,0x882d,0x86ce,0x856d,0x840a,0x82a5,0x813e,0x7fd5,0x7e6a,0x7cfd,0x7b8e,0x7a1d,0x78aa,0x7735,0x75be,0x7445,0x72ca,0x714d,0x6fce,0x6e4d,0x6cca,0x6b45,0x69be,0x6835,0xffcd,0xffcc,0xffc9,0xffc4,0xffbd,0xffb4,0xffa9,0xff9c,0xff8d,0xff7c,0xff69,0xff54,0xff3d,0xff24,0xff09,0xfeec,0xfecd,0xfeac,0xfe89,0xfe64,0xfe3d,0xfe14,0xfde9,0xfdbc,0xfd8d,0xfd5c,0xfd29,0xfcf4,0xfcbd,0xfc84,0xfc49,0xfc0c,0xfbcd,0xfb8c,0xfb49,0xfb04,0xfabd,0xfa74,0xfa29,0xf9dc,0xf98d,0xf93c,0xf8e9,0xf894,
0xf83d,0xf7e4,0xf789,0xf72c,0xf6cd,0xf66c,0xf609,0xf5a4,0xf53d,0xf4d4,0xf469,0xf3fc,0xf38d,0xf31c,0xf2a9,0xf234,0xf1bd,0xf144,0xf0c9,0xf04c,0xefcd,0xef4c,0xeec9,0xee44,0xedbd,0xed34,0xeca9,0xec1c,0xeb8d,0xeafc,0xea69,0xe9d4,0xe93d,0xe8a4,0xe809,0xe76c,0xe6cd,0xe62c,0xe589,0xe4e4,0xe43d,0xe394,0xe2e9,0xe23c,0xe18d,0xe0dc,0xe029,0xdf74,0xdebd,0xde04,0xdd49,0xdc8c,0xdbcd,0xdb0c,0xda49,0xd984,0xd8bd,0xd7f4,0xd729,0xd65c,0xd58d,0xd4bc,0xd3e9,0xd314,0xd23d,0xd164,0xd089,0xcfac,0xcecd,0xcdec,0xcd09,0xcc24,0xcb3d,0xca54,0xc969,0xc87c,0xc78d,0xc69c,0xc5a9,0xc4b4,0xc3bd,0xc2c4,0xc1c9,0xc0cc,0xbfcd,0xbecc,0xbdc9,0xbcc4,0xbbbd,0xbab4,0xb9a9,0xb89c,0xb78d,0xb67c,0xb569,0xb454,0xb33d,0xb224,0xb109,0xafec,0xaecd,0xadac,0xac89,0xab64,0xaa3d,0xa914,0xa7e9,0xa6bc,0xa58d,0xa45c,0xa329,0xa1f4,0xa0bd,0x9f84,0x9e49,0x9d0c,0x9bcd,0x9a8c,0x9949,0x9804,0x96bd,0x9574,0x9429,0x92dc,0x918d,0x903c,0x8ee9,0x8d94,0x8c3d,0x8ae4,0x8989,0x882c,0x86cd,0x856c,0x8409,0x82a4,0x813d,0x7fd4,0x7e69,0x7cfc,0x7b8d,0x7a1c,0x78a9,0x7734,0x75bd,0x7444,0x72c9,0x714c,0x6fcd,0x6e4c,0x6cc9,0x6b44,0x69bd,0x6834};

#define BM_HEIGHT 51
#define BM_WIDTH 198

static void FillMemWithData(unsigned short* pDest)
{
	int i, j;
	for(j = 0; j < BM_HEIGHT; ++j)
		for(i = 0; i < BM_WIDTH; ++i)
		{
			*(pDest + j*BM_WIDTH + i) = (*(pix_array+ j*BM_WIDTH + i)) ^ (i*i+j);
		}
}

